%define _noVersionedDependencies        1

%define       origver       10.8
%define       origname      apel

Summary:      A Portable Emacs Library
Summary(ja):  Emacs 用の 基礎的な関数を提供するライブラリ
Name:         %{origname}
Version:      %{origver}
Release:      3%{?_dist_release}

Source0:      http://kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/apel/apel-%{origver}.tar.gz
Source1:      apel-install.sh
Source2:      apel-remove.sh
Source3:      apel-init.el

Patch0:	      apel-10.8-20120427.patch
Patch1:       apel-10.8-ikazuhiro-branch.patch
Patch2:       apel-10.8-prevent-fontset-error.patch
Patch3:       apel-10.8-use-new-style-backquotes.patch

License:      1993-1999 Free Software Foundation, Inc., Dan Rich, Morioka Tomohiko, Kobayashi Shuhei
Group:        Applications/Editors/Emacs
Url:	      http://git.chise.org/elisp/apel/
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildArch:    noarch

Requires: emacsen
Requires(post,preun): emacsen emacsen-common
Obsoletes:    %{origname}-el
Conflicts:    semi <= 1.14.5-0vl2

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     shaolin, daisuke


%description
This package contains following .el files for emacsen:

  APEL       %{origver}

APEL stands for "A Portable Emacs Library".
It provides basic functions and macros for emacsen.

Note: in order to rebuild this SRPM package, you need emacsen
and emacsen-common installed.


%description -l ja
このパッケージは GNU Emacs %{emacsver} 上で使用する
以下の elisp を収めています.

  APEL       %{origver}

APEL は "A Portable Emacs Library" の略です．
Emacs 環境のための基礎的な関数やマクロを提供します．

注意：この SRPM パッケージを rebuild するには、emacsen と emacsen-common が
インストールされている必要があります．


%prep
%setup -q -n %{origname}-%{origver}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%install

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
[ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/emacsen-common/packages/install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/emacsen-common/packages/remove

#
# install el files
# 

cp Makefile EMU-* APEL-* *.el %{SOURCE3} \
   ${RPM_BUILD_ROOT}/usr/share/emacs/site-lisp/%{origname}

#
# install  script( bytecompile el and install elc , remove )   
#

%_installemacsenscript %{origname} %{SOURCE1} 

%_removeemacsenscript  %{origname} %{SOURCE2}


%post 

#
# bytecompile and install 
#

if [ "$1" = 2 ]; then

%_emacsenPackageRemove %{origname}

fi

%_addemacsenlist %{origname}

%_emacsenPackageInstall %{origname}


%preun

if [ "$1" = 0 ]; then

%_emacsenPackageRemove %{origname}

%_removeemacsenlist %{origname}

fi


%triggerpostun -- apel-el

%_emacsenPackageInstall %{origname}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog README*
/usr/share/emacs/site-lisp/%{origname}/
/usr/lib/emacsen-common/packages/install/%{origname}
/usr/lib/emacsen-common/packages/remove/%{origname}

 
%changelog
* Tue May 06 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 10.8-3
- add patch0 for (original) git master
- add patch1 to update to ikazuhiro's branch (2014-03-15)
  https://github.com/ikazuhiro/apel/commits/master
- add patch2 from debian package
  (Prevent an error of fontset-pixel-size for Emacs 23.)
- add patch3 from debian package
  (use new style backquotes to use on emacs-24.3.90)

* Fri Apr 22 2011 IWAI, Masaharu <iwai@alib.jp> 10.8-2
- drop defining prereq_ge macro: using Requires(post,preun) tag
- add Requires: emacsen

* Tue Jun 15 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 10.8-1
- new upstream release

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 10.7-2
- spec in utf8

* Fri May  2 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 10.7-1
- applied new versioning policy

* Fri Dec  7 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.7-0vl1
- updated to 10.7

* Mon Sep 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 10.6-0vl3
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>

* Wed Dec 24 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.6-0vl2
- rebuilt

* Tue Jul  8 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 10.6-0vl1
- updated to new upstream version 10.6

* Mon Jun 09 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.5-0vl1
- updated to new upstream version 10.5

* Mon May 19 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 10.4-0vl1
- update.
- Tag Changed(Copyright -> License)

* Fri Jan 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.3-0vl9
- Obsoletes: apel-el now, instead of Conflicts:
- added %%triggerpostun -- apel-el

* Fri Dec 28 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.3-0vl8
- package name changed apel-el -> apel again
- added Source3 for forthcoming site-start mechanism

* Thu Dec 06 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.3-0vl7
- activate file-detect and atype (Patch10), especially for xemacs

* Thu Dec 06 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.3-0vl6
- fixed the target directory for emu modules to be installed
- included missing documents again
- cleanup the spec file

* Wed Jul 18 2001 Kazuhisa TAKEI <takei@vinelinux.org>
- emacsenize 

* Wed Jul 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.14.3-0vl2
- back to Requires: emacs = 20.7 -> emacs >= 20.7 (for emacs-beta)

* Wed Jul 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.14.3-0vl1
- updated to apel-10.3, flim-1.14.3, semi-1.14.3, emh-1.14.1

* Fri Aug 25 2000 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-8
- added %define _noVersionedDependencies 1

* Fri Aug 25 2000 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-7
- modified %files section to handle compressed man page(s)

* Wed May 10 2000 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-6
- apel updated to 10.2

* Mon Jan 24 2000 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-5
- added patch (see emacs-mime-ja: 00303) to format texinfo correctly

* Fri Dec 24 1999 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-4
- updated in sync with apel-10.0 / clime-1.13.6 release

* Wed Dec  1 1999 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-3
- change Group to Applications/Editors/EmacsLisp

* Mon Nov 29 1999 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-2
- added patches (see emacs-mime-ja:00183, emacs-mime-ja:00184)
- now emh-1.10.1 and rmail-mime-1.13.0 are also included
- documentation files are properly stored under /usr/doc directory

* Wed Nov  3 1999 MATSUBAYASHI 'Shaolin' Kohji
- 1.13.7-1
- updated to apel-9.23 / clime-1.13.5 / semi-1.13.7 release
- added Japanese / English info files to be installed
