%define ver 1.6

Summary: A C++ wrapper for atk
Summary(ja): atk の C++ ラッパー
Name: atkmm
Version: 2.22.7
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/atkmm/2.22/%{name}-%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-root

Requires:	atk >= 1.12.0
Requires:	glibmm >= 2.24.0
BuildRequires:	atk-devel >= 1.12.0
BuildRequires:	glibmm-devel >= 2.24.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Atkmm is a C++ wrapper for atk.


%package	devel
Summary: 	Development tools for atkmm applications.
Summary(ja): 	atkmm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	atk-devel >= 1.12.0
Requires:	glibmm-devel >= 2.24.0

%description devel
Header files and libraries for building a extension library for the atkmm.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}
mv ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{ver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}/

# devhelp path fix
sed -i 's:doc/%{name}-%{ver}:gtk-doc/html/%{name}-%{ver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/%{name}-%{ver}/%{name}-%{ver}.devhelp2

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}-*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/books/*

%changelog
* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.7-1
- new upstream release

* Thu Nov 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.6-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.5-1
- new upstream release

* Sun Jan 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.2-1
- new upstream release

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.1-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.0-1
- initial build for Vine Linux

