%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:	A library for accessing various audio file formats
Summary(ja):	さまざまなオーディオフォーマットを扱うライブラリ
Name:		audiofile
Version:	0.3.6
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Libraries
Source:		http://ftp.gnome.org/pub/GNOME/sources/audiofile/0.3/%{name}-%{version}.tar.xz
URL:		http://www.68k.org/~michael/audiofile/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	alsa-lib-devel

Vendor:		Project Vine
Distribution:	Vine Linux


%description
Library to handle various audio file formats.
Used by the esound daemon.

%description -l ja
さまざまなオーディオフォーマットを扱うライブラリです．
esound デーモンで使用します．


%package -n compat32-%{name}
Summary:	A library for accessing various audio file formats
Summary(ja):	さまざまなオーディオフォーマットを扱うライブラリ
Group:		System Environment/Libraries
Requires:       %{name} = %{version}

%description -n compat32-%{name}
Library to handle various audio file formats.
Used by the esound daemon.

%description -n compat32-%{name} -l ja
さまざまなオーディオフォーマットを扱うライブラリです．
esound デーモンで使用します．


%package devel
Summary:	Libraries, includes, etc to develop audiofile applications
Summary(ja):	オーディオファイルアプリケーションの開発用ライブラリ
Group:		Development/Libraries
Requires:       %{name} = %{version}
Requires:       pkgconfig

%description devel
Libraries, include files, etc you can use to develop audiofile applications.

%description devel -l ja
オーディオファイルアプリケーションの開発に使用できる，
ライブラリやヘッダーファイルなどです．


%package -n compat32-%{name}-devel
Summary:	Libraries, includes, etc to develop audiofile applications
Summary(ja):	オーディオファイルアプリケーションの開発用ライブラリ
Group:		Development/Libraries
Requires:       %{name}-devel    = %{version}
Requires:       compat32-%{name} = %{version}

%description -n compat32-%{name}-devel
Libraries, include files, etc you can use to develop audiofile applications.

%description -n compat32-%{name}-devel -l ja
オーディオファイルアプリケーションの開発に使用できる，
ライブラリやヘッダーファイルなどです．


%prep
%setup -q

%build
%configure --enable-largefile
make 


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if %{build_compat32}
%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig
%endif


%files
%defattr(-, root, root)
%doc ACKNOWLEDGEMENTS AUTHORS COPYING* ChangeLog INSTALL NEWS NOTES
%doc README TODO docs
%{_bindir}/sfconvert
%{_bindir}/sfinfo
%{_libdir}/libaudiofile.so.*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/audiofile.pc
%{_libdir}/libaudiofile.so
%{_includedir}/*.h


%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/libaudiofile.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/audiofile.pc
%{_libdir}/libaudiofile.so
%endif


%changelog
* Sun Mar 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.6-1
- new upstream release

* Sun Feb 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.5-1
- new upstream release

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.4-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-1
- new upstream release
- fix URL of Source

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.2.6-2
- spec in utf-8
- remove static lib

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.6-1
- applied new versioning policy
- removed *.la file from devel package
- added %%post and %%postun section

* Mon Mar 06 2006 NAKAMURA Kenta <kenta@c.csce.kyushu-u.ac.jp> 0.2.6-0vl3
- added compat32-* packages for x86_64 architecture support

* Thu Feb 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.2.6-0vl2
- rebuild
- update URL

* Sat Oct 23 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.6-0vl1
- new upstream release

* Mon Sep 29 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.4-0vl1
- new upstream release

* Sun Sep 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.2.3-7vl2
- add .la files to devel package

* Thu Aug 21 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.3-7vl1
- based on Rawhide 0.2.3-7
- rebuild with new toolchains
- fixed URL

* Fri Mar 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.2.3-0vl1
- updated to new upstream release

* Fri Mar 23 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.2.1-0vl1
- New upstream release.
- Use rpmmacros.

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 0.1.9-1vl4
- build with gcc-2.95.3
- removed strip

* Sun Jul 23 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- libtoolize

* Fri Sep 17 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- First try at a spec file for Vine
