Summary:	A menu system for the Cinnamon project
Summary(ja):	Cinnamon プロジェクト用メニューシステム
Name:		cinnamon-menus
Version:	2.2.0
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Libraries
URL:		https://github.com/linuxmint/cinnamon-menus
Source0:	%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	glib2-devel
BuildRequires:	gamin-devel
BuildRequires:	gobject-introspection-devel

Requires:		vine-menus >= 3.0

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi


%description
gnome-menus contains the libgnome-menu library, the layout configuration
files for the GNOME menu, as well as a simple menu editor.


%package devel
Summary: Libraries and include files for the Cinnamon menu system
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: glib2-devel

%description devel
This package provides the necessary development libraries for 
writing applications that use the Cinnamon menu system.


%prep
%setup -q

%build
%configure --with-monitor-backend=gio \
		--enable-debug=no \
		--enable-introspection=yes
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}

# remove default xdg menus, we use vine-menus instead.
#rm -f $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/*.menu


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
update-desktop-database -q &> /dev/null || :

%posttrans
update-desktop-database -q &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc
%{_libdir}/libcinnamon-menu-3.so.*
%{_libdir}/girepository-1.0/CMenu-3.0.typelib

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}-3.0
%{_libdir}/libcinnamon-menu-3.so
%{_libdir}/pkgconfig/libcinnamon-menu-3.0.pc
%{_datadir}/gir-1.0/CMenu-3.0.gir


%changelog
* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- initial build

