Summary: C Library for accessing CD-ROM books
Summary(ja): CD-ROM 書籍にアクセスするための C ライブラリ
Name: eb
Version: 4.4.3
Release: 2%{?_dist_release}
License: Modified BSD-style license
Group: System Environment/Libraries
URL: http://www.sra.co.jp/people/m-kasahr/eb/
Source0: ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}.tar.bz2
#Patch0: ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}+.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel >= 1.1.3
Requires: zlib >= 1.1.3
Requires(preun): /sbin/install-info
Conflicts: ndtpd = 2.3.7

Distribution: Vine Linux
Vendor: Project Vine

Packager: inagaki

%description
EB Library is a C library for accessing CD-ROM books.
It can be built on UNIX derived systems.
EB Library supports to access CD-ROM books of
EB, EBG, EBXA, EBXA-C, S-EBXA and EPWING formats.

%description -l ja
EB ライブラリは CD-ROM 書籍にアクセスするための C のライブラリです。
UNIX 系 OS のシステム上で動作させることができます。
EB, EBG, EBXA, EBXA-C, S-EBXA および EPWING 形式の
CD-ROM 書籍に対応しています。

%package devel
Summary: Header files to develop apps which will use eb.
Summary(ja): eb を使うアプリケーションを開発するためのヘッダーファイル
Group: Development/Libraries
Requires: eb = %{version}-%{release}

%description devel
The eb-devel package contains the header files
which enable you to develop programs utilizing the eb library.

%description devel -l ja
eb-devel パッケージには、eb ライブラリを利用するプログラムを開発
するために必要なヘッダーファイルが含まれています。

%prep
%setup -q

%build
env CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
%configure --with-zlib-include=%{_includedir} \
           --with-zlib-libraries=%{_libdir} \
           --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## remove unuse files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%preun
if [ $1 = 0 ] ;then
    for i in ebfont.info.gz ebinfo.info.gz ebrefile.info.gz \
	ebzip.info.gz ebfont-ja.info.gz ebinfo-ja.info.gz \
	ebrefile-ja.info.gz ebzip-ja.info.gz
    do
	if [ -f %{_infodir}/$i ]; then
	    /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/$i
	fi
    done
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL* NEWS README*
%config %{_sysconfdir}/eb.conf
%{_bindir}/*
%{_libdir}/libeb.so.*
%dir %{_datadir}/eb
%{_datadir}/eb/*
%{_localedir}/ja/LC_MESSAGES/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/eb
%{_includedir}/eb/*
#{_libdir}/libeb.a
#{_libdir}/libeb.la
%{_libdir}/libeb.so
%{_datadir}/aclocal/eb4.m4

%changelog
* Thu Jan 24 2013 IWAI, Masaharu <iwai@alib.jp> 4.4.3-2
- build with current VineSeed

* Sun Jan  2 2011 IWAI, Masaharu <iwai@alib.jp> 4.4.3-1
- new upstream release

* Wed Jul 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- new upstream release
- added --disable-static option to %%configure

* Sat Nov 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.3-1vl5
- new upstream release
- updated %%preun section for uninstalling info files

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 4.3-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Thu Dec 13 2007 IWAI, Masaharu <iwai@alib.jp> 4.3-0vl1
- new upstrem release
- update License tag's value
- add Japanese summary

* Sat Jul 23 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 4.1.1-0vl2
- add Japanese summary and description to devel package

* Sat Oct 30 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 4.1.1-0vl1
- version up to 4.1.1

* Wed Jul 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 4.1-0vl1
- version up to 4.1
- change from Copyright GPL to License BSD

* Tue May  4 2004 IWAI, Masaharu <iwai@alib.jp> 4.0-0vl1
- version up to 4.0+
  - update to 4.0 (Source0)
  - add 4.0+ patch (Patch0)
- add eb4.m4 file for devel package

* Mon Jul 21 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.3.4-0vl1
- version up to 3.3.4

* Thu Jun 12 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.3.3-0vl1
- version up to 3.3.3

* Fri Mar 14 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 3.3.2-0vl1
- version up to 3.3.2

* Mon Feb 17 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 3.3-2vl1
- version up to 3.3+2

* Sat Feb 08 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 3.3-1vl1
- version up to 3.3+

* Sun Nov 24 2002 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumie.ac.jp>
- 3.2.3-0vl1
- version up to 3.2.3

* Fri Jun 21 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 3.2.2-3vl2
- eliminated Patch0(eb-3.1+.diff), 1(eb-3.1+2.diff) and 2(eb-3.1+3.diff)
- merged 3.2.2-0vl1 for Vine-2.5 Plus's Spec file
    * Tue Jun 11 2002 Satoshi Tanaka <tnim@mint.freemail.ne.jp>
    - update eb.spec and release 3.2.20vl1 for Vine Linux 2.x

    * Tue Mar 30 2002 Satoshi Tanaka <tnim@mint.freemail.ne.jp>
    - Update version 3.2.1 for Vine Linux 2.1.5
- version up to 3.2.2
- use rpm macros

* Mon Nov 12 2001 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumie.ac.jp>
- 3.1-3vl1
- version up to 3.1+3

* Fri Jul  6 2001 UECHI Yasumasa <uh@u.dhis.portside.net>
- 3.0.1-0vl1
- version up to 3.0.1

* Sat Jun 23 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 3.0+-0vl3
- add PreReq: /sbin/install-info, handle info pages in %%post and %%preun

* Sat Jun 23 2001 UECHI Yasumasa <uh@u.dhis.portside.net>
- 3.0+-0vl2
- libeb.a, libeb.la, libeb.so move to eb-devel

* Fri Jun 22 2001 UECHI Yasumasa <uh@u.dhis.portside.net>
- 3.0+-0vl1
- version up to 3.0+

* Thu Aug 31 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.3.7-0vl4
- modified %files section to handle compressed info page(s)

* Tue Jun 13 2000 Takuya Yamazaki <ytakuya@mx6.mesh.ne.jp>
- to prevent eb and eb-devel from conflicting with ndtpd

* Sun Jun 11 2000 Takuya Yamazaki <ytakuya@mx6.mesh.ne.jp>
- to split eb of 1st release into eb and eb-devel

* Fri May 19 2000 Takuya Yamazaki <ytakuya@mx6.mesh.ne.jp>
- 1st release

