Summary:	An image viewing and cataloging program for MATE
Name:		eom
Version:	1.8.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Applications/Graphics
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-desktop-devel
BuildRequires:	mate-icon-theme
BuildRequires:	gtk2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libxml2-devel
BuildRequires:	librsvg2-devel
BuildRequires:	libexif-devel
BuildRequires:	lcms-devel
BuildRequires:	exempi-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils

Obsoletes:	mate-image-viewer < 1.8.0
Provides:	mate-image-viewer = %{version}-%{release}

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Patch0:		mate-image-viewer-1.2.0-configure.patch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This is the Eye of MATE, an image viewer program.  It is meant to be
a fast and functional image viewer.


%package		devel
Summary:        Development tools for mate-image-viewer
Summary(ja):    mate-image-viewer の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Obsoletes:		mate-image-viewer-devel < 1.8.0
Provides:		mate-image-viewer-devel = %{version}-%{release}

%description	devel
Header files and libraries for building a extension library for the
mate-image-viewer.


%package        docs
Summary:        Documentation for mate-image-viewer
Summary(ja):    mate-image-viewer 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
Obsoletes:		mate-image-viewer-docs < 1.8.0
Provides:		mate-image-viewer-docs = %{version}-%{release}

%description    docs
This package contains documentation for mate-image-viewer.


%prep
%setup -q
%patch0 -p1


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static 

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  touch --no-create %{_datadir}/icons/hicolor
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/%{name}/plugins
%{_datadir}/MateConf/gsettings/%{name}.convert
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/help/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-2.20
%{_libdir}/pkgconfig/%{name}.pc

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- rename package
- add BuildRequires: itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- rebuild with VineSeed environment

* Sun Sep 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release
- add Patch0 (mate-image-viewer-1.2.0-configure.patch)

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

