%define ver 0.4.8
%define rel 2

Summary: a GTK based configurae tool for Fcitx
Summary(ja): GTKベースのFcitx設定ツール
Name: fcitx-configtool
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: GPLv2
Group: System Environment/Libraries
URL: https://fcitx-im.org
Source0: http://download.fcitx-im.org/fcitx-configtool/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: fcitx-devel >= 4.2.8
BuildRequires: gtk3-devel >= 3.4
BuildRequires: gtk2-devel >= 2.24
BuildRequires: unique-devel
BuildRequires: iso-codes
Requires: fcitx
Requires: fcitx-configtool-gtk2

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
A GTK based configure tool for fcitx.

%description -l ja
GTKベースのFcitx設定ツール

%package gtk2
Summary: a GTK3 based configurae tool for Fcitx
Summary(ja): GTK2ベースのFcitx設定ツール
Requires: fcitx-configtool = %{version}
%description gtk2
A GTK2 based configure tool for fcitx.
%description -l ja gtk2
GTK2ベースのFcitx設定ツール

%package gtk3
Summary: a GTK3 based configurae tool for Fcitx
Summary(ja): GTK3ベースのFcitx設定ツール
Requires: fcitx-configtool = %{version}
%description gtk3
A GTK3 based configure tool for fcitx.
%description -l ja gtk3
GTK3ベースのFcitx設定ツール


%prep
%setup -q

%build
%__mkdir build
pushd build
%cmake .. \
  -DENABLE_GTK2=On \
  -DENABLE_GTK3=On
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING

%files gtk2
%{_bindir}/fcitx-config-gtk

%files gtk3
%{_bindir}/fcitx-config-gtk3

%changelog
* Wed Jun 04 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.4.8-2
- build gtk2 and gtk3 version
- add fcitx-configtool-gtk[23] subpackage.

* Fri Nov  8 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.4.8-1
- initial release

