%define ver 0.1.0
%define rel 1

%define from_git 1
%if %{from_git}
%define githash 51112956
%endif

Summary: Japanese Kana Kanji Engine for Fcitx
Name: fcitx-kkc
Version: %{ver}
%if %{from_git}
Release: %{rel}.git%{githash}%{_dist_release}
%else
Release: %{rel}%{_dist_release}
%endif
License: GPLv3
Group: System Environment/Libraries
URL: https://fcitx-im.org
%if %{from_git}
Source0: %{name}-%{githash}.tar.xz
%else
Source0: http://download.fcitx-im.org/fcitx-kkc/%{name}-%{version}.tar.xz
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: fcitx-devel >= 4.2.8
BuildRequires: libkkc-devel >= 0.2.3
Requires: fcitx

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
Japanese Kana Kanji Engine for Fcitx.

%prep
%if %{from_git}
%setup -q -n %{name}-%{githash}
%else
%setup -q
%endif

%build
%__mkdir build
pushd build
%cmake ENABLE_QT=On ..
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/fcitx/fcitx-kkc.so
%{_libdir}/fcitx/qt/libfcitx-kkc-config.so
%{_datadir}/fcitx/addon/fcitx-kkc.conf
%{_datadir}/fcitx/configdesc/fcitx-kkc.desc
%{_datadir}/fcitx/imicon/kkc.png
%{_datadir}/fcitx/inputmethod/kkc.conf
%dir %{_datadir}/fcitx/kkc
%{_datadir}/fcitx/kkc/dictionary_list
%{_datadir}/fcitx/kkc/rule
%{_datadir}/icons/hicolor/64x64/apps/fcitx-kkc.png
%dir %{_includedir}/fcitx/module/kkc
%{_includedir}/fcitx/module/kkc/fcitx-kkc.h

%changelog
* Sun Dec 22 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.1.0-1.git51112956
- initial relase

