Summary(ja): GNU バージョンの awk テキスト処理ユーティリティー
Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 4.1.0
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Text

Source0: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.xz

Requires(post): /sbin/install-info
Requires: mktemp

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: byacc

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.


%description -l ja
gawk パッケージは GNU バージョンの、テキスト処理ユーティリティー awk 
を含んでいます。awk は素早く、簡単にパターンマッチングと整形処理を行う
ためのプログラミング

テキスト処理ユーティティーが必要なら、gawk パッケージをインストールし
てください。gawk はLinux 上でテキスト処理を行う標準的なツールです。

%prep
%setup -q -n gawk-%{version}

%build
%configure --bindir=/bin --with-libsigsegv-prefix=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -sf gawk.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/awk.1.gz
ln -sf ../../bin/gawk $RPM_BUILD_ROOT%{_bindir}/awk
ln -sf ../../bin/gawk $RPM_BUILD_ROOT%{_bindir}/gawk
rm -f $RPM_BUILD_ROOT/bin/{,p}gawk-%{version}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_infodir}/gawk.info.gz ]; then
  /sbin/install-info %{_infodir}/gawk.info.gz %{_infodir}/dir ||:
fi

%preun
if [ $1 = 0 -a -f %{_infodir}/gawk.info.gz ]; then
   /sbin/install-info --delete %{_infodir}/gawk.info.gz %{_infodir}/dir ||:
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING FUTURES INSTALL LIMITATIONS NEWS
%doc README_d/README.multibyte README_d/README.tests POSIX.STD
/bin/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_infodir}/gawk.info*
%{_infodir}/gawkinet.info*
%{_libexecdir}/awk
%{_datadir}/awk
%{_includedir}/gawkapi.h
%dir %{_libdir}/gawk
%{_libdir}/gawk/*

%changelog
* Mon Jan 20 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.0-1
- update to 4.1.0

* Thu Nov 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.1-1
- new upstream reelase
- drop outdated ja.po
- disable libsigsegv
- add BR: byacc

* Thu Apr 07 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.8-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 3.1.3-1vl5
- applied new versioning policy, spec in utf-8

* Thu Mar 09 2006 Shu KONNO <owa@bg.wakwak.com> 3.1.3-0vl3
- fixed missing list in %%doc
- rebuilt for x86_64 architecture support

* Tue May 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.3-0vl2
- readd patch9 to disable warning

* Wed May  5 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.3-0vl1
- new upstream release
- import patches from fedora package.
- add patch10 to add ja in LINGUAS
- add ja.po

* Tue May 13 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.2-3vl1
- synced with Rawhide 3.1.2-3

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-2vl2
- fixed typo

* Thu May 31 2001 <sagami@vinelinux.org>
- 3.0.6-2vl1: follow up with RH 3.0.6-2
- gawk-3.0.6 + mb1.15

* Mon Aug  7 2000 Jun Nishii <jun@vinelinux.org>
- 3.0.4-2vl1
- follow up with RHL62
- use brp

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- 3.0.4-1vl1
- change version-release for Vine Linux 2.0
- bzip2 sources

* Wed Sep 29 1999 Norihito Ohmori <nono@kondara.org>
- add Multibyte Patch.

* Wed Jun 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.4.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

