%global geany_plug_docdir %{_defaultdocdir}/%{name}-%{version}
%global req_geany_ver 0.21

Name:           geany-plugins
Version:        1.24
Release:        1%{?_dist_release}
Summary:        Plugins for Geany
Summary(ja):    Geany のプラグイン集

Group:          Development/Tools
License:        GPLv3
URL:            http://plugins.geany.org/
Source0:        http://plugins.geany.org/geany-plugins/geany-plugins-%{version}.tar.bz2
#Patch0: fix_installation_path_of_geanylatex_documents.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  ctpl-devel >= 0.2
#BuildRequires:  devhelp-devel
BuildRequires:  enchant-devel
BuildRequires:  geany-devel >= %{req_geany_ver}
BuildRequires:  gettext
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  glib2-devel
BuildRequires:  gpgme-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtkspell-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  libsoup-devel >= 2.4
BuildRequires:  lua-devel
BuildRequires:  libxml2-devel >= 2.6.27
BuildRequires:  pango-devel
BuildRequires:  pkgconfig
BuildRequires:  pygtk2-devel
BuildRequires:  python-devel
BuildRequires:  python-docutils
BuildRequires:  vala-devel
BuildRequires:  vte-devel
BuildRequires:  WebKit-gtk-devel

Requires:  %{name}-addons %{name}-geanydoc %{name}-geanylatex
Requires:  %{name}-geanylipsum %{name}-geanylua %{name}-geanyprj %{name}-geanysendmail
Requires:  %{name}-geanyvc %{name}-shiftcolumn %{name}-spellcheck
Requires:  %{name}-codenav %{name}-treebrowser %{name}-geanyextrasel
Requires:  %{name}-geanyinsertnum %{name}-pretty-printer %{name}-geanygendoc
Requires:  %{name}-updatechecker %{name}-webhelper
Requires:  %{name}-debugger %{name}-xmlsnippets %{name}-geanymacro %{name}-geanynumberedbookmarks
Requires:  %{name}-geanypg %{name}-gproject %{name}-tableconvert
Requires:  %{name}-geanyminiscript %{name}-geniuspaste %{name}-multiterm
Requires:  %{name}-commander %{name}-markdown %{name}-scope

Requires:  %{name}-pohelper %{name}-paritaghighlighter %{name}-autoclose %{name}-geanypy %{name}-defineformat

%description
Plugins for Geany. Plugins included are:
* Addons (Various small Addons)
* Code navigation (Navigate through your source code easily)
* Commander （Provides a command panel for rapid access to any action）
* Debugger (Enables debugging in Geany)
* Geanydoc (Call specific documentation from within Geany)
* Geanyextrasel (Additional features for selecting code)
* GeanyGenDoc (Automatically generate documentation source code)
#* GeanyGDB (Integration with GDB)
* Geanyinsertnum (Insert huge number ranges with small efforts)
* GeanyLaTeX (Improved Support for LaTeX documents)
* GeanyLipsum (Inserting blocks of Lorem Ipsum text)
* Geanylua (Support for Scripting with Lua)
* GeanyMacro (User defined Macros for Geany)
* GeanyMiniScript (A tool to apply a script on a text selection or current document(s))
* GeanyNumberedBookmarks (Provide users with 10 numbered Bookmarks)
* GeniusPaste (Paste your code on your favorite pastebin)
* GeanyPG (Encrypt, decrypt and verify signatures with GnuPG)
* Geanyprj (Alternate project management for Geany)
* GeanySendMail (Sending of documents from within Geany)
* GeanyVC (Support for various Version Control Systems)
* GProject (Extension of Geany's Project Management)
* Markdown (provides a real-time preview of rendered Markdown)
* MultiTerm (Multi-tabbed virtual terminal emulator)
* Pretty-Print (XML Pretty Printer)
* Scope (graphical GDB front-end with the normal functions)
* Shiftcolumn (Moving blocks of text horizontally)
* Spellcheck (Spell checking of documents or marked text)
* Tableconvert (Helps on converting a tabulator separated selection into a table)
* Treebrowser (Alternate file browser with tree view of folders)
* Updatechecker (Automatically check for Geany updates)
* Webhelper (Preview and Debug Web documents from within Geany using WebKit)
* XMLSnippets (Extends XML/HTML tag autocompletion provided by Geany)


This package is meta package to install all geany-plugins.

%description -l ja
Geany のプラグインです。プラグインには以下のものが含まれています。
* Addons （色々な小さなアドオン）
* Code navigation （ソースコード間を簡単に移動）
* Commander （任意のアクションに迅速にアクセスするためのコマンドパネルを提供）
* Debugger (Geany でデバッグを有効化)
* Geanydoc （geany から固有のドキュメントを呼び出す）
* Geanyextrasel （コード選択のための追加機能）
* GeanyGenDoc （ソースコードから自動的にドキュメントの元を生成）
#* GeanyGDB （GDB 統合環境を提供）
* GeanyLaTex （LaTeX ドキュメントのサポートを改善)
* GeanyLipsum (Lorem Ipsum テキストのブロックを挿入)
* GeanySendMail （Geany からドキュメントの送信を許可）
* GeanyVC （色々なバージョン管理システムのサポート）
* GProject (Geany のプロジェクト管理拡張)
* Geanyinsertnum （僅かな労力で膨大な範囲の番号を挿入）
* Geanylua （lua スクリプトのサポートを提供）
* GeanyMacro (Geany のユーザー定義マクロ)
* GeanyMiniScript (A tool to apply a script on a text selection or current document(s))
* GeanyNumberedBookmarks (ユーザーに 10 個の番号付ブックマークを提供)
* GeniusPaste (お気に入りの pastebin からコードを貼り付け)
* GeanyPG (GnuPG で暗号化・復号化及び署名を検証する)
* Geanyprj （geany の代替プロジェクト管理）
* Markdown (provides a real-time preview of rendered Markdown)
* MultiTerm (マルチタブの仮想端末エミュレーター)
* Scope (graphical GDB front-end with the normal functions)
* Shiftcolumn (テキストブロックを水平方向に移動)
* Spellcheck （ドキュメントのスペルチェック）
* Tableconvert (テーブルにタブで区切られた選択項目を変換する際役立つ)
* Treebrowser （フォルダの内容をツリービューする代替ファイルブラウザ）
* Pretty-Print (XML Pretty Printer)
* Updatechecker (Geany の更新を自動的にチェック)
* Webhelper (WebKit を使い Geany から Web ドキュメントのプレビューとデバッグを実行)
* XMLSnippets (Geany により提供される拡張 XML/HTML タグの自動補完)


このパッケージは、geany-plugins をすべてインストールするための
メタパッケージです。

%package common
Summary:   Common files used by all geany plugins
Summary(ja): すべての Geany プラグインに用いられる共通ファイル
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}

%description common
This package contains some common files which are used by every Geany plugin,
e.g. language translations.

%description common -l ja
このパッケージには、例えば翻訳ファイルなどの
すべての Geany プラグイン で用いられる共通ファイルが含まれています。

%package addons
Summary:   Miscellaneous Addons for Geany
Summary(ja): Geany のその他のアドオン
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}
Obsoletes: geany-plugin-addons

%description addons
This plugins consists of various small addons too small to justify their own
plugin, but are useful to have. The following functionality is implemented:
* Doclist: This addon places a new item in the toolbar and when clicked offers
  a menu listing all open files plus the 'Close All' and 'Close Other
  Documents' menu items. This can be useful to quickly access open files and
  switch to them.
* OpenURI: Adds 'Open URI' and 'Copy URI' menu items to the editor menu when
  the word under the cursor looks like a URI. 'Open URI' uses the browser
  command configured in Geany to open it.
* Tasks:The tasks plugin goes through a file being edited and picks out lines
  with "TODO" or "FIXME" in them. It collects the text after those words and
  puts them in a new "Tasks" tab in the message window. Clicking on a task in
  that tab takes you to the line in the file where the task was defined.
* Systray: Adds a status icon to the notification area (systray) and provides
  a simple popup menu with some basic actions. It can also be used to quickly
  show and hide the Geany main window.


%package autoclose
Summary:   Intellectually helps you to write code
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description autoclose
This plugin enables auto-closing features. Auto-closing works while you typing
and intellectually helps you to write code.


%package codenav
Summary:    Navigate through your source code easily
Summary(ja):  ソースコード間を簡単に移動
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description codenav
This plugin adds some facilities for navigating in the code.
Actually, it will make it possible to:
- switch between header and implementation
- go to a file by typing its name


%package commander
Summary:    provides a command panel for rapid access to any action
Summary(ja):  任意のアクションに迅速にアクセスするためのコマンドパネルを提供
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description commander
Commander is a plugin for Geany that provides a command panel 
for rapid access to any action.


%package debugger
Summary: enables debugging in Geany
Group:      Development/Tools
Requires:   geany-plugins-common = %{version}-%{release}
Requires:   vte >= 0.24
Obsoletes: geany-plugin-gdb
Obsoletes: geany-plugins-geanygdb < %{version}-%{release}

%description debugger
Plugin enables debugging in Geany. Currently supports GDB only, but was
developed with multiple debuggers support in mind, so the other backends
support is planned as well.


%package defineformat
Summary:    Write multiline defines with aligned backslash
Group:      Development/Tools
Requires:   geany-plugins-common = %{version}-%{release}

%description defineformat
On-the-fly #define prettyprinter. This plugin will help you to
write multiline defines with aligned backslash. After installed successfully,
load the plugin in Geany's plugin manager. Try it: open C/C++ file and type:

    #define A() do {


%package geanydoc
Summary:   Call documentation from within Geany
Summary(ja): Geany 内からドキュメントを呼び出す
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description geanydoc
Geanydoc allows you to execute specific commands on the word under the cursor.
This word is passed as an argument to the command. The output of the command
can either be placed into a special buffer called "DOC" or can be used to
execute an external program. Geanydoc is intended to be used for searching
through API documentation.


%package geanyextrasel
Summary:   Additional features for selecting code
Summary(ja): コード選択のための追加機能
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description geanyextrasel
Geanyextrasel provides some special features for selecting code, e.g. from
opening brace to closed brace and so on. This plugin will be very useful for
you if you're a programmer and working with much sourcecodes.


#%package geanygdb
#Summary:   Debugger Plugin for Geany using GDB
#Summary(ja): GDB を使った Geany のデバッガプラグイン
#Group:     Development/Tools
#Requires:  geany >= %{req_geany_ver}
#Requires:  geany-plugins-common = %{version}-%{release}
#Requires:  gdb
#Obsoletes: geany-plugin-gdb

#%description geanygdb
#GeanyGDB plugin provides an integrated debugging environment for the
#GNU debugger (gdb).

#%description geanygdb -l ja
#GeanyGDB プラグインは GNU debugger (gdb) のための
#統合的デバッグ環境を提供します。


%package geanygendoc
Summary:   Automatically generate documentation source code
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description geanygendoc
GeanyGenDoc is a plugin for Geany that aims to automatically generate
documentation comment basis from the source code.

You may also want to install the following packages which enable
some extra features:
 - Docutils (http://docutils.sourceforge.net/) -- or another implementation of
   rst2html -- is needed to (re)generate the HTML manual.


%package geanyinsertnum
Summary:   Insert huge number ranges with small efforts
Summary(ja):   僅かな労力で膨大な範囲の番号を挿入
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description geanyinsertnum
Geanyinsertnum replaces a (possibly zero-width) rectangular selection with
integer numbers, using start/step/base etc. specified by the user. For
practical reasons, the number of lines is limited to 500000.


%package geanylatex
Summary:   to improve LaTeX support plugin for Geany
Summary(ja): Geany のための LaTeX サポート改善プラグイン
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}
Requires:  texlive
Obsoletes: geany-plugin-latex

%description geanylatex
This plugin improves LaTeX support in Geany. It provides several templates for
new documents, help with adding labels and inserting special characters,
and much more.

%description geanylatex -l ja
このプラグインは Geany で LaTeX のサポートを改善するプラグインです。
新しい文書のためのいくつかのテンプレート、
ラベルの追加や特殊文字の挿入機能などを提供します。


%package geanylipsum
Summary:   Lorem Ipsum generator for Inserting Placeholder Text
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description geanylipsum
GeanyLipsum is a Lorem Ipsum generator for inserting placeholder text into a
document.


%package geanylua
Summary:   Support developing Lua Scripting for Geany
Summary(ja): Geany で Lua スクリプト開発をサポート
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}
Requires:  lua

%description geanylua
This plugin provides extensive support for developing in the lua programming
language.

%description geanylua -l ja
このプラグインは、lua プログラミング言語で開発するための
広範なサポートを提供します。


%package geanymacro
Summary:   User defined Macros for Geany
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description geanymacro
GeanyMacro is a plugin to provide user defined macros for Geany. It started
out as part of the ConText feature parity plugin, which was split into
individual plugins to better suit Geany's ethos of being as light as
possible while allowing users to select which features they want to add to
the core editor. The idea was taken from a Text Editor for Windows called
ConText.

This plugin alows you to record and use your own macros. Macros are
sequences of actions that can then be repeated with a single key
combination. So if you had dozens of lines where you wanted to delete the
last 2 characters, you could simple start recording, press End, Backspace,
Backspace, down line and then stop recording. Then simply trigger the macro
and it would automaticaly edit the line and move to the next. You could then
just repeatedly trigger the macro to do as many lines as you want.


%package geanyminiscript
Summary:   Geany Mini-Script filter plugin
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description geanyminiscript
gms is a Geany Mini-Script filter plugin.


%package geanynumberedbookmarks
Summary:   Provide users 10 numbered Bookmarks
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description geanynumberedbookmarks
GeanyNumberedBookmarks is a plugin to provide users with 10 numbered
bookmarks (in addition to the usual bookmarks). It started out as part of
the ConText feature parity plugin, which was split into individual plugins
to better suit Geany's ethos of being as light as possible while allowing
users to select which features they want to add to the core editor. The idea
was taken from a Text Editor for Windows called ConText.

Normally if you had more than one bookmark, you would have to cycle through
them until you reached the one you wanted. With this plugin you can go
straight to the bookmark that you want with a single key combination.


%package geanypg
Summary:   encrypt, decrypt and verify signatures with GnuPG
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}
Requires:  gpgme

%description geanypg
GeanyPG is a plugin for Geany that allows the user to encrypt, decrypt and
verify signatures with GnuPG.


%package geanyprj
Summary:   Provides an alternate project management tool for Geany
Summary(ja): Geany で代替プロジェクト管理ツールを提供
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description geanyprj
Geanyprj provides an alternate project management approach to Geany's built-in
project facility. The idea is to be less a "session manager" as the built-in
project management does: It allows/requires you to manually open and close
project and allows you to store project files in different locations from
project sources.

Geanyprj takes a different approach:
It never saves session information, so that project files can be stored in
version control without constant noise from changes of opened files or cursor
position. You also will never have to open/close projects manually. If a
*.geanyprj file is found somewhere up in path it will be opened automatically.


%package geanypy
Summary:   Provides Python bindings for Geany
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description geanypy
GeanyPy is based on the upstream at https://github.com/codebrainz/geanypy which
is still under development, however it is useful as is. Parts of the existing
API which mirror the Geany C API will probably not change unless the Geany API
changes, however new API may be added. Also documentation is needed, contributions
are welcome.

Detailed information can be found in the documentation directory and at
http://plugins.geany.org/geanypy.html


%package geanysendmail
Summary:   Send E-Mails from within Geany
Summary(ja): Geany 内から E-Mail を送信するプラグイン
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description geanysendmail
GeanySendMail is a little plugin to send a document as attachment using the
preferred mail client from inside Geany. It is similar to the envelope symbol
of most office tools and requires a mail client that supports remote calls.


%package geanyvc
Summary:   Version Control plugin for Geany
Summary(ja): Geany のバージョン管理プラグイン
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}
Obsoletes: geany-plugin-vc
Provides:  geanyvc = %{version}-%{release}

%description geanyvc
Geanyvc is a plugin that provides a uniform way of accessing different version
control systems from within the Geany IDE. Currently, support for the following
version control systems is provided:

* Bazaar
* Git
* Mercurial
* Subversion
* SVK
* CVS

%description geanyvc -l ja
Geanyvc は Geany IDE から異なるバージョン管理システムにアクセスする
均一的方法を提供するプラグインです。
現在、サポートするバージョン管理システムは以下の通りです。

* Bazaar
* Git
* Mercurial
* Subversion
* SVK
* CVS


%package geniuspaste
Summary:   allows the user to paste the code from Geany into five different pastebins
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description geniuspaste
This plugin allows the user to paste the code from Geany into five different
pastebins. At the moment it supports this services:

* codepad.org
* tinypaste.com
* pastebin.geany.org
* dpaste.de
* sprunge.us


%package gproject
Summary:   Extension of Geany's project management
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description gproject
GProject is an extension of Geany's project management displaying a tree of
files belonging to the project in the sidebar. In addition, it enables quick
swapping between header and source files, searching project files by name
and more. The plugin was created with big projects in mind so everything
works fast enough even with projects consisting of hundreds of thousands of
files.


%package markdown
Summary:   provides a real-time preview of rendered Markdown
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description markdown
This plugin provides a real-time preview of rendered Markdown, that is,
`Markdown <http://daringfireball.net/projects/markdown>`_ converted to HTML
and inserted into an HTML template and loaded into a
`WebKit <http://www.webkit.org>`_ view.


%package multiterm
Summary:   supports multiple terminals
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description multiterm
MultiTerm is similar to Geany's built-in VTE terminal except that it
supports multiple terminals in tabs and supports different shells in
each of the terminal tabs.


%package pairtaghighlighter
Summary:   Extension of Geany's project management
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description pairtaghighlighter
Find and highlight matching opening/closing HTML tags by clicking or moving the
cursor inside a tag.


%package pohelper
Summary:   Translation Helper is a plugin for Geany
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description pohelper
A plugin for Geany that improves the support for GetText translation files, by
providing various features specific to this format and to translators.

Features:

* Navigation between all, untranslated or fuzzy messages;
* Reformatting of the translation (reflow);
* Toggling the fuzziness of a translation;
* Pasting of the untranslated string to the translation;
* Automatic updating of the translation metadata.


%package pretty-printer
Summary:   XML pretty printing plugin for Geany
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}
Requires:  libxml2 >= 2.6.27
Obsoletes: %{name}-pretty-print

%description pretty-printer
Plugin for Geany to easily beautify XML code.


%package scope
Summary:   graphical GDB front-end with the normal functions
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}
Requires:  gdb

%description scope
Scope is a graphical GDB front-end with the normal functions you would
expect (stepping, breakpoints...), and a few notable features:

- The comminication between Scope and gdb is asynchronous.
- You can enter any gdb command, at any time (of course, for the command to
  be executed, gdb must be[come] available).
- All gdb I/O (along with some other messages) is displayed in a
  terminal-like "Debug Console".
  Whenever you find the GUI lacking, simply switch to that console and work
  directly with gdb.
- 7-bit/Locale/UTF-8 support for values.


%package shiftcolumn
Summary:   Move Blocks of Text horizontally
Summary(ja): テキストブロックを水平方向に移動
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description shiftcolumn
Shiftcolumn allows you to move blocks of text horizontally in Geany.

%description shiftcolumn -l ja
Shiftcolumn は Geany 内でテキストブロックを水平方向に移動させることが
できます。

%package spellcheck
Summary:   Spellcheck Text in Geany using the Enchant Library
Summary(ja): Enchant ライブラリを使い Geany でスペルチェック
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}
Requires:  enchant

%description spellcheck
Spellcheck checks the selected text (or the whole document) with the spellcheck
library Enchant.

%description spellcheck -l ja
Spellcheck は、選択したテキスト（または文書全体）のスペルチェックを
スペルチェックライブラリの Enchant で行います。


%package treebrowser
Summary:   Alternate file browser plugin providing a tree view of directories.
Summary(ja): ディレクトリのツリービューを提供する代替ファイルブラウザプラグイン
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}
Requires:  geany-plugins-common = %{version}-%{release}

%description treebrowser
The tree browser plugin for Geany provides an alternate way to browse through
your files. It displays files and directories in a tree view and has more
features than the file browser plugin delivered with Geany itself.


%package tableconvert
Summary:   Helps on converting a tabulator separated selection into a table
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description tableconvert
Tableconvert is a plugin which helps on converting a tabulator separated
selection into a table.


%package updatechecker
Summary:   Automatically check for Geany updates
Summary(ja): Geany の更新を自動的にチェック
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description updatechecker
UpdateChecker is a plugin for Geany, which is able to check whether there is
a more recent version of Geany available.


%package webhelper
Summary:   Preview and Debug Web documents from within Geany using WebKit
Summary(ja): WebKit を使い Geany から Web ドキュメントのプレビューとデバッグを実行
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description webhelper
WebHelper is a plugin for Geany that provides some web development
facilities, such as a web page preview and some debugging tools (web
inspector).

Prominent features:

* A basic web view, allowing to display any web page (using WebKit)
* Possible automatic reloading of the web view upon document saving
* A web inspector/debugging tool for the web view's content (including a
  JavaScript console, a viewer and editor of processed HTML and CSS, a network
  usage analysis tool and many more, thanks to WebKit).


%package xmlsnippets
Summary:   Extends XML/HTML tag autocompletion provided by Geany
Group:     Development/Tools
Requires:  geany-plugins-common = %{version}-%{release}

%description xmlsnippets
This plugin extends XML/HTML tag autocompletion provided by Geany. It
automatically inserts a matching snippet after you type an opening tag.


%prep
%setup -q
#%patch0 -p1


%build
%configure --docdir=%{geany_plug_docdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install -p DESTDIR=$RPM_BUILD_ROOT

# Remove static library *.la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f '{}' \;

# Remove zero-length files
find $RPM_BUILD_ROOT -type f -empty -delete

# copy geanylatex document images
cp -pr geanylatex/doc/img/ $RPM_BUILD_ROOT%{geany_plug_docdir}/geanylatex/

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files

%files common -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}/
%dir %{_datadir}/%{name}/


%files addons
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/addons
%{_libdir}/geany/addons.so


%files autoclose
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/autoclose
%{_libdir}/geany/autoclose.so


%files codenav
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/commander
%{_libdir}/geany/commander.so


%files commander
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/codenav
%{_libdir}/geany/codenav.so


%files debugger
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/debugger
%{_datadir}/%{name}/debugger/
%{_libdir}/geany/debugger.so


%files defineformat
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/defineformat
%{_libdir}/geany/defineformat.so


%files geanydoc
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanydoc/
%{_libdir}/geany/geanydoc.so


%files geanyextrasel
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanyextrasel/
%{_libdir}/geany/geanyextrasel.so


#%files geanygdb
#%defattr(-,root,root,-)
#%doc %{geany_plug_docdir}/geanygdb/
#%{_libdir}/geany/geanygdb.so
#%{_libexecdir}/geany-plugins/geanygdb/ttyhelper


%files geanygendoc
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanygendoc/
%{_libdir}/geany/geanygendoc.so
%{_datadir}/%{name}/geanygendoc/


%files geanyinsertnum
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanyinsertnum/
%{_libdir}/geany/geanyinsertnum.so


%files geanylatex
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanylatex/
%{_libdir}/geany/geanylatex.so


%files geanylipsum
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanylipsum/
%{_libdir}/geany/geanylipsum.so


%files geanylua
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanylua/
%{_libdir}/geany/geanylua.so
%{_datadir}/%{name}/geanylua/
%{_libdir}/%{name}/geanylua/


%files geanymacro
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanymacro/
%{_libdir}/geany/geanymacro.so


%files geanyminiscript
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanyminiscript/
%{_libdir}/geany/geanyminiscript.so


%files geanynumberedbookmarks
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanynumberedbookmarks/
%{_libdir}/geany/geanynumberedbookmarks.so


%files geanypg
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanypg/
%{_libdir}/geany/geanypg.so


%files geanyprj
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanyprj/
%{_libdir}/geany/geanyprj.so


%files geanypy
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanypy/
%{_libdir}/geany/geanypy.so
%{_libdir}/geany/geanypy/geany/*
%{_datadir}/geany/geanypy/plugins/*


%files geanysendmail
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanysendmail/
%{_libdir}/geany/geanysendmail.so


%files gproject
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/gproject/
%{_datadir}/icons/hicolor/16x16/apps/gproject-*.png
%{_libdir}/geany/gproject.so


%files geanyvc
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geanyvc/
%{_libdir}/geany/geanyvc.so


%files geniuspaste
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/geniuspaste/
%{_libdir}/geany/geniuspaste.so


%files markdown
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/markdown/
%{_libdir}/geany/markdown.so


%files multiterm
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/multiterm/
%{_libdir}/geany/multiterm.so


%files pairtaghighlighter
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/pairtaghighlighter/
%{_libdir}/geany/pairtaghighlighter.so


%files pohelper
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/pohelper/
%{_libdir}/geany/pohelper.so
%{_datadir}/geany-plugins/pohelper/menus.ui


%files pretty-printer
%defattr(-,root,root,-)
%{_libdir}/geany/pretty-printer.so


%files scope
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/scope/
%{_libdir}/geany/scope.so
%{_datadir}/%{name}/scope/


%files shiftcolumn
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/shiftcolumn/
%{_libdir}/geany/shiftcolumn.so


%files spellcheck
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/spellcheck/
%{_libdir}/geany/spellcheck.so


%files tableconvert
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/tableconvert/
%{_libdir}/geany/tableconvert.so


%files treebrowser
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/treebrowser/
%{_libdir}/geany/treebrowser.so


%files updatechecker
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/updatechecker/
%{_libdir}/geany/updatechecker.so


%files webhelper
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/webhelper/
%{_libdir}/geany/webhelper.so


%files xmlsnippets
%defattr(-,root,root,-)
%doc %{geany_plug_docdir}/xmlsnippets/
%{_libdir}/geany/xmlsnippets.so


%changelog
* Sat May 17 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.24-1
- new upstream release
- added new plugins
  - Pohelper, PariTagHighlighter, Autoclose, Geanypy, Defineformat
- added BuildRequires: python-devel, pygtk2-devel

* Sat Mar 30 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.23-2
- fixed meta package

* Sat Mar 23 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.23-1
- new upstream release
- deleted Patch0
- added new plugins
  - Commander, Markdown, Scope

* Fri Jul 20 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.22-1
- new upstream release
- added BuildRequires: vala-devel
- added new plugins
  - GeanyMiniScript, GeniusPaste, MultiTerm
- added Patch0 to fix installation path of geanylatex documents
- renamed pretty-print to pretty-printer
- obsoleted geany-plugins-geanygdb to provide same function as geany-plugins-debugger

* Sun Nov 13 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.21-2
- added BuildRequires: vte-devel, WebKit-gtk-devel, gtk2-devel, glib2-devel, 
  gdk-pixbuf2-devel, pango-devel, python-docutils
- fixed %%changelog in Sat Oct 29 2011

* Sat Oct 29 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.21-1
- new upstream release
- added new plugins
  - Debugger, GeanyPG, GeanyMacro, GeanyNumberedBookmarks, GProject, Tableconvert, XMLSnippets
- added BuildRequires: gpgme-devel

* Sun Jan 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.20-1
- new upstream release
- added geany-plugins-updatechecker and geany-plugins-webhelper

* Sun Aug 8 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.19-3
- added geany-plugins-geanygendoc
- added BuildRequires: ctpl-devel >= 0.2
- changed geany-plugins-latex Requires: tetex to Requires: texlive
- removed zero-length documentation files

* Sun Jul 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.19-2
- correct license to GPLv3+
- added BuildRequires: libxml2-devel >= 2.6.27
- added Requires: geany-plugins-codenav, geany-plugins-treebrowser,
  geany-plugins-geanyextrasel, geany-plugins-geanyinsertnum, geany-plugins-pretty-print

* Mon Jun 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.19-1
- new upstream release

* Sat Mar 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.18-3
- fixed Requires geany-plugins
- applied new naming policy to spec

* Thu Jan 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.18-2
- fixed Obsoletes geany-plugin-addons, geany-plugin-gdb, geany-plugin-latex, geany-plugin-vc
  (see [BTS:VineLinux:0894])
- proved Summary(ja)

* Wed Nov 18 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.18-1
- initial build for Vine Linux (instead of now provided some geany-plugins)

* Sat Oct 31 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.18-1
- update to new upstream release

* Sun Aug 16 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17.1-6
- build against and require geany 0.18

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.17.1-5
- Use bzipped upstream tarball.

* Sat Jul 25 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17.1-4
- write BuildRequires at the beginning of this file

* Wed Jul 22 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17.1-3
- remove Requires: geany from the main package
- change Group to Development/Tools
- add release to the geanyvc Provides
- entirely remove %%files stanza for the main package

* Wed Jul 22 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17.1-2
- fix the required geany version also in the subpackages
- remove the requires to sub-packages to avoid building the metapackage since
  all geany plugins also can be installed by something like
  'yum install geany-plugins-*'
- fix the requires of geany-plugins-common to include the release

* Wed Jul 22 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17.1-1
- bump upstream version to 0.17.1
- fix required geany version to be 0.16 at the present

* Sat Jul 18 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17-5
- add Requires for metapackage
- rename subpackages back to geany-plugins-* instead of geany-plugin-*

* Fri Jul 17 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17-4
- readd the geany_plug_docdir global to fix the versioned directory issue for
  documentation files
- replace geany-plugins with %%{name} to be more consistent with macro usage
- remove zero-length documentation files
- fix the changelog
- remove static *.la-files
- split up packages

* Wed Jul 15 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17-3
- add %%{_datadir}/geany-plugins/geanylua/ to %%files-section

* Wed Jul 15 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17-2
- fix %%files-section again, thanks to Jonathan for the hint.

* Tue Jul 14 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.17-1
- update URL to plugins.geany.org

* Tue Jul 14 2009 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.17-0.2
- Add Obsoletes for geanyvc
- Add more BuildRequires and Requires

* Tue Jul 14 2009 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.17-0.1
- Update to 0.17 (first upstream release of tarball)
- Fix handling of docs
- Spec file cleanups

* Mon Jun 22 2009 Pingou <pingou@pingoured.fr> 0.1-1
- First RPM for Fedora
