Summary:	Code assistance plugin for gedit
Summary(ja):	gedit 用コード支援プラグイン
Name:		gedit-code-assistance
Version:	0.3.1
Release:	1%{?_dist_release}
License:	GPLv3
Group:		User Interface/Deskops
URL:		http://git.gnome.org/browse/gedit-code-assistance/

Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gedit-devel
BuildRequires:	llvm-devel
BuildRequires:	clang-devel
BuildRequires:	vala-tools
BuildRequires:	glib2-devel
BuildRequires:	libgee-devel
BuildRequires:	libpeas-devel
BuildRequires:	pygobject3-devel

Obsoletes: %{name}-devel < 3.12.0
Obsoletes: %{name}-vala < 3.12.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
gedit code assistance is a plugin for gedit which provides code assistance for
C, C++, Objective-C, Python, XML, and RelaxNG.

%description -l ja
gedit-code-assistance は C, C++, Objective-C, Python, XML 及び RelaxNG のコード
支援機能を提供するための gedit 用プラグインです。


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README NEWS
%{_libdir}/gedit/plugins/codeassistance.plugin
%{_libdir}/gedit/plugins/libcodeassistance.so
%{_datadir}/gedit/plugins/codeassistance/codeassistance.css


%changelog
* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.1-1
- new upstream release
- change BuildRequires: libgee-devel instead of libgee06-devel
- remove %%{name}-devel, %%{name}-vala subpackages

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- new upstream release

* Sun Oct 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.5-1
- new upstream release

* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-1
- initial build
