Summary:        A modular geoinformation service
Summary(ja):    モジュール型地理情報サービス

Name:           geoclue
Version:        0.12.99
Release:        3%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://geoclue.freedesktop.org/
Source0:        http://freedesktop.org/~hadess/%{name}-%{version}.tar.gz

Patch0:			geoclue-0.12.99-gpsd.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: gypsy-devel
BuildRequires: gpsd-devel
BuildRequires: libsoup-devel

#Needed for NetworkManager patch
BuildRequires: libtool

Requires: dbus

Vendor: Project Vine
Distribution: Vine Linux

%description
Geoclue is a modular geoinformation service built on top of the D-Bus 
messaging system. The goal of the Geoclue project is to make creating 
location-aware applications as simple as possible. 

%package devel
Summary: Development package for geoclue
Summary(ja): geoclue の開発パッケージ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: dbus-glib-devel
Requires: libxml2-devel
%description devel
Files for development with geoclue.

%package gui
Summary: Testing gui for geoclue
Summary(ja): geoclue のテスト用 GUI
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description gui
Testing gui for geoclue

%package gpsd
Summary: gpsd provider for geoclue
Summary(ja): geoclue 用 gpsd プロバイダ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gpsd

%description gpsd
A gpsd provider for geoclue

%package gypsy
Summary: gypsy provider for geoclue
Summary(ja): geoclue 用 gypsy プロバイダ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gypsy

%description gypsy
A gypsy provider for geoclue

%prep
%setup -q
%patch0 -p0 -b .gpsd

%build
autoreconf -if
%configure --disable-static --enable-gtk-doc --enable-networkmanager=yes --enable-gypsy=yes --enable-skyhook=yes --enable-gsmloc=yes
make %{?_smp_mflags} V=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Install the test gui as it seems the test isn't installed any more
mkdir $RPM_BUILD_ROOT%{_bindir}
cp test/.libs/geoclue-test-gui $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/geoclue-providers
%{_libdir}/libgeoclue.so.0
%{_libdir}/libgeoclue.so.0.0.0
%{_datadir}/GConf/gsettings/geoclue
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Master.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Example.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Geonames.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Hostip.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Localnet.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Manual.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Plazes.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Yahoo.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gsmloc.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Nominatim.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Skyhook.service
%{_datadir}/geoclue-providers/geoclue-example.provider
%{_datadir}/geoclue-providers/geoclue-geonames.provider
%{_datadir}/geoclue-providers/geoclue-hostip.provider
%{_datadir}/geoclue-providers/geoclue-localnet.provider
%{_datadir}/geoclue-providers/geoclue-manual.provider
%{_datadir}/geoclue-providers/geoclue-plazes.provider
%{_datadir}/geoclue-providers/geoclue-yahoo.provider
%{_datadir}/geoclue-providers/geoclue-gsmloc.provider
%{_datadir}/geoclue-providers/geoclue-nominatim.provider
%{_datadir}/geoclue-providers/geoclue-skyhook.provider
%{_datadir}/glib-2.0/schemas/org.freedesktop.Geoclue.gschema.xml
%{_libexecdir}/geoclue-example
%{_libexecdir}/geoclue-geonames
%{_libexecdir}/geoclue-hostip
%{_libexecdir}/geoclue-localnet
%{_libexecdir}/geoclue-manual
%{_libexecdir}/geoclue-master
%{_libexecdir}/geoclue-plazes
%{_libexecdir}/geoclue-yahoo
%{_libexecdir}/geoclue-gsmloc
%{_libexecdir}/geoclue-nominatim
%{_libexecdir}/geoclue-skyhook

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/geoclue
%dir %{_datadir}/gtk-doc/html/geoclue/
%doc %{_datadir}/gtk-doc/html/geoclue/*
%{_includedir}/geoclue/*
%{_libdir}/pkgconfig/geoclue.pc
%{_libdir}/libgeoclue.so

%files gui
%{_bindir}/geoclue-test-gui

%files gpsd
%{_libexecdir}/geoclue-gpsd
%{_datadir}/geoclue-providers/geoclue-gpsd.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gpsd.service

%files gypsy
%{_libexecdir}/geoclue-gypsy
%{_datadir}/geoclue-providers/geoclue-gypsy.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gypsy.service

%changelog
* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.99-3
- rebuild with VineSeed environment

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.99-2
- rebuild with gpsd-3.7
- add Patch0 (geoclue-0.12.99-gpsd.patch)

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.99-1
- new upstream release
- remove Patch0 (geoclue-nm08.patch)
- remove Patch1	(geoclue-use-libnm-glib.patch)
- remove Patch2 (geoclue-unused-var.patch) 

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.0-3
- rebuild with NetworkManager-0.8.9997
- add Patch1 (geoclue-use-libnm-glib.patch) from fedora
- add Patch2 (geoclue-unused-var.patch) from fedora

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 0.12.0-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Aug 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.0-1
- new upstream release
- add BuildRequires: libsoup-devel, libtool
- change BuildRequires: NetworkManager-glib-devel instead of NetworkManager-devel
- add Requires: dbus-glib-devel, libxml2-devel
- add Patch0(geoclue-nm08.patch) from FC package
- fix %build and %install

* Mon Feb 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.1-1
- initial build for Vine Linux

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-13
- Fix summary

* Thu Jul 31 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-12
- Once more for fun

* Thu Jul 31 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-11
- Increment build number to allow for clean F-8 and F-9 to F-10 upgrade

* Wed Jul 2 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-6
- Fixed spec file so gpsd and gypsy are actually properly in a subpackage

* Sun May 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-5
- Added gypsy and gpsd providers to build as sub packages

* Mon Apr 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-4
- Moved api documentation to -devel

* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-3
- Cleanup requires and group for test gui

* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-2
- Some spec file cleanups

* Fri Apr 25 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-1
- Initial package
