Epoch: 1
Summary: A multi-threaded FTP client for the X Window System.
Summary(ja): X ウィンドウ用マルチスレッド FTP クライアント
Name: gftp
Version: 2.0.19
Release: 4%{?_dist_release}
License: GPL
Group: Applications/Internet
URL: http://www.gftp.org/
Source: http://www.gftp.org/%{name}-%{version}.tar.bz2
# source & pathes for Vine
Source1: gftp-vine-bookmarks
Source2: gftp-2.0.19.ja.po

Patch1: gftp-2.0.18-user-dirs.patch
Patch2: gftp-2.0.19-stropts.patch

Requires: gtk2 >= 2.2.4
BuildRequires: gtk2-devel >= 2.2.4
BuildRequires: openssl-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:	Project Vine
Distribution: Vine Linux


%description
gFTP is a multi-threaded FTP client for the X Window System written
using Gtk+. It features simultaneous downloads, resuming of interrupted
file transfers, file transfer queues, downloading of entire directories,
http/ftp proxy support, remote directory caching, passive and non-passive
file transfers, drag-n-drop support, bookmarks menu, stop button, and
much more features.

%description -l ja
gFTP は Gtk+ を用いた X ウィンドウシステム用マルチスレッド FTP クライ
アントです。これは並行ダウンロードや、ファイル転送中断のレジューム機能、
ファイル転送キュー、ディレクトリ全体のダウンロード、HTTP/FTP プロキシ
サポート、ディレクトリキャッシュ、passive、非 passiveファイル転送, 
ドラッグ＆ドロップのサポート、ブックマークや停止ボタンなど多くの機能
を備えています。

%prep
%setup -q
%patch1 -p1 -b .user-dirs
%patch2 -p0 -b .stropts

%build
cp %{SOURCE1} docs/sample.gftp/bookmarks
msgfmt -v %{SOURCE2} -o po/ja.gmo
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING* Change* README THANKS TODO docs/
%{_bindir}/*
%{_datadir}/gftp
%{_datadir}/applications/*
%{_datadir}/pixmaps/gftp.png
%{_mandir}/man1/gftp.1*

%changelog
* Wed Jan 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.19-4
- rebuild with VineSeed environment

* Tue Jan 11 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.19-3
- add BuildRequires: openssl-devel, ncurses-devel, readline-devel

* Mon Jan 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.19-2
- rebuild with openssl-1.0.0c

* Thu Dec 25 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.19-1
- new upstream release
- drop patch0
- add patch1 to support xdg-user-dirs (from fedora package)
- add patch2 to fix compilation error for missing stropts.h
- update source1 for directory of ftp.jaist.ac.jp
- update source2 ja.po

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.0.18-1vl5
- applied new versioning policy, spec in utf-8

* Sat Feb  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.18-0vl6
- added Patches from Vine 4.x/updates
  * Wed Jan 23 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.18-0vl3.1
  - add patch 100 for fix CVE-2007-3961, 3962
  - add patch12,13,14 for fix several bugs from mdk

* Sat Sep  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.18-0vl5
- updated bookmark

* Sat May 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.18-0vl4
- rebuild with openssl-0.9.8

* Mon Mar 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.18-0vl3
- rebuild with readline-5.1
- s/Serial/Epoch/

* Sat Jul  2 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.18-0vl2
- added Patch0 for writing config file properly
  (Thanks to Hiroshi Shibata)

* Sun Feb  6 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.18-0vl1
- new upstream release
- updated ja.po

* Sat Apr  3 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.17-0vl1
- new upstream release
- rebuild with openssl-0.9.7d
- updated ja.po from http://developer.gnome.org/projects/gtp/status/index.html

* Thu Feb 12 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.16-0vl1
- new upstream release
- build with gtk2
- update bookmarks

* Wed Apr 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.14-0vl3
- rebuild with readline-4.3

* Sat Mar 22 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.0.14-0vl2
- add Serial: 1

* Sun Dec  8 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.14-0vl1
- source updated to 2.0.14
- modified patch

* Thu Sep 05 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.13-1vl2
- source updated to 2.0.13
- updated ja.po file

* Wed Jun 12 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- 2.0.12-0vl3
- fixed ja.po file (gftp.ja.po)

* Sun Jan 06 2002 Toru Sagami <sagami@vinelinux.org>
- 2.0.11-0vl1

* Fri May 11 2001 <sagami@vinelinux.org>
- 2.0.8-0vl1: use better macros and clean up spec

* Fri Mar  9 2001 Shoji Matsumoto <shom@vinelinux.org> 2.0.7b-0vl0
- updated to 2.0.7b
- use some macros

* Fri Jul 21 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.0.6a-0vl8
- modified %files section to handle compressed man page

* Tue Feb  8 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added jdesktop_fix patch

* Sun Jan  30 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified dnd_fix patch for dnd from gmc.

* Sat Jan  22 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added viewer_fix patch to view kanji text correctly.

* Sat Jan  15 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated dnd_fix patch
- fixed ja.po for a little character turning.

* Wed Jan   5 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated lang_c patch to fix a small bug.

* Mon Dec  20 1999 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified default bookmarks

* Fri Dec  17 1999 Yasuyuki Furukawa <furukawa@vinelinux.org>
- update to 2.0.6a
- added proxy_config_fix patch to fix some bugs about proxy.
- added dnd_fix patch to fix dnd loop bug

* Fri Dec  10 1999 Yasuyuki Furukawa <furukawa@vinelinux.org>
- firset release for 2.0.6
- added lang_c patch to avoid a trouble about NLS of ls command.
