Summary:	Clocks applications for GNOME
Summary(ja):	GNOME 用時計アプリケーション
Name:		gnome-clocks
Version:	3.12.0
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Deskops
URL:		https://live.gnome.org/GnomeClocks

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.12/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel >= 3.9.11
BuildRequires:	libcanberra-gtk3-devel >= 0.30
BuildRequires:	gnome-desktop3-devel >= 3.7.90
BuildRequires:	libgweather-devel >= 3.9.91
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	geocode-glib-devel >= 0.99.3
BuildRequires:	geoclue2-devel >= 1.99.3
BuildRequires:	yelp-tools
BuildRequires:	vala
BuildRequires:	vala-tools

Requires:	gtk3
Requires:	libgweather
Requires:	libnotify


Requires(postun,posttrans):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Clock application designed for GNOME 3 

%description -l ja
gnome-clocks は GNOME3 向けに作られた時計アプリケーションです。

%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_bindir}/%{name}
%{_datadir}/appdata/org.gnome.clocks.appdata.xml
%{_datadir}/applications/org.gnome.clocks.desktop
%{_datadir}/dbus-1/services/org.gnome.clocks.service
%{_datadir}/glib-2.0/schemas/org.gnome.clocks.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/HighContrast/*/*/*


%changelog
* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release
- add BuildRequires: geocode-glib-devel, geoclue2-devel, yelp-tools

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- add BuildRequires: libcanberra-gtk3-devel, gnome-desktop3-devel
- remove BuildRequires: pygobject3-devel
- remove BuildArch:	noarch

* Sun Apr 14 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- add BuildArch: noarch

* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-2
- add BuildArch: noarch

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.3-1
- initial build
