Name:           gnome-shell-extensions
Version:        3.12.2
Release:        1%{?_dist_release}
Summary:        Modify and extend GNOME Shell functionality and behavior
Summary(ja):    GNOME Shell の機能や振る舞いを変更・拡張する
Group:          User Interface/Desktops
License:        GPLv2+ 
URL:            http://live.gnome.org/GnomeShell/Extensions

# git archive --format=tar --prefix=gnome-shell-extensions-%{version}/ %{version} | xz > ../gnome-shell-extensions-%{version}.tar.xz
Source0:        gnome-shell-extensions-%{version}.tar.xz


BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  gnome-desktop3-devel
BuildRequires:  libgtop2-devel
BuildRequires:  desktop-file-utils

Requires:       gnome-shell >= 3.12.0
BuildArch:      noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
GNOME Shell Extensions is a collection of extensions providing additional 
and optional functionality to GNOME Shell.

Enabled extensions:

  * alternate-tab
  * apps-menu
  * auto-move-windows
  * drive-menu
  * launch-new-instance
  * native-window-placement
  * places-menu
  * systemMonitor
  * user-theme
  * window-list
  * windowsNavigator
  * workspace-indicator

%package        common
Summary:        Files common to GNOME Shell Extensions
Group:          User Interface/Desktops
License:        GPLv2+ 

Obsoletes:		%{name}-dock < 3.8.0
Obsoletes:		%{name}-alternative-status-menu < 3.10.0
Obsoletes:      %{name}-xrandr-indicator < 3.10.0

%description    common
GNOME Shell Extensions is a collection of extensions providing additional 
and optional functionality to GNOME Shell. Common files and directories 
needed by extensions are provided here.

%package -n gnome-classic-session
Summary:        GNOME "classic" mode session
Summary(ja):    GNOME クラシックモードセッション 
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{name}-alternate-tab = %{version}-%{release}
Requires:       %{name}-apps-menu = %{version}-%{release}
Requires:       %{name}-launch-new-instance = %{version}-%{release}
Requires:       %{name}-places-menu = %{version}-%{release}
Requires:       %{name}-window-list = %{version}-%{release}
# Obsolete fallback mode components
Obsoletes:      gnome-applets < 3.5.93
%global gnome_panel_obsolete_ver 3.6.3
Obsoletes:      gnome-panel < %{gnome_panel_obsolete_ver}
Obsoletes:      gnome-panel-devel < %{gnome_panel_obsolete_ver}
Obsoletes:      gnome-panel-libs < %{gnome_panel_obsolete_ver}
Obsoletes:       %{name}-default-min-max < 3.8.3
Obsoletes:       %{name}-static-workspaces < 3.8.3

%description -n gnome-classic-session
This package contains the required components for the GNOME Shell
"classic" mode, which aims to provide a GNOME 2-like user interface.

%package        alternate-tab
Summary:        Classic Alt+Tab behavior. Window based instead of app based
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    alternate-tab
Lets you use classic Alt+Tab (window-based instead of app-based) in GNOME Shell.  
GNOME Shell groups multiple instances of the same application together. 
This extension disables grouping.  

%package        windowsNavigator
Summary:        Keyboard selection of windows and work-spaces in overlay mode
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    windowsNavigator
Allow keyboard selection of windows and work-spaces in overlay mode in 
GNOME Shell.  Switch to overview mode (press the windows or alt+f1 key) and 
press the alt key to show numbers over windows.  Press any number to switch
to the corresponding window.

%package        user-theme
Summary:        Lets the user select a custom theme for the shell
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    user-theme
Lets the user select a custom theme for the Gnome shell. It will allow you to 
apply a style from /.themes/[themeName]/gnome-shell/gnome-shell.css

%package        window-list
Summary:        Display a window list at the bottom of the screen in GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description    window-list
This GNOME Shell extension displays a window list at the bottom of the
screen.

%package        auto-move-windows
Summary:        Assign specific workspaces to applications
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    auto-move-windows
Lets you manage your workspaces more easily, assigning a specific workspace to
each application as soon as it creates a window, in a manner configurable with a
GSettings key.

%package        drive-menu
Summary:        Disk device manager in the system status area
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    drive-menu
Adds a menu in the system status area that tracks removable disk devices
attached and offers to browse them and eject/unmount them.

%package        launch-new-instance
Summary:        Always launch a new application instance for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description    launch-new-instance
This GNOME Shell extension modifies the behavior of clicking in the
dash and app launcher to always launch a new application instance.

%package        places-menu
Summary:        Places menu indicator in the system status area
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    places-menu
Adds a menu in the system status area that resembles the Places menu from
GNOME 2.x

%package        native-window-placement
Summary:        Arrange windows in overview in a more native way
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    native-window-placement
This extension employs an algorithm (taken from KDE) for layouting the
thumbnails in the overview that more closely reflects the positions and relative
sizes of the actual windows, instead of using a fixed grid.

%package        workspace-indicator
Summary:        Workspace indicator in the system status area
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    workspace-indicator
Adds a workspace indicator in the system status area.

%package        apps-menu
Summary:        Application menu in the system status area
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    apps-menu
Adds an application menu in top bar

%package        systemMonitor
Summary:        Monitor your system status
Group:          User Interface/Desktops
License:        GPLv2+ 
Requires:       %{name}-common = %{version}-%{release}

%description    systemMonitor
An message tray indicator showing CPU and memory loads.

%prep
%setup -q

## make g-s-e work with g-s 3.6.x
#sed -i "s|3.5.91|3.6|g" configure.ac

%build
# since we build from a git checkout
[ -x autogen.sh ] && NOCONFIGURE=1 ./autogen.sh 

%configure --enable-extensions="all"

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Drop useless example extension
rm -r $RPM_BUILD_ROOT%{_datadir}/gnome-shell/extensions/example*/
rm $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.example.gschema.xml

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-shell-classic.desktop 

%find_lang %{name}

%files common -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%dir %{_datadir}/gnome-shell/extensions/

%files -n gnome-classic-session
%{_datadir}/applications/gnome-shell-classic.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.classic-overrides.gschema.xml
%{_datadir}/gnome-session/sessions/gnome-classic.session
%{_datadir}/gnome-shell/modes/classic.json
%{_datadir}/gnome-shell/theme/*.svg
%{_datadir}/gnome-shell/theme/gnome-classic.css
%{_datadir}/xsessions/gnome-classic.desktop

%files alternate-tab
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/alternate-tab*

%files windowsNavigator
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/windowsNavigator*

%files user-theme
%defattr(-,root,root,-)
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.xml
%{_datadir}/gnome-shell/extensions/user-theme*

%files drive-menu
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/drive-menu*

%files launch-new-instance
%{_datadir}/gnome-shell/extensions/launch-new-instance*/

%files places-menu
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/places-menu*

%files window-list
%{_datadir}/gnome-shell/extensions/window-list*/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.window-list.gschema.xml

%files auto-move-windows
%defattr(-,root,root,-)
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.auto-move-windows.gschema.xml
%{_datadir}/gnome-shell/extensions/auto-move-windows*

%files native-window-placement
%defattr(-,root,root,-)
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.native-window-placement.gschema.xml
%{_datadir}/gnome-shell/extensions/native-window-placement*

%files workspace-indicator
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/workspace-indicator*

%files apps-menu
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/apps-menu*

%files systemMonitor
%defattr(-,root,root,-)
%{_datadir}/gnome-shell/extensions/systemMonitor*

%posttrans user-theme
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas || :

%posttrans alternate-tab
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas || :

%posttrans auto-move-windows
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas || :

%posttrans native-window-placement
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas || :

%posttrans window-list
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas || :

%posttrans -n gnome-classic-session
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas || :

%postun user-theme
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun alternate-tab
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun auto-move-windows
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun native-window-placement
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun window-list
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n gnome-classic-session
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release
- remove alternative-status-menu,xrandr-indicator subpackages

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3.1-1
- new upstream release

* Mon Jun 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release
- remove defualt-min-max and static-workspaces

* Mon Jun 03 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8.2-2
- add gnome-classic-session, default-min-max, static-workspaces
  and window-list.

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- remove Patch0 (gnome-shell-extensions-3.6.0-git20121015.patch)
- remove %%{Name}-dock subpackage

* Thu Nov 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add Patch0 (gnome-shell-extensions-3.6.0-git20121015.patch)

* Mon Oct 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.91-1
- new upstream release
- remove Patch0 (gnome-shell-extensions-3.4.0-git20120430.patch)

* Wed May 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-2
- add Patch0 (gnome-shell-extensions-3.4.0-git20120430.patch)

* Tue Apr 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release
- remove Patch0,1
- remove Source1

* Tue Jan 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.3-1
- update to 3.2.3
- remove old Patches
- add Patch0 (gnome-shell-extensions-3.2.3-dock.patch)
- add Patch1 (gnome-shell-extensions-3.2.3-revert-reference-to-localedir.patch)
- add Source1 (gnome-shell-extensions.gnome-3-2.20111216.ja.po)

* Sat Nov 26 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- update to 3.2.1
- add Patch0 (gnome-shell-extensions-git20111119.patch)
- add Patch1 (gnome-shell-extensions-3.2.1-alternative-status-menu.patch)

* Tue Oct 04 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.0-1
- update to 3.2.0

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-5
- rebuild with gnome-shell-3.2.0

* Mon Sep 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-4
- update Patch0 (gnome-shell-extensions-3.1.4-git20110908.patch)
- add BuildRequires:  gnome-desktop3-devel, libgtop2-devel

* Tue Sep 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.4-3
- update to 3.1.90 from git master (patch0)
- add xrandr-indicator, systemMonitor
- R: gnome-shell >= 3.1.90

* Sun Sep 04 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.4-2
- add Patch0 to update git master
- add workspace-indicator, apps-menu

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- initial build for Vine Linux

