Summary: Gnome user file sharing
Summary(ja): Gnome ユーザファイル共有
Name: gnome-user-share
Version: 3.10.2
Release: 1%{?_dist_release}
License: GPL
Group: System Environment/Libraries
URL: http://www.gnome.org
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-user-share/3.10/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires: httpd >= 2.2.0
Requires: gnome-bluetooth-libs >= 2.28.0
BuildRequires: avahi-glib-devel >= 0.6 pkgconfig
BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: httpd >= 2.2.0
BuildRequires: libglade2-devel >= 2.0.0
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: perl(XML::Parser)
BuildRequires: libnotify-devel
BuildRequires: libcanberra-gtk3-devel
BuildRequires: gnome-bluetooth-devel >= 2.32.0
BuildRequires: unique3-devel
BuildRequires: nautilus-devel
BuildRequires: libSM-devel
BuildRequires: yelp-tools

Vendor: Project Vine
Distribution: Vine Linux

%description
gnome-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%__make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT


%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{_sysconfdir}/xdg/autostart/gnome-user-share-obexpush.desktop
%{_sysconfdir}/xdg/autostart/gnome-user-share-webdav.desktop
%{_libexecdir}/*
%{_libdir}/nautilus/extensions-3.0/*.so
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_datadir}/gnome-user-share
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.4-1
- new upstream release
- change BuildRequires: yelp-tools instead of gome-doc-utils

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.2-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.1-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- change BuildRequires: libcanberra-gtk3-devel instead of libcanberra-devel
- change BuildRequires: unique3-devel instead of unique-devel
- add BuildRequires: libSM-devel

* Tue Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Thu Apr 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: nautilus-devel

* Thu Jan 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- add BuildRequires: libnotify-devel, libcanberra-devel, gnome-bluetooth-devel, unique-devel, gnome-doc-utils
- add Requires: gnome-bluetooth-libs

* Wed May 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11-0vl1
- initial build for Vine Linux

* Fri Mar 23 2007 Matthias Clasen  <mclasen@redhat.com> - 0.11-2
- Don't hardwire invisible char (#233676)

* Tue Mar  6 2007 Alexander Larsson <alexl@redhat.com> - 0.11-1
- Update to 0.11 with xdg-user-dirs support

* Wed Jan 24 2007 Matthias Clasen <mclasen@redhat.com> 0.10-6
- Add better categories to the desktop file

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.10-5
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Nalin Dahyabhai <nalin@redhat.com> - 0.10-4
- add missing BuildRequires: on httpd, so that the configure script can find
  the binary

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.10-3.1
- rebuild

* Mon May 29 2006 Alexander Larsson <alexl@redhat.com> - 0.10-3
- buildrequire gettext and perl-XML-Parser (#193391)

* Thu Apr 20 2006 Matthias Clasen <mclasen@redhat.com> 0.10-2
- Update to 0.10

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 0.9-3
- BuildRequires: gtk2-devel, libglade2-devel, libselinux-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.9-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb  3 2006 Alexander Larsson <alexl@redhat.com> 0.9-2
- Patch config for apache 2.2

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Alexander Larsson <alexl@redhat.com> - 0.9-1
- New release with avahi 0.6 support

* Mon Nov 14 2005 Alexander Larsson <alexl@redhat.com> - 0.8-1
- update to 0.8

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.7-1
- New version, with desktop file

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.6-1
- New version, switch to avahi
- Handle translations

* Fri Dec  3 2004 Alexander Larsson <alexl@redhat.com> - 0.4-1
- New version

* Fri Nov 26 2004 Alexander Larsson <alexl@redhat.com> - 0.3-1
- New version

* Thu Sep  9 2004 Alexander Larsson <alexl@redhat.com> - 0.2-1
- New version

* Wed Sep  8 2004 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial Build

