Summary: Software for accessing digital cameras
Summary(ja): デジタルカメラにアクセスするためのソフトウェア
Name: gphoto2
Version: 2.5.0
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: http://prdownloads.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
URL: http://www.gphoto.org/
ExcludeArch: s390 s390x

Requires: grep, fileutils
Provides: libgphoto2 = %{version}-%{release}
BuildRequires: libgphoto2-devel >= 2.5.0
BuildRequires: libusb-devel >= 0.1.11
BuildRequires: libexif-devel >= 0.6.13
BuildRequires: findutils perl popt

BuildRequires: hal-devel, libtool-ltdl-devel
BuildRequires: slang-devel
BuildRequires: popt-devel
BuildRequires: libjpeg-turbo-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel

This package contains the command-line utility gphoto2 

Other (GUI) frontends are available separately.

%description -l ja
gphoto2 は様々なデジタルカメラから画像をとりだすためのフリーの
アプリケーションとライブラリフレームワークです。古いカメラによっては
古い gphoto パッケージが必要です。USB マスストレージとしてアクセス
するカメラの場合は、カーネル内のドライバを利用します。

このパッケージには gphoto2 のコマンドラインユーティリティが含まれて
います。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
mv ChangeLog ChangeLog.tmp
iconv -f iso8859-1 -t utf-8 < ChangeLog.tmp > ChangeLog
rm -f ChangeLog.tmp

%install
rm -rf $RPM_BUILD_ROOT
make mandir=%{_mandir} DESTDIR=$RPM_BUILD_ROOT install

rm -rf %{buildroot}%{_docdir}/%{name}/*.sh

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_bindir}/gphoto2
%{_mandir}/man1/gphoto2.1*

%changelog
* Fri Jan 11 2013 IWAI, Masaharu <iwai@alib.jp> 2.5.0-1
- update to 2.5.0
- BR: libgphoto2-devel >= 2.5.0
- add Vendor and Distribution tags

* Wed Jun 01 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.11-1
- update to 2.4.11-1
- BR: libgphoto2-devel >= 2.4.11

* Fri Apr 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.5-2
- rebuild with rpm-4.8.1
- add BuildRequires: popt-devel, libjpeg-turbo-devel

* Wed May 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.5-1
- new upstream release
- disable aalib support
  - remove BR: aalib-devel, gpm-devel

* Thu Jul 03 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-1
- new upstream release
- split libgphoto2 to standalone package
- remove -devel subpackage. gphoto2 libs are now provided from libgphoto2

* Sat May 17 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.3.1-2
- add BuildRequires gpm-devel, aalib-devel, hal-devel, libtool-ltdl-devel
- add BuildRequires slang-devel

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.1-1
- applied new versioning policy
- removed lib*.la files from devel package

* Wed Jun 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.3.1-0vl1
- new upstream release
- use source tarball "gphoto-suite"
- add BuildRequires: popt

* Mon Jan 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.5-0vl2
- rebuild for VineSeed Plus

* Wed Feb 16 2005 Masaki Shinomiya <shino@pos.to> 2.1.5-0vl1
- new upstream release, bugfix: postun, change_owner

* Mon Nov 24 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.1.3-0vl3
- modified gphot2-addmap

* Sun Nov 16 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.1.3-0vl2
- merged with
  * Thu Jun 12 2003 Masaki Shinomiya <shino@pos.to> 2.0-0vl2
  - bugfix in post and postun script
  - omit buildreq transfig
  - license LGPL to GPL

  * Sun Jan 19 2003 Masaki Shinomiya <shino@pos.to> 2.0-0vl1
  - gphot2-addmap, change_owner, both for murasaki
  - manual-2.1
  - omit prereq or requires: hotplug, lockdev, pkgconfig

* Tue Nov 11 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.1.3-0vl1
- source update
- modified for Vine

* Tue Sep 16 2003 Tim Waugh <twaugh@redhat.com> 2.1.2-1
- 2.1.2.

* Wed Aug  6 2003 Elliot Lee <sopwith@redhat.com> 2.1.1-4
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Mar 20 2003 Tim Waugh <twaugh@redhat.com> 2.1.1-2
- Ship print-usb-usermap, fix post scriptlet.

* Thu Mar 20 2003 Tim Waugh <twaugh@redhat.com> 2.1.1-1
- Use installed libtool.
- 2.1.1.

* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- only package man3 in devel rpm

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec 01 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- remove some old mainframe ifdefs

* Tue Nov 19 2002 Tim Waugh <twaugh@redhat.com> 2.1.0-5
- Fix file lists.
- Don't install files not shipped.
- Rebuild in new environment.

* Wed Jul 24 2002 Tim Waugh <twaugh@redhat.com> 2.1.0-4
- Rebuild, just in case (readline).

* Thu Jul 18 2002 Tim Waugh <twaugh@redhat.com> 2.1.0-3
- Own some more directories.

* Fri Jun 28 2002 Tim Waugh <twaugh@redhat.com> 2.1.0-2
- Don't use -rpath (bug #65983).

* Tue Jun 25 2002 Tim Waugh <twaugh@redhat.com> 2.1.0-1
- 2.1.0.
- No longer need cvsfixes or consolelock patches.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.0-9
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 2.0-8
- automated rebuild

* Thu May  9 2002 Tim Waugh <twaugh@redhat.com> 2.0-7
- Require lockdev (bug #64193).

* Mon Apr 29 2002 Tim Waugh <twaugh@redhat.com> 2.0-6
- In fact, don't even build for mainframe.

* Mon Apr 29 2002 Florian La Roche <Florian.LaRoche@redhat.de> 2.0-5
- do not require hotplug for mainframe

* Mon Apr 15 2002 Nalin Dahyabhai <nalin@redhat.com> 2.0-4
- Set the owner of the device to the console lock holder, not the owner
  of /dev/console, in the hotplug agent, fixing access for users who log
  in at VTs and use startx (#62976).

* Fri Apr 12 2002 Tim Waugh <twaugh@redhat.com> 2.0-3
- Rebuild (fixed bug #63355).

* Wed Feb 27 2002 Tim Waugh <twaugh@redhat.com> 2.0-2
- Fix from CVS: close port unconditionally in gp_camera_exit().

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 2.0-1
- 2.0 is released.
- Ship the .so symlinks in the devel package.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 2.0-0.rc4.1
- 2.0rc4.

* Fri Feb 22 2002 Tim Waugh <twaugh@redhat.com> 2.0-0.rc3.1
- 2.0rc3.  No longer need CVS patch.
- Build no longer requires xmlto.

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 2.0-0.rc2.2
- Fix DC240 hangs (patch from CVS).
- Rebuild in new environment.

* Tue Feb 19 2002 Tim Waugh <twaugh@redhat.com> 2.0-0.rc2.1
- 2.0rc2 (bug #59993).  No longer need docs patch or man page.
- Really fix up libtool libraries (bug #60002).

* Fri Feb 15 2002 Tim Waugh <twaugh@redhat.com> 2.0-0.beta5.2
- PreReq /sbin/ldconfig, grep, and fileutils (bug #59941).

* Tue Feb 12 2002 Tim Waugh <twaugh@redhat.com> 2.0-0.beta5.1
- 2.0beta5.
- Fix Makefiles so that documentation can be built.
- Ship pkgconfig file.
- Add man page.

* Thu Feb  7 2002 Tim Waugh <twaugh@redhat.com> 2.0-0.beta4.1
- 2.0beta4.
- Build requires transfig, and at least version 0.1.5 of libusb.
- Clean up file lists.
- Build documentation.

* Fri Jan 25 2002 Tim Waugh <twaugh@redhat.com> 2.0-0.beta3.2
- Rebuild in new environment.
- Dump docbook-dtd30-sgml requirement; gtk-doc is sufficient.

* Sun Nov 18 2001 Tim Waugh <twaugh@redhat.com> 2.0-0.beta3.1
- Adapted for Red Hat Linux.

* Sat Oct 27 2001 Hans Ulrich Niedermann <gp@n-dimensional.de>
- fixed update behaviour for hotplug list (do not erase it when updating)

* Thu Oct 25 2001 Tim Waugh <twaugh@redhat.com>
- hotplug dependency is a prereq not a requires (the package scripts
  need it).

* Sun Oct 14 2001 Hans Ulrich Niedermann <gp@n-dimensional.de>
- integrated spec file into source package

* Sun Oct 14 2001 Hans Ulrich Niedermann <gp@n-dimensional.de>
- 2.0beta3

* Tue Oct  2 2001 Tim Waugh <twaugh@redhat.com> 2.0beta2-0.1
- Adapted for Red Hat Linux.
- 2.0beta2.

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-0.beta1.2mdk
- Corrected "Requires:"

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-0.beta1.1mdk
- Initial release



