%define apidocs 0

# apidocs disabled until we agree on a standard path.

Name:           grantlee
Summary:        Qt string template engine based on the Django template system
Version:        0.3.0
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gitorious.org/grantlee/pages/Home

Source0:        http://downloads.%{name}.org/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  qt4-devel qt4-designer cmake

%if 0%{?apidocs}   
BuildRequires:  doxygen
%endif

%description
Grantlee is a plug-in based String Template system written 
using the Qt framework. The goals of the project are to make it easier for
application developers to separate the structure of documents from the 
data they contain, opening the door for theming.

The syntax is intended to follow the syntax of the Django template system, 
and the design of Django is reused in Grantlee. 
Django is covered by a BSD style license.

Part of the design of both is that application developers can extend 
the syntax by implementing their own tags and filters. For details of 
how to do that, see the API documentation.

For template authors, different applications using Grantlee will present 
the same interface and core syntax for creating new themes. For details of 
how to write templates, see the documentation.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package apidocs
Group: Documentation
Summary: Grantlee API documentation
BuildArch: noarch

%description apidocs
This package includes the Grantlee API documentation in HTML
format for easy browsing.

%prep
%setup -q -n %{name}-%{version}

sed -i 's,${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX},%{_libdir},' CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake .. -DCMAKE_BUILD_TYPE=release -DCMAKE_INSTALL_PREFIX=%{_prefix}
popd

make %{?_smp_mflags} -C %{_target_platform}

%if 0%{?apidocs}
make docs -C %{_target_platform}
%endif

%install
rm -rf %{buildroot}
make install -C %{_target_platform} DESTDIR=%{buildroot}

%if 0%{?apidocs}
mkdir -p %{buildroot}%{_docdir}/HTML/en/grantlee-apidocs
cp -prf %{_target_platform}/apidocs/html/* %{buildroot}%{_docdir}/HTML/en/grantlee-apidocs
%endif

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING.LIB README GOALS
%{_libdir}/lib%{name}*.so.*
%{_libdir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_includedir}/%{name}_core.h
%{_includedir}/%{name}_templates.h
%{_libdir}/lib%{name}*.so
%{_libdir}/cmake/%{name}

# %files apidocs
# %{_docdir}/HTML/en/grantlee-apidocs

%changelog
* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-1
- new upstream release

* Sun Feb 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.8-2
- added BR: qt4-designer

* Mon Jan 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.8-1
- Initial build for VineSeed

* Mon Sep 27 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.1.6-1
- grantlee 0.1.6

* Fri Aug 27 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.1.5-1
- grantlee 0.1.5

* Sun Jul 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.1.2-1
- grantlee 0.1.2

* Tue May 18 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.1.1-3
- disabled apidocs until we find a standard path

* Tue May 11 2010 Jaroslav Reznik <jreznik@redhat.com> 0.1.1-2
- added -apidocs subpackage

* Sun May 09 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.1.1-1
- grantlee 0.1.1
- fixed Group

* Thu Apr 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.1.0-1
- initial fedora release
