%global __provides_exclude_from ^%{_libdir}/groonga/plugins/normalizers/mysql\\.so$

Name:		groonga-normalizer-mysql
Version:	1.0.6
Release:	2%{?_dist_release}
Summary:	MySQL compatible normalizer plugin for groonga

Group:		Applications/Text
License:	LGPLv2
URL:		http://groonga.org/
Source0:	http://packages.groonga.org/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	groonga-devel >= 4.0.1
Requires:	groonga-libs >= 4.0.1
ExclusiveArch:	%{ix86} x86_64

Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

%description
This package provides MySQL compatible normalizer plugin.
You can use NormalizerMySQLGeneralCI and NormalizerMySQLUnicodeCI as normalizer.

%package devel
Summary:        Development files for groonga-normalizer-mysql
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides development files for groonga-normalizer-mysql.

%prep
%setup -q

%build
%configure \
  --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm $RPM_BUILD_ROOT%{_libdir}/groonga/plugins/*/*.la

%files
%doc README AUTHORS COPYING
%dir %{_libdir}/groonga
%dir %{_libdir}/groonga/plugins
%dir %{_libdir}/groonga/plugins/normalizers
%{_libdir}/groonga/plugins/normalizers/mysql.so
%{_datadir}/doc/groonga-normalizer-mysql/

%files devel
%{_libdir}/pkgconfig/groonga-normalizer-mysql.pc

%changelog
* Mon Mar 31 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net>  - 1.0.6-2
- rebuilt with groonga-4.0.1.

* Tue Feb 11 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.0.6-1
- new upstream release.

* Tue Dec 17 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.0.5-2
- initial build for Vine Linux.

* Sat Jun 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-1
- new upstream release.

* Wed May 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.4-1
- new upstream release.

* Mon Apr 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.3-1
- new upstream release.
- Reduce required packages. groonga-libs is only required.
- Require groonga 3.0.3 or later.
- Split development files into -devel package.

* Fri Mar 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.2-0
- new upstream release.

* Thu Feb 28 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.1-1
- new upstream release

* Tue Jan 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.0-1
- initial packaging for Fedora
