#define __libtoolize: 
Summary: GtkGLExt is an OpenGL extension to GTK+ 2.0 or later.
Summary(ja): GTK+ 2.0 以降の OpenGL 拡張
Name: gtkglext
Version: 1.2.0
Release: 7%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.bz2
# Upstream changes, addressing BZ 677457
Patch0:		gtkglext-1.2.0-bz677457.diff
Patch1:		gtkglext-1.2.0-pangox-compat.patch
URL: http://gtkglext.sourceforge.net/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel
BuildRequires: xorg-x11-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
%if "%{_dist_release}" >= "vl7"
BuildRequires: pangox-compat-devel
%endif

Requires: gtk2
Requires: mesa-libGL


%description
GtkGLExt provides additional GDK objects which support OpenGL rendering in GTK+, and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

%package devel
Summary: Development tools for GtkGLExt
Summary(ja): GtkGLExt の開発ファイル類
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtk2-devel
Requires: libXmu-devel
Requires: mesa-libGL-devel
Requires: mesa-libGLU-devel

%description devel
The gtkglext-devel package contains the header files and developer
docs for the GtkGLExt.

%prep
%setup -q
%patch0 -p1
%if "%{_dist_release}" >= "vl7"
%patch1 -p1 -b .pangox-compat
%endif

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc examples/
%{_libdir}/libgdkglext-x11-1.0.so.*
%{_libdir}/libgtkglext-x11-1.0.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/gtkglext-1.0
%{_libdir}/gtkglext-1.0
%{_libdir}/libgdkglext-x11-1.0.a
#%{_libdir}/libgdkglext-x11-1.0.la
%{_libdir}/libgdkglext-x11-1.0.so
%{_libdir}/libgtkglext-x11-1.0.a
#%{_libdir}/libgtkglext-x11-1.0.la
%{_libdir}/libgtkglext-x11-1.0.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gtkglext*
%{_datadir}/gtk-doc/html/gtkglext


%changelog
* Tue Apr 23 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-7
- do not apply patch1

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-6
- add BuildRequires: pangox-compat-devel
- add Patch1 (gtkglext-1.2.0-pangox-compat.patch)

* Sat Feb 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-5
- add Patch0 (gtkglext-1.2.0-bz677457.diff)
- add BuildRequires: mesa-libGLU-devel
- add Requires: libXmu-devel, mesa-libGL-devel, mesa-libGLU-devel (-devel package)

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.0-4
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.0-3vl5
- removed *.la
- spec in utf-8

* Wed Jul 23 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.0-2vl5
- rebuilt with xorg-x11-devel

* Mon Apr 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.2.0-1vl5
- updated to 1.2.0
- added %%post and %%postun section

* Sun Sep  4 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.6-0vl2
- not to run libtoolize in spec file
- added Japanese summary

* Fri Mar 26 2004 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp>
- (1.0.6-0vl1)
- first packaging
