Summary: On-the-fly spell checking for GtkTextView widgets.
Name: gtkspell3
Version: 3.0.4
Release: 1%{?_dist_release}
License: GPL
Group: System Environment/Libraries
URL: http://gtkspell.sourceforge.net/
Source0: http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: aspell-devel, gtk3-devel, gtk-doc, enchant-devel
BuildRequires: gettext

%description
GtkSpell provides word-processor-style highlighting and replacement of 
misspelled words in a GtkTextView widget as you type. Right-clicking a 
misspelled word pops up a menu of suggested replacements.


%package	devel
Summary:	Development files for GtkSpell.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	aspell-devel,gtk3-devel, enchant-devel

%description	devel
The gtkspell-devel package provides header files and static libraries
for developing applications which use GtkSpell.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS README AUTHORS COPYING
%{_libdir}/libgtkspell3-3.so.*
%{_libdir}/girepository-1.0/GtkSpell-3.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtkspell-3.0
%{_libdir}/libgtkspell3-3.so
%{_libdir}/pkgconfig/%{name}-3.0.pc
%{_datadir}/gir-1.0/GtkSpell-3.0.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.4-1
- initial build

