Summary: A utility for displaying and/or setting hard disk parameters.
Summary(ja): ハードディスクのパラメータの表示・設定ユーティリティ
Name: hdparm
Version: 9.32
Release: 1%{?_dist_release}
License: BSD
Group: Applications/System
Source: http://www.ibiblio.org/pub/Linux/system/hardware/hdparm-%{version}.tar.gz
Source1: hdparm-sysconfig
Buildroot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: s390 s390x

Vendor: Project Vine
Distribution: Vine Linux

%description
Hdparm is a useful system utility for setting (E)IDE and SATA/
PATA/SAS hard driveparameters.
For example, hdparm can be used to tweak hard drive performance
and to spin down hard drives for power conservation.

%description -l ja
hdparm は (E)IDE や SATA/PATA/SAS ハードディスクのパラメータを
設定する便利なシステムユーティリティです。
例えばハードディスクのパフォーマンスを調整したり、電力消費を抑
える為にハードディスクをスピンダウンする設定を行ったりすること
ができます。


%prep
%setup -q

%build
%{__perl} -pi -e "s,-O2,$RPM_OPT_FLAGS,g" Makefile
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir} -p $RPM_BUILD_ROOT%{_syssbindir}
%{__mkdir} -p $RPM_BUILD_ROOT%{_mandir}/man8
%{__install} -c -s -m 755 hdparm $RPM_BUILD_ROOT%{_syssbindir}/hdparm
%{__install} -c -m 644 hdparm.8 $RPM_BUILD_ROOT%{_mandir}/man8
%{__mkdir} -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
%{__install} -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/harddisks


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc Changelog LICENSE.TXT README.acoustic hdparm.lsm
%config(noreplace) %{_sysconfdir}/sysconfig/harddisks
%{_syssbindir}/hdparm
%{_mandir}/man8/hdparm.8*


%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 9.32-1
- update to 9.32

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 9.28-2
- rebuilt with rpm-4.8.1-3

* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 9.28-1
- new upstream release
- built with new toolchain

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 9.12-1
- new upstream release
- spec in utf-8

* Tue May 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.6-1
- new upstream release

* Fri Jul 06 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 7.6-0vl1
- new upstream release
- build with new toolchains.
- update description.
- use rpm macros to specify directories.
- add some documents.

* Sun Sep 05 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 5.7-0vl1
- new upstream release

* Tue Apr  8 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 5.2-1vl2
- rebuild

* Fri Dec 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.2-1vl1
- based on 5.2-1 from Rawhide and built for Vine Linux
- added Japanese summary and description
- previous Vine version was 4.6-0vl1 with no vine-specific patches

* Wed Jun 26 2002 Karsten Hopp <karsten@redhat.de>
- update to 5.2 with the following fixes:
 - v5.2 compile fixes for 2.5.xx
 - v5.1 fixed segfault in "-i" on older drives
 - v5.0 lots of updates and new features
 - v4.9 fixed compile error with 2.5.xx kernels
 - v4.8 changed -Q to allow specifying queue depth
 - v4.7 added -z, -Q, -M flags; expanded parm range for -p

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb 22 2002 Karsten Hopp <karsten@redhat.de>
- bump version for 8.0

* Fri Feb 22 2002 Karsten Hopp <karsten@redhat.de>
- rebuild in new environment

* Wed Jan 23 2002 Karsten Hopp <karsten@redhat.de> (4.6-1)
- Update to 4.6

* Mon Oct 01 2001 Karsten Hopp <karsten@redhat.de>
- fix name of doc file  (#54137)

* Fri Jul 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude s390,s390x

* Mon Jun 25 2001 Karsten Hopp <karsten@redhat.de>
- update to version 4.1
- update URL

* Wed Jul 19 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- disable readahead (#14268)
- add comment in /etc/sysconfig/harddisks about possible extra parameters

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Trond Eivind Glomsr <teg@redhat.com>
- disable 32 bit interfacing (#13730)

* Tue Jun 27 2000 Trond Eivind Glomsr <teg@redhat.com>
- use %%{_tmppath}
- add /etc/sysconfig/harddisks, a new file for hardisk 
  optimization parameters

* Sun Jun 18 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- FHSify

* Sun Apr  9 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- Fix compilation with kernel 2.3.*

* Thu Feb 17 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- 3.9
- handle RPM_OPT_FLAGS

* Thu Feb 17 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- Use O_NONBLOCK when opening devices so we can manipulate CD-ROM drives
  with no media inserted, even when running a current kernel (Bug #6457)

* Sat Feb  5 2000 Bill Nottingham <notting@redhat.com>
- build as non-root user (#6458)

* Fri Feb  4 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- deal with RPM compressing man pages

* Fri Nov 19 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.6

* Thu Aug 12 1999 Cristian Gafton <gafton@redhat.com>
- version 3.5

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- added patches from UP

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.3
- build rooted

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- fixed spelling error in summary

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

