Name:           hotot
Version:        0.9.8.13
Release:        2.git20130311%{?_dist_release}
Summary:        Hotot lightweight & open source microblogging client using Python language and designed for Linux.
Summary(ja):    Hotot は Python 言語を使用した、軽量＆オープンソースな Linux 向けのマイクロブログクライアントです。

Group:          Applications/Internet
License:        LGPLv3+
URL:            http://code.google.com/p/hotot
Source0:        hotot-%{version}-git20130311.tar.xz
#Patch0:        fix_messages_ja.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: kdelibs-devel
BuildRequires: pygtk2-devel WebKit-gtk-devel libxslt-devel
BuildRequires: python-devel
BuildRequires: python-distutils-extra
BuildRequires: qt4-devel

%description
Hotot, is a lightweight & open source Microblogging Client, 
coding using Python language and designed for Linux.
It depends less but supports more. 
It's been developed actively and still in Alpha stage.

%description -l ja
Hotot は Python 言語を使用した、軽量＆オープンソースな Linux 向けの
マイクロブログクライアントです。
依存はより少なく、より多くのサポートを。
活発に開発していますが、まだアルファの段階です。


%package common
Summary: common files for Hotot
Summary(ja): Hotot の共通ファイル
Group: Applications/Internet
BuildArch: noarch
Obsoletes: hotot =< 0.9.7.37-2.git20120205

%description common
Hotot, is a lightweight & open source Microblogging Client, 
coding using Python language and designed for Linux.
This package contains Hotot common files. 

%description common -l ja
Hotot は Python 言語を使用した、軽量＆オープンソースな Linux 向けの
マイクロブログクライアントです。
このパッケージは Hotot の共通ファイルを含んでいます。


%package gtk
Summary: Hotot GTK+ client
Summary(ja): Hotot GTK+ クライアント
Group: Applications/Internet
Obsoletes: hotot =< 0.9.7.37-2.git20120205

Requires: %{name}-common = %{version}
Requires: notify-python
Requires: pygtk2
Requires: pygobject
Requires: python-keybinder
Requires: pywebkitgtk >= 1.1.8

%description gtk
Hotot, is a lightweight & open source Microblogging Client, 
coding using Python language and designed for Linux.
It depends less but supports more. 
It's been developed actively and still in Alpha stage.
This package contains Hotot GTK+ client. 

%description gtk -l ja
Hotot は Python 言語を使用した、軽量＆オープンソースな Linux 向けの
マイクロブログクライアントです。
依存はより少なく、より多くのサポートを。
活発に開発していますが、まだアルファの段階です。
このパッケージは Hotot の GTK+ クライアントを含んでいます。


%package qt
Summary: Hotot qt client
Summary(ja): Hotot qt クライアント
Group: Applications/Internet
Obsoletes: hotot =< 0.9.7.37-2.git20120205

Requires: %{name}-common = %{version}

%description qt
Hotot, is a lightweight & open source Microblogging Client, 
coding using Python language and designed for Linux.
It depends less but supports more. 
It's been developed actively and still in Alpha stage.
This package contains Hotot Qt client. 

%description qt -l ja
Hotot は Python 言語を使用した、軽量＆オープンソースな Linux 向けの
マイクロブログクライアントです。
依存はより少なく、より多くのサポートを。
活発に開発していますが、まだアルファの段階です。
このパッケージは Hotot の Qt クライアントを含んでいます。


%prep
%setup -q -n %{name}
#%patch0 -p1
sed -i 's/0.9.8.11/0.9.8.13/' data/js/conf.js

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DWITH_GIR=OFF ./
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}-qt.desktop

%clean
rm -rf %{buildroot}


%post common
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun common
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files common -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog LGPL-license.txt README.md
%{_datadir}/%{name}/
%{_datadir}/icons/*

%files gtk
%defattr(-,root,root,-)
%{python_sitearch}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%files qt
%defattr(-,root,root,-)
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/kde4/apps/desktoptheme/default/icons/hotot_qt.svg


%changelog
* Sun May 26 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.8.13-2.git20130311
- added Obsoletes tag for all packages: hotot =< 0.9.7.37-2.git20120205

* Thu May 02 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.8.13-1.git20130311
- new upstream snapshot
- fixed version in data/js/conf.js

* Sat Jul 28 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.8.7-1.git20120728
- new upstream snapshot
- splitted packages to hotot-common, hotot-gtk, hotot-qt

* Wed Feb 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.7.45-1.git20120310
- new upstream release
- deleted BuildArch: noarch
- added BuildRequires: cmake

* Mon Feb 06 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.7.37-1.git20120205
- new upstream release

* Wed Jan 18 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.7.34-1.git20120118
- new upstream release
- added BuildRequires: desktop-file-utils, python-devel
- added patch0 to fix Japanese messages

* Thu Sep 22 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.7-1.hg1018
- new upstream release
- changed License: LGPLv2+ to LGPLv3+
- changed Requires: keybinder to python-keybinder
- run desktop-file-validate

* Sat Jul 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.6-1.hg889
- initial build for Vine Linux

* Sat Nov 6 2010 Radek Ryckowski <radek@ebi.ac.uk> - 0.9.5 hg 531:69b7cd2aef25
- Initial RPM release
