Name:          ifuse
Version:       1.1.2
Release:       2%{?_dist_release}
Summary:       Mount Apple iPhone and iPod touch devices
Summary(ja):   Apple iPhone および iPod touch をマウントする

Group:         System Environment/Libraries
License:       GPLv2+
URL:           http://matt.colyer.name/projects/iphone-linux/

Source0:       http://cloud.github.com/downloads/MattColyer/%{name}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: glib2-devel
BuildRequires: fuse-devel
BuildRequires: libimobiledevice-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
A fuse filesystem for mounting iPhone and iPod touch devices

%description -l ja
iFuse は iPhone や iPod touch デバイスをマウントするための 
FUSE ファイルシステムです。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/ifuse
%{_mandir}/man1/ifuse.1.gz

%changelog
* Sun Mar 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.2-2
- rebuild with libimobiledevice-1.1.5

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.2-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-2
- rebuild with libimobiledevice-1.1.1

* Fri Apr 15 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.1-1
- update to 1.1.1
- remove R: hal

* Sat Jun 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-1
- initial build for Vine Linux

* Sun Mar 21 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- New upstream stable 1.0.0 release

* Thu Feb  4 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.7-1
- Update to 0.9.7 release, compile against renamed libimobiledevice

* Sun Jan 24 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.6-1
- Update to 0.9.6 release

* Sat Dec 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.5-1
- Update to 0.9.5 release for new usbmuxd/libplist 1.0.0 final

* Sat Dec 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-3
- Rebuild for libplist .so bump

* Wed Oct 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-2
- Fix included files

* Wed Oct 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.4-1
- Update to 0.9.4 release for new usbmuxd 1.0.0-rc1

* Thu Sep 17 2009 Peter Lemenkov <lemenkov@gmail.com> 0.9.3-2
- Rebuilt with new fuse

* Mon Aug 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.3-1
- Update to 0.9.3 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.1-1
- Update to official 0.9.1 release

* Fri Apr 03 2009 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-8.20090401git5db1ccc
- Update to github version

* Fri Apr 03 2009 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-7.20090308git8d6eebb
- Update to latest master

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6.20081214gitb0412bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-5
- Review fixes

* Sun Dec 14 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-4
- Actually depend on libiphone. Latest git

* Tue Dec 2 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-3
- Fix git file generation

* Mon Dec 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-2
- Update package to code snapshot package policies

* Sat Nov 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Initial package
