# Initscripts package is now maintained on trac.vinelinux.org svn repository.
# http://trac.vinelinux.org/browser/projects/initscripts/trunk

Summary:      The inittab file and the /etc/rc.d scripts.
Summary(ja):  inittab と /etc/rc.d 以下の起動スクリプト一式
Name:         initscripts
Version:      8.91.16
Release:      1%{?_dist_release}
License:      GPL
Group:        System Environment/Base
Url:          http://trac.vinelinux.org/browser/projects/initscripts

# generated from svn
Source:       %{name}-vine-%{version}.tar.bz2

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  glib2-devel, popt-devel

Requires:     mingetty, gawk, sed, mktemp, e2fsprogs >= 1.15
Requires:     procps >= 3.2.7, syslog
Requires:     setup >= 2.5.7, psmisc, which, grep
%if "%{__dist_release}" >= "vl7"
Requires:     kmod
%else
Requires:     module-init-tools >= 3.6
%endif
Requires:     util-linux-ng
Requires:     upstart >= 0.6.7
Requires:     SysVinit-tools
Requires:     iproute, iputils >= 20020927
Requires:     kbd
Requires:     dhclient, ethtool
Requires:     udev >= 153-1
Requires:     sed, coreutils

Conflicts:    kernel <= 2.4, timeconfig < 3.0, pppd < 2.3.9, wvdial < 1.40-3
Conflicts:    ypbind < 1.6-12
Obsoletes:    rhsound, sapinit

Requires(pre): shadow-utils
Requires(post): gawk, coreutils, sed, chkconfig
Requires(preun): chkconfig

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     daisuke

%description
The initscripts package contains the basic system scripts used to boot
your Vine Linux system, change run levels, and shut the system down
cleanly.  Initscripts also contains the scripts that activate and
deactivate most network interfaces.

%description -l ja
このパッケージには, システムのブート・シャットダウン時などに使われるス
クリプト群が含まれています. ネットワーク・インタフェースの起動などに用
いられるスクリプト群もあります.


%prep
%setup -q

%build
%__make %{?_smp_mflags} libdir=%{_libdir}


%install
rm -rf ${RPM_BUILD_ROOT}
%__make ROOT=${RPM_BUILD_ROOT} SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install

# build file list of locale stuff in with lang tags
pushd %{buildroot}/%{_datadir}/locale
for foo in * ; do
	echo  "%lang($foo) %{_datadir}/locale/$foo/*/*" >> \
	${RPM_BUILD_DIR}/%{name}-%{version}/trans.list
done
popd

# upstart
mv -f $RPM_BUILD_ROOT/etc/inittab.upstart $RPM_BUILD_ROOT/etc/inittab

rm -f $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-{ctc,escon,iucv}
rm -f $RPM_BUILD_ROOT/lib/udev/rules.d/55-ccw.rules \
      $RPM_BUILD_ROOT/lib/udev/ccw_init
    
%pre
/usr/sbin/groupadd -g 22 -r -f utmp


%post
touch /var/log/wtmp
touch /var/run/utmp
chown root.utmp /var/log/wtmp /var/run/utmp
chmod 664 /var/log/wtmp /var/run/utmp

/sbin/chkconfig --add random
/sbin/chkconfig --add netfs
/sbin/chkconfig --add network

# handle serial installs semi gracefully
if [ $1 = 0 ]; then
  if [ "$TERM" = "vt100" ]; then
      tmpfile=`mktemp /etc/sysconfig/tmp.XXXXXX`
      sed -e '/BOOTUP=color/BOOTUP=serial/' /etc/sysconfig/init > $tmpfile
      mv -f $tmpfile /etc/sysconfig/init
  fi
fi

# dup of timeconfig %post - here to avoid a dependency
if [ -L /etc/localtime ]; then
    _FNAME=`ls -ld /etc/localtime | awk '{ print $11}' | sed 's/lib/share/'`
    rm /etc/localtime
    cp -f $_FNAME /etc/localtime
    if [ -f /etc/sysconfig/clock ] ; then
        if ! grep -q "^ZONE=" /etc/sysconfig/clock ; then
          echo "ZONE=\"$_FNAME"\" | sed -e "s|[^\"]*/usr/share/zoneinfo/||" >> /etc/sysconfig/clock
        fi
    fi
fi

# comment out LC_ALL and LANGUAGE entry in /etc/sysconfig/i18n
tmpfile=`mktemp /etc/sysconfig/tmp.XXXXXX`
sed -e 's/^LC_ALL=/#LC_ALL=/' \
    -e 's/^LANGUAGE=/#LANGUAGE=/' \
    /etc/sysconfig/i18n > $tmpfile
mv -f $tmpfile /etc/sysconfig/i18n
chmod 755 /etc/sysconfig/i18n


# use VJE-delta if installed
if [ -f /etc/vje30/vje.cfg ]; then
  newime=`mktemp /etc/sysconfig/ime.XXXXXX`
  sed -e "s|EMACS_IME.*|EMACS_IME=vje|g" \
      -e "s|XIM_PROG.*|XIM_PROG=vje|g" \
      /etc/sysconfig/ime > $newime
  cp -f $newime /etc/sysconfig/ime
  rm -f $newime
fi

# use wnn7 if installed
if [ -f /usr/lib/wnn7/ja_JP/jserverrc ]; then
  newime=`mktemp /etc/sysconfig/ime.XXXXXX`
  sed -e "s|EMACS_IME.*|EMACS_IME=wnn7|g" \
      -e "s|XIM_PROG.*|XIM_PROG=wnn7|g" \
      /etc/sysconfig/ime > $newime
  cp -f $newime /etc/sysconfig/ime
  rm -f $newime
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del random
  /sbin/chkconfig --del netfs
  /sbin/chkconfig --del network
fi

%triggerun -- initscripts <= 7.2.6
/sbin/chkconfig --del rawdevices >& /dev/null ||:
exit 0

%triggerpostun -- initscripts <= 5.31

function addAlias(){
	test=`grep "^$1" $2`
	[ "x$test" = "x" ] && echo "$1" >> $2
}

fstab=/etc/fstab
if [ -f $fstab ] ; then
	newfstab=`mktemp /etc/fstab.XXXXXX`
	if [ -n "$newfstab" ]; then
		/bin/awk '{ if ($3 != "usbdevfs") { print ; }}' $fstab > $newfstab
		cat $newfstab > $fstab
		rm -f $newfstab
	fi
fi

mconf=/etc/modules.conf
[ ! -f $mconf -a -f /etc/conf.modules ] && mconf=/etc/conf.modules
	touch $mconf 2>/dev/null || mconf=""
sysconf=/etc/sysconfig/usb
if [ -f "$sysconf" -a -n "$mconf" ] ; then
	source $sysconf
	case `echo $usb | tr '[:upper:]' '[:lower:]'` in
	ohci) alias="usb-ohci" ;;
	uhci) alias="usb-uhci" ;;
	no|off|false) alias="off" ;;
	esac
	[ -n "$alias" ] && addAlias "alias usb-controller $alias" $mconf
fi
rm -f $sysconf

/sbin/chkconfig --add random
/sbin/chkconfig --add netfs
/sbin/chkconfig --add network


%triggerpostun -- initscripts <= 4.72

. /etc/sysconfig/init
. /etc/sysconfig/network

# These are the non-default settings. By putting them at the end
# of the /etc/sysctl.conf file, it will override the default
# settings earlier in the file.

if [ -n "$FORWARD_IPV4" -a "$FORWARD_IPV4" != "no" -a "$FORWARD_IPV4" != "false" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "net.ipv4.ip_forward = 1" >> /etc/sysctl.conf
fi
#if [ "$DEFRAG_IPV4" = "yes" -o "$DEFRAG_IPV4" = "true" ]; then
#	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
#	echo "net.ipv4.ip_always_defrag = 1" >> /etc/sysctl.conf
#fi

newnet=`mktemp /etc/sysconfig/network.XXXXXX`
if [ -n "$newnet" ]; then
  sed "s|FORWARD_IPV4.*|# FORWARD_IPV4 removed; see /etc/sysctl.conf|g" \
   /etc/sysconfig/network > $newnet
  sed "s|DEFRAG_IPV4.*|# DEFRAG_IPV4 removed; see /etc/sysctl.conf|g" \
   $newnet > /etc/sysconfig/network
  rm -f $newnet
fi

if [ -n "$MAGIC_SYSRQ" -a "$MAGIC_SYSRQ" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.sysrq = 1" >> /etc/sysctl.conf
fi
if uname -m | grep -q sparc ; then
   if [ -n "$STOP_A" -a "$STOP_A" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.stop-a = 1" >> /etc/sysctl.conf
   fi
fi

newinit=`mktemp /etc/sysconfig/init.XXXXXX`
if [ -n "$newinit" ]; then
  sed "s|MAGIC_SYSRQ.*|# MAGIC_SYSRQ removed; see /etc/sysctl.conf|g" \
   /etc/sysconfig/init > $newinit
  sed "s|STOP_A.*|# STOP_A removed; see /etc/sysctl.conf|g" \
   $newinit > /etc/sysconfig/init
  rm -f $newinit
fi

% trriggerpostun -- initscripts < 6.51-1vl23
# comment out obsolete entry in inittab
if [ -f /etc/inittab ] ;then
  newinittab=`mktemp /etc/inittab.XXXXXX`
  sed -e "s|ud::once:/sbin/update|#ud::once:/sbin/update|g" /etc/inittab > $newinittab
  cp -f $newinittab /etc/inittab
  rm -f $newinittab
fi
    
%triggerin -- wnn8-server

newime=`mktemp /etc/sysconfig/ime.XXXXXX`
sed -e "s|EMACS_IME.*|EMACS_IME=wnn8|g" \
    -e "s|XIM_PROG.*|XIM_PROG=wnn8|g" \
    -e "s|GTK_IM_MODULE.*|GTK_IM_MODULE=xim|g" \
    -e "s|QT_IM_MODULE.*|QTK_IM_MODULE=xim|g" \
    /etc/sysconfig/ime > $newime
cp -f $newime /etc/sysconfig/ime
rm -f $newime

%triggerun -- wnn8-server

newime=`mktemp /etc/sysconfig/ime.XXXXXX`
sed -e "s|EMACS_IME=wnn8le|EMACS_IME=scim|g" \
    -e "s|XIM_PROG=wnn8le|XIM_PROG=scim|g" \
    -e "s|GTK_IM_MODULE.*|GTK_IM_MODULE=scim|g" \
    /etc/sysconfig/ime > $newime
cp -f $newime /etc/sysconfig/ime
rm -f $newime

%triggerin -- wnn7-server

newime=`mktemp /etc/sysconfig/ime.XXXXXX`
sed -e "s|EMACS_IME.*|EMACS_IME=wnn7|g" \
    -e "s|XIM_PROG.*|XIM_PROG=wnn7|g" \
    -e "s|GTK_IM_MODULE.*|GTK_IM_MODULE=xim|g" \
    /etc/sysconfig/ime > $newime
cp -f $newime /etc/sysconfig/ime
rm -f $newime

%triggerun -- wnn7-server

newime=`mktemp /etc/sysconfig/ime.XXXXXX`
sed -e "s|EMACS_IME=wnn7|EMACS_IME=scim|g" \
    -e "s|XIM_PROG=wnn7|XIM_PROG=scim|g" \
    -e "s|GTK_IM_MODULE.*|GTK_IM_MODULE=scim|g" \
    /etc/sysconfig/ime > $newime
cp -f $newime /etc/sysconfig/ime
rm -f $newime

%triggerin -- vje-delta

newime=`mktemp /etc/sysconfig/ime.XXXXXX`
sed -e "s|EMACS_IME.*|EMACS_IME=vje|g" \
    -e "s|XIM_PROG.*|XIM_PROG=vje|g" \
    -e "s|GTK_IM_MODULE.*|GTK_IM_MODULE=xim|g" \
    /etc/sysconfig/ime > $newime
cp -f $newime /etc/sysconfig/ime
rm -f $newime

%triggerun -- vje-delta

newime=`mktemp /etc/sysconfig/ime.XXXXXX`
sed -e "s|EMACS_IME=vje|EMACS_IME=scim|g" \
    -e "s|XIM_PROG=vje|XIM_PROG=scim|g" \
    -e "s|GTK_IM_MODULE.*|GTK_IM_MODULE=scim|g" \
    /etc/sysconfig/ime > $newime
cp -f $newime /etc/sysconfig/ime
rm -f $newime


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f trans.list
%defattr(-,root,root)
%dir /etc/sysconfig/network-scripts
%config(noreplace) %verify(not md5 mtime size) /etc/adjtime
%config(noreplace) /etc/sysconfig/init
/etc/sysconfig/network-scripts/ifdown
/sbin/ifdown
/etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
/sbin/ifup
%dir /etc/sysconfig/console
%dir /etc/sysconfig/modules
%config /etc/sysconfig/i18n
%config /etc/sysconfig/ime
%config /etc/sysconfig/desktop
%config /etc/sysconfig/dmtype
%config /etc/sysconfig/netconsole
%dir /etc/sysconfig/networking
%dir /etc/sysconfig/networking/devices
%dir /etc/sysconfig/networking/profiles
%dir /etc/sysconfig/networking/profiles/default
/etc/sysconfig/network-scripts/network-functions
/etc/sysconfig/network-scripts/network-functions-ipv6
/etc/sysconfig/network-scripts/init.ipv6-global
/etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/network-scripts/ifup-ipx
/etc/sysconfig/network-scripts/ifup-post
/etc/sysconfig/network-scripts/ifdown-ppp
/etc/sysconfig/network-scripts/ifdown-sl
/etc/sysconfig/network-scripts/ifup-ppp
/etc/sysconfig/network-scripts/ifup-sl
/etc/sysconfig/network-scripts/ifup-routes
/etc/sysconfig/network-scripts/ifdown-routes
/etc/sysconfig/network-scripts/ifup-plip
/etc/sysconfig/network-scripts/ifup-plusb
/etc/sysconfig/network-scripts/ifup-bnep
/etc/sysconfig/network-scripts/ifdown-bnep
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/ifup-ipv6
/etc/sysconfig/network-scripts/ifdown-ipv6
/etc/sysconfig/network-scripts/ifup-ipsec
/etc/sysconfig/network-scripts/ifdown-ipsec
/etc/sysconfig/network-scripts/ifup-sit
/etc/sysconfig/network-scripts/ifdown-sit
/etc/sysconfig/network-scripts/ifup-tunnel
/etc/sysconfig/network-scripts/ifdown-tunnel
/etc/sysconfig/network-scripts/ifup-aliases
/etc/sysconfig/network-scripts/ifdown-aliases
/etc/sysconfig/network-scripts/ifup-ippp
/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/ifup-wireless
/etc/sysconfig/network-scripts/ifup-isdn
/etc/sysconfig/network-scripts/ifdown-isdn
/etc/sysconfig/network-scripts/ifup-ib
/etc/sysconfig/network-scripts/net.hotplug
%config(noreplace) /etc/networks 
%config /etc/X11/prefdm
%config(noreplace) /etc/inittab
%config(noreplace) /etc/inittab.sysv

/lib/udev/rules.d/*
/lib/udev/rename_device
/lib/udev/console_init
/lib/udev/console_check

%dir /etc/init
%config(noreplace) /etc/init/*

%dir /etc/rc.d
%dir /etc/rc.d/rc[0-9].d
%config(missingok) /etc/rc.d/rc[0-9].d/*
/etc/rc[0-9].d
/etc/rc
%dir /etc/rc.d/init.d
/etc/rc.local
/etc/rc.sysinit
/etc/rc.d/init.d/*
/etc/rc.d/rc
%config(noreplace) /etc/rc.d/rc.local
/etc/rc.d/rc.sysinit
%config(noreplace) /etc/sysctl.conf
/etc/profile.d/*
/usr/sbin/sys-unconfig
/sbin/mkkerneldoth
/sbin/setsysfont
/bin/doexec
/bin/ipcalc
/bin/usleep
%attr(4755,root,root) /usr/sbin/usernetctl
/sbin/consoletype
/sbin/fstab-decode
/sbin/genhostid
/sbin/getkey
/sbin/securetty
%attr(2755,root,root) /sbin/netreport
/sbin/initlog
#/sbin/minilogd
/sbin/service
/sbin/ppp-watch
%{_mandir}/man*/*
%dir %attr(775,root,root) /var/run/netreport
%dir /etc/ppp
/etc/ppp/ip-up
/etc/ppp/ip-down
/etc/ppp/ip-up.ipv6to4
/etc/ppp/ip-down.ipv6to4
/etc/ppp/ipv6-up
/etc/ppp/ipv6-down
%config(noreplace) /etc/initlog.conf
%attr(0755,root,root) /etc/NetworkManager/dispatcher.d/00-aliases
%attr(0755,root,root) /etc/NetworkManager/dispatcher.d/00-netreport
%attr(0755,root,root) /etc/NetworkManager/dispatcher.d/05-netfs
%doc sysconfig.txt sysvinitfiles static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto changes.ipv6 COPYING README-init
%ghost %attr(0664,root,utmp) /var/log/btmp
%ghost %attr(0664,root,utmp) /var/log/wtmp
%ghost %attr(0664,root,utmp) /var/run/utmp


%changelog
* Wed Jun 04 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 8.91.16-1
- add default dmtype
- change defaults of desktop/ime

* Sun Jun 01 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 8.91.15-1
- prefdm
  - support lightdm

* Wed Dec 11 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.14-1
- add detect_container function to detect container type.
  - do not mount/remount/.. filesystem in container.

* Mon Jul 09 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.13-1
- add newer udev support
  - mount devtmpfs on /dev
  - mount tmpfs on /run

* Thu Jan 26 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.12-1
- drop support kernel-2.4 (support 3.0 or upper)

* Wed Jul 20 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.11-1
- use pppoe-{start,stop} instead of adsl-{start,stop} (BTS:1170)

* Mon Jun 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.10-1
- fix character class syntax in lang.csh

* Mon Jun 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.9-1
- fix typo

* Fri May 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.8-1
- add NetworkManager/dispacher.d/00-aliases
  - brings up ip alias interfaces.

* Fri Apr 29 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.7-1
- update rc.sysinit
  - add lxc support code

* Mon Apr 25 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.6-1
- update rc.sysinit
  - fix lvm/dm/md initialization code
  - remove unneeded code
  - do not use pam_console_apply

* Wed Apr 20 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.5-1
- update rc.sysinit
  - use multipath instead of multipath.static

* Tue Apr 19 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.4-1
- fix rc.d/rc.sysinit  (<BTS:1123>)
  - silent warning messages.
  - check if sysfs has already been mounted.
  - don't use initlog

* Wed Mar 23 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.3-1
- update init.d/functions to support "status -l"

* Fri Mar 11 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.2-1
- update upstart scripts
- R: upstart >= 0.6.7

* Wed Mar 09 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.1-1
- clean up plymouth staff
- remove '--retain-splash' from prefdm

* Tue Jan 25 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.91.0-1
- fix bash3ism
  - bash4 source/. command does not search current dir any longer.
- change deafult ime from scim to ibus

* Tue Jun 01 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 8.90.6-1
- add Requires: SysVinit-tools
- imported to trac svn repository
  - update Makefile to use svn

* Mon May 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 8.90.5-1
- rc.d/rc
  - do not shutdown plymouth in rc, we handle this by upstart.
- prefdm
  - add "--retain-splash" for gdm, kdm or lxdm.
- Require upstart instead of SysVinit
- BR popt-devel instead of popt
- use Requires(pre,post,preun) instead of Prereq
- use BuildRequires instead of BuildPrereq

* Wed May 12 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 8.90.4-1
- add /etc/init for upstart configs
- remove old/legacy /etc/event.d

* Tue May 11 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 8.90.3-1
- fix rc to show plymouth on shutdown/reboot

* Mon May 10 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 8.90.2-1
- use /sbin/lvm instead of /sbin/lvm.static

* Sun May 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 8.90.1-1
- merge some changes from upstream
- more support plymouth

* Thu Feb 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.20-1
- add lxdm patch (<BTS:225>)
- add plymouth hooks to rc/rc.sysinit/prefdm

* Sun Sep 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.19-1
- remove absolute path from prefdm

* Thu Sep  3 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 8.80.18-1
- fix absolute path to xdm (<BTS:774>)

* Sat Aug 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.17-1
- fix ime.csh to set XMODIFIERS.

* Tue Aug 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.16-1
- export XMODIFIERS

* Sat Aug 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.15-1
- remove unneeded code from rc.sysinit
- remove boot time depmod.

* Mon May 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.14-1
- fix progressbar calculation in shutdown process

* Sat May 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.13-1
- use skipped instead of passed in init.d/netfs
- skip fsck on rc.sysinit if readonlyroot is specified in kernel
  command line.
- skip unmounting on halt/reboot if readonlyroot or noumount is
  specified in kernel command line.

* Tue May 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.12-1
- export QT_IM_MODULE in ime.sh (<BTS:682>)

* Sat May 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.11-1
- add skipped() and echo_skipped() to /etc/init.d/functions
- update message catalogs

* Fri May 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.10-1
- mount procfs before readahead_early
- don't rename network interface name, since we handle it in udev now.

* Sun Mar 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.9-1
- update rc.sysinit
  - cleaning up /var

* Sat Mar 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.8-1
- update rc.sysinit
  - kill nash before start udev
  - do not use nash for raid/dm setup.

* Sat Mar 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.7-1
- update rc.sysinit
  - do not try to mount procfs/sysfs/usbfs if it is already mounted.
  - remove usb hostadapter probing (handled by udev)
- require syslog instead of sysklogd

* Fri Mar 20 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 8.80.6-1
- remove bashism (source) from /etc/profile.d/ime.sh

* Thu Mar 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.5-1
- do not use /sbin/kernelversion in rc.sysinit

* Tue Mar 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.4-1
- add default /etc/sysconfig/desktop

* Sat Dec 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.3-1
- add support for readahead and automatic readahead-collector in rc.sysinit

* Mon Dec 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.2-1
- remove unneeded sleep from rc.sysinit
- do not run mkkerneldoth which is not needed for 2.6 kernel
- init scripts and network scripts are no longer marked as %config
- move udev rules to /lib
- add Requires: udev >= 125-1

* Sun Aug 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.1-1
- add rename_device() to network-functions
- add Requires: dhclient, ethtool

* Sun Aug 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 8.80.0-1
- update initscripts based on new upstream version 8.80

* Wed Jul 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3.0-1
- change default LANG to ja_JP.UTF-8
- TODO: update scripts based on new upstream version.

* Mon Dec 03 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.11-0vl1
- use dmraid.static in rc.sysinit

* Fri Nov 16 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.10-0vl1
- fix ppp/ip-up, sysconfig/network-scripts/ifup-post (<BTS:0560>)

* Wed Nov 14 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.9-0vl1
- fix typo in ifup-routes (s/egreq/egrep) (<BTS:0558>)

* Thu Apr 05 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 7.2.8-0vl4
- explicitly PreReq: coreutils instead of fileutils

* Fri Mar 23 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 7.2.8-0vl3
- fix typo on ja.po (<BTS:503>)

* Sun Feb 11 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 7.2.8-0vl2
- s/adsl-/pppoe-/g

* Thu Jan 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.8-0vl1
- use "wnn8le" instead of "wnn8" if Wnn8 package is installed.

* Wed Nov 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.7-0vl1
- remove obsolete rawdevices script (<BTS:318>)

* Thu Oct 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.6-0vl1
- do not update mtab on mounting usbfs (<BTS:228>)

* Fri Sep 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.5-0vl1
- update ja.po
- fix ifup script

* Thu Sep 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.4-0vl1
- fix ifdown to check if pump is running on the target device.

* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.3-0vl1
- more update network-scripts

* Mon Sep 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.2-0vl1
- change "readonly" cmdline option to "no_remount_rootfs" (<BTS:192>)

* Mon Sep 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.1-0vl1
- import new network-functions from RHEL
- update ifup/ifdown script to use new network-functions
  (<BTS:195>)
- add zeroconf support

* Sun Sep 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.0-0vl1
- import /lib/udev/rename_device, /etc/udev/rules.d/60-net.rules
  from FC's initscripts to rename interface names.

* Sun Sep 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.1.2-0vl1
- remount root fs in specified mode instead of force readwrite.
  (<BTS:192>)
- skip remounting root fs when "readonly" is specified in cmdline.
- fix soundcard initializing in rc.sysinit
  - use snd-card-0 instead of snd-slot-0
  - XXX: still need this code?

* Tue Sep 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.1.1-0vl1
- update RAID stuff in rc.sysinit
  - use mdadm/device-mapper/dmraid instead of raidtools

* Sat Sep 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.1.0-0vl1
- change dhcpcd timeout.

* Sun Aug 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.9-0vl1
- change default ime to scim
- add wnn8 trigger

* Thu Aug 24 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.8-0vl1
- fix typo in ifup/ifdown..

* Thu Aug 24 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.7-0vl1
- fix ifup/ifdown scripts to support HWADDR

* Sun Jul 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.6-0vl1
- build ppp-watch with glib-2.0 instead of glib-1
- add BuildRequires: glib2-devel

* Sun Jul 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.5-0vl1
- use $(libdir) instead of /usr/lib in Makefile
- drop Patch0

* Thu Jul 06 2006 Shu KONNO <owa@bg.wakwak.com> 7.0.4-0vl2
- add Makefile.x86_64.patch for x86_64

* Sun May 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.4-0vl1
- fix typo

* Sat May 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.3-0vl1
- add support static dev (dev >= 3.22-0vl1)
  - moount /.dev.static to /dev if running kernel is not
    support udev or "noudev" is specified in cmdline option.

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.2-0vl1
- check process accounting log dirs
- add trigger to load user-defined modules(/etc/sysconfig/modules/*)
- try to load all ACPI modules if noacpimodule is not set.
  XXX: this may cause lower stability, we should confirm this change.

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.1-0vl1
- add dhclient support for ifup/ifdown scripts
- add timeout value(10) for dhcpcd if $DHCP_TIMEOUT is not set.
- update po

* Sun Mar 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.0-0vl1
- bump version
- initscripts is now maintained on vinelinux.org cvs.
  - drop all patches which are now merged in cvs repository.

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl36
- add start_udev in rc.sysinit (noudev option to disable udev)
- add Requires: udev >= 086

* Sat Dec 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl35
- import Patch40 from 6.51-1vl33.3(Vine 3.2)
  - add Patch40 to cleanup /tmp files and setup ICE socket directory.

* Wed Aug 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl34
- add patch38 to load SCSI modules in early stage.

* Wed Jun 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl33
- update Patch34
  - check /proc/modules instead of /proc/ksyms
  - log /proc/kallsyms for kernel-2.6 (use /proc/ksyms for 2.4)

* Sun Jun 12 2005 NISHIMURA Daisuke <nishi@mozilla.gr.jp> 6.51-1vl32
- add patch35 to fix pidfileofproc().
- add patch36 to prevent ifuping an already up interface.
- add patch37 to fix sleeping time in ifdown.
- exclude backup files in /etc/rc.d/init.d from a package.

* Fri Jun 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl31
- add Patch34 to support kernel-2.6
  - mount /sys filesystem
  - use usbfs to mount usb device filesystem instead of usbdevfs

* Wed May 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl30
- update patch27 to correct bootsplash progress bar in shutdown.
- drop patch32 which was merged in patch27

* Tue May 10 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.51-1vl29
- updated Patch15 for kernel26

* Mon May 09 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl28
- add patch32 to show booting message on bootsplash silent mode.
- add patch33 to hook diskless kit rc files (Vine Linux Educational Edition)

* Mon Nov  8 2004 IWAI, Masaharu <iwai@alib.jp> 6.51-1vl27
- bug fix: DHCPCDARGS is canceled under specific conditions ( Patch31 )

* Fri Jun 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl26
- modifiy default canna setting to use unix domain socket.

* Mon Jun 14 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl25
- mark /etc/inittab as config(noreplace)
- modify inittab to remove obsoleted entry in %%post script.

* Sun Jun 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl24
- add Patch30 to fix ifdown. (dhcpcd pidfile location was moved)

* Sat Jun 12 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl23
- add Patch29 to remove "/sbin/update" line from inittab, 
  it is not needed for recent kernel.

* Fri Apr  2 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl22
- update Patch28 to fix unicon loading.

* Thu Apr  1 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl21
- remove 'source i18n' from rc.sysinit to fix broken message
  in bootup scripts.

* Mon Sep 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl20
- check /etc/sysconfig/bootsplash is exist or not.

* Fri Sep 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl19
- add source /etc/sysconfig/bootsplash in /etc/init.d/functions.

* Thu Sep 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl18
- add Patch37 to support bootsplash screen.

* Thu Apr  3 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl17.1
- use VJE-delta for XIM engine if installed.

* Tue Nov 19 2002 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 6.51-1vl17
- change Patch35: $alias is not local: used by caller.

* Tue Nov 19 2002 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 6.51-1vl16
- change Patch35 to wait only when module alias is not set.
- add Patch36 to change condition of environment tweak in ime.{sh,csh}.

* Wed Oct 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl15
- add Patch35 for hotplug device delay initialization. (adhoc patch)

* Sat Aug 03 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.51-1vl14
- added PreReq: sed (pre/post scripts use sed)

* Sat Jun  1 2002 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 6.51-1vl13
- fix conditional expression using needhostname in ifup-post
- fix typo of keybdev.o in rc.sysinit

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl12
- fixed typo in ime.sh

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl11
- add triggerin/triggerun for wnn7-server.
  Use Wnn7 for default IME when wnn7-server is installed.

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl10
- add alias (emacs) in ime.{sh,csh}.
  emacs should not connect xim server, when we use xwnmo.

* Sun Mar 17 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 6.51-1vl9
- remove Patch21, we are using ext3 filesystem for default.

* Wed Mar 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.51-1vl8
- modified Patch22 to load {hid,mousedev,keydev}.o module
  ONLY if they are actually there as kernel modules:
  if they're built in the kernel, don't try to load the modules

* Mon Mar 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.51-1vl7
- added Patch22 to enable mount usbdevfs even if usbcore is built
  into a kernel (Vine/ppc default kernel does)

* Sun Mar 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.51-1vl6
- added Patch21 to set AUTOFSCK_DEF_CHECK to yes

* Thu Mar 07 2002 Toru Sagami <sagami@vinelinux.org> 6.51-1vl5
- make /etc/sysconfig/i18n readable and executable 

* Thu Mar 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.51-1vl4
- modified %%post section to comment out LC_ALL and LANGUAGE
  (/etc/sysconfig/i18n is set to %%config, but in case of some trouble...)

* Tue Feb 12 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 6.51-1vl3
- added Patch20 (loading mixer for setting sound volum)

* Sun Feb 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.51-1vl2
- added Patch19 (loading soundmodule pushed back to old style)

* Tue Feb 05 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 6.51-1vl1
- finally synced up with Rawhide's 6.51-1vl0
- added ppc-specific treatment in the Patch11
- not wdm but gdm is now default (search priority changed)
- FIXME: two old Vine patches (Patch14, Patch16)
- TODO:  basically should we need to follow Red Hat's initscripts?
         it may be the BIG todos for us AFTER vine-2.5 branch be cut out

- Vine's many (old)c hangelogs as follows:

  - Mon Sep 10 2001 Toru Sagami <sagami@vinelinux.org>
  - 5.52-1vl10: dont exit triggerpostun script when mktemp fails
  - added a patch so that we dont run fsck reiserfs on root filesystem

  - Mon Sep 03 2001 Toru Sagami <sagami@vinelinux.org>
  - 5.52-1vl9: fixed triggerpostun script, again and again
  - added a patch to handle kernel24 in generating /boot/kernel.h

  - Wed Jun 27 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
  - 5.52-1vl8
  - modified unicon patch to be compatible with kernel24

  - Sat Jun 02 2001 <sagami@vinelinux.org>
  - 5.52-1vl7: fixed triggerpostun script, again
  - added PreReq: chkconfig >= 1.2.17-1vl1 for /etc/init.d

  - Thu May 17 2001 <sagami@vinelinux.org>
  - 5.52-1vl6: fixed triggerpostun script($usb rather than $USB)...

  - Thu May 17 2001 Daisuke SUZUKI <daisuke@linux.or.jp>
  - 5.52-1vl5
  - remove LANGUAGE from i18n

  - Mon Feb 19 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
  - 5.52-1vl4
  - fixed unicon module action message.
  - added patch for stopping unnecessary agpgart module installation.

  - Mon Feb 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
  - 5.52-1vl3
  - added unicon module treatment (Patch5)

  - Sat Dec 23 2000 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
  - 5.52-1vl2
  - make triggerpostun <= 5.04 be executed in our 5.52 upgrading from 5.31,
    which is actually 5.00.
  - added initscripts-5.52-usb.patch

  - Sun Dec 17 2000 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
  - 5.52-1vl1
  - added triggerpostun <= 5.31 for usbdevfs and usb modules
  - requires >= 2.10f-7vl2 for all architecture
  - silent requirements to work: bash2 in bash, hdparm, modutils, kernel
  - work around to handle bash1 in bash by adding a small patch
    (My colors are blush and bashful).

  - Sun Dec 10 2000 Jun Nishii <jun@vinelinux.org>
  - 5.31-0vl1
  - adapt to directory structure of initscripts-5.52-1
  - rename version name as 5.01 instead of 5.00 to aviod version control
    violence with chkconfig-1.2.17-1vl1

  - Mon Oct 16 2000 Shoji MATSUMOTO, <shom@vinelinux.org> 5.00-1vl7
  - usb hack updated
  - add "qaction" into functions

  - Thu Oct 12 2000 Daisuke SUZUKI, <daisuke@linux.or.jp> 5.00-1vl6
  - usb hack

  - Thu Oct 05 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
  - 5.00-1vl5
  - removed Requires: clock for ppc
    (util-linux >= 2.10f-7vl2 have clock/hwclock for ppc)

  - Thu Oct 05 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
  - 5.00-1vl4
  - modified patch2 for non-hwclock environment
    (/sbin/clock doesn't have '--localtime' option)

  - Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
  - 5.00-1vl3
  - modify ime.{sh,csh} to load $HOME/.vine/system/ime

  - Wed Jul  5 2000 Lisa Sagami <czs14350@nifty.ne.jp>
  - added smallfix patch from recent initscripts release (5.17) 

  - Tue Jun 06 2000 Lisa Sagami <czs14350@nifty.ne.jp>
  - obedience to new policy: changed LANG from ja_JP.ujis to ja_JP.eucJP

  - Wed May 24 2000 Lisa Sagami <czs14350@nifty.ne.jp>
  - based upon 4.72-1vl3 and synced with RH 5.00-1 (also changelog)
  - added SYN flood protection on sysctl.conf

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com>
- run /bin/setfont, not /usr/bin/setfont (kbd)
- lots-o-random bugfixes/tweaks (see ChangeLog)

* Thu Jan 17 2002 Michael K. Johnson <johnsonm@redhat.com>
- Added support for libredhat-kernel.so.* symlink handling

* Wed Nov  7 2001 Than Ngo <than@redhat.com>
- fix bug in setting netmask on s390/s390x (bug #55421)
  nmbd daemon works now ;-)

* Fri Nov  2 2001 Than Ngo <than@redhat.com>
- fixed typo bug ifup-ippp

* Mon Oct 29 2001 Than Ngo <than@redhat.com>
- fix bug in channel bundling if MSN is missed
- support DEBUG option
        
* Wed Sep 19 2001 Than Ngo <than@redhat.com>
- don't show user name by DSL connection

* Sat Sep  8 2001 Bill Nottingham <notting@redhat.com>
- don't run hwclock --adjust on a read-only filesystem

* Thu Sep  6 2001 Than Ngo <than@redhat.com>
* update initscripts-s390.patch for s390/s390x

* Wed Sep  5 2001 Bill Nottingham <notting@redhat.com>
- translation updates
- quota and hwclock tweaks (<pbrown@redhat.com>)

* Mon Sep  3 2001 Bill Nottingham <notting@redhat.com>
- fix severe alias problems (#52882)

* Mon Sep  3 2001 Than Ngo <than@redhat.com>
- don't start pppbind if encapsulation is rawip (bug #52491)

* Sun Sep  2 2001 Than Ngo <than@redhat.com>
- add ISDN patches from pekkas@netcore.fi and pb@bieringer.de (bug #52491)
- fix handling of ISDN LSZ Compresssion

* Thu Aug 30 2001 Than Ngo <than@redhat.com>
- po/de.po: fix typo bug, lo instead 1o

* Wed Aug 29 2001 David Sainty <dsainty@redhat.com>
- fix ifdown for multiple dhcpcd interfaces

* Wed Aug 29 2001 Than Ngo <than@redhat.com>
- fix ISDN dial on demand bug
- fix typo bug in network-functions

* Tue Aug 28 2001 Nalin Dahyabhai <nalin@redhat.com>
- document /etc/sysconfig/authconfig

* Tue Aug 28 2001 Bill Nottingham <notting@redhat.com> 6.31-1
- message un-tweaks (<johnsonm@redhat.com>)
- make getkey more useful, fix some of the autofsck stuff (<johnsonm@redhat.com>)

* Mon Aug 27 2001 Bill Nottingham <notting@redhat.com>
- autofsck support, archive modules/symbol info (<johnsonm@redhat.com>)

* Mon Aug 27 2001 Than Ngo <than@redhat.com>
- fix some typo bugs in ifup-ippp <ubeck@c3pdm.com>

* Fri Aug 24 2001 Bill Nottingham <notting@redhat.com>
- sort output of halt_get_remaining (#52180)

- fix bad translation (#52503)

* Wed Aug 22 2001 Bill Nottingham <notting@redhat.com>
- fix ifup-wireless (#52135)

* Wed Aug 22 2001 Than Ngo <than@redhat.com>
- fix return code of isdnctrl (bug #52225)

* Tue Aug 21 2001 Than Ngo <than@redhat.com>
- fix Bringing up isdn device again. It works now correct.

* Tue Aug 21 2001 Than Ngo <than@redhat.com>
- fix shutdown/Bringing up isdn device

* Mon Aug 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error in lang.csh
- set codeset by echoing to /dev/tty instead of /proc/self/fd/15

* Sun Aug 19 2001 Bill Nottingham <notting@redhat.com>
- fix a broken call to check_device_down
- make all loopback addresses have host scope, not global scope.
  Fixes #49374, possibly others

* Wed Aug 15 2001 Bill Nottingham <notting@redhat.com>
- add is_available() network function, use it; cleans up ugly modprobe
  error messages
- update translation info
- fix #51787

* Wed Aug 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- adjust s390 patch
- fix up ifup-ctc and mkkerneldoth.s390 (both are s390 specific)

* Mon Aug 13 2001 Yukihiro Nakai <ynakai@redhat.com>
- don't display Chinese Korean if we aren't on a pty

* Sat Aug 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- adjust s390 patches to current sources

* Fri Aug 10 2001 Bill Nottingham <notting@redhat.com>
- use GDM_LANG if it's set in lang.sh/lang.csh (#51432, <otaylor@redhat.com>)

* Fri Aug 10 2001 Than Ngo <than@redhat.com>
- don't set MSN if it' empty (it's now optional)
- don't give login name as a cmdline-option (Bug #23066)
- remove peer device file if ppp connection is down
- fix channel bundling

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- require SysVinit (#51335)

* Wed Aug  8 2001 Bill Nottingham <notting@redhat.com>
- tweak raittab grep slightly (#51231)
- allow resetting of default route for DHCP addresses (#48994)
- save resolv.conf in ifup-ppp for restoration by ifdown-post (#50759)
- when munging firewall rules for dns, only allow dest ports 1025-65535 (#44038, #40833)
- allow shell characters in ppp names (#43719)
- allow setting DHCP arguments, just kill dhcpcd instead of using -k (#46492)
- behave sanely if ifup called when dhcpcd is running (#49392, #51038)

* Mon Aug  6 2001 Bill Nottingham <notting@redhat.com>
- honor HOTPLUG=no if running under hotplug (#47483)
- use awk, not grep, for modprobe -c checks (#49616)
- don't print ugly messages for the case where the device doesn't exist,
  and there is no alias (i.e., PCMCIA ONBOOT=yes (#various))
- run kbdconfig in /.unconfigured mode (#43941)
- use a bigger buffer size argument to dmesg (#44024)
- detach loopback devices on shutdown (#43919, #45826)

* Thu Aug  2 2001 Bill Nottingham <notting@redhat.com>
- fix halt_get_remaining() (#50720)

* Tue Jul 31 2001 Bill Nottingham <notting@redhat.com>
- mount all FS types r/o at halt (#50461)
- don't use mii-tool at all (#various)

* Thu Jul 26 2001 Bill Nottingham <notting@redhat.com>
- don't use kbd commands in setsysfont now that we've switched back to
  console-tools (#50075)
- sleep in check_link_down; some devices require it
- only bring link down if check_link_down fails

* Wed Jul 25 2001 Bill Nottingham <notting@redhat.com>
- set link up before checking with mii-tool (#49949)

* Tue Jul 24 2001 Bill Nottingham <notting@redhat.com>
- update netdev stuff to use _netdev
- IPv6 updates (<pekkas@netcore.fi>)
- fix downing of devices with static IPs (#49777, #49783)
- put ifcfg-lo back in the package

* Fri Jul 20 2001 Preston Brown <pbrown@redhat.com> 6.06
- updates for quota

* Tue Jul 17 2001 Bill Nottingham <notting@redhat.com>
- own some more directories
- use -O nonetdev, require mount package that understands this
- fix do_netreport when called as non-root
- remove ip addresses from interfaces on ifdown
- oops, fix ifup/ifdown

* Mon Jul 16 2001 Than Ngo <than@redhat.com>
- fix country_code for ISDN

* Mon Jul  9 2001 Bill Nottingham <notting@redhat.com>
- fix '--check'
- prereq sh-utils (#43065)
- fix some invocations of reboot/halt (#45966)
- fix typo in ifup-wireless
- don't muck with /etc/issue each boot
- big IPv6 update (<pekkas@netcore.fi>)

* Fri Jul  6 2001 Trond Eivind Glomsr︰ <teg@redhat.com>
- Add new directories required by new network tool

* Thu Jul 05 2001 Karsten Hopp <karsten@redhat.de>
- disable hwclock on S390 (no such executable)
- Fix up kernel versioning on binary-only modules (S390)
- don't use newt scripts on S390 console

* Sun Jul 01 2001 Trond Eivind Glomsr︰ <teg@redhat.com>
- reenable pump, but make sure dhcpcd is the default. This
  way, upgrades of systems without dhcpcd has a better chance at
  working.

* Thu Jun 28 2001 Trond Eivind Glomsr︰ <teg@redhat.com>
- Disable pump completely

* Wed Jun 27 2001 Than Ngo <than@redhat.com>
- fix pap/chap authentication for syncppp
- support ippp options
        
* Mon Jun 25 2001 Bill Nottingham <notting@redhat.com>
- add ifup-wireless

* Fri Jun 22 2001 Than Ngo <than@redhat.com>
- add support xDSL

* Thu Jun 21 2001 Bill Nottingham <notting@redhat.com>
- more networking script fixes (#45364)
- add stuff for unmounting /initrd

* Thu Jun 21 2001 Than Ngo <than@redhat.com>
- add support ISDN

* Wed Jun 20 2001 Bill Nottingham <notting@redhat.com>
- fix extremely broken new network scripts

* Wed Jun 20 2001 Bill Nottingham <notting@redhat.com>
- bump version to 5.89
- make it build

* Thu May 17 2001 Bill Nottingham <notting@redhat.com>
- don't run ifup ppp0 if ppp-watch gets SIGINT (#40585, ak@cave.hop.stu.neva.ru)- fix do_netreport (#37716, #39603 <crlf@aeiou.pt>)

* Wed May 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- copyright: GPL -> license: GPL
- fix a syntax error in lang.csh
- skip commented-out i18n configuration lines in lang.csh

* Fri May 11 2001 Preston Brown <pbrown@redhat.com>
- new network-scripts infrastructure; ifcfg-lo moved to /etc/sysconfig/networking

* Wed May  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 5.86-1
- support kbd in setsysfont
- bzip2 source

* Wed Apr 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add further s390 changes:
        - ifup-iucv
        - mkkerneldoth.s390

* Tue Apr 24 2001 Than Ngo <than@redhat.com>
- add shutdown UPS into halt (bug #34312)

* Sat Apr  7 2001 Preston Brown <pbrown@redhat.com>
- broke out kernel.h updater from rc.sysinit into /sbin/mkkerneldoth

* Fri Apr  6 2001 Bill Nottingham <notting@redhat.com>
- be a little more careful in do_netreport (#34933)

* Tue Apr  3 2001 Bill Nottingham <notting@redhat.com>
- set umask explicitly to 022 in /etc/init.d/functions

* Mon Apr  2 2001 Bill Nottingham <notting@redhat.com>
- fix segfault in usernetctl (#34353)

* Mon Mar 26 2001 Bill Nottingham <notting@redhat.com>
- don't print errors in /etc/init.d/network if kernel.hotplug doesn't exist

* Thu Mar 22 2001 Erik Troan <ewt@redhat.com>
- take advantage of new swapon behaviors

* Wed Mar 14 2001 Bill Nottingham <notting@redhat.com>
- add cipe interfaces last (#31597)

* Tue Mar 13 2001 Bill Nottingham <notting@redhat.com>
- fix typo in ifup (#31627)
- update translation source

* Tue Mar 13 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix typo in rc.sysinit
- fix ifup-routes not setting DEVICE properly

* Mon Mar 12 2001 Preston Brown <pbrown@redhat.com>
- Work properly with new quota utilities

* Mon Mar  5 2001 Bill Nottingham <notting@redhat.com>
- IPv6 fixes (#30506)
- make static-routes handling more sane and consistent (#29500, #29549)
- handle multiple USB controllers *correctly*

* Wed Feb 28 2001 Nalin Dahyabhai <nalin@redhat.com>
- usernetctl, ppp-watch: cleanups
- netreport: use O_NOFOLLOW
- ifup-ppp: let ppp-watch watch over demand-dialed connections (#28927)

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- don't run isapnp on isapnp-enabled 2.4 kernels (part of #29450)
- disable hotplug during network initscript
- don't munge wireless keys in ifup; that will be done with the
  PCMCIA wireless stuff
- run sndconfig --mungepnp for non-native-isapnp soundcards
- don't explicitly kill things in init.d/single, init will do it
- don't explicitly load usb-storage; mount the usbdevfs before initializing
  host controller modules

* Wed Feb 21 2001 Bill Nottingham <notting@redhat.com>
- initialize multiple USB controllers if necessary

* Wed Feb 21 2001 Nalin Dahyabhai <nalin@redhat.com>
- close extra file descriptors before exec()ing commands in initlog

* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- fix some substitions in init.d/functions (fixes various killproc issues)
- make sure ipv6 module alias is available if configured
- fix initlog segfaults in popt when called with bogus stuff (#28140)

* Thu Feb 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- make pidofproc() and killproc() try to use the PID associated with the full
  pathname first before killing the daemon by its basename (for daemons that
  share the same basename, i.e. "master" in postfix and cyrus-imapd) (#19016)
- fix status() as well

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix init.d/single to work around possible kernel problem

* Tue Feb 13 2001 Bill Nottingham <notting@redhat.com>
- fix unmounting of loopback stuff (#26439, #14672)

* Mon Feb 12 2001 Bill Nottingham <notting@redhat.com>
- fix ifup-post so that it will work right when not called from ifup


at Feb 10 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add all save changes for s390 s390x that won't break anything
  patches are from Oliver Paukstadt @ millenux.com

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- muck with the font in lang.csh/lang.sh, but don't spit out errors (#26903)

* Wed Feb  7 2001 Bill Nottingham <notting@redhat.com>
- ipv6 sync ups (#26502, #25775)
- fix hangs at shutdown (#25744)
- fix ifup-ppp (#26323)

* Tue Feb  6 2001 Bill Nottingham <notting@redhat.com>
- modify firewall on ifup to allow any new DNS servers through (#25951)
- don't muck with the font in lang.csh/lang.sh (#26349)
- don't display Japanese if we aren't on a pty (#25041)
- load ide-scsi if passed on /proc/cmdline

* Mon Feb  5 2001 Trond Eivind Glomsr︰ <teg@redhat.com>
- i18n updates

* Fri Feb  2 2001 Bill Nottingham <notting@redhat.com>
- actually *ship* the ipv6 (and plusb) files

* Thu Feb  1 2001 Trond Eivind Glomsr︰ <teg@redhat.com>
- i18n updates

* Tue Jan 30 2001 Bill Nottingham <notting@redhat.com>
- various init.d/functions cleanups (#10761, from <mjt@tls.msk.ru>)
- in daemon(), only look at pidfile to determine if process is running
  (#17244, others)
- ifup-ppp enhancements (#17388, from <ayn2@cornell.edu>)
- ipv6 support (#23576, originally by Peter Bieringer <pb@bieringer.de>)
- lots of other minor fixes (see ChangeLog)

* Mon Jan 29 2001 Bill Nottingham <notting@redhat.com>
- add plusb support (#18892, patch from <eric.ayers@compgen.com>)
- don't ignore RETRYTIMEOUT when we never connect (#14071, patch from
  <ak@cave.hop.stu.neva.ru>)

* Wed Jan 24 2001 Bill Nottingham <notting@redhat.com>
- quiet LVM setup (#24841)
- fix inability to shutdown cleanly (#24889)

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- new i18n mechanism

* Tue Jan 23 2001 Matt Wilson <msw@redhat.com>
- fixed typo in init.d/network - missing | in pipeline

* Mon Jan 22 2001 Bill Nottingham <notting@redhat.com>
- do LVM setup through normal initscripts mechanisms
- ignore backup files in /etc/sysconfig/network-scripts
- lots of .po file updates

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- initial i18n support - originally from Conectiva

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- only load sound if persistent DMA buffers are necessary
- fix lots of bugs: #18619, #21187, #21283, #12097
- integrate MAXFAIL option for ppp-watch
- don't load keymaps/fonts on a serial console

* Tue Nov 21 2000 Karsten Hopp <karsten@redhat.de>
- changed hdparm section in rc.sysinit to allow different
  parameters for each disk (if needed) by copying 
  /etc/sysconfig/harddisks to /etc/sysconfig/harddiskhda (hdb,hdc..)
- fix RFE #20967

* Tue Oct 31 2000 Than Ngo <than@redhat.com>
- fix the adding default route if GATEWAY=0.0.0.0

* Tue Oct 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- handle "gw x.x.x.x" as the last pair of flags in ifup-routes (#18804)
- fix top-level makefile install target
- make usernetctl just fall-through if getuid() == 0

* Sun Sep  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- /etc/init.d is already provided by chkconfig

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- set "holdoff ${RETRYTIMEOUT} ktune" for demand-dialed PPP links

* Tue Aug 22 2000 Bill Nottingham <notting@redhat.com>
- update documentation (#15475)

* Tue Aug 22 2000 Than Ngo <than@redhat.de>
- add KDE2 support to prefdm

* Mon Aug 21 2000 Bill Nottingham <notting@redhat.com>
- add usleep after kill -KILL in pidofproc, works around lockd issues (#14847)
- add some fallback logic to prefdm (#16464)

* Fri Aug 18 2000 Bill Nottingham <notting@redhat.com>
- don't load usb drivers if they're compiled statically
- don't call ifdown-post twice for ppp (#15285)

* Wed Aug 16 2000 Bill Nottingham <notting@redhat.com>
- fix /boot/kernel.h generation (#16236, #16250)

* Tue Aug 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- be more careful about creating files in netreport (#16164)

* Fri Aug 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- move documentation for the DEMAND and IDLETIMEOUT values to the right
  section of sysconfig.txt

* Wed Aug  9 2000 Bill Nottingham <notting@redhat.com>
- load agpgart if necessary (hack)
- fix /boot/kernel.h stuff (jakub)

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- remove console-tools requirement
- in netfs, start portmap if needed
- cosmetic cleanups, minor tweaks
- don't probe USB controllers

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix demand-dialing support for PPP devices
- change updetach back to nodetach

* Sun Aug  6 2000 Bill Nottingham <notting@redhat.com>
- add RETRYCONNECT option for ifcfg-pppX files (kenn@linux.ie)

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- fix unclean shutdown

* Tue Jul 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- s/nill/null/g

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- unmount usb filesystem on halt
- run /sbin/ifup-pre-local if it exists

* Tue Jul 18 2000 Trond Eivind Glomsr︰ <teg@redhat.com>
- add "nousb" command line parameter
- fix some warnings when mounting /proc/bus/usb

* Sat Jul 15 2000 Matt Wilson <msw@redhat.com>
- kill all the PreTransaction stuff
- directory ownership cleanups, add more LSB symlinks
- move all the stuff back in to /etc/rc.d/

* Thu Jul 13 2000 Bill Nottingham <notting@redhat.com>
- fix == tests in rc.sysinit
- more %pretrans tweaks

* Thu Jul 13 2000 Jeff Johnson <jbj@redhat.com>
- test if /etc/rc.d is a symlink already in pre-transaction syscalls.

* Tue Jul 11 2000 Bill Nottingham <notting@redhat.com>
- implement the %pre with RPM Magic(tm)

* Sat Jul  8 2000 Bill Nottingham <notting@redhat.com>
- fix it to not follow /etc/rc.d

* Fri Jul  7 2000 Bill Nottingham <notting@redhat.com>
- fix %pre, again

* Thu Jul  6 2000 Bill Nottingham <notting@redhat.com>
- tweak %pre back to a mv (rpm is fun!)
- do USB initialization before fsck, so keyboard works if it fails

* Mon Jul  3 2000 Bill Nottingham <notting@redhat.com>
- rebuild; allow 'fastboot' kernel command line option to skip fsck

* Mon Jul 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix demand-dialing with PPP

* Sun Jul 02 2000 Trond Eivind Glomsr︰ <teg@redhat.com>
- don't use tail

* Wed Jun 28 2000 Trond Eivind Glomsr︰ <teg@redhat.com>
- add support for USB controllers and HID devices 
  (mice, keyboards)

* Tue Jun 27 2000 Trond Eivind Glomsr︰ <teg@redhat.com>
- add support for EIDE optimization

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- tweak %%pre

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace for adjtime file

* Fri Jun 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- ifup-ppp: add hooks for demand-dialing PPP
- functions: use basename of process when looking for its PID file

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- move from /etc/rc.d/init.d -> /etc/init.d

* Tue Jun 13 2000 Bill Nottingham <notting@redhat.com>
- set soft limit, not hard, in daemon function
- /var/shm -> /dev/shm

* Thu Jun 08 2000 Preston Brown <pbrown@redhat.com>
- use dhcpcd if pump fails.
- use depmod -A (faster)

* Sun Jun  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- add autologin support to prefdm

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- random networking fixes (alias routes, others)
- conf.modules -> modules.conf

* Thu May 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix incorrect grep invocation in rc.sysinit (bug #11267)

* Wed Apr 19 2000 Bill Nottingham <notting@redhat.com>
- fix lang.csh, again (oops)
- use /poweroff, /halt to determine whether to poweroff

* Fri Apr 14 2000 Bill Nottingham <notting@redhat.com>
- fix testing of RESOLV_MODS (which shouldn't be used anyways)

* Tue Apr 04 2000 Ngo Than <than@redhat.de>
- fix overwrite problem of resolv.conf on ippp/ppp/slip connections

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- fix typo in functions file
- explicitly set --localtime when calling hwclock if necessary

* Fri Mar 31 2000 Bill Nottingham <notting@redhat.com>
- fix typo in /etc/rc.d/init.d/network that broke linuxconf (#10472)

* Mon Mar 27 2000 Bill Nottingham <notting@redhat.com>
- remove compatiblity chkconfig links
- run 'netfs stop' on 'network stop' if necessary

* Tue Mar 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Mount /var/shm if required (2.3.99, 2.4)

* Mon Mar 20 2000 Bill Nottingham <notting@redhat.com>
- don't create resolv.conf 0600
- don't run ps as much (speed issues)
- allow setting of MTU
- other minor fixes

* Sun Mar 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Start devfsd if installed and needed (Kernel 2.4...)

* Wed Mar  8 2000 Bill Nottingham <notting@redhat.com>
- check that network devices are up before bringing them down

* Wed Mar  8 2000 Jakub Jelinek <jakub@redhat.com>
- update sysconfig.txt

* Tue Mar  7 2000 Bill Nottingham <notting@redhat.com>
- rerun sysctl on network start (for restarts)

* Mon Feb 28 2000 Bill Nottingham <notting@redhat.com>
- don't read commented raid devices

* Mon Feb 21 2000 Bill Nottingham <notting@redhat.com>
- fix typo in resolv.conf munging

* Thu Feb 17 2000 Bill Nottingham <notting@redhat.com>
- sanitize repair prompt
- initial support for isdn-config stuff

* Mon Feb 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- add which as a package dependency (bug #9416)

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- fixes for sound module loading

* Mon Feb  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- check that LC_ALL/LINGUAS and LANG are set before referencing them in lang.csh
- fix check for /var/*/news, work around for bug #9140

* Fri Feb  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix bug #9102

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- if LC_ALL/LINGUAS == LANG, don't set them

* Wed Feb  2 2000 Bill Nottingham <notting@redhat.com>
- fix problems with linuxconf static routes

* Tue Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- shvar cleaning
- fix wrong default route ip in network-functions

* Mon Jan 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- attempt to restore default route if PPP takes it over
- man page fix for ipcalc
- shvar cleaning
- automate maintaining /boot/System.map symlinks

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- fix hanging ppp-watch
- fix issues with cleaning of /var/{run,lock}

* Sat Jan 29 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 4.70-1vl3
- added %ifarch ppc line
- added a rc.sysinit patch for architectures which don't have
  /sbin/hwclock (such as ppc)

* Fri Jan 21 2000 Bill Nottingham <notting@redhat.com>
- fix pidof calls in pidofproc

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- fix ifup-ipx, don't munge resolv.conf if $DNS1 is already in it

* Thu Jan 13 2000 Bill Nottingham <notting@redhat.com>
- link popt statically

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- don't try to umount /loopfs

* Wed Dec 29 1999 Jun Nishii <jun@vinelinux.org>
- change scripts for csh not to use /tmp

* Mon Dec 27 1999 Bill Nottingham <notting@redhat.com>
- switch to using sysctl

* Mon Dec 13 1999 Bill Nottingham <notting@redhat.com>
- umount /proc *after* trying to turn off raid

* Mon Dec 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- improvements in clone device handling
- better signal handling in ppp-watch
- yet another attempt to fix those rare PAP/CHAP problems

* Thu Dec 2 1999 Norihito Ohmori <ohmori@flatout.rog>
- add path /usr/kde/bin in /etc/X11/prefdm.
- merge initscripts-vine, etc... (J. Nishii's work)
- check the existance of /etc/sysconfig/clock (J. Nishii's work)

* Sun Nov 28 1999 Bill Nottingham <notting@redhat.com>
- impressive. Three new features, three new bugs.

* Mon Nov 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix more possible failed CHAP authentication (with chat scripts)
- fix ppp default route problem
- added ppp-watch man page, fixed usernetctl man page
- make ifup-ppp work again when called from netcfg and linuxconf
- try to keep ppp-watch from filling up logs by respawning pppd too fast
- handle all linuxconf-style alias files with linuxconf

* Mon Nov 22 1999 Bill Nottingham <notting@redhat.com>
- load mixer settings for monolithic sound
- man page for ppp-watch
- add ARP variable for ifup
- some i18n fixes

* Wed Nov 10 1999 Bill Nottingham <notting@redhat.com>
- control stop-a separately from sysrq

* Mon Nov 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix some failed CHAP authentication
- fix extremely unlikely, but slightly possible kill-random-process
  bug in ppp-watch
- allow DNS{1,2} in any ifcfg-* file, not just PPP, and
  add nameserver entries, don't just replace them
- don't use /tmp/confirm, use /var/run/confirm instead

* Tue Nov  2 1999 Bill Nottingham <notting@redhat.com>
- fix lang.csh /tmp race oops

* Wed Oct 27 1999 Bill Nottingham <notting@redhat.com>
- we now ship hwclock on alpha.

* Mon Oct 25 1999 Jakub Jelinek <jakub@redhat.com>
- fix check for serial console, don't use -C argument to fsck
  on serial console.

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- do something useful with linuxconf 'any' static routes.

* Tue Oct 12 1999 Matt Wilson <msw@redhat.com>
- added patch from Owen to source i18n configuration before starting prefdm

* Mon Oct 11 1999 Bill Nottingham <notting@redhat.com>
- support for linuxconf alias files
- add support for Jensen clocks.

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- assorted brown paper bag fixes
- check for programs/files before executing/sourcing them
- control stop-a like magic sysrq

* Thu Sep 30 1999 Bill Nottingham <notting@redhat.com>
- req. e2fsprogs >= 1.15

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- munge C locale definitions to en_US
- use fsck's completion bar

* Thu Sep 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- ppp-watch now always kills pppd pgrp to make sure dialers are dead,
  and tries to hang up the modem

* Tue Sep 21 1999 Bill Nottingham <notting@redhat.com>
- add a DEFRAG_IPV4 option

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed to more modern defaults for PPP connections

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- kill processes for umount in halt, too.
- fixes to remove /usr dependencies

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- load/save mixer settings in rc.sysinit, halt

* Mon Sep 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- add --remotename option to wvdial code
- make sure we do not have an earlier version of wvdial that doesn't
  know how handle --remotename
- make ppp-watch background itself after 30 seconds even if
  connection does not come up, at boot time only, so that a
  non-functional PPP connection cannot hang boot.

* Sun Sep 12 1999 Bill Nottingham <notting@redhat.com>
- a couple of /bin/sh -> /bin/bash fixes
- fix swapoff silliness

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun
- use killall5 in halt
- swapoff non-/etc/fstab swap

* Wed Sep 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- ifdown now synchronous (modulo timeouts)
- several unrelated cleanups, primarily in ifdown

* Tue Sep  7 1999 Bill Nottingham <notting@redhat.com>
- add an 'unconfigure' sort of thing

* Mon Sep 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- added ppp-watch to make "ifup ppp*" synchronous

* Fri Sep  3 1999 Bill Nottingham <notting@redhat.com>
- require lsof

* Wed Sep  1 1999 Bill Nottingham <notting@redhat.com>
- add interactive prompt

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- disable magic sysrq by default

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- new NFS unmounting from Bill Rugolsky <rugolsky@ead.dsa.com> 
- fix ifup-sl/dip confusion
- more raid startup cleanup
- make utmp group 22

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- pass hostname to pump
- add lang.csh

* Thu Aug 19 1999 Bill Nottingham <notting@redhat.com>
- more wvdial updates
- fix a *stupid* bug in process reading

* Fri Aug 13 1999 Bill Nottingham <notting@redhat.com>
- add new /boot/kernel.h boot kernel version file
- new RAID startup

* Fri Aug 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- use new linkname argument to pppd to make if{up,down}-ppp
  reliable -- requires ppp-2.3.9 or higher

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- fix typo.
- add 'make check'

* Wed Jul 28 1999 Michael K. Johnson <johnsonm@redhat.com>
- simple wvdial support for ppp connections

* Mon Jul 26 1999 Bill Nottingham <notting@redhat.com>
- stability fixes for initlog
- initlog now has a config file
- add alias speedup from dharris@drh.net
- move netfs links
- usleep updates

* Thu Jul  8 1999 Bill Nottingham <notting@redhat.com>
- remove timeconfig dependency
- i18n fixes from nkbj@image.dk
- move inputrc to setup package

* Tue Jul  6 1999 Bill Nottingham <notting@redhat.com>
- fix killall links, some syntax errors

* Fri Jun 25 1999 Bill Nottingham <notting@redhat.com>
- don't make module-info, System.map links
- handle utmpx/wtmpx
- fix lots of bugs in 4.21 release :)

* Thu Jun 17 1999 Bill Nottingham <notting@redhat.com>
- set clock as soon as possible
- use INITLOG_ARGS everywhere
- other random fixes in networking

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- oops, don't create /var/run/utmp and then remove it.
- stomp RAID bugs flat. Sort of.

* Mon May 24 1999 Bill Nottingham <notting@redhat.com>
- clean out /var better
- let everyone read /var/run/ppp*.dev
- fix network startup so it doesn't depend on /usr

* Tue May 11 1999 Bill Nottingham <notting@redhat.com>
- various fixes to rc.sysinit
- fix raid startup
- allow for multi-processor /etc/issues

* Sun Apr 18 1999 Matt Wilson <msw@redhat.com>
- fixed typo - "Determing" to "Determining"

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- updated inputrc so that home/end/del work on console, not just X

* Thu Apr 08 1999 Bill Nottingham <notting@redhat.com>
- fix more logic in initlog
- fix for kernel versions in ifup-aliases
- log to /var/log/boot.log

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- fix daemon() function so you can specify pid to look for

* Wed Apr 07 1999 Erik Troan <ewt@redhat.com>
- changed utmp,wtmp to be group writeable and owned by group utmp

* Tue Apr 06 1999 Bill Nottingham <notting@redhat.com>
- fix loading of consolefonts/keymaps
- three changelogs. three developers. one day. Woohoo!

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed ifup-ipx mix-up over . and _

* Tue Apr 06 1999 Erik Troan <ewt@redhat.com>
- run /sbin/ifup-local after bringing up an interface (if that file exists)

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- load keymaps & console font early
- fixes for channel bonding, strange messages with non-boot network interfaces

* Sat Mar 27 1999 Cristian Gafton <gafton@redhat.com>
- added sysvinitfiles as a documenattaion file

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- nfsfs -> netfs

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- don't source /etc/sysconfig/init if $BOOTUP is already set

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- don't run linuxconf if /usr isn't mounted
- set macaddr before bootp
- zero in the /var/run/utmpx file (gafton)
- don't set hostname on ppp/slip (kills X)
			
* Wed Mar 17 1999 Bill Nottingham <notting@redhat.com>
- exit ifup if pump fails
- fix stupid errors in reading commands from subprocess

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- fix ROFS logging
- make fsck produce more happy output
- fix killproc logic

* Mon Mar 15 1999 Bill Nottingham <notting@redhat.com>
- doc updates
- support for SYSFONTACM, other console-tools stuff
- add net route for interface if it isn't there.
- fix for a bash/bash2 issue

* Mon Mar 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- pam_console lockfile cleanup added to rc.sysinit

* Sun Mar 14 1999 Bill Nottingham <notting@redhat.com>
- fixes in functions for 'action'
- fixes for pump

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- Mmm. Must always remove debugging code. before release. *thwap*
- pump support
- mount -a after mount -a -t nfs

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- put preferred support back in

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- fix single-user mode (source functions, close if)

* Wed Feb 10 1999 Bill Nottingham <notting@redhat.com>
- turn off xdm in runlevel 5 (now a separate service)

* Thu Feb  4 1999 Bill Nottingham <notting@redhat.com>
- bugfixes (ifup-ppp, kill -TERM, force fsck, hwclock --adjust, setsysfont)
- add initlog support. Now everything is logged (and bootup looks different)

* Thu Nov 12 1998 Preston Brown <pbrown@redhat.com>
- halt now passed the '-i' flag so that network interfaces disabled

* Tue Nov 10 1998 Michael K. Johnson <johnsonm@redhat.com>
- handle new linuxconf output for ipaliases

* Thu Oct 15 1998 Erik Troan <ewt@redhat.com>
- fixed raid start stuff
- added raidstop to halt

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- handle LC_ALL

* Mon Oct 12 1998 Preston Brown <pbrown@redhat.com>
- adjusted setsysfont to always run setfont, even if only w/default font

* Tue Oct 06 1998 Cristian Gafton <gafton@redhat.com>
- rc.sysvinit should be working with all kernel versions now
- requires e2fsprogs (for fsck)
- set INPUTRC and LESSCHARSET on linux-lat

* Wed Sep 16 1998 Jeff Johnson <jbj@redhat.com>
- /etc/rc.d/rc: don't run /etc/rc.d/rcN.d/[KS]??foo.{rpmsave,rpmorig} scripts.
- /etc/rc.d/rc.sysinit: raid startup (Nigel.Metheringham@theplanet.net).
- /sbin/setsysfont: permit unicode fonts.

* Mon Aug 17 1998 Erik Troan <ewt@redhat.com>
- don't add 'Red Hat Linux' to /etc/issue; use /etc/redhat-release as is

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- paranoia improvements to .rhkmvtag
- if psacct with /sbin/accton, than turn off accounting

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- start/stop run levels changed.
- ipx_configure/ipx_internal_net moved to /sbin.

* Wed Jul 01 1998 Erik Troan <ewt@redhat.com>
- usernetctl didn't understand "" around USERCTL attribute

* Wed Jul  1 1998 Jeff Johnson <jbj@redhat.com>
- Use /proc/version to find preferred modules.
- Numerous buglets fixed.

* Sun Jun 07 1998 Erik Troan <ewt@redhat.com> 
- rc.sysinit looks for bootfile= as well as BOOT_IMAGE to set 
  /lib/modules/preferred symlink

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- ipcalc should *never* have been setgid anything
- depmod isn't run properly for non-serial numbered kernels

* Wed May 06 1998 Donnie Barnes <djb@redhat.com>
- added system font and language setting

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added missing files to packagelist.

* Sat May 02 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added lots of linuxconf support.  Should still work on systems that
  do not have linuxconf installed, but linuxconf gives enhanced support.
- In concert with linuxconf, added IPX support.  Updated docs to reflect it.

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- rc.sysinit uses preferred directory

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- updated rc.sysinit to deal with kernel versions with release numbers

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>
- use ipcalc to calculate the netmask if one isn't specified

* Tue Mar 10 1998 Erik Troan <ewt@redhat.com>
- added and made use of ipcalc

* Tue Mar 10 1998 Erik Troan <ewt@redhat.com>
- removed unnecessary dhcp log from /tmp

* Mon Mar 09 1998 Erik Troan <ewt@redhat.com>
- if bootpc fails, take down the device

* Mon Mar 09 1998 Erik Troan <ewt@redhat.com>
- added check for mktemp failure

* Thu Feb 05 1998 Erik Troan <ewt@redhat.com>
- fixed support for user manageable cloned devices

* Mon Jan 12 1998 Michael K. Johnson <johnsonm@redhat.com>
- /sbin/ isn't always in $PATH, so call /sbin/route in ifup-routes

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- touch /var/lock/subsys/kerneld after cleaning out /var/lock/subsys
- the logic for when  /var/lock/subsys/kerneld is touched was backwards

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- tried to get /proc stuff right one more time (uses -t nonfs,proc now)
- added support for /fsckoptions
- changed 'yse' to 'yes' in KERNELD= line

* Tue Dec 09 1997 Erik Troan <ewt@redhat.com>
- set domainname to "" if none is specified in /etc/sysconfig/network
- fix /proc mounting to get it in /etc/mtab

* Mon Dec 08 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed inheritance for clone devices

* Fri Nov 07 1997 Erik Troan <ewt@redhat.com>
- added sound support to rc.sysinit

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added missing "then" clause

* Thu Nov 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed DEBUG option in ifup-ppp
- Fixed PPP persistance
- Only change IP forwarding if necessary

* Tue Oct 28 1997 Donnie Barnes <djb@redhat.com>
- removed the skeleton init script
- added the ability to 'nice' daemons

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- touch /var/lock/subsys/kerneld if it's running, and after mounting /var
- applied dhcp fix

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- added status|restart to init scripts

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- touch random seed file before chmod'ing it.

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- run domainname if NISDOMAIN is set 

* Wed Oct 15 1997 Michael K. Johnson <johnsonm@redhat.com>
- Make the random seed file mode 600.

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>
- bring down ppp devices if ifdown-ppp is called while ifup-ppp is sleeping.

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- moved to new chkconfig conventions

* Sat Oct 11 1997 Erik Troan <ewt@redhat.com>
- fixed rc.sysinit for hwclock compatibility

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- run 'ulimit -c 0' before running scripts in daemon function

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- made all rc*.d symlinks have missingok flag

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- fixed network-scripts to allow full pathnames as config files
- removed some old 3.0.3 pcmcia device handling

* Wed Oct 01 1997 Michael K. Johnson <johnsonm@redhat.com>
- /var/run/netreport needs to be group-writable now that /sbin/netreport
  is setguid instead of setuid.

* Tue Sep 30 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added network-functions to spec file.
- Added report functionality to usernetctl.
- Fixed bugs I introduced into usernetctl while adding clone device support.
- Clean up entire RPM_BUILD_ROOT directory in %clean.

* Mon Sep 29 1997 Michael K. Johnson <johnsonm@redhat.com>
- Clone device support in network scripts, rc scripts, and usernetctl.
- Disassociate from controlling tty in PPP and SLIP startup scripts,
  since they act as daemons.
- Spec file now provides start/stop symlinks, since they don't fit in
  the CVS archive.

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- added mktemp support to ifup

* Thu Sep 18 1997 Donnie Barnes <djb@redhat.com>
- fixed some init.d/functions bugs for stopping httpd

* Tue Sep 16 1997 Donnie Barnes <djb@redhat.com>
- reworked status() to adjust for processes that change their argv[0] in
  the process table.  The process must still have it's "name" in the argv[0]
  string (ala sendmail: blah blah).

* Mon Sep 15 1997 Erik Troan <ewt@redhat.com>
- fixed bug in FORWARD_IPV4 support

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added support for FORWARD_IPV4 variable

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- added status function to functions along with better killproc 
  handling.
- added /sbin/usleep binary (written by me) and man page
- changed BuildRoot to /var/tmp instead of /tmp

* Tue Jun 10 1997 Michael K. Johnson <johnsonm@redhat.com>
- /sbin/netreport sgid rather than suid.
- /var/run/netreport writable by group root.

- /etc/ppp/ip-{up|down} no longer exec their local versions, so
  now ifup-post and ifdown-post will be called even if ip-up.local
  and ip-down.local exist.

* Tue Jun 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added missing -f to [ invocation in ksyms check.

* Fri May 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Support for net event notification:
  Call /sbin/netreport to request that SIGIO be sent to you whenever
  a network interface changes status (won't work for brining up SLIP
  devices).
  Call /sbin/netreport -r to remove the notification request.
- Added ifdown-post, and made all the ifdown scrips call it, and
  added /etc/ppp/ip-down script that calls /etc/ppp/ip-down.local
  if it exists, then calls ifdown-post.
- Moved ifup and ifdown to /sbin

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>
- usernetctl put back in ifdown
- support for slaved interfaces

* Wed Apr 02 1997 Erik Troan <ewt@redhat.com>
- Created ifup-post from old ifup
- PPP, PLIP, and generic ifup use ifup-post

* Fri Mar 28 1997 Erik Troan <ewt@redhat.com>
- Added DHCP support
- Set hostname via reverse name lookup after configuring a networking
  device if the current hostname is (none) or localhost

* Tue Mar 18 1997 Erik Troan <ewt@redhat.com>
- Got rid of xargs dependency in halt script
- Don't mount /proc twice (unmount it in between)
- sulogin and filesystem unmounting only happened for a corrupt root 
  filesystem -- it now happens when other filesystems are corrupt as well

* Tue Mar 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- PPP fixes and additions

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Mount proc before trying to start kerneld so we can test for /proc/ksyms
  properly.

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added MTU for PPP.
- Put PPPOPTIONS at the end of the options string instead of at the
  beginning so that they override other options.  Gives users more rope...
- Don't do module-based stuff on non-module systems.  Ignore errors if
  st module isn't there and we try to load it.

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Changed ifup-ppp and ifdown-ppp not to use doexec, because the argv[0]
  provided by doexec goes away when pppd gets swapped out.
- ifup-ppp now sets remotename to the logical name of the device.
  This will BREAK current PAP setups on netcfg-managed interfaces,
  but we needed to do this to add a reasonable interface-specific
  PAP editor to netcfg.

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- Added usernetctl wrapper for user mode ifup and ifdown's and man page
- Rewrote ppp and slip kill and retry code 
- Added doexec and man page
