Name:    kactivities
Summary: KDE Activity Manager
Summary(ja): KDE アクティビティマネージャ
Version: 4.12.5
Release: 1%{?_dist_release}

License: GPLv2
Group:   System Environment/Libraries
URL:     http://www.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: nepomuk-core-devel >= %{version}
BuildRequires: soprano-devel

Requires: %{name}-libs = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux

%description
%{summary}.


%package devel
Summary:  Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:    Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4-devel

%description devel
%{summary}.

%description -l ja devel
%{name} の開発用ファイルです．


%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Requires: kdelibs4 >= %{version}

%description libs
%{summary}.

%description -l ja libs
%{name} のランタイムライブラリです．


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/kactivitymanagerd
%{_datadir}/kde4/apps/activitymanager/workspace/settings/BlacklistApplicationView.qml
%{_datadir}/kde4/services/*
%{_datadir}/kde4/servicetypes/*
%{_datadir}/ontology/kde/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/KDE/KActivities
%{_includedir}/kde4/%{name}
%{_includedir}/kde4/%{name}-models
%{_libdir}/libkactivities.so
%{_libdir}/libkactivities-models.so
%{_libdir}/cmake/KActivities
%{_libdir}/cmake/KActivities-Models
%{_libdir}/pkgconfig/libkactivities.pc
%{_libdir}/pkgconfig/libkactivities-models.pc

%files libs
%defattr(-,root,root,-)
%{_libdir}/libkactivities.so.*
%{_libdir}/libkactivities-models.so.*
%{_libdir}/kde4/activitymanager_plugin_activityranking.so
%{_libdir}/kde4/activitymanager_plugin_virtualdesktopswitch.so
%{_libdir}/kde4/activitymanager_plugin_globalshortcuts.so
%{_libdir}/kde4/activitymanager_plugin_nepomuk.so
%{_libdir}/kde4/activitymanager_plugin_slc.so
%{_libdir}/kde4/activitymanager_plugin_sqlite.so
%{_libdir}/kde4/kactivitymanagerd_fileitem_linking_plugin.so
%{_libdir}/kde4/kcm_activities.so
%{_libdir}/kde4/kio_activities.so
%{_libdir}/kde4/imports/org/kde/activities


%changelog
* Mon May 05 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sat Feb 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Wed Dec 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release
- add BuildRequires: nepomuk-core-devel

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Thu Nov 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Wed Sep 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Wed Aug 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- Initial build
