Name: kalzium
Summary: Periodic table and chemistry tools for KDE
Version: 4.12.5
Release: 1%{?_dist_release}

License: GPLv2+
Group: Applications/Edutainment
URL: http://edu.kde.org/kalzium/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: avogadro-devel
BuildRequires: desktop-file-utils
BuildRequires: eigen2-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: ocaml
BuildRequires: openbabel-devel >= 2.2.0
BuildRequires: soprano-devel
BuildRequires: python-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts: kdeedu4 < 4.6.50

Vendor: Project Vine
Distribution: Vine Linux

%description
Kalzium is a full-featured chemistry application for KDE, including 
a Periodic Table of Elements, chemical reference, chemical equation 
solver, and 3D molecule viewer.

This package is part of the KDE education module.

%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Conflicts: kdeedu4-libs < 4.6.50

%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Conflicts: kdeedu4-devel < 4.6.50

%description devel
Header files for developing applications using %{name}.


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/kalzium
%{_libdir}/kde4/*.so
%{_datadir}/applications/kde4/kalzium_cml.desktop
%{_datadir}/applications/kde4/kalzium.desktop
%{_datadir}/config/kalzium.knsrc
%{_datadir}/config.kcfg/kalzium.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/desktoptheme/*
%{_datadir}/kde4/apps/kalzium
%{_datadir}/kde4/apps/libkdeedu/*
%{_datadir}/kde4/services/*.desktop
%{_mandir}/man1/kalzium*
%doc %{_docdir}/HTML/en/kalzium/

%files libs
%defattr(-,root,root)
%{_libdir}/libcompoundviewer.so.*
%{_libdir}/libscience.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/libkdeedu/*.h
%{_libdir}/libcompoundviewer.so
%{_libdir}/libscience.so


%changelog
* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Wed Dec 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Dec 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-2
- rebuild with libboost-1.54.0

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release

* Sun Feb 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.7.0-3
- rebuild with python-2.7.2
- add BuildRequires: python-devel

* Tue Jan 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.7.0-2
- rebuild with glew-1.7.0

* Thu Sep  8 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- split from kdeedu

