Name: kuser
Summary: User manager for KDE
Summary(ja): KDE 用ユーザーマネージャー
Version: 4.12.5
Release: 1%{?_dist_release}

License: GPLv2, GPLv3
Group: Applications/Administration
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

Source1: kuser.pam
Source2: kuser.pamd

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}

Requires(posttrans,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Kuser allows you to manage users and groups on your system.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# Put in some sane defaults
mkdir -p $RPM_BUILD_ROOT%{_datadir}/config
cat >$RPM_BUILD_ROOT%{_datadir}/config/kuserrc <<EOF
[template]
copySkel=true
createHomeDir=true
homeBase=/home
shell=/bin/bash
userPrivateGroup=true
EOF

# Run kuser through consolehelper
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/usr/bin/kuser $RPM_BUILD_ROOT/usr/sbin
ln -s consolehelper $RPM_BUILD_ROOT/usr/bin/kuser

# Install PAM files
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -c -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/security/console.apps/kuser
install -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/kuser

# delete files conflict with system-tools-backends
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.GPL-2 COPYING.GPL-3
%doc COPYING.DOC ChangeLog
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config/kuserrc
%{_datadir}/config.kcfg/kuser.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}
%{_docdir}/HTML/en/%{name}


%changelog
* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Sun Dec 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Mon Sep 16 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

