Name: lokalize
Summary: A computer-aided translation system for KDE
Summary(ja): KDE 用 コンピューター支援翻訳システム
Version: 4.12.5
Release: 1%{?_dist_release}

License: GPLv2
Group: Applications/Development
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: soprano-devel
BuildRequires: hunspell-devel

Requires(posttrans,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Lokalize is a computer-aided translation system that focuses on
productivity and quality assurance.  It has components usually
included in CAT tools like translation memory, glossary, and also
a unique translation merging (synchronization) capability.
It is targeted for software translation and also integrates external
conversion tools for freelance office document translation.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}
%{_docdir}/HTML/en/%{name}


%changelog
* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Wed Dec 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

