Summary: Live syncing (mirroring) daemon
Summary(ja): リアルタイム同期(ミラーリング)デーモン
Name: lsyncd
Version: 2.1.4
Release: 1%{?_dist_release}

License: GPL
Group: Applications/Internet
URL: http://code.google.com/p/lsyncd/ 

Source: lsyncd-%{version}.tar.gz
Source1: lsyncd.init
Source2: lsyncd.sysconfig

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: lua-devel
BuildRequires: asciidoc
Requires: rsync
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
Lsyncd provides a light-weight live mirror solution.
Lsyncd uses rsync to synchronize local directories with a remote machine running rsyncd. 
Lsyncd watches multiple directories trees through inotify. The first step after adding
the watches is to rsync all directories with the remote host, and then sync single file 
by collecting the inotify events.  


%description
Lsyncd は軽量なリアルタイムミラーを構築することができます。
Lsyncd は rsync を用いて rsyncd が動いているリモートのマシンとローカル
のディレクトリを同期させることができます。Lsyncd は複数のディレクトリツ
リーを inotify を通じて監視し、inotefy イベントを収集することでここの
ファイルを同期します。

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
%{__install} -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/lsyncd
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
%{__install} -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/lsyncd

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/lsyncd

# remove examples
%{__rm} -rf %{buildroot}%{_datadir}/doc/lsyncd


%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add lsyncd

%preun
if [ "$1" = "0" ]; then
    /sbin/service lsyncd stop >/dev/null 2>&1
    /sbin/chkconfig --del lsyncd
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service lsyncd condrestart >/dev/null 2>&1
fi

%files
%defattr(-, root, root, 0755)
%doc COPYING ChangeLog examples/
%config(noreplace) %{_sysconfdir}/sysconfig/lsyncd
%{_sysconfdir}/rc.d/init.d/lsyncd
%dir %{_sysconfdir}/lsyncd/
%{_bindir}/lsyncd
%{_mandir}/man1/lsyncd.1*
      
%changelog
* Sat Feb 03 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-1
- new upstream release

* Fri May 04 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.7-1
- new upstream release 

* Mon Feb 13 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.5-1
- new upstream release

* Mon May 16 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.4-1
- update to 2.0.4

* Sun Oct 31 2010 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.39-1
- new upstream release

* Thu Aug 05 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.34-1
- initial build for Vine Linux
