Name:           libaccounts-glib
Version:        1.16
Release:        1%{?_dist_release}
Summary:        A low-level library for managing accounts settings.

Group:          System Environment/Libraries
License:        LGPL
URL:            https://code.google.com/p/accounts-sso/
Source0:        https://accounts-sso.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	sqlite3-devel
BuildRequires:	pygobject3-devel
BuildRequires:	check-devel
BuildRequires:	gtk-doc
BuildRequires:	docbook-style-xsl
BuildRequires:	autoconf

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
This project is a library for managing accounts which can be used from GLib
applications. 


%package		devel
Summary:        Development tools for %{name}
Summary(ja):    %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%package        vala
Summary:        Vala bindings for %{name}
Summary(ja):    %{name} の Vala バインディング
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala

%description    vala
Vala bindings for %{name}.


%prep
%setup -q

%build
autoreconf -if
%configure \
	--disable-static \
	--disable-gtk-doc


make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING NEWS README
%{_bindir}/ag-backup
%{_bindir}/ag-tool
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-1.0/Accounts-1.0.typelib
%{_libdir}/%{name}
%{python_sitearch}/gi/overrides/Accounts.*
%{_datadir}/backup-framework/applications/accounts.conf
%{_datadir}/dbus-1/interfaces/com.google.code.AccountsSSO.Accounts.Manager.xml
%{_datadir}/%{name}
%{_datadir}/xml/accounts/schema/dtd/accounts-*.dtd
%{_mandir}/man1/ag-backup.1.gz
%{_mandir}/man1/ag-tool.1.gz

%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Accounts-1.0.gir

%files docs
%defattr(-, root, root, -)
%{_datadir}/gtk-doc/html/%{name}

%files vala
%defattr(-, root, root, -)
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi


%changelog
* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16-1
- initial build

