%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: Asynchronous Name Service Library
Summary(ja): 非同期ネームサービスライブラリ

Name: libasyncns
Version: 0.8
Release: 2%{?_dist_release}
Group: System Environment/Libraries
Source0: http://0pointer.de/lennart/projects/libasyncns/libasyncns-%{version}.tar.gz
License: LGPLv2+
Url: http://0pointer.de/lennart/projects/libasyncns/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
A small and lightweight library that implements easy to use asynchronous
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.

%package devel
Summary: Development Files for libasyncns Client Development
Summary(ja): %{name} クライアント用の開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development Files for libasyncns Client Development

# compat32
%package -n compat32-%{name}
Summary: Asynchronous Name Service Library
Summary(ja): 非同期ネームサービスライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
A small and lightweight library that implements easy to use asynchronous
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.

%package -n compat32-%{name}-devel
Summary: Development Files for libasyncns Client Development
Summary(ja): %{name} クライアント用の開発ファイル
Group: Development/Libraries
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
Development Files for libasyncns Client Development


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT \( -name *.a -o -name *.la \) -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE
%{_libdir}/libasyncns.so.*
%{_docdir}/%{name}/README*
%{_docdir}/%{name}/style.css

%files devel
%defattr(-,root,root)
%{_includedir}/asyncns.h
%{_libdir}/libasyncns.so
%{_libdir}/pkgconfig/libasyncns.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libasyncns.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/libasyncns.so
%{_libdir}/pkgconfig/libasyncns.pc
%endif


%changelog
* Wed Jan 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8-2
- rebuild with VineSeed environment

* Wed Dec 15 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8-1
- new upstream release
- create compat32-libasyncns sub package
- remove unrecognized configure options "--disable-rpath"

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue Sep 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4-1
- initial build for Vine Linux

* Sun Jul 27 2008 Lennart Poettering <lpoetter@redhat.com> 0.4-1
- Initial packaging
