%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:	Double-Array Trie Library
Name:		libdatrie
Version:	0.2.8
Release:	1%{?_dist_release}
Source0:	http://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://linux.thai.net/~thep/datrie/datrie.html

BuildRequires:	doxygen

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This is an implementation of double-array structure for representing trie, 
as proposed by Junichi Aoe.

Trie is a kind of digital search tree, an efficient indexing method with 
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.


%package		devel
Summary:        Development tools for libdatrie
Summary(ja):    libdatrie の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
libdatrie.


%package        docs
Summary:        Documentation for libdatrie
Summary(ja):    libdatrie 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
Provides:       %{name}-doc = %{version}-%{release}

%description    docs
This package contains documentation for libdatrie


# compat32
%package -n compat32-%{name}
Summary:	Double-Array Trie Library
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
This is an implementation of double-array structure for representing trie, 
as proposed by Junichi Aoe.

Trie is a kind of digital search tree, an efficient indexing method with 
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.


%package -n compat32-%{name}-devel
Summary:        Development tools for libdatrie
Summary(ja):    libdatrie の開発環境
Group:          Development/Libraries
Requires:       compat32-%{name} = %{version}-%{release}
Requires:       pkgconfig

%description -n compat32-%{name}-devel
Header files and libraries for building a extension library for the
libdatrie.


%prep
%setup -q


%build
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/trietool-0.2
%{_libdir}/%{name}.so.*
%{_mandir}/man1/*.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/datrie
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/datrie-0.2.pc

%files docs
%defattr(-,root,root,-)
%{_docdir}/%{name}/README.migration
%{_docdir}/datrie/html

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root,-)
%{_libdir}/%{name}.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root,-)
%{_libdir}/%{name}.so
%endif


%changelog
* Fri Mar 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.8-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.6-1
- update to 0.2.6

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.5-2
- remove *.pc from compat32-%{name}-devel
- fix typo

* Wed Jan 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.5-1
- initial build for Vine Linux

