Name:           libfprint
Summary:        Tool kit for fingerprint scanner
Summary(ja):    指紋スキャナツールキット
Version:        0.5.1
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.reactivated.net/fprint/wiki/Main_Page 

Source0:        http://people.freedesktop.org/~hadess/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
# FIXME remove the ImageMagick dependency when we either have the
# gdk-pixbuf support merged, or disable the driver that requires it (F10)
BuildRequires:  libusb1-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  glib2-devel
BuildRequires:  openssl-devel 
BuildRequires:  nss-devel 
BuildRequires:  doxygen
Requires:       ConsoleKit

%description
libfprint offers support for consumer fingerprint reader devices.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-udev-rules-dir=%{_sysconfdir}/udev/rules.d
make %{?_smp_mflags}
pushd doc
make docs
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING INSTALL NEWS TODO THANKS AUTHORS
%{_sysconfdir}/udev/rules.d/60-fprint-autosuspend.rules
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc HACKING doc/html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.1-1
- new upstream release

* Wed Aug 14 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-2
- rebuild with ImageMagick-6.8.6.8

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-1
- update to 0.4.0

* Sun Mar 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.0-4.pre2
- rebuilt with ImageMagick-6.7.5.10

* Sun Oct  3 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.0-3.pre2
- rebuilt with ImageMagick-6.6.4.8

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.0-2.pre2
- rebuild with rpm-4.8.1 for pkg-config file

* Thu Apr 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.0-1.pre2
- new upstream release
- dropt Patch0 (merged into upstream)
- built with new toolchain and ImageMagick-6.6.1.5

* Wed May 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.0-1.pre1
- initial build for Vine Linux

* Mon Mar 09 2009 pingou <pingou@pingoured.fr> - 0.1.0-6.pre1
- Rebuilt for rawhide

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 0.1.0-4.pre1
- rebuild with new openssl

* Tue Nov 25 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-3.pre1
- Fix possible crasher in libfprint when setting up the fds for polling

* Mon Nov 24 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-2.pre1
- And add some API docs

* Tue Nov 18 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-1.pre1
- Fix build

* Tue Nov 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-0.pre1
- Update to 0.1.0-pre1

* Tue May 13 2008  Pingou <pingoufc4@yahoo.fr> 0.0.5-6
- Correction on the Build Requires

* Tue May 13 2008  Pingou <pingoufc4@yahoo.fr> 0.0.5-5
- Correction on the Build Requires

* Tue May 13 2008  Pingou <pingoufc4@yahoo.fr> 0.0.5-4
- Update the Build Requires due to the change on ImageMagick

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.5-3
- Autorebuild for GCC 4.3

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 0.0.5-2
- Change on the BuildRequires

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 0.0.5-1
- Update to version 0.0.5

* Sat Dec 01 2007 Pingou <pingoufc4@yahoo.fr> 0.0.4-3
- Changes on the Requires

* Sun Nov 25 2007 Pingou <pingoufc4@yahoo.fr> 0.0.4-2
- Changes on the Requires

* Sat Nov 24 2007 Pingou <pingoufc4@yahoo.fr> 0.0.4-1
- First release
