Name:		libgfbgraph
Version:	0.2.2
Release:	1%{?_dist_release}
Summary:	GLib/GObject wrapper for the Facebook Graph API

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		https://git.gnome.org/browse/libgfbgraph/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gfbgraph/0.2/gfbgraph-%{version}.tar.xz

BuildRequires:	glib2-devel
BuildRequires:	json-glib-devel
BuildRequires:	rest-devel
BuildRequires:	libsoup-devel
BuildRequires:	gnome-online-accounts-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
%{summary}


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the %{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q -n gfbgraph-%{version}

%build
%configure \
	--disable-static

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libgfbgraph-0.2.so.*
%{_libdir}/girepository-1.0/GFBGraph-0.2.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/gfbgraph-0.2
%{_libdir}/libgfbgraph-0.2.so
%{_libdir}/pkgconfig/libgfbgraph-0.2.pc
%{_datadir}/gir-1.0/GFBGraph-0.2.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/gfbgraph


%changelog
* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- initial build

