Name:    libkgapi
Summary: Google APIs for KDE
Summary(ja): KDE 向け Google API 集
Version: 2.1.1
Release: 1%{?_dist_release}

License: GPLv2+
Group:   System Environment/Libraries
URL:     https://projects.kde.org/projects/extragear/libs/libkgapi

Source0: ftp://ftp.kde.org/pub/kde/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs-devel >= 4.7.0
BuildRequires: kdepimlibs-devel >= 4.6
BuildRequires: libkipi-devel
BuildRequires: qjson-devel
BuildRequires: soprano-devel
BuildRequires: libboost-devel

Requires: kdelibs >= 4.7.0

Vendor: Project Vine
Distribution: Vine Linux

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs for
various Google services.

Currently supported APIs:
  - Calendar API v3 (https://developers.google.com/google-apps/calendar)
  - Contacts API v3 (https://developers.google.com/google-apps/contacts/v3/)
  - Tasks API v1 (https://developers.google.com/google-apps/tasks)


%package devel
Summary:  Development files for %{name} 
Summary(ja): %{name} の開発用ファイル 
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel 

%description devel
%{summary}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_libdir}/libkgapi2.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/%{name}2
%{_includedir}/kde4/LibKGAPI2
%{_libdir}/libkgapi2.so
%{_libdir}/cmake/LibKGAPI2


%changelog
* Mon May 05 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.1-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.2-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.1-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.4-1
- new upstream release

* Sun Nov 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.3-1
- new upstream release

* Mon Sep 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.2-1
- new upstream release

* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-1
- initial build
