Name:    libkmahjongg
Summary: The library for KDE mahjongg game
Summary(ja): KDE 麻雀系ゲーム用ライブラリ
Version: 4.12.5
Release: 1%{?_dist_release}

License: GPLv2+, LGPLv2 and FDL
URL:     https://code.launchpad.net/~neon/kdegames/libkdegames
Group:   System Environment/Libraries

Source0: ftp://ftp.kde.org/pub/kde/table/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: libkdegames-devel >= %{version}

Requires: kdelibs >= %{version}
Requires: libkdegames >= %{version}

Vendor: Project Vine
Distribution: Vine Linux

%description
This package contains the library used for loading and rendering of Mahjongg tilesets and associated backgrounds, used by KMahjongg and KShisen.

%package devel
Summary:  Development files for %{name} 
Summary(ja): %{name} の開発用ファイル 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel 

%description devel
%{summary}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC README
%{_libdir}/libkmahjongglib.so.*
%{_datadir}/kde4/apps/kmahjongglib/

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/*
%{_libdir}/libkmahjongglib.so


%changelog
* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Sun Dec 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sun Jul 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- initial build
