Name:           libmediaart
Version:        0.4.0
Release:        1%{?_dist_release}
Summary:        Library for handling media art
Summary(ja):    メディア・アートを取得するためのライブラリ

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            https://git.gnome.org/browse/libmediaart/
Source0:        http://download.gnome.org/sources/%{name}/0.4/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.35.0
BuildRequires:  gobject-introspection-devel >= 1.30.0
BuildRequires:  gdk-pixbuf2-devel >= 2.12.0
BuildRequires:  gtk-doc

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Library tasked with managing, extracting and handling media art cache


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q

%build
autoreconf -if
%configure --disable-static
make %{?_smp_mflags}

%check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}-1.0.so.*
%{_libdir}/girepository-1.0/MediaArt-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/MediaArt-1.0.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-1
- initial build

