%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:	A set of Thai language support routines
Name:		libthai
Version:	0.1.20
Release:	1%{?_dist_release}
Source0:	http://linux.thai.net/pub/thailinux/software/%{name}/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://linux.thai.net/projects/libthai

BuildRequires:	doxygen
BuildRequires:	libdatrie-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Obsoletes:	%{name}-doc < 0.1.20

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
LibThai is a set of Thai language support routines aimed to ease
developers’ tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions e.g.
word breaking, input and output methods as well as basic character
and string supports. LibThai is an Open Source and collaborative
effort initiated by Thai Linux Working Group and opened for all
contributors.


%package	devel
Summary:        Development tools for libthai
Summary(ja):    libthai の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libdatrie-devel
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
libthai.


# compat32
%package -n compat32-%{name}
Summary:	A set of Thai language support routines
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
LibThai is a set of Thai language support routines aimed to ease
developers’ tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions e.g.
word breaking, input and output methods as well as basic character
and string supports. LibThai is an Open Source and collaborative
effort initiated by Thai Linux Working Group and opened for all
contributors.


%package -n compat32-%{name}-devel
Summary:        Development tools for libthai
Summary(ja):    libthai の開発環境
Group:          Development/Libraries
Requires:       compat32-%{name} = %{version}-%{release}
Requires:       compat32-libdatrie-devel
Requires:       pkgconfig

%description -n compat32-%{name}-devel
Header files and libraries for building a extension library for the
libthai.



%prep
%setup -q


%build
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_libdir}/%{name}.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/thai
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root,-)
%{_libdir}/%{name}.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root,-)
%{_libdir}/%{name}.so
%endif


%changelog
* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.20-1
- new upstream release
- remove %%{name}-doc subpackage

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.19-1
- new upstream release

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.18-1
- new upstream release

* Sat Mar 31 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.17-1
- new upstream release

* Wed Jan 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.16-1
- initial build for Vine Linux

