Summary:        A library to identify wacom tablets
Name:           libwacom
Version:        0.9
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        MIT
URL:            http://sourceforge.net/projects/linuxwacom/
Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	glib2-devel
BuildRequires:	libgudev1-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.


%package	devel
Summary:        Development tools for libwacom
Summary(ja):    libwacom の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
libwacom.


%prep
%setup -q


%build
%configure --disable-static


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_bindir}/libwacom-list-local-devices
%{_libdir}/libwacom.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/libwacom-1.0
%{_libdir}/libwacom.so
%{_libdir}/pkgconfig/libwacom.pc


%changelog
* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8-1
- new upstream release

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.1-1
- new upstream release

* Mon Jan 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7-1
- new upstream release

* Sun Nov 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-1
- new upstream release

* Sat Jun 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5-1
- new upstream release

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4-1
- initial build for Vine Linux
