%define mysqld_user		mysql
%define mysqld_group		mysql
%define mysqldatadir /var/lib/mysql

# Working around perl dependency problem
%global __perl_requires %{SOURCE998}
%global __perllib_requires %{SOURCE998}

%define _unpackaged_files_terminate_build 1

%define mariadb_base_version	10.0
%define mariadb_version		10.0.11
%define client_version		18

Vendor: Project Vine
Distribution: Vine Linux
Packager:	tomop

Name: mariadb
Summary:	MariaDB: a very fast and robust SQL database server
Version:	%{mariadb_version}
Release:	1%{_dist_release}

Group:		Applications/Databases
License:	GPL2
URL:		http://www.mariadb.org/

Source:		mariadb-%{version}.tar.gz
# Don't depend on lib::mtr*
Source998:	perl-requires.sh
Source1000:	macros.mariadb.in
Patch0:		mysql-5.5.15-jp-all.patch

Patch100:	mysql-srv_buf_size.patch

BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bison, cmake, gcc-c++, groff
BuildRequires:	libaio-devel, libboost-devel, libevent-devel, libxml2-devel
BuildRequires:	ncurses-devel, perl, openssl-devel, readline-devel
BuildRequires:	zlib-devel
Requires:		fileutils sh-utils
Provides:		msqlormysql MySQL mysql
Obsoletes:		mysql MySQL5

# From the manual
%description
MariaDB: a very fast and robust SQL database server

It is GPL v2 licensed, which means you can use the it free of charge under the
conditions of the GNU General Public License Version 2 (http://www.gnu.org/licenses/).

MariaDB documentation can be found at http://kb.askmonty.org/
MariaDB bug reports should be submitted through https://mariadb.atlassian.net/


%package server
Release: %{release}
Summary:	MariaDB: a very fast and robust SQL database server
Group:		Applications/Databases
Requires:	fileutils sh-utils net-tools mariadb-common
Requires(post):	mariadb-common
Provides:	mysql-server mysql MySQL MySQL-server mariadbserver-%{mariadb_base_version}
Obsoletes:	MySQL mysql mysql-server
Obsoletes:	MySQL-server < 5.6.0

%description server
MariaDB: a very fast and robust SQL database server

It is GPL v2 licensed, which means you can use the it free of charge under the
conditions of the GNU General Public License Version 2 (http://www.gnu.org/licenses/).

MariaDB documentation can be found at http://kb.askmonty.org/
MariaDB bug reports should be submitted through https://mariadb.atlassian.net/


%package client
Summary: MariaDB - Client
Group: Applications/Databases
Obsoletes: mysql-client MySQL-client < 5.6.0
Provides: mysql-client MySQL-client  mariadbclient-%{mariadb_base_version}

%description client
This package contains the standard MariaDB clients and administration tools. 


%package devel
Summary: MariaDB - Development libraries and headers
Group: Development/Libraries
Requires: %{name}-static, openssl-devel, zlib-devel
Conflicts: MySQL-devel < 5.6.0
Conflicts: libmysqlclient-devel

%description devel
This package contains the development libraries and headers to develop
MariaDB server components (e.g. plugins or embedded applications).


%package static
Summary: MariaDB - static libraries
Group: Development/Libraries
Requires: %{name}-devel

%description static
This package provides static libraries of MariaDB.


%package source
Summary: MariaDB - Source
Group: Development/Libraries
Requires: mariadb-devel = %{version}-%{release}
Obsoletes: MySQL-source < 5.6.0
AutoReqProv: no

%description source
This package contains the sources files of MariaDB.


%package test
Requires: %{name}-client = %{version}-%{release} perl-DBI perl
Summary: MariaDB - Test suite
Group: Applications/Databases
Obsoletes: mysql-bench MySQL5-bench MySQL-bench MySQL-test < 5.6.0
Provides: perl(mtr_misc.pl)

%description test
This package contains the MariaDB regression test suite.


%package embedded
Summary: MariaDB as an embeddable library
Group: System Environment/Libraries
Obsoletes: mysql-embedded MySQL-embedded
Provides: mysql-embedded MySQL-embedded

%description embedded
This package contains a version of the MariaDB server that can be embedded
into a client application instead of running as a separate process.


%prep
%setup -q
#%patch0 -p1 -b .jp
%patch100 -p1 -b .srv_buf_size

%build

# Be strict about variables, bail at earliest opportunity, etc.
set -eu

# Optional package files
touch optional-files-devel

export CFLAGS=${MYSQL_BUILD_CFLAGS:-${CFLAGS:-$RPM_OPT_FLAGS}}
export CXXFLAGS=${MYSQL_BUILD_CXXFLAGS:-${CXXFLAGS:-$RPM_OPT_FLAGS -felide-constructors -fno-exceptions -fno-rtti}}

# Build full release
mkdir release
(
  cd release
  cmake ../ \
      -DINSTALL_LAYOUT=RPM \
      -DBUILD_CONFIG=mysql_release \
      -DCMAKE_BUILD_TYPE=Release \
      -DINSTALL_UNIX_ADDRDIR="/var/lib/mysql/mysql.sock" \
      -DMANUFACTURER="Vine Linux" \
      -DCOMPILATION_COMMENT="Vine Linux MariaDB RPM" \
      -DWITH_PIC="ON" \
      -DWITH_EMBEDDED_SERVER="ON" \
      -DWITH_ZLIB="system" \
      -DWITH_LIBEVENT="system" \
      -DWITH_LOCALES="yes" \
      -DWITH_UNIT_TESTS="no" \
      -DWITH_CONNECT_STORAGE_ENGINE="ON" \
      -DWITH_SEQUENCE_STORAGE_ENGINE="ON" \
      -DWITH_XTRADB_STORAGE_ENGINE="ON" \
      -DWITHOUT_TOKUDB=1

#      -DWITH_PCRE="system" 

  echo BEGIN_NORMAL_CONFIG ; egrep '^#define' include/config.h ; echo END_NORMAL_CONFIG
  make %{?_smp_mflags} VERBOSE=1
)


%install
rm -rf %{buildroot}

install -d %{buildroot}%{mysqldatadir}/mysql
install -d %{buildroot}%{_infodir}

# Install all binaries
(
  cd release
  make DESTDIR=%{buildroot} install
)

install -m 0644  Docs/mysql.info %{buildroot}%{_infodir}
rm -rf ./doc
mv -f %{buildroot}%{_docdir} ./

mkdir -p %{buildroot}%{_datadir}/%{name}-source
pushd %{buildroot}%{_datadir}/%{name}-source
tar zxf %{SOURCE0}
find %{buildroot}%{_datadir}/%{name}-source -type f -exec chmod ugo-x {} \;
popd

install -d %{buildroot}%{_sysconfdir}/rpm
sed -e 's/@BASEVERSION@/%{mariadb_base_version}/' -e 's/@VERSION@/%{version}/' -e 's/@RELEASE@/%{release}/' < %{SOURCE1000} > %{buildroot}%{_sysconfdir}/rpm/macros.mariadb

rm -f %{buildroot}%{_mandir}/man1/mysql_fix_privilege_tables.1*
rm -f %{buildroot}%{_mandir}/man8/mysqlmanager.8*
rm -f %{buildroot}%{_sysconfdir}/my.cnf
rm -f %{buildroot}%{_sysconfdir}/my.cnf.d/client.cnf
rm -f %{buildroot}%{_libdir}/libmysqlclient*.so*
rm -f %{buildroot}%{_libdir}/mysql/plugin/daemon_example.ini

# force linking statically.
perl -pi -e 's,-lmysqlclient_r,%{_libdir}/libmysqlclient_r.a,' %{buildroot}%{_bindir}/mysql_config
perl -pi -e 's,-lmysqlclient,%{_libdir}/libmysqlclient.a,' %{buildroot}%{_bindir}/mysql_config

##############################################################################

%pre server
# Create a MySQL user and group. Do not report any problems if it already
# exists.
datadir=/var/lib/mysql

groupadd -r mysql 2> /dev/null || true
useradd -M -r -d $datadir -s /bin/bash -c "MySQL server" -g mysql mysql 2> /dev/null || true
# The user may already exist, make sure it has the proper group nevertheless (BUG#12823)
usermod -g mysql mysql 2> /dev/null || true

%post server

# Make MySQL start/shutdown automatically when the machine does it.
if [ $1 = 1 ] ; then
  if [ -x /sbin/chkconfig ] ; then
          /sbin/chkconfig --add mysql
  fi

  basedir=`/usr/bin/my_print_defaults --mysqld|sed -ne 's/^--basedir=//p'|tail -1`
  if [ -z "$basedir" ] ; then
    basedir=/usr
  fi

  datadir=`/usr/bin/my_print_defaults --mysqld|sed -ne 's/^--datadir=//p'|tail -1`
  if [ -z "$datadir" ] ; then
    datadir=/var/lib/mysql
  else
    # datadir may be relative to a basedir!
    if ! expr $datadir : / > /dev/null; then
      datadir=$basedir/$datadir
    fi
  fi

  # Change permissions so that the user that will run the MySQL daemon
  # owns all database files.
  chown -R mysql:mysql $datadir

  if [ ! -e $datadir/mysql ]; then
    # Create data directory
    mkdir -p $datadir/{mysql,test}

    # Initiate databases
    /usr/bin/mysql_install_db --rpm --user=mysql
  fi

  # Change permissions again to fix any new files.
  chown -R mysql:mysql $datadir

  # Fix permissions for the permission database so that only the user
  # can read them.
  chmod -R og-rw $datadir/mysql
fi

%preun server
if [ $1 = 0 ] ; then
	# Stop MySQL before uninstalling it
	if [ -x /etc/init.d/mysql ] ; then
		/etc/init.d/mysql stop > /dev/null
	fi
	# Don't start it automatically anymore
	if [ -x /sbin/chkconfig ] ; then
		/sbin/chkconfig --del mysql
	fi
fi

%postun server
if [ $1 -ge 1 ]; then
  if [ -x /etc/init.d/mysql ] ; then
    # only restart the server if it was alredy running
    /etc/init.d/mysql status > /dev/null 2>&1 && \
    /etc/init.d/mysql restart
  fi
fi

# Clean up the BuildRoot
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files server
%defattr(-,root,root)

%doc doc/*
%doc release/support-files/my-*.cnf
%doc %{_infodir}/mysql.info*

%doc %{_mandir}/man1/innochecksum.1*
%doc %{_mandir}/man1/my_print_defaults.1*
%doc %{_mandir}/man1/myisam_ftdump.1*
%doc %{_mandir}/man1/myisamchk.1*
%doc %{_mandir}/man1/myisamlog.1*
%doc %{_mandir}/man1/myisampack.1*
%doc %{_mandir}/man1/mysql_convert_table_format.1*
%doc %{_mandir}/man1/mysql_fix_extensions.1*
%doc %{_mandir}/man8/mysqld.8*
%doc %{_mandir}/man1/mysqld_multi.1*
%doc %{_mandir}/man1/mysqld_safe.1*
%doc %{_mandir}/man1/mysqldumpslow.1*
%doc %{_mandir}/man1/mysql_install_db.1*
%doc %{_mandir}/man1/mysql_plugin.1*
%doc %{_mandir}/man1/mysql_secure_installation.1*
%doc %{_mandir}/man1/mysql_setpermission.1*
%doc %{_mandir}/man1/mysql_upgrade.1*
%doc %{_mandir}/man1/mysqlhotcopy.1*
%doc %{_mandir}/man1/mysqlman.1*
%doc %{_mandir}/man1/mysql.server.1*
%doc %{_mandir}/man1/mysqltest.1*
%doc %{_mandir}/man1/mysql_tzinfo_to_sql.1*
%doc %{_mandir}/man1/mysql_zap.1*
%doc %{_mandir}/man1/mysqlbug.1*
%doc %{_mandir}/man1/perror.1*
%doc %{_mandir}/man1/replace.1*
%doc %{_mandir}/man1/resolve_stack_dump.1*
%doc %{_mandir}/man1/resolveip.1*
%{_bindir}/aria_*
%{_bindir}/innochecksum
%{_bindir}/my_print_defaults
%{_bindir}/myisam_ftdump
%{_bindir}/myisamchk
%{_bindir}/myisamlog
%{_bindir}/myisampack
%{_bindir}/mysql_convert_table_format
%{_bindir}/mysql_fix_extensions
%{_bindir}/mysql_install_db
%{_bindir}/mysql_plugin
%{_bindir}/mysql_secure_installation
%{_bindir}/mysql_setpermission
%{_bindir}/mysql_tzinfo_to_sql
%{_bindir}/mysql_upgrade
%{_bindir}/mysql_zap
%{_bindir}/mysqlbug
%{_bindir}/mysqld_multi
%{_bindir}/mysqld_safe
%{_bindir}/mysqldumpslow
%{_bindir}/mysqlhotcopy
%{_bindir}/mysqltest
%{_bindir}/perror
%{_bindir}/replace
%{_bindir}/resolve_stack_dump
%{_bindir}/resolveip
#%{_bindir}/tokuftdump
%{_sbindir}/mysqld
%{_libdir}/mysql
%config(noreplace) %{_sysconfdir}/my.cnf.d/server.cnf
#%config(noreplace) %{_sysconfdir}/my.cnf.d/tokudb.cnf
%config(noreplace,missingok) %{_sysconfdir}/logrotate.d/mysql
%{_sysconfdir}/init.d/mysql
%{_datadir}/mysql
%attr(755, mysql, mysql) %dir %{mysqldatadir}

%files client
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/my.cnf.d/mysql-clients.cnf
%{_bindir}/msql2mysql
%{_bindir}/mysql
%{_bindir}/mysql_find_rows
%{_bindir}/mysql_waitpid
%{_bindir}/mysqlaccess
%{_bindir}/mysqladmin
%{_bindir}/mysqlbinlog
%{_bindir}/mysqlcheck
%{_bindir}/mysqldump
%{_bindir}/mysqlimport
%{_bindir}/mysqlshow
%{_bindir}/mysqlslap
%{_bindir}/mytop

%doc %{_mandir}/man1/msql2mysql.1*
%doc %{_mandir}/man1/mysql.1*
%doc %{_mandir}/man1/mysql_find_rows.1*
%doc %{_mandir}/man1/mysql_waitpid.1*
%doc %{_mandir}/man1/mysqlaccess.1*
%doc %{_mandir}/man1/mysqladmin.1*
%doc %{_mandir}/man1/mysqlbinlog.1*
%doc %{_mandir}/man1/mysqlcheck.1*
%doc %{_mandir}/man1/mysqldump.1*
%doc %{_mandir}/man1/mysqlimport.1*
%doc %{_mandir}/man1/mysqlshow.1*
%doc %{_mandir}/man1/mysqlslap.1*

%files devel -f optional-files-devel
%defattr(-, root, root)
%doc %{_mandir}/man1/mysql_config.1*
%{_bindir}/mysql_config
%{_includedir}/mysql
%{_datadir}/aclocal/mysql.m4
%{_libdir}/*.so
%{_sysconfdir}/rpm/*
%{_bindir}/mysql_embedded

%files static
%defattr(-,root,root)
%{_libdir}/lib*.a

%files source
%defattr(-, root, root)
%{_datadir}/mariadb-source

%files test
%defattr(-, root, root)
%attr(-, root, root) %{_datadir}/mysql-test
%{_bindir}/mysql_client_test
%{_bindir}/mysql_client_test_embedded
%{_bindir}/mysqltest_embedded
%doc %{_mandir}/man1/mysql_client_test.1*
%doc %{_mandir}/man1/mysql-stress-test.pl.1*
%doc %{_mandir}/man1/mysql-test-run.pl.1*
%doc %{_mandir}/man1/mysql_client_test_embedded.1*
%doc %{_mandir}/man1/mysqltest_embedded.1*

%files embedded
%defattr(-,root,root)
%{_libdir}/libmysqld.so.*


%changelog
* Sat May 31 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.0.11-1
- new upstream release.

* Sun Apr 13 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.0.10-2
- fixed Conflicts: and Obsoletes:.

* Mon Mar 31 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.0.10-1
- new upstream release.

* Mon Mar 24 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.0.9-1
- new upstream release.

* Tue Feb 11 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.0.8-1
- new upstream release.

* Sat Dec 07 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.0.6-2
- removed duplicated files.

* Wed Dec 04 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.0.6-1
- switched to MariaDB.

* Wed Feb 20 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.30-1
- new upstream release.

* Fri Nov 16 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.28-1
- new upstream release.

* Sat Sep 15 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.27-1
- new upstream release.
- added a sub-package 'MySQL-source".
- added some macros for rpm.

* Thu Jun 21 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.25-1
- new upstream release.

* Thu May 10 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.24-1
- new upstream release.

* Tue May 01 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.23-1
- new upstream release.
- added "Vendor:" and "Distribution:" tag.

* Tue Aug 23 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.5.15-1
- new upstream release.
- removed NDB cluster support.

* Mon Apr 18 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.56-3
- Added "BR: zlib-devel" to MySQL-devel.

* Sun Apr 03 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.56-2
- Added "BR: openssl-devel" to MySQL-devel.

* Fri Mar 11 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.56-1
- new upstream release.

* Mon Jan 10 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.54-1
- new upstream release.
- updated jp-patch.
- added ssl support.

* Sat Nov 06 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.52-1
- new upstream release.
- replaced '%%__find_requires' to '%%__perl_requires'.
- updated jp-patch.

* Fri Oct 29 2010 Shu KONNO <owa@bg.wakwak.com> 5.1.44-3
- added mysql-5.1.44-lib64.patch (on x86_64)
- added -fPIC (on x86_64)

* Sun Oct 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1.44-2
- made embedded package again

* Fri Mar 05 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.44-1
- new upstream release.
- updated jp-patch.

* Thu Feb 04 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.43-2
- VineSeed: rebuilt with new toolchain.

* Wed Feb 03 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.43-1
- new upstream release.
  - fixed CVE-2009-4484.

* Fri Nov 20 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.41-1
- new upstream release.

* Thu Nov 19 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.40-2
- added net-tools to 'Requires'.
- added groff to 'BuildRequires'.
- renamed subpackage 'MySQL-shared' to 'libmysqlclient16' (VineSeed only).

* Tue Nov 10 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.40-1
- new upstream release.

* Sat Sep 26 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.39-1
- new upstream release.

* Sun Jul  5 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.36-1
- new upstream release.
- dropped %%Patch100 (fixed in upstream).

* Sat Jun  6 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.35-1
- new upstream release.
- add %%Patch100 (no longer needed for MySQL-5.1.36 or later).

* Thu May 21 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.34-1
- new upstream release.
- rename 'MySQL-bench' to 'MySQL-test'.
- update Patch0.
- change default charset to 'utf8'.

* Sat Apr 12 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.0.51a-1
- new upstream release.
- update Patch0.
- add "--with-client-charset=ujis".
- sync %%files to official RPM.
- remove MySQL-Max.

* Thu Dec 13 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.0.27-0vl7
- for VineSeed

* Thu Dec 13 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5.0.27-0vl6
- move shared library from /usr/lib/ to /usr/lib/mysql/
- add /etc/ld.so.conf.d/*.conf
- fix broken libmysqlcient*.la files (or should we remove them permanently?)

* Sat Jun 16 2007 IWAI, Masaharu <iwai@alib.jp> 5.0.27-0vl5
- rebuild <BTS:VineLinux:534>

* Mon Nov 13 2006 NAKAMURA Kenta <kenta@vinelinux.org> 5.0.27-0vl4
- added -fPIC

* Mon Oct 30 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.0.27-0vl3
- fixed dependency. <BTS:338>

* Mon Oct 30 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.0.27-0vl2
- add %%Patch1. <BTS:320>

* Sat Oct 28 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.0.27-0vl1
- new upstream release.

* Fri Oct 27 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.0.26-0vl1
- new upstream release.

* Sat Jun  3 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.0.22-0vl1
- new upstream release.

* Sat May 13 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.0.21-0vl1
- release++.

* Wed May 10 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.0.21-0vl0
- new upstream release.
- for VineSeed.

* Wed Feb  8 2006 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 4.1.16-0vl0
- new upstream release.
- replace Patch0 for MySQL-4.1.16.

* Thu Oct  6 2005 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 4.1.14-0vl0
- new upstream release.
- add Patch0.

* Tue Sep 6 2005 Takeyuki FUJIOKA <fuji@ftserve.net> 4.0.25-0vl0
- new upstream version
	-- mysql-4.0.25

* Fri Jan 21 2005 Takeyuki FUJIOKA <fuji@ftserve.net> 4.0.23-0vl0
- new upstream version
	-- mysql-4.0.23

* Tue Sep 28 2004 Takeyuki FUJIOKA <fuji@ftserve.net> 4.0.22-0vl0
- new upstream version
	-- mysql-4.0.22
 
* Tue Sep 28 2004 Takeyuki FUJIOKA <fuji@ftserve.net> 4.0.21-0vl1
- new upstream version
	-- mysql-4.0.21
 
* Fri May 21 2004 Satoshi MACHINO <machino@vinelinux.org> 4.0.20-0vl1
- new upstream version
	-- mysql-4.0.20
 
* Tue May 04 2004 Tomoya TAKA <taka@vinelinux.org> 4.0.18-0vl2
- modify CFLAGS, CXXFLAGS and configure options for alpha

* Tue Mar 23 2004 Satoshi MACHINO <machino@vinelinux.org> 4.0.18-0vl1
- Upgraded to MySQL-4
- added "with-charset=ujis" and "without-readline" to configure (vineseed-plus-02150)
- merged to MySQL Official packages
	-- renamed package "MySQL" to "MySQL-server"
	-- when using gcc, _always_ use CXX=gcc 
	-- replaced Copyright with License field (Copyright is obsolete)
	-- added myisam_ftdump to the Server package
	-- marked /etc/logrotate.d/mysql as a config file (BUG 2156)
	-- fixed file permissions (BUG 1672)
	-- removed dependency on MySQL-client from the MySQL-devel subpackage
	-- as it is not really required. (BUG 1610)
	-- Fixed BUG 1162 (removed macro names from the changelog)
	-- Really fixed BUG 998 (disable the checking for installed but
	--  unpackaged files)
	-- Fixed BUG 959 (libmysqld not being compiled properly)
	-- Fixed BUG 998 (RPM build errors): added missing files to the
	-- distribution (mysql_fix_extensions, mysql_tableinfo, mysqldumpslow,
	-- mysql_fix_privilege_tables.1), removed "-n" from install section.
	-- removed the GIF Icon (file was not included in the sources anyway)
	-- removed unused variable shared_lib_version
	-- do not run automake before building the standard binary
	--  (should not be necessary)
	-- add server suffix '-standard' to standard binary (to be in line
	-- with the binary tarball distributions)
	-- allow overriding CC and CXX (required when building 
	-- with other compilers)

* Mon Apr 14 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.23.56-0vl5
- added BuildRequires:  automake16
                                                                                
* Thu Apr 03 2003 Tomoya TAKA <taka@vinelinux.org> 3.23.56-0vl3
- add '-fPIC -DPIC' to CFLAGS on alpha
- little fix of spec file
                                                                                
* Thu Mar 27 2003 Tomoya TAKA <taka@vinelinux.org> 3.23.56-0vl2
- enable MySQL-shared subpackage for alpha
- delete 'BuildPrereq: kernel24-headers' for alpha
- fix shared %files (exclude sparc)
                                                                                
* Tue Mar 18 2003 Satoshi MACHINO <machino@vinelinux.org> 3.23.56-0vl1
- new upstream version
                                                                                
* Sun Mar  9 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.23.55-0vl2
- fixed devel %files (dropped *.la files)
                                                                                
* Tue Jan 28 2003 Satoshi MACHINO <machino@vinelinux.org> 3.23.55-0vl1
- new upstream version
- fixed document permission
                                                                                
* Sat Dec 21 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.54a-0vl1
- new upstream version
                                                                                
* Sat Oct 19 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.53-0vl2
- dropped MySQL-Max sub-pakage for sparc/sparc64/alpha
        -- don't work
                                                                                
* Wed Oct 16 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.53-0vl1
- new upstream version
- diseble-assembler in configure on sparc,sparc64,alpha
                                                                                
* Wed Aug 21 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.52-0vl1
- new upstream version
- moved some man files to main package
- added enable-local-infile in configure
- changed --with-extra-charsets=all in configure
                                                                                
* Fri Jun 14 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.51-0vl2
- fixed changelog
                                                                                
* Thu Jun 13 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.51-0vl1
- updated to mysql-3.23.51
                                                                                
* Fri Mar 15 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.49-0vl2
- rebuild on zlib-1.1.4(security fix.)
                                                                                
* Mon Feb 18 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.49-0vl1
- updated to mysql-2.23.49
                                                                                
* Tue Feb 12 2002 Tomoya TAKA <taka@vinelinux.org> 3.23.48-0vl2
- add 'BuildPrereq: kernel24-headers' on alpha
- remove shared library and max on alpha
                                                                                
* Tue Feb 12 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.48-0vl1
- updated to mysql-3.23.48
                                                                                
* Thu Jan 03 2002 Satoshi MACHINO <machino@vinelinux.org> 3.23.47-0vl1
- updated to mysql-3.23.47
                                                                                
* Wed Dec 05 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.46-0vl1
- updated to mysql-3.23.46
                                                                                
* Thu Nov 29 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.45-0vl1
- updated to mysql-3.23.45
                                                                                
* Mon Nov 12 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.44-0vl1
- updated to mysql-3.23.44
                                                                                
* Sat Oct 13 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.43-0vl1
- updated to mysql-3.23.43
- removed shared library and max on sparc
                                                                                
* Wed Sep 12 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.42-0vl1
- updated to mysql-3.23.42
- changed MYSQL_BUILD_CC: and MYSQL_BUILD_XCC: to -gcc
                                                                                
* Thu Aug 30 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.41-0vl1
- updated to mysql-3.23.41
                                                                                
* Wed Aug 22 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.40-0vl1
- updated to mysql-3.23.40
                                                                                
* Tue Jul 10 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.39-0vl1
- updated to mysql-3.23.39

* Fri Jun 15 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.38-1vl2
- added configure --with-charset=ujis
                                                                                
* Sun May 27 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.38-1vl2
- used some rpmmacro
                                                                                
* Fri May 25 2001 Satoshi MACHINO <machino@vinelinux.org> 3.23.38-1vl1
- updated to MySQL-3.23.38
                                                                                
* Thu Dec 07 2000 Satoshi MACHINO <machino@vinelinux.org> 3.23.28-1vl2
- removed Bench pakages
                                                                                
* Tue Dec 05 2000 Satoshi MACHINO <machino@vinelinux.org> 3.23.28-1vl1
- removed pt_BR locale
- build on Vine Linux
- partially used rpmmacros
- added %clean tag
                                                                                
* Fri Aug 18 2000 Tim Smith <tim@mysql.com>
- Added separate libmysql_r directory; now both a threaded
  and non-threaded library is shipped.
                                                                                
* Tue Sep 28 1999 David Axmark <davida@mysql.com>
- Added the support-files/my-example.cnf to the docs directory.
- Removed devel dependency on base since it is about client
  development.
                                                                                
* Wed Sep 8 1999 David Axmark <davida@mysql.com>
- Cleaned up some for 3.23.
                                                                                
* Thu Jul 1 1999 David Axmark <davida@mysql.com>
- Added support for shared libraries in a separate sub
  package. Original fix by David Fox (dsfox@cogsci.ucsd.edu)
- The --enable-assembler switch is now automatically disables on
  platforms there assembler code is unavailable. This should allow
  building this RPM on non i386 systems.
                                                                                
* Mon Feb 22 1999 David Axmark <david@detron.se>
- Removed unportable cc switches from the spec file. The defaults can
  now be overridden with environment variables. This feature is used
  to compile the official RPM with optimal (but compiler version
  specific) switches.
- Removed the repetitive description parts for the sub rpms. Maybe add
  again if RPM gets a multiline macro capability.
- Added support for a pt_BR translation. Translation contributed by
  Jorge Godoy <jorge@bestway.com.br>.
                                                                                
* Wed Nov 4 1998 David Axmark <david@detron.se>
- A lot of changes in all the rpm and install scripts. This may even
  be a working RPM :-)
                                                                                
* Sun Aug 16 1998 David Axmark <david@detron.se>
- A developers changelog for MySQL is available in the source RPM. And
  there is a history of major user visible changed in the Reference
  Manual.  Only RPM specific changes will be documented here.

