Summary:	Library with common API for various MATE modules
Name:		mate-desktop
Version:	1.8.1
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

# patch for Vine
Patch1001:	mate-desktop-vine-settings.patch

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	gtk2-devel
BuildRequires:	dconf-devel
BuildRequires:	unique-devel
BuildRequires:	startup-notification-devel
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
mate-desktop contains the libmate-desktop library, the mate-about
program as well as some desktop-wide documents.


%package	devel
Summary:        Development tools for mate-desktop
Summary(ja):    mate-desktop の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-desktop.


%package        doc
Summary:        Documentation for mate-desktop
Summary(ja):    mate-desktop 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for mate-desktop.


%prep
%setup -q
%patch1001 -p1 -b .vine


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--disable-scrollkeeper

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/omf

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/mate-about
%{_bindir}/mate-gsettings-toggle
%{_libdir}/libmate-desktop-2.so.*
%{_datadir}/MateConf/gsettings/mate-desktop.convert
%{_datadir}/applications/mate-about.desktop
%{_datadir}/applications/mate-user-guide.desktop
%{_datadir}/glib-2.0/schemas/org.mate.accessibility-keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.accessibility-startup.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-at-mobility.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-at-visual.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-browser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-office.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-terminal.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.file-views.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.interface.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.lockdown.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-mouse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.sound.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.thumbnail-cache.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.thumbnailers.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.typing-break.gschema.xml
%{_datadir}/libmate-desktop/pnp.ids
%{_datadir}/mate-about/mate-version.xml
%{_datadir}/help/*
%{_mandir}/man1/mate-about.1.gz
%{_mandir}/man1/mate-gsettings-toggle.1.gz
%exclude %{_datadir}/help/*/*/index.docbook

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-desktop-2.0
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mate-desktop


%changelog
* Sun May 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Mon Apr 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add BuildRequires: dconf-devel, itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- rebuild with VineSeed environment

* Sun May 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release
- remove BuildRequires: mate-conf-devel
- add Patch1001 (mate-desktop-vine-settings.patch)

* Sat Nov 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release
- add BuildRequires: startup-notification-devel

* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release
- add BuildRequires: unique-devel

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

