Summary:	The MATE media tools
Name:		mate-media
Version:	1.8.0
Release:	1%{?_dist_release}

Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz

License:	GPLv2
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	gtk2-devel >= 2.18.0
BuildRequires:	libxml2-devel
BuildRequires:	libcanberra-devel >= 0.13
BuildRequires:	pulseaudio-libs-devel >= 0.9.16
BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	unique-devel
BuildRequires:	mate-desktop-devel
BuildRequires:	mate-panel-devel
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
These are the MATE media tools for MATE:

mate-volume-control     - PulseAudio based volume control applets.
grecord                 - MATE Sound Recorder.
gstreamer-properties    - GStreamer Properties Capplet.
profiles                - Audio Profile library.
gst-mixer               - MATE GStreamer-based audio mixer. (deprecated)

%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--enable-gstmix \
	--enable-gst-mixer-applet

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor > /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor > /dev/null || :
	gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
	update-desktop-database %{_datadir}/applications >& /dev/null ||:
	glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/autostart/mate-volume-control-applet.desktop
%{_bindir}/mate-volume-control
%{_bindir}/mate-volume-control-applet
%{_libexecdir}/mixer_applet2
%{_datadir}/MateConf/gsettings/mate-volume-control.convert
%{_datadir}/applications/mate-volume-control.desktop
%{_datadir}/dbus-1/services/org.mate.panel.applet.MixerAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.mixer.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.volume-control.gschema.xml
%{_datadir}/icons/mate/*/*/*
%{_datadir}/help/*
%{_datadir}/mate-2.0/ui/mixer-applet-menu.xml
%{_datadir}/%{name}
%{_datadir}/mate-panel/applets/org.mate.applets.MixerApplet.mate-panel-applet
%{_datadir}/sounds/mate/default/alerts/*
%{_mandir}/man1/mate-volume-control-applet.1.gz
%{_mandir}/man1/mate-volume-control.1.gz


%changelog
* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add BuildRequires: itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with VineSeed environment

* Mon Sep 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- initial build

