Summary:	MATE utility programs
Name:		mate-utils
Version:	1.8.0
Release:	2%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Applications/System
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-panel-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgtop2-devel
BuildRequires:	libcanberra-devel
BuildRequires:	libSM-devel
BuildRequires:	popt-devel
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
MATE Utilities for the MATE Desktop contains the following -

	mate-system-log
	mate-search-tool
	mate-dictionary
	mate-screenshot
	mate-dictionary


%package	devel
Summary:        Development tools for mate-utils
Summary(ja):    mate-utils の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-utils.


%package        docs
Summary:        Documentation for mate-utils
Summary(ja):    mate-utils 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    docs
This package contains documentation for mate-utils.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static 

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/mate-dictionary
%{_bindir}/mate-disk-usage-analyzer
%{_bindir}/mate-panel-screenshot
%{_bindir}/mate-screenshot
%{_bindir}/mate-search-tool
%{_bindir}/mate-system-log
%{_libdir}/libmatedict.so.*
%{_libexecdir}/mate/mate-dictionary-applet
%{_datadir}/MateConf/gsettings/mate-dictionary.convert
%{_datadir}/MateConf/gsettings/mate-disk-usage-analyzer.convert
%{_datadir}/MateConf/gsettings/mate-screenshot.convert
%{_datadir}/MateConf/gsettings/mate-search-tool.convert
%{_datadir}/MateConf/gsettings/mate-system-log.convert
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.mate.panel.applet.DictionaryAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.dictionary.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.disk-usage-analyzer.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.screenshot.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.search-tool.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.system-log.gschema.xml
%{_datadir}/help/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mate-dict
%{_datadir}/mate-dictionary
%{_datadir}/mate-disk-usage-analyzer
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet
%{_datadir}/mate-screenshot
%{_datadir}/%{name}
%{_datadir}/pixmaps/mate-search-tool/thumbnail_frame.png
%{_mandir}/man1/*.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-dict
%{_libdir}/libmatedict.so
%{_libdir}/pkgconfig/mate-dict.pc

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mate-dict


%changelog
* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-2
- rebuild with libgtop2-2.30.0

* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add BuildRequires: itstool

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with VineSeed environment

* Mon May 20 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel
- add BuildRequires: libcanberra-devel

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Sat Dec 24 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

