%define mono_dir %(/usr/bin/monodir)
%define _libdir %{_prefix}/lib
Name: mono-tools
Version: 2.10
Release: 2%{?_dist_release}
Summary: Collection of Tools and Utilities for Mono
Summary(ja): Mono 用 ツールコレクション
Group: Development/Tools
License: GNU General Public License (GPL)
URL: http://go-mono.org/
Source: http://mono.ximian.com/monobuild/preview/sources/%{name}/%{name}-%{version}.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mono-devel mono-nunit monodoc mono-data-oracle
BuildRequires: gtk-sharp2
BuildRequires: gnome-sharp2
BuildRequires: gconf-sharp2
BuildRequires: gnome-print-sharp
BuildRequires: gtkhtml314-sharp
BuildRequires: gecko-sharp2
BuildRequires: webkit-sharp-devel
BuildRequires: libgdiplus-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.


%prep
%setup -q -n %{name}-%{version}


%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--localstatedir=%{_localstatedir}

make


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT%{_datadir}/create-native-map
mv $RPM_BUILD_ROOT%{_libdir}/create-native-map/MapAttribute.cs \
	$RPM_BUILD_ROOT%{_datadir}/create-native-map
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig $RPM_BUILD_ROOT%{_datadir}

%find_lang %{name}


%clean
rm -Rf "$RPM_BUILD_ROOT"


%post
monodoc --make-index


%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/create-native-map
%{_bindir}/emveepee
%{_bindir}/gasnview
%{_bindir}/gd2i
%{_bindir}/gendarme
%{_bindir}/gendarme-wizard
%{_bindir}/gsharp
%{_bindir}/gui-compare
%{_bindir}/ilcontrast
%{_bindir}/minvoke
%{_bindir}/monodoc
%{_bindir}/mperfmon
%{_bindir}/mprof-decoder
%{_bindir}/mprof-heap-viewer
%{_prefix}/lib//mono/1.0/gasnview.exe
%{_libdir}/create-native-map
%{_libdir}/gendarme
%{_libdir}/gsharp/gsharp.exe
%{_libdir}/gsharp/gsharp.exe.config
%{_libdir}/gui-compare
%{_libdir}/ilcontrast
%{_libdir}/minvoke/minvoke.exe
%{_libdir}/monodoc
%{_libdir}/mperfmon/config
%{_libdir}/mperfmon/mperfmon.exe
%{_libdir}/mono-tools/mprof-decoder-library.dll*
%{_libdir}/mono-tools/mprof-decoder.exe*
%{_libdir}/mono-tools/mprof-heap-snapshot-explorer.dll*
%{_libdir}/mono-tools/mprof-heap-viewer.exe*
%{_libdir}/mono-tools/Mono.Profiler.Widgets.dll
%{_libdir}/mono-tools/Mono.Profiler.Widgets.dll.mdb
%{_libdir}/mono-tools/emveepee.exe
%{_libdir}/mono-tools/emveepee.exe.mdb
%{_datadir}/applications/gendarme-wizard.desktop
%{_datadir}/applications/gsharp.desktop
%{_datadir}/applications/ilcontrast.desktop
%{_datadir}/applications/monodoc.desktop
%{_datadir}/create-native-map
%{_datadir}/pixmaps/ilcontrast.png
%{_datadir}/pixmaps/monodoc.png
%{_datadir}/pkgconfig/create-native-map.pc
%{_datadir}/pkgconfig/gendarme-framework.pc
%{_datadir}/pixmaps/gendarme.svg
%{_datadir}/icons//hicolor/*/apps/monodoc.png
%{_mandir}/man1/gd2i*
%{_mandir}/man1/mperfmon*
%{_mandir}/man1/mprof-decoder*
%{_mandir}/man1/mprof-heap-viewer*
%{_mandir}/man1/create-native-map*
%{_mandir}/man1/gendarme*
%{_mandir}/man5/gendarme.5.gz


%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10-2
- rebuild with VineSeed environment
- add BuildRequires: gnome-sharp2, gconf-sharp2, gnome-print-sharp, gtkhtml314-sharp, gecko-sharp2, webkit-sharp-devel, libgdiplus-devel

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 2.10-1
- updated mono-tools to 2.10

* Fri Oct 08 2010 2010 Shu KONNO <owa@bg.wakwak.com> 2.8-1
- updated mono-tools to 2.8
- added BR: gtk-sharp2
- dropt BR: mono-jscript
- dropt BR: gconf-sharp2
- dropt BR: gecko-sharp2
- dropt BR: gtkhtml314-sharp

* Wed Oct 06 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.2-2
- rebuilt with rpm-4.8.1 for pkg-config

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.2-1
- updated mono-tools to 2.6.2

* Sun Dec 27 2009 Shu KONNO <owa@bg.wakwak.com> 2.6.1-1
- updated mono-tools to 2.6.1

* Tue Dec 15 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.3-1
- updated to 2.4.3

* Sun Apr 05 2009 Shu KONNO <owa@bg.wakwak.com> 2.4-1vl5
- updated to 2.4

* Thu Sep 18 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-1vl5
- initial build for VineSeed
    - updated mono-tools to 2.0
    - applied vine versioning policy
    - added japanese summary
    - spec in utf-8

* Thu Apr 10 2008 wberrier@novell.com
- Update BuildRequires on suse 10.3/11 and fedora8 to use
  the new gtkhtml314-sharp
* Wed Mar 26 2008 wberrier@novell.com
- Update to 1.9:
  - Includes new tools: gui-compare and Gendarme
  - Fix to check for new version of gtkhtml# (3.14)
  - Fixed docbrowser to work with gecko# again
  [Regression] Monodoc crashes in gtk_moz_embed_append_data
  (bnc#341815)
* Tue Feb 26 2008 wberrier@novell.com
- Add patch: mono-tools-fix_build_gnome_sharp.patch
  to fix build with new gtk#/gnome#
* Mon Jan 14 2008 wberrier@novell.com
- Update to 1.2.6
  - Always uses gtkhtml instead of xulrunner, which crashes
  - Various bug fixes
- Patch desktop files: mono-tools-desktop_standards.patch
- use find_lang for translation files
* Wed Jun  6 2007 wberrier@novell.com
- add post script to index documentation
- Update to 1.2.4
  - ilcontast: new util
  - create-native-map updates
  - docbrowser updates
* Wed Apr 11 2007 wberrier@novell.com
- Add mono dep/req for older distros
* Thu Apr  5 2007 wberrier@suse.de
- Adapt for buildservice
- Clean up BuildRequires
* Thu Mar  1 2007 wberrier@suse.de
- Update to 1.2.3
  - Adds --remote-mode used in conjuction with MonoDevelop
  - More lenient create-native-map
* Sat Dec  2 2006 wberrier@suse.de
- Update to 1.2.1 (Fate #301111)
  - New create-native-map tools
  - fix for monodoc to work with xulrunner in some cases
* Thu Oct 19 2006 ro@suse.de
- added mono-devel to buildrequires
* Wed Oct  4 2006 wberrier@suse.de
- Update to 1.1.17
  - Uses gtk-sharp2 instead of gtk-sharp.  Update BuildRequires
    accordingly
* Fri Feb 17 2006 gekker@suse.de
- Update .desktop file for UI team
* Wed Feb  1 2006 aj@suse.de
- Fix BuildRequires to build on x86-64 again.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 gekker@suse.de
- fixup nfb for changes in gtk-sharp packaging
* Thu Dec 15 2005 wberrier@suse.de
- Update to 1.1.11
* Thu Nov 10 2005 wberrier@suse.de
- Update to 1.1.10, add gecko-sharp dep
* Sun Oct 23 2005 ro@suse.de
- do not obsolete monodoc (already provided and obsoleted
  by monodoc-core)
* Tue Oct 11 2005 wberrier@suse.de
- Update to 1.1.9 and enable 2.0
* Fri Aug 26 2005 aj@suse.de
- Fix filelist.
* Fri Aug 26 2005 ro@suse.de
- nfb: monodoc -> monodoc-core
* Tue Aug 23 2005 wberrier@suse.de
- Initial package (Needed for monodoc gtk browser)
