Summary:	The Mozilla library for JavaScript
Name:		mozjs17
Version:	17.0.0
Release:	2%{?_dist_release}
# The sources are triple licensed, but when we link against readline which is
# GPL, the result can only be GPL.
%if 0%{?_without_readline:1}
License:	GPLv2+ or LGPLv2+ or MPLv1.1
%else
License:	GPLv2+
%endif
Group:		Development/Languages
URL:		http://www.mozilla.org/js/
Source0:	http://ftp.mozilla.org/pub/mozilla.org/js/mozjs17.0.0.tar.gz	

Patch0:		mozjs17-17.0.0-Makefile.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Buildrequires:	nspr-devel >= 4.7
Buildrequires:	readline-devel
BuildRequires:	autoconf213
BuildRequires:	python
BuildRequires:	zip

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
JavaScript is the Netscape-developed object scripting language used in millions
of web pages and server applications worldwide. Netscape's JavaScript is a
superset of the ECMA-262 Edition 3 (ECMAScript) standard scripting language,
with only mild differences from the published standard.


%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: ncurses-devel readline-devel
Provides: libjs-devel = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q -n mozjs%{version}
%patch0 -p1 
cd js

# Rm parts with spurios licenses, binaries
rm -rf src/ctypes/libffi src/editline

pushd src
autoconf-2.13
%configure \
    --with-system-nspr \
    --enable-threadsafe \
%if 0%{!?_without_readline:1}
	--enable-readline \
%endif

popd


%build
cd js
%{__make} %{?_smp_mflags} -C src

%install
cd js
%{__make} -C src install DESTDIR=%{buildroot}

%{__rm} -rf %{buildroot}%{_libdir}/*.a
%{__rm} -rf %{buildroot}%{_libdir}/*.la


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc js/src/README.html
%{_bindir}/js17
%{_libdir}/libmozjs-17.0.so

%files devel
%defattr(-,root,root,-)
%{_bindir}/js17-config
%{_includedir}/js-17.0
%{_libdir}/pkgconfig/mozjs-17.0.pc

%changelog
* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0.0-1
- initial build

