Summary: An improved FTP client.
Name: ncftp
Version: 3.2.5
Epoch: 2
Release: 2%{?_dist_release}
License: Distributable
Group: Applications/Internet
Source0: ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.bz2

Patch4: ncftp-3.0.3-resume.patch
Patch5: ncftp-3.1.1-EPLF.diff.bz2

BuildRequires: ncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

Install ncftp if you use FTP to transfer files and you'd like to try
some of ncftp's additional features.

%prep
%setup -q
%patch4 -p1 -b .res
%patch5 -p1 -b .eplf

%build
aclocal -I autoconf_local
cp -f autoconf_local/aclocal.m4 .
%configure --enable-signals --enable-ipv6
make STRIPFLAG=""

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Internet/ncftp.desktop << EOF
[Desktop Entry]
Name=NcFTP
Name[sv]=NcFTP
Name[de]=NcFTP
Comment=NcFTP - a text mode FTP client
Comment[sv]=NcFTP - en textbaserad FTP-klient
Comment[de]=NcFTP - ein Textmodus FTP-Client
Comment[ja]=NcFTP - コンソールベースの FTP クライアント
Icon=ftp.xpm
Exec=ncftp
Type=Application
Terminal=1
EOF

# yves - 3.1.1-1mdk - fix doc perm
find doc -type f -exec chmod 0644 {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt doc/{LICENSE,READLINE,what_changed_between_v2_v3}.txt doc/html
%config(missingok) /etc/X11/applnk/Internet/ncftp.desktop
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.5-2
- rebuild with VineSeed environment

* Wed Jan 26 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.5-1
- new upstream release
- drop Patch1

* Tue May 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.4-1
- new upstream release
- drop Patch6, Patch8
- fix directory name specified for aclocal (from autoconf to autoconf_local)

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.2.2-1
- new upstream release
- applied new versioning
- spec in UTF-8

* Mon Nov 21 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.1.9-0vl1
- new upstream release

* Sat Mar 27 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.7-2vl1
- merged with rawhide

* Sun Nov 30 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.6-2vl1
- merged with rawhide

* Mon Mar 17 2003 IWAI Masaharu <iwai@alib.jp> 3.1.5-0vl2
- rebuild with new toolchain

* Fri Oct 25 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.5-0vl1
- source update

* Tue Aug 06 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.4-0vl1
- source update

* Tue Apr 23 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.3-3vl1
- synced with Rawhide 3.1.3-3
   * Wed Apr 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
   - add new patch from Jakub as given in #61961
     select his second patch, that seems a very clean solution

   * Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.1.3-2
   - Add workaround for glibc bug #61961 (should-fix)

   * Sat Feb  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.1.3-1
   - 3.1.3

* Wed Jan 30 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.2-0vl1
- update to 3.1.2

* Sat Jan 26 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1.1-1vl2
- merged with Rawhide 3.1.1-1

* Wed Dec 26 2001 Toru Sagami <sagami@vinelinux.org>
- 3.1.1

* Sun Dec 23 2001 Toru Sagami <sagami@vinelinux.org>
- 3.1.0
- Default to auto-resume=yes

* Fri Oct 26 2001 Toru Sagami <sagami@vinelinux.org>
- 3.0.4
- ncftpspooler is newly added

* Fri Oct 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.2

* Thu Aug 24 2000 Philipp Knirsch <pknirsch@redhat.com>
- Fixed bug in ncftp/cmds.c in LocalListCmd where the use of the popen/pclose
  was simply wrong and ocasionally resulted in a SIGSEGV (#16315)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Swedish and German translations to .desktop file, Bug #15325

* Sun Jul 30 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- small changes to spec file and redo prev patch

* Sun Jul 30 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- set "confirm-close no" per default

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify

* Sun Apr 02 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.1

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.0 final

* Mon Mar  6 2000 Jeff Johnson <jbj@redhat.com>
- permit 8-bit input chars to be returned without exiting (#9981),

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Deal with rpm compressing man pages
- remove wmconfig stuff

* Thu Jan  6 2000 Jeff Johnson <jbj@redhat.com>
- add missing docs.
- y2k wartlet (#8225)

* Tue Nov  9 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0b21
- enable signal usage

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- 3.0b19

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- 3.0b18

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- 3.0b17

* Wed Dec  2 1998 Bill Nottingham <notting@redhat.com>
- 3.0b16

* Wed Nov 18 1998 Bill Nottingham <notting@redhat.com>
- add docs

* Thu Nov  5 1998 Bill Nottingham <notting@redhat.com>
- update to 3.0beta15

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- compiled for Manhattan

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.4.3 for security reasons

* Wed Nov 05 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- updated to ncftp 2.4.2

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Donnie Barnes <djb@redhat.com>
- Rebuild as Sun version didn't work.
