%define pkgname gstreamer-plugins-bad
%define majorminor   0.10
%define gstreamer    gstreamer
%define gst_minver   0.10.33
%define gstpb_minver 0.10.33
%define _gst_ver     0.10.23
%define release	1%{?_dist_release}

%define sourceurl	http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{_gst_ver}.tar.xz

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		self-build-%{pkgname}
Version:	%{_gst_ver}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
License:	LGPLv2+ and LGPLv2
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires: %{gstreamer} >= %{gst_minver}
Requires(post): %{gstreamer}-devel >= %{gst_minver}
Requires(post): %{gstreamer}-plugins-base-devel >= %{gstpb_minver}

Requires(post): check
Requires(post): gettext
Requires(post): PyXML
Requires(post): libXt-devel

Requires(post): liboil-devel
Requires(post): libdirectfb-devel
Requires(post): self-build-libdca
Requires(post): self-build-faac
Requires(post): self-build-faad2
Requires(post): gsm-devel
Requires(post): libmpcdec-devel
Requires(post): SDL-devel
#Requires(post): soundtouch-devel
#Requires(post): swfdec-devel
#Buildrequires: wavpack-devel
Requires(post): self-build-xvidcore
Requires(post): bzip2-devel
Requires(post): mesa-libGLU-devel
Requires(post): neon-devel
Requires(post): libmms-devel
Requires(post): libmusicbrainz-devel
#Requires(post): libcdaudio-devel
Requires(post): jack-audio-connection-kit-devel
#Requires(post): mjpegtools-devel
#Requires(post): nas-devel
Requires(post): self-build-x264
#Requires(post): wildmidi-devel
Requires(post): libsndfile-devel
#Requires(post): libmodplug-devel
#Requires(post): libtimidity-devel
#Requires(post): gmyth-devel >= 0.4
Requires(post): libdc1394-devel
Requires(post): libexif-devel
#Requires(post): libiptcdata-devel
#Requires(post): exempi-devel
#Requires(post): dirac-devel 
#Requires(post): libofa-devel
Requires(post): libdvdnav-devel
Requires(post): jasper-devel
Requires(post): openssl-devel
Requires(post): twolame-devel
Requires(post): libvdpau-devel
Requires(post): librtmp-devel
Requires(post): libvpx-devel


BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that have licensing issues, aren't tested
well enough, or the code is not of good enough quality.

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of 
%{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

# '

%description -l ja
gstreamer-plugins-bad は GStreamer ストリーミングメディア
フレームワーク用 bad プラグイン集です。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。


[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl} 333000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}


%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Wed Mar 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.23-1
- update to 0.10.23

* Sun Dec 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.22-1
- new upstream release
- added Requires(post): libvpx-devel

* Wed Nov  2 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.21-2
- s/self-build-libdvdnav/libdvdnav/

* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.21-1
- new upstream release
- added Requires(post):
  - libmms-devel
  - librtmp-devel

* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.20-1
- new upstream release

* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.19-1
- new upstream release

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.18-1
- new upstream release
- renamed %%{Source0} to gstreamer-plugins-bad-vl.spec
- added Requires(post): libvdpau-devel
- check version between original spec and self-build spec in %%prep

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.17-1
- new upstream release

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.12-1
- initial build for Vine Linux.
