%define pkgname vlc
%define name    self-build-%{pkgname}
%define version 2.1.2
%define release 1%{?_dist_release}

%define with_mozilla	 		0

#% define with_dc1394			1

%define with_ncurses	 		0

%define sourceurl0	http://download.videolan.org/pub/videolan/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.xz
%define sourceurl10	http://2sen.dip.jp/cgi-bin/dtvup/source/up0617.zip


Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}

Obsoletes:	vlc < %{version}-%{release}, vlc-devel < %{version}-%{release}
Obsoletes:	self-build-vlc < %{version}-%{release}

#Source0:	%{pkgname}-vl.spec
Source0:	%{pkgname}-vl.spec.in

Source100:      vlc-2.0.1-fftype.patch
#Source105:         vlc-1.1.8-bugfix.opencv22.patch

License:	GPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

Requires(post):	unzip
Requires(post):	desktop-file-utils
Requires(post):	gettext
Requires(post):	gettext-devel
Requires(post):	libtool
Requires(post):	aalib-devel
Requires(post):	alsa-lib-devel
Requires(post):	avahi-devel
Requires(post):  cdparanoia-devel
Requires(post):  dbus-devel
%{?_with_dirac: Requires(post): dirac-devel >= 1.0.0}
#Requires(post):  directfb-devel
Requires(post):  libdirectfb-devel
Requires(post):	flac-devel
##!! Requires(post):  fluidsynth-devel
Requires(post):	fribidi-devel
Requires(post):  gnome-vfs2-devel
Requires(post):	gnutls-devel >= 1.0.17
Requires(post):	gsm-devel
%if %{?_dist_release} >= "vl7"
Requires(post):	jack-audio-connection-kit-devel
%endif
%{?with_dc1394:Requires(post):  libavc1394-devel}
Requires(post):	libass-devel >= 0.9.7
##!! Requires(post):	libcaca-devel
Requires(post):	libcddb-devel
Requires(post):	libcdio-devel >= 0.77-3
%{?with_dc1394:Requires(post):	libavc1394-devel >= 0.5.3}
%{?with_dc1394:Requires(post):	libdc1394-devel >= 2.1.0}
%{?with_dc1394:Requires(post):	libdv-devel}
Requires(post):	libdvdnav-devel
Requires(post):	libdvdread-devel
Requires(post):  libebml-devel
Requires(post):	libid3tag-devel
%{?_with_kate:  Requires(post): libkate-devel}
Requires(post):	libmatroska-devel >= 0.7.6
Requires(post):	libmodplug-devel
Requires(post):	libmp4v2-devel
Requires(post):	libmpcdec-devel
Requires(post):	libmtp-devel
Requires(post):  libnotify-devel
##!! Requires(post):	libprojectM-qt-devel
Requires(post):  libproxy-devel
Requires(post):	librsvg2-devel >= 2.9.0
Requires(post):  librtmp-devel
Requires(post):	libssh2-devel
##!! Requires(post):	libsysfs-devel
Requires(post):  libshout-devel
Requires(post):  libsmbclient-devel
##!! Requires(post):	libtar-devel
Requires(post):	libtheora-devel
##!! Requires(post):	libtiger-devel
Requires(post):  libtiff-devel
Requires(post):	libudev-devel >= 142
Requires(post):  libupnp-devel
Requires(post):	libv4l-devel
Requires(post):	libva-devel
Requires(post):	libvorbis-devel
Requires(post):  libxml2-devel
#Requires(post):	lirc-devel
%{?_with_lirc:Requires(post):	lirc}
#Requires(post):	live555-devel >= 0-0.19.2008.04.03
Requires(post):  kernel-headers >= 2.6.20
# Requires(post):	libGL-devel
# Requires(post):	libGLU-devel
Requires(post):  libmusicbrainz-devel
Requires(post):  lua-devel
##!! Requires(post):  minizip-devel
##!! Requires(post):	mpeg2dec-devel >= 0.3.2
%if %with_ncurses
Requires(post):	ncurses-devel
%endif
##!! Requires(post):  opencv-devel
Requires(post):	openslp-devel
Requires(post):  pcre-devel
Requires(post):  pulseaudio-libs-devel >= 0.9.8
##!! Requires(post):  portaudio-devel
Requires(post):  qt4-devel >= 4.5.2
##!! Requires(post):  schroedinger-devel
Requires(post):	SDL_image-devel
Requires(post):	speex-devel >= 1.1.5
Requires(post):  taglib-devel
Requires(post):	twolame-devel
Requires(post):	vcdimager-devel >= 0.7.21
Requires(post):	xosd-devel
Requires(post):	zlib-devel
##!! Requires(post):  zvbi-devel

# X-libs
Requires(post):	libXt-devel
Requires(post):	libXv-devel
Requires(post):  libXxf86vm-devel
Requires(post):  libX11-devel
Requires(post):  libXext-devel
Requires(post):  libXpm-devel
Requires(post):  libXvMC-devel
Requires(post):  xcb-util-devel
Requires(post):  xorg-x11-proto-devel

Requires(post):  pulseaudio-libs-devel >= 0.9.8

%if %with_mozilla
Requires(post):  gecko-devel
Requires(post):  nspr-devel
%endif

Requires: TrueType-dejavu

## vine
Requires(post):	libgcrypt-devel
Requires(post):	wxGTK-devel
Requires(post):	mesa-libGL
Requires(post):	xorg-x11-devel 
Requires(post):	mesa-libGL-devel
Requires(post):	self-build-libmpeg2
Requires(post):	self-build-a52dec
Requires(post):	self-build-faac
Requires(post):	self-build-faad2
Requires(post):	self-build-ffmpeg >= 1.1.0
Requires(post):	self-build-libdca
Requires(post):	self-build-libdvbpsi
Requires(post):	self-build-libmad
Requires(post):	self-build-x264 >= 0.129
Requires(post):	self-build-xvidcore

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
VLC (initially VideoLAN Client) is a highly portable multimedia player
for various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX,
mp3, ogg, ...) as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast in
IPv4 or IPv6 on a high-bandwidth network.


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
VLC（初期は VideoLAN Client）は高い可搬性のあるマルチメディアプレーヤーで，
様々なオーディオおよびビデオフォーマット（MPEG-1, MPEG-2, MPEG-4, DivX,
mp3, ogg など）だけでなく，DVD や VCD，様々なストリーミングプロトコルにも
対応しています．
また，高帯域幅上の IPv4 や IPv6 で，
ユニキャストやマルチキャストのストリームに，
サーバーとして使用することもできます．


このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE100} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%postun
%__rm -f %{_datadir}/%{name}/%{pkgname}-vl.spec

%posttrans
#set -x
QUEDIR=/var/cache/self-build
[ ! -d ${QUEDIR} ] && %__mkdir_p ${QUEDIR}

# copy up0617.zip if you have
[ ! -f %{_datadir}/%{name}/$(basename %{sourceurl10}) -a \
  -f ${QUEDIR}/$(basename %{sourceurl10}) ] && \
  %__cp -fav ${QUEDIR}/$(basename %{sourceurl10}) %{_datadir}/%{name}/

USE_UP0617_ZIP=
[ -f %{_datadir}/%{name}/$(basename %{sourceurl10}) ] && \
  USE_UP0617_ZIP=1 || USE_UP0617_ZIP=0
%__sed -e "s,@@USE_UP0617_ZIP@@,${USE_UP0617_ZIP}," %{_datadir}/%{name}/%{pkgname}-vl.spec.in > %{_datadir}/%{name}/%{pkgname}-vl.spec

## NOTE: stopped 2sen.dip.jp/cgi-bin/dtvup
# /usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec \
#     %{sourceurl0} %{sourceurl10} 1556000
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl0} 794000

/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}


%changelog
* Sat Dec 14 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2.1.2-1
- new upstream release

* Wed Oct  2 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2.1.0-2
- added Obsoletes: vlc < %{version}-%{release}, vlc-devel < %{version}-%{release}

* Sun Sep 29 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2.1.0-1
- new upstream release
- built with new x264 (ABI 0.136) and ffmpeg (1.2.x)

* Wed Jul  3 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2.0.7-1
- new upstream release

* Tue Apr 30 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2.0.6-1
- new upstream release

* Sun Jan 20 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2.0.5-2
- rebuilt with new x264 (ABI 0.129) and ffmpeg (1.1.x)

* Mon Jan 14 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2.0.5-1
- new upstream release

* Wed Nov  7 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.0.4-1
- new upstream release

* Fri Aug 10 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.0.3-1
- new upstream release
- s/wx-gtk2/wxGTK/g

* Sat Jun 30 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.0.2-1
- new upstream release

* Sat May 26 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.0.1-1
- new upstream release
- dropped DC1394 and DV

* Tue Jan  3 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.13-1
- new upstream release

* Sun Dec 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.12-3
- rebuilt with new x264 and ffmpeg

* Wed Nov  2 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.12-2
- s/self-build-libmp4v2/libmp4v2/
- s/self-build-libdvdnav/libdvdnav/

* Sat Oct 15 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.12-1
- new upstream release

* Mon Sep 12 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.11-2
- dropped Requires(post): svga-devel
- added BuildArch: noarch

* Thu Jul 21 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.11-1
- new upstream release

* Fri Jun 17 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.10-1
- new upstream release
- backport from 1.1-bugfix from RPM Fusion development

* Mon Apr 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.9-2
- added Requires(post): unzip

* Sun Apr 17 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.9-1
- new upstream release
- applied vlc_patch_0.02/vlc118.diff in up0617.zip on 2sen.dip.jp/dtv

* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.8-1
- new upstream release
- added Requires(post):
  - libcddb-devel
  - libdc1394-devel >= 2.1.0
  - libmodplug-devel
  - libproxy-devel
  - librtmp-devel
  - libssh2-devel
  - libudev-devel >= 142
  - pcre-devel
  - vcdimager-devel >= 0.7.21
  - xcb-util-devel

* Sat Feb 05 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.7-1
- new upstream release
- dropped upstreamed patches
- applied a reverted patch to pulse.c for vl5

* Fri Feb 05 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.6-2
- backport lirc and signal fixes

* Tue Feb 01 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.6-1
- new upstream release
- dropped temporarily BuildRequires: lirc
- added BuildRequires: libass-devel as the tag Requires(post)

* Sun Nov 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.5-1
- new upstream release

* Mon Aug 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.4-1
- new upstream release

* Sat Aug 14 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.2-1
- new upstream release

* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.0-2
- for only vl6, supported libva
- set Obsoletes: vlc < 1.1.0 vlc-devel < 1.1.0

* Sat Jun 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.0-1
- new upstream release
- added Requires(post): libva-devel

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-3
- renamed %%{Source0} to vlc-vl.spec

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-2
- added Requires(post): libsmbclient-devel

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-1
- new upstream release

* Sat Jan 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.4-2
- built with libdvbpsi-devel
- dropped 0002-Default-aout-for-pulse.patch

* Tue Jan 05 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.4-1
- new upstream release
- updated 0002-Default-aout-for-pulse.patch

* Tue Nov 10 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.3-2
- added Requires(post): libmtp-devel

* Sun Nov 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.3-1
- new upstream release

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.2-2
- rebuilt to add signature

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.2-1
- new upstream release
  - applied vlc-1.0.2-compiler.patch from RPM Fusion
- added Requires(post): lua-devel

* Sat Aug 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.1-1
- new upstream release

* Sat Jul 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-2
- added Obsoletes: vlc < 1.0.0, vlc-devel < 1.0.0

* Wed Jul 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1
- new upstream release
- clean-up some old patches and merged some patches from RPM Fusion package
- added vlc-trunk-default_font-vine.patch
- added vlc-handlers.schemas
  - Gonf2 url-handler support
- added shine.c, enc_base.h
  - missing sources
- check version between original spec and self-build spec in %%prep

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.9a-3
- dropped BuildArch: noarch (with svglib-devel for %%{ix86} x86_64)

* Sat May 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.9a-2
- rebuild with x264 >= 0.0.0-9.20090522
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Sat May 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.9a-1
- new upstream release
- added BuildArch: noarch
- s/TrueType-DejaVu/TrueType-dejavu/

* Sat Feb 14 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.8a-7
- corrected release number in vlc.spec
- dropped ExclusiveArch

* Fri Feb 13 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9.8a-6
- add ppc to ExclusiveArch

* Sun Feb 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-5
- changed to PreReq:  self-build-faad2 from faad2-devel
- changed to PreReq:  self-build-libmad from libmad-devel

* Sun Feb 01 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-4
- initial build

### end of file
