%global snapshot_date	20130927
%global snapshot_time	2245
%global branch		stable

%global pkgname 	x264
%global name		self-build-%{pkgname}
%global version		0.136
%global release		1.%{snapshot_date}%{?_dist_release}

#define sourceurl0	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/%{pkgname}-snapshot-%{date}-%{time}.tar.bz2
%define sourceurl0	http://www.videolan.org/pub/videolan/x264/snapshots/%{pkgname}-snapshot-%{snapshot_date}-%{snapshot_time}%{?branch:-%{branch}}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec

License:	GPLv2+
Group:		Restricted Software

Obsoletes:      x264 < %{version}, x264-devel < %{version}
Obsoletes:      self-build-x264 < %{version}-%{release}

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires(post):	yasm
Requires(post): self-build-gpac >= 0.5.0

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
x264 is a free library for encoding H264/AVC video streams, written from
scratch.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
x264 はスクラッチから書かれた H264/AVC ビデオストリームをエン
コードするためのフリーなライブラリです．

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 27000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release} \
                                 %{pkgname}-devel-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sun Sep 29 2013 Munehiro Yamamoto <munepi@vinelinux.org> 0.136-1.20130927
- updated source snapshot 20130927 stable branch (ABI 0.136)

* Sat Jan 19 2013 Munehiro Yamamoto <munepi@vinelinux.org> 0.129-1.20130118
- updated source snapshot 20130118 stable branch (ABI 0.129)

* Sat May 26 2012 Munehiro Yamamoto <munepi@vinelinux.org> 0.124-1.20120525
- updated source snapshot 20120525 stable branch (ABI 0.124)
- changed release number; upstream have release numbers at least on stable branch

* Sat Dec 17 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.0-18.20111216
- updated source snapshot 20111216 stable branch (ABI 0.119)

* Sun Oct 16 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.0-17.20111013
- updated source snapshot 20111013 stable branch (ABI 0.116)

* Thu Sep 01 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.0-16.20110322
- changed to depend on %%{version} for Obsoletes: x264
- added BuildArch: noarch

* Wed Mar 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.0-15.20110322
- updated source snapshot 20110322

* Sat Jun 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.0-14.20100625
- updated source snapshot 20100625

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.0-13.20100216
- renamed %%{Source0} to x264-vl.spec

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.0-12.20100216
- updated source snapshot 20100216
- applied to link x264 binary to the shared library from RPM Fusion development

* Mon Sep 07 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.0-11.20090522
- changed to download from http://www.videolan.org/pub/videolan/x264/snapshots in %%sourceurl0
- check version between original spec and self-build spec in %%prep

* Sat Jun 06 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-10.20090522
- dropped BuildArch: noarch

* Sat May 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-9.20090522
- 20090522 snapshot
  - updated x264-vine.patch
- added BuildArch: noarch
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Fri Mar 20 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-8.20090110
- corrected release number in x264.spec

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.0-7.20090110
- enable asm on x86/x86_64 arch. (fix typo?)

* Sun Mar 01 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-6.20090110
- added PreReq: self-build-gpac

* Sun Jan 25 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-5.20090110
- dropped PreReq: nasm for x86
- added PreReq: yasm for x86

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-4.20090110
- 20090110 snapshot

* Sun Dec 14 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-3.20081001
- fixed License: GPLv2+
- added BuildRequires: gettext
- source updated
- fixed x264-rpm.patch (merged x264-rpm.patch from RPM Fusion)
  and added x264-vine.patch
#- changed version from 0.0.0-1.20080225 to 0.0.0-20081111.1

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-2.20080225vl1
- spec in utf8

* Sun May 18 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.0.0-1.20080225
- run pre-allocate-rpm.sh in %%post
- set PreReq: self-build-setup >= 0.8
- apply new versioning policy

* Wed Feb 27 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.0.0-0.20080225vl1
- initial build for Vine Linux 4.2

### end of file
