%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:		orc
Summary:	The Oil Run-time Compiler
Version:	0.4.19
Release:	1%{?_dist_release}

Group:		System Environment/Libraries
License:	BSD
URL:		http://code.entropywave.com/projects/orc/
Source0:	http://code.entropywave.com/download/orc/orc-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk-doc, libtool

Vendor: Project Vine
Distribution: Vine Linux


%description
Orc is a library and set of tools for compiling and executing
very simple programs that operate on arrays of data.  The "language"
is a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%package doc
Summary:	Documentation for Orc
Group:		Development/Documentation
Requires:	%{name} = %{version}-%{release}
#BuildArch:	noarch

%description doc
Documentation for Orc.

%package devel
Summary:	Development files and static libraries for Orc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-compiler
Requires:	pkgconfig

%description devel
This package contains the files needed to build packages that depend
on orc.

%package compiler
Summary:	Orc compiler
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description compiler
The Orc compiler, to produce optimized code.

%package -n compat32-%{name}
Summary:	The Oil Run-time Compiler
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
Orc is a library and set of tools for compiling and executing
very simple programs that operate on arrays of data.  The "language"
is a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%package -n compat32-%{name}-devel
Summary:	Development files and static libraries for Orc
Group:		Development/Libraries
Requires:	compat32-%{name} = %{version}-%{release}
Requires:	pkgconfig

%description -n compat32-%{name}-devel
This package contains the files needed to build packages that depend
on orc.


%prep
%setup -q 
autoreconf -vif


%build
export CFLAGS=`echo $RPM_OPT_FLAGS | sed 's/-O2/-O1/g'`
export CXXFLAGS=`echo $RPM_OPT_FLAGS | sed 's/-O2/-O1/g'`
%configure --disable-static --enable-gtk-doc

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

# Remove unneeded files.
find %{buildroot}/%{_libdir} -name \*.a -or -name \*.la -delete
rm -rf %{buildroot}/%{_libdir}/orc

touch -r stamp-h1 %{buildroot}%{_includedir}/%{name}-0.4/orc/orc-stdint.h   

%clean
rm -rf %{buildroot}

%check
make check || true

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/orc-bugreport
%{_libdir}/liborc-*.so.*

%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/orc/

%files devel
%defattr(-,root,root,-)
%doc examples/*.c
%{_includedir}/%{name}-0.4/
%{_libdir}/liborc-*.so
%{_libdir}/pkgconfig/orc-0.4.pc
%{_datadir}/aclocal/orc.m4

%files compiler
%defattr(-,root,root,-)
%{_bindir}/orcc

%if %{build_compat32}
%defattr(-,root,root,-)
%files -n compat32-%{name}
%{_libdir}/liborc-*.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/liborc-*.so
%endif

%changelog
* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.19-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.18-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.18-1
- new upstream release

* Sat Oct 08 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.16-1
- new upstream release
- create compat32 sub packages

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.14-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.11-1
- new upstream release

* Tue Sep 28 2010 Shu KONNO <owa@bg.wakwak.com> 0.4.5-5
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Jul 30 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.4.5-4
- build with -O1 (not -O2) to fix build failure on ppc
  (like as the Debian package does)

* Sun Jul 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.4.5-3
- Initial build for Vine Linux

* Sun Jun 13 2010 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.5-2
- Added removed testing libraries to package.

* Sun Jun 13 2010 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.5-1
- Updated to 0.4.5.
- Removed testing libraries from package.

* Mon Apr 05 2010 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.4-2
- Docs as noarch.
- Sanitize timestamps of header files.
- orcc in -compiler subpackage.

* Tue Mar 30 2010 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.4-1
- Updated to 0.4.4: Includes bugfixes for x86_64.

* Wed Mar 17 2010 Fabian Deutsch <fabian.deutsch@gmx.de> - 0.4.3-2
- Running autoreconf to prevent building problems.
- Added missing files to docs.
- Added examples to devel docs.

* Thu Mar 04 2010 Fabian Deutsch <fabian.deutsch@gmx.de> - 0.4.3-1
- Updated to 0.4.3

* Sun Oct 18 2009 Fabian Deutsch <fabian.deutsch@gmx.de> - 0.4.2-4
- Removed unused libdir

* Sun Oct 18 2009 Fabian Deutsch <fabian.deutsch@gmx.de> - 0.4.2-3
- Specfile cleanup
- Removed tools subpackage
- Added docs subpackage

* Sat Oct 03 2009 Fabian Deutsch <fabian.deutsch@gmx.de> - 0.4.2-2
- Use orc as pakage name
- spec-file cleanup
- Added devel requirements
- Removed an rpath issue

* Fri Oct 02 2009 Fabian Deutsch <fabian.deutsch@gmx.de> - 0.4.2-1
- Initial release

