Summary: Utility for modifying/upgrading files
Summary(ja): ファイルを修正/更新するためのユーティリティ
Name: patch
Version: 2.6.1
Release: 4%{?_dist_release}
License: GPLv2+
URL: http://www.gnu.org/software/patch/patch.html
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/patch/patch-%{version}.tar.bz2
Patch1: patch-2.5.4-sigsegv.patch
Patch2: patch-CVE-2010-4651.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ed

Vendor: Project Vine
Distribution: Vine Linux

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.

%description -l ja
patch プログラムは，diff ファイルをオリジナルファイルに適用します．
diff コマンドはオリジナルファイルと変更されたファイルとを比較する
のに使われます．diff はファイルになされた変更を出力します．
オリジナルファイルを持っていれば，この patch コマンドを使って，
diff が出力したファイルを適用することによりオリジナルファイルを
更新することが出来ます (ファイルに patch を適用する，と言います)．

patch は，アプリケーションをアップグレードする際に良く使われますので
是非インストールしておきましょう．


%prep
%setup -q
%patch1 -p1 -b .sigsegv
%patch2 -p1 -b .CVE-2010-4651

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure

# XXX unset CPPFLAGS on (ultra?)sparc to avoid large file system support
%ifarch sparc sparc64
make CPPFLAGS=""
%else
make %{?_smp_mflags}
%endif

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS README
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Sun Feb 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.1-4
- rebuild with VineSeed environment

* Mon May  7 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.1-3
- add patch2 for fix CVE-2010-4651 (dir traversal) from fc13
- fix using %%{?_smp_mflags} in make section

* Thu Apr 14 2011 IWAI, Masaharu <iwai@alib.jp> 2.6.1-2
- build on current VineSeed
- add Vendor adn Distribution tags

* Sat Jan 16 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.1-1
- new upstream release
- added %%check section

* Sun Jun 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.4-30
- added Patch8 from Fedora development
  * Fri Feb  8 2008 Tim Waugh <twaugh@redhat.com> 2.5.4-32
  - Applied patch from 2.5.9 to allow spaces in filenames (bug #431887).
- applied new versioning policy
- spec in UTF-8

* Thu Jun  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.4-29vl1
- added Patch6, 8 from Fedora development
  * Wed Sep  7 2005 Tim Waugh <twaugh@redhat.com> 2.5.4-27
  - Applied patch from Ulrich Drepper to fix string overread (bug #167675).
  * Thu Aug 11 2005 Tim Waugh <twaugh@redhat.com> 2.5.4-25
  - Fixed CRLF detection (bug #154283).
  * Wed May  4 2005 Tim Waugh <twaugh@redhat.com> 2.5.4-24
  - Reverted last change (bug #154283, bug #156762).
  * Fri Apr 29 2005 Tim Waugh <twaugh@redhat.com> 2.5.4-23
  - Applied patch from Toshio Kuratomi to avoid problems with DOS-format
    newlines (bug #154283).

* Sat Apr 10 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.5.4-19vl1
- rebuild

* Tue Apr  8 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 2.5.4-15vl2
- rebuild

* Fri Dec 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.5.4-15vl1
- based on 2.5.4-15 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuilt in current collinst

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr  9 2002 Tim Waugh <twaugh@redhat.com> 2.5.4-12
- Fix error reporting when given bad options (bug #62981).

* Tue Mar  5 2002 Tim Waugh <twaugh@redhat.com> 2.5.4-11
- s/Copyright:/License:/.
- Fix -D behaviour (bug #60688).

* Tue May 29 2001 Tim Waugh <twaugh@redhat.com> 2.5.4-10
- Merge Mandrake patch:
  - fix possible segfault

* Fri Dec  1 2000 Tim Waugh <twaugh@redhat.com>
- Rebuild because of fileutils bug.

* Thu Nov  2 2000 Tim Waugh <twaugh@redhat.com>
- use .orig as default suffix, as per man page and previous behaviour
  (bug #20202).
- use better patch for this, from maintainer.

* Wed Oct  4 2000 Tim Waugh <twaugh@redhat.com>
- actually use the RPM_OPT_FLAGS

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Trond Eivind Glomsr <teg@redhat.com>
- Use %%makeinstall, %%{_tmppath} and %%{_mandir}

* Fri May 12 2000 Trond Eivind Glomsr <teg@redhat.com>
- added URL

* Wed Feb 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.5.4
- Fix up LFS support on Alpha (Bug #5732)

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Sun Jun 06 1999 Alan Cox <alan@redhat.com>
- Fix the case where stderr isnt flushed for ask(). Now the 'no such file'
  appears before the skip patch question, not at the very end, Doh!

* Mon Mar 22 1999 Jeff Johnson <jbj@redhat.com>
- (ultra?) sparc was getting large file system support.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- bump release to preserve newer than back-ported 4.2.

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- Fix for problem #682 segfault.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- added buildroot

* Tue Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.5

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
