# SSL library (1: gnutls, 0: nss)
%define ssl_lib 1

# required version of libraries
%define _pango_ver		1.4.0
%define _glib_ver		2.2.2
%define _gtk_ver		2.6.0
%define _libstartupnotify_ver	0.5
%define _libsqlite_ver		3.3.0
%define _libxml_ver		2.6.0
%define _gst_ver		0.10.0
%define _dbus_ver		0.35

#%%define extraver beta7

Summary:	A GTK+ based multi-protocol instant messaging client
Summary(ja):	マルチプロトコル対応のインスタントメッセンジャー
Name:		pidgin
Version:	2.10.9
Release:	1%{?_dist_release}
License:	GPL
Group:		Applications/Internet
URL:		http://pidgin.im/
Source0:	http://jaist.dl.sourceforge.net/sourceforge/pidgin/%{name}-%{version}%{?extraver:%{extraver}}.tar.bz2
# Source1:	http://mikeforce.homelinux.org/gnome/po/pidgin-ja.po
Source1:	pidgin-2.6.2-ja.po
#Patch0:		http://www.honeyplanet.jp/%{name}-2.10.6_jp.diff.gz
# fix patch http://www.honeyplanet.jp/%{name}-2.10.6_jp.diff.gz for pidgin-2.10.9
Patch0:		%{name}-2.10.9_jp_vine.diff.gz
Patch1:		%{name}-2.0.0beta7_jp-enable-shortcut.patch
## fix %{name}-%{version}_jp.diff.gz for vine linux
Patch2:		%{name}-2.7.3_jp_fix_for_vine.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk2-devel >= %{_gtk_ver}, glib2-devel >= %{_glib_ver}
BuildRequires:	pango-devel >= %{_pango_ver}
BuildRequires:	startup-notification-devel >= %{_libstartupnotify_ver}
BuildRequires:	dbus-devel >= %{_dbus_ver}
BuildRequires:	libxml2-devel >= %{_libxml_ver}
BuildRequires:	sqlite3-devel >= %{_libsqlite_ver}
BuildRequires:	audiofile-devel
BuildRequires:	ncurses-devel
BuildRequires:	avahi-glib-devel
BuildRequires:	GConf2
BuildRequires:	pkgconfig
BuildRequires:	doxygen
BuildRequires:  intltool

# SSL library (1: gnutls, 0: nss)
%if %{ssl_lib}
BuildRequires:	gnutls-devel
%else
BuildRequires:	nss-devel
%endif

BuildRequires:  NetworkManager-devel
BuildRequires:  gstreamer-devel >= %{_gst_ver}
BuildRequires:  libXScrnSaver-devel
BuildRequires:  NetworkManager-devel
BuildRequires:	dbus-glib-devel >= %{_dbus_ver}
BuildRequires:	libSM-devel

Requires(post,pre,preun): GConf2
Requires(post,postun): gtk2 >= %{_gtk_ver}

# Pidgin (Gtk+-based client) obsoletes Gaim
Provides:	gaim
Obsoletes:	gaim

Vendor: Project Vine
Distribution: Vine Linux

%description
Pidgin is a multi-protocol instant messaging client. It is compatible
with AIM (Oscar and TOC protocols), ICQ, MSN Messenger, Yahoo, IRC,
Jabber, Gadu-Gadu, and Zephyr networks.

%description -l ja
Pidgin は複数のプロトコルに対応したインスタントメッセンジャーです。
AIM (Oscar, TOC プロトコル)、ICQ、MSN Messenger、Yahoo Messenger、
IRC、Jabber、Gadu-Gadu、Zephyr に対応しています。

%package devel
Summary:	Development headers, documentation, and libraries for Pidgin
Summary(ja):	Pidgin の開発用ヘッダーファイル、ライブラリ及びドキュメント
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpurple-devel = %{version}-%{release}
Obsoletes:	gaim-devel
Provides:	gaim-devel

%description devel
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%description -l ja devel
このパッケージには、Pidgin のスクリプトやプラグインを開発するために必要な
ヘッダーファイル、ライブラリ及びドキュメントが含まれています。

%package -n libpurple
Summary:	libpurple library for IM clients like Pidgin and Finch
Summary(ja):	Pidgin や Finch のような IM クライアントのためのライブラリ
Group:		System Environment/Libraries
Requires:	glib2 >= %{_glib_ver}
Requires:	libxml2 >= %{_libxml_ver}
Requires:	dbus-glib >= %{_dbus_ver}, dbus-glib >= %{_dbus_ver}
Requires:	avahi-glib
%if %{ssl_lib}
Requires:	gnutls
%else
Requires:	nss
%endif
Requires(post):   ldconfig
Requires(postun): ldconfig

%description -n libpurple
The libpurple package contains core library for instant messaging clients
sudh as Pidgin and Finch.

%description -l ja -n libpurple
このパッケージには、Pidgin や Finch といったインスタントメッセンジャーの
コアライブラリが含まれています。

%package -n libpurple-devel
Summary:	Development headers, documentation, and libraries for libpurple
Summary(ja):	libpurple の開発用ヘッダーファイル、ライブラリ及びドキュメント
Group:		Development/Libraries
Requires:	libpurple = %{version}-%{release}
Requires:	glib2-devel
Requires:	pkgconfig

%description -n libpurple-devel
The libpurple-devel package contains the header files, developer
documentation, and libraries required for development of libpurple based
instant messaging clients or plugins for any libpurple based clients.

%description -l ja -n libpurple-devel
このパッケージには、libpurple を使ったインスタントメッセンジャーや、
libpurple を使ったインスタントメッセンジャー用のプラグインを開発する
ために必要なヘッダーファイル、ライブラリ及びドキュメントが含まれてい
ます。

%package -n finch
Summary:	A text based multi-protocol instant messaging client
Summary(ja):	テキストベースのインスタントメッセンジャー
Group:		Applications/Internet
Requires:	libpurple = %{version}-%{release}
Requires:	ncurses
Requires(post):   ldconfig
Requires(postun): ldconfig

%description -n finch
Finch is a text based multi-protocol instant messaging client. This can
be run from a standard text console or from a terminal within X Window
System.
It is compatible with AIM (Oscar and TOC protocols), ICQ, MSN Messenger,
Yahoo, IRC, Jabber, Gadu-Gadu, and Zephyr networks.

%description -l ja -n finch
Finch は複数のプロトコルに対応したテキストベースのインスタントメッセン
ジャーです。スタンダードなテキストコンソールや、X Windows System 上の
ターミナルから起動することができます。
AIM (Oscar, TOC プロトコル)、ICQ、MSN Messenger、Yahoo Messenger、
IRC、Jabber、Gadu-Gadu、Zephyr に対応しています。

%package -n finch-devel
Summary:	Development headers, documentation, and libraries for Finch
Summary(ja):	Finch の開発用ヘッダーファイル、ライブラリ及びドキュメント
Group:		Development/Libraries
Requires:	finch = %{version}-%{release}
Requires:	libpurple-devel = %{version}-%{release}
Requires:	ncurses-devel

%description -n finch-devel
The finch-devel package contains the header files, developer
documentation, and libraries required for development of Finch scripts
and plugins.

%description -l ja -n finch-devel
このパッケージには、Finch のスクリプトやプラグインを開発するために必要な
ヘッダーファイル、ライブラリ及びドキュメントが含まれています。

%prep
%setup -q -n %{name}-%{version}%{?extraver:%{extraver}}

%patch0 -p1 -b .japanese
%patch1 -p1 -b .shortcut
%patch2 -p1 -b .vine1

# update ja.po
%__cp -f %{SOURCE1} po/ja.po

%build
autoreconf -if
%configure \
	--disable-mono --disable-perl --disable-tcl \
	--disable-gtkspell --disable-meanwhile \
%if %{ssl_lib}
	--enable-gnutls=yes --enable-nss=no \
%else
	--enable-gnutls=no --enable-nss=yes \
%endif
%if %{?_dist_release} == "vl4"
	--disable-nm \
	--disable-gstreamer \
%else
	--enable-nm \
	--enable-gstreamer \
%endif
	--enable-dbus \
	--disable-gstreamer-interfaces \
	--disable-idn \
	--disable-gevolution \
	--disable-schemas-install \
	--disable-debug \
	--disable-vv 

%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall DBUS_SERVICES_DIR=%{buildroot}%{_datadir}/dbus-1/services

%find_lang %{name}

# remove unneeded files
%{_bindir}/find %{buildroot}%{_libdir} -name "*.la" -exec %__rm -f "{}" \;
%{_bindir}/find %{buildroot}%{_libdir} -name "*.a" -exec %__rm -f "{}" \;

%post
# install gconf rule
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
for schema in purple ; do
	%{_bindir}/gconftool-2 --makefile-install-rule \
		%{_sysconfdir}/gconf/schemas/${schema}.schemas > /dev/null ||:
done

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
  for schema in purple ; do
	%{_bindir}/gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/${schema}.schemas > /dev/null ||:
  done
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
  for schema in purple ; do
	%{_bindir}/gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/${schema}.schemas > /dev/null ||:
  done
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%post -n libpurple
%{_syssbindir}/ldconfig

%postun -n libpurple
%{_syssbindir}/ldconfig

%post -n finch
%{_syssbindir}/ldconfig

%postun -n finch
%{_syssbindir}/ldconfig

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/purple.schemas
%{_bindir}/pidgin
%{_libdir}/pidgin/
%{_mandir}/man*/pidgin.*
%{_datadir}/applications/pidgin.desktop
%{_datadir}/pixmaps/pidgin/
%{_datadir}/icons/*/*/*/pidgin.*
#%{_datadir}/dbus-1/services/gaim.service

%files devel
%defattr(-,root,root)
%{_includedir}/pidgin
%{_libdir}/pkgconfig/pidgin.pc

%files -n libpurple -f %{name}.lang
%defattr(-,root,root)
%doc NEWS COPYING AUTHORS README ChangeLog doc/*.txt
%{_bindir}/purple-*
%{_libdir}/libpurple.so.*
%{_libdir}/libpurple-*.so.*
%{_libdir}/purple-*
%dir %{_datadir}/purple
%{_datadir}/purple/ca-certs/
%{_datadir}/sounds/purple

%files -n libpurple-devel
%defattr(-,root,root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/libpurple
%{_libdir}/libpurple.so
%{_libdir}/libpurple-*.so
%{_libdir}/pkgconfig/purple.pc
%{_datadir}/aclocal/purple.m4

%files -n finch
%defattr(-,root,root)
%{_bindir}/finch
%{_libdir}/finch
%{_libdir}/libgnt.so.*
%{_libdir}/gnt
%{_mandir}/man*/finch.*

%files -n finch-devel
%defattr(-,root,root)
%{_includedir}/finch
%{_includedir}/gnt
%{_libdir}/libgnt.so
%{_libdir}/pkgconfig/finch.pc
%{_libdir}/pkgconfig/gnt.pc

%changelog
* Sat Feb 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.9-1
- new upstream release
  (including security fix for CVE-2014-0020,CVE-2013-6152,6477,6478,6479,6481,6482,6483,6484,6485,6486,6487,6489,6490)
- fix Patch0 for pidgin-2.10.9

* Wed Jan 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.7-2
- rebuild with VineSeed environment

* Sun Mar 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.7-1
- new upstream release
- update Patch1

* Sun Jul 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.6-1
- new upstream release

* Fri Jul 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.4-2
- remove libao dependency (pidgin uses gst instead of libao)
- remove unneeded explicit dependency (Requires)

* Mon May 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.4-1
- new upstream release
  (including security fix for CVE-2012-2214)

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.3-1
- new upstream release

* Sun Mar 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.2-1
- new upstream release
  (including security fix for CVE-2011-4939, CVE-2012-1178)

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.1-1
- new upstream release
- update patch0

* Sun Sep 04 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.0-1
- new upstream release
- update patch0 for pidgin-2.10.0
- add BuildRequires: GConf2

* Sun Jun 26 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.9.0-1
- new upstream release
- update patch0 for pidgin-2.9.0

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.11-1
- new upstream release
- update patch0 for pidgin-2.7.11

* Sun Feb 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.10-1
- new upstream release
- update patch0 for pidgin-2.7.10

* Thu Dec 30 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.9-1
- new upstream release

* Thu Dec 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.8-1
- new upstream release
- update patch0 for pidgin-2.7.8

* Sat Dec 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.7-1
- new upstream release
- update patch0 for pidgin-2.7.7

* Sun Nov 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.5-1
- new upstream release
- update patch0 for pidgin-2.7.5

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.3-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Aug 14 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.7.3-1
- new upstream release 

* Thu Jul 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.2-1
- new upstream release
- update patch0 for pidgin-2.7.2
- add Patch2 for Vine Linux

* Sun Jul 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.1-2
- rebuild package (because i686 package is broken)

* Sat Jul 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.1-1
- new upstream release
- update patch0 for pidgin-2.7.1
- add BuildRequires: libSM-devel

* Wed Mar  3 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.6-2
- update patch0 (jp-patch is released. Thanks!!)

* Tue Feb 23 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.6-1
- update patch0

* Tue Feb 23 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.6-0
- new upstream release with security fixes
- test package (jp patch is not released yet)

* Mon Jan 18 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.5-1
- new upstream release with security fixes (CVE-2010-0013)

* Sat Oct 31 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.3-1
- new upstream release with security fixes (CVE-2009-3615)

* Wed Oct  7 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.2-4
- update ja.po (Thanks to Harada-san)

* Sat Sep 26 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.2-3
- fix dependency

* Fri Sep 25 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.2-2
- fix if branch section for vine4 build

* Fri Sep 25 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.6.2-1
- new upstream release with security fixes (CVE-2009-2703,3026,3083,3085)
- add configure option --disable-vv
- add configure option --disable-gstreamer,--disable-gstreamer-interfaces
- add BR: libidn-devel for Vine5 and later
- add %if branch for vine4 build

* Sun Aug 23 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.5.9-1
- new upstream release with security fix (CVE-2009-2694)

* Mon Jun 29 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.5.8-1
- new upstream release
- update Patch0

* Tue Jun 23 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.5.7-1
- new upstream release
- add BR: intltool
- update Patch0

* Mon May 25 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.5.6-1
- new upstream release with security fix (CVE-2009-1373,4,5,6)
- update Patch0

* Mon May 11 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 2.5.5-1
- new upstream release
- update Patch0
- add BuildRequires: NetworkManager-devel

* Sat Jan 17 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.5.1-3
- rebuild with gnutls-2.6.3

* Fri Sep 05 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.5.1-2
- add BuildRequires: libXScrnSaver-devel

* Fri Sep 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.1-1
- new upstream release
- update Patch0
- diable meawhile integration

* Sat Apr 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-2
- updated Patch0

* Sun Apr 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-1vl5
- new upstream release
- updated Patch0

* Sat Dec 22 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.3.1-0vl2
- update ja.po (source1)

* Sat Dec 22 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.3.1-0vl1
- new upstream release
- update jp.diff (patch0)
- update ja.po (source1)

* Mon Oct 08 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.2.1-0vl1
- [SECURITY] new upstream release
  - MSN Remote "Nudge" DoS (CVE-2007-4996)
- update jp.diff (patch0)
- update ja.po (source1)
- update %%files section
- add BuildRequires: avahi-glib-devel, doxygen

* Sat Aug 11 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.0.2-0vl1
- new upstream release
- update jp.diff (patch0)
- update ja.po (source1)

* Sun May 20 2007 KAZUKI SHIMURA <ksh753@gmail.com> 2.0.0-0vl3
- move pidgin.mo to libpurple package

* Sun May 20 2007 KAZUKI SHIMURA <ksh753@gmail.com> 2.0.0-0vl2
- use more macros
- separate {libpurple,finch}-{,devel} packages
- add BuildRequires: dbus-glib-devel
- s/mozilla-nss/nss/

* Sat May 19 2007 KAZUKI SHIMURA <ksh753@gmail.com> 2.0.0-0vl1
- new upstream release
- update jp.diff (patch0)
- run gtk-update-icon-cache with '--force'

* Sat May 05 2007 KAZUKI SHIMURA <ksh753@gmail.com> 2.0.0-0vl0.0beta7.1
- fix scripts
- add PreReq: gtk2 >= 2.6.0

* Sat May 05 2007 KAZUKI SHIMURA <ksh753@gmail.com> 2.0.0-0vl0.0beta7
- new upstream release (2.0.0beta7)
- update and modify jp.diff (patch0)
- update enable-shortcut.patch (patch1)
- gaim -> pidgin
  - add Obsoletes: gaim
  - update %%files

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0-0vl0.0beta6.1
- rebuild with dbus-1.0

* Mon Jan 29 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta6
- upstream release (2.0.0beta6)
- update jp.diff (patch0)
- drop jp-oscar.patch (patch2)

* Sat Dec 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta5
- upstream release (2.0.0beta5)
- update jp.diff (patch0; based on 2.0.0beta4_jp.diff)
- update enable-shortcut.patch (patch1)
- add jp-oscar.patch (patch2)
  - cf. http://garakuta.homelinux.org/~nosuke/diary/diary.html?y=2006&m=11&d=12&n=1#12-1
- add BuildRequires: {libxml2,sqlite3,gstreamer,ncurses}-devel
- add '--disable-mono --disable-schemas-install' options to %%configure
- update %%files
- run gconftool-2 at %%post,preun

* Tue Oct 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta3.5
- rebuild with gnutls-1.4.1

* Fri Sep 01 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta3.4
- add --disable-gevolution option to %%configure
  not to depend on evolution-data-server

* Thu Aug 31 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.0-0vl0.0beta3.3
- rebuilt without evolution-data-server-devel

* Sun Aug 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta3.2
- upstream release (2.0.0beta3.1)

* Sat Apr 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta3.1
- add Requires: %%{name} = %%{version} to -devel package

* Mon Apr 03 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta3
- upstream release (2.0.0beta3)
- update jp.diff
- use original ja.po
- use DBUS_SERVICES_DIR instead of DBUS_SESSION_DIR

* Sat Mar 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta2.2
- update ja.po

* Sun Mar 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0-0vl0.0beta2.1
- rebuild with dbus-0.61

* Mon Feb 06 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta2
- upstream release (2.0.0beta2)
- update jp.diff
- use original ja.po
- add %%{_datadir}/pixmaps/gaim.svg

* Wed Dec 28 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta1.1
- update ja.po

* Tue Dec 27 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0.0-0vl0.0beta1
- upstream release (2.0.0beta1)
- use gnutls instead of mozilla-nss
- update jp.diff, ja.po
- add BuildRequires: dbus-devel, Requires: dbus
- add enable-shortcut.patch to enable shortcut keys

* Sun Aug 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.5.0-0vl1
- [SECURITY FIX] upstream release
  - AIM/ICQ non-UTF-8 filename crash (CAN-2005-2102)
  - AIM/ICQ away message buffer overflow (CAN-2005-2103)
  - Gadu-Gadu memory alignment bug (CAN-2005-2370)
- update jp.patch, ja.po

* Sat Jul 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.0-0vl1
- upstream release
- update jp.patch (to 1.3.1-1), ja.po

* Fri Jun 10 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.1-0vl1
- [SECURITY FIX] upstream release
  - Remote Yahoo! crash (CAN-2005-1269)
  - MSN Remote DoS (CAN-2005-1934)
- update ja.po
- use gaim.desktop in source archive
  - drop gaim.desktop (source10)

* Thu May 12 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl1
- [SECURITY FIX] upstream release
  - Remote crash on some protocols (CAN-2005-1261)
  - MSN Remote DoS (CAN-2005-1262)
- update ja.po

* Sat Apr 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl2
- update jp.patch, ja.po

* Sat Apr 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl1
- [SECURITY FIX] upstream release
  - Remote DoS on receiving malformed HTML (CAN-2005-0965)
  - Remote DoS on receiving certain messages over IRC (CAN-2005-0966)
  - Jabber remote crash (CAN-2005-0967)
- update jp.patch, ja.po
- add Requires: glib2-devel for devel package
- remove %%{_libdir}/gaim/*.la from devel package

* Mon Mar 28 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.0-0vl2
- add ssl_lib macro to switch SSL library (gnutls/mozilla-nss)

* Fri Mar 18 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.0-0vl1
- upstream release
- update jp.patch, ja.po

* Fri Mar 18 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.4-0vl2
- rebuild with rpm-4.0.5-1vl10 to strip shared libraries

* Sat Feb 26 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.4-0vl1
- [SECURITY FIX] upstream release
- update ja.po
- change devel's group to Development/Libraries

* Sat Feb 19 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.3-0vl1
- [SECURITY FIX] upstream release
- update jp.patch, ja.po, gaim.desktop
- add PreReq: ldconfig

* Sun Jan 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl1
- upstream release
- update jp.patch, ja.po

* Wed Jan 05 2005 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- upstream release
- update jp.patch, ja.po

* Sun Dec 05 2004 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl1
- upstream release
- update jp.patch, ja.po

* Tue Nov 16 2004 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.3-0vl1
- upstream release
- update jp.patch, ja.po

* Fri Oct 22 2004 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.2-0vl1
- upstream release
- update ja.po

* Sun Oct 10 2004 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl1
- upstream release
- update jp patch, ja.po

* Tue Sep 21 2004 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.0-0vl1
- upstream release
- update jp patch, ja.po

* Sat Aug 28 2004 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.82.1-0vl1
- upstream release
- update jp patch, ja.po

* Sun Aug 08 2004 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.81-0vl1
- upstream release
- update jp patch
- modify ja.po

* Fri Jul 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.80-0vl2
- add translated desktop file (%%{SOURCE10})

* Thu Jul 22 2004 KAUZKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.80-0vl1
- upstream release
- drop ja.po
- disable tcl scripting support
- move *.la to devel package
- add pkgconfig/gaim.pc to devel package

* Sun Jun 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.79-0vl2
- add ja.po (translated by AIHANA-san)

* Sat Jun 26 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.79-0vl1
- upstream release
- update jp patch

* Wed Jun 02 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.78-0vl1
- upstream release
- update jp patch

* Tue Apr 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.77-0vl1
- upstream release
- updated jp patch
- added (Build)Requires: pango(-devel), startup-notification(-devel)

* Mon Apr 05 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.76-0vl2
- separate devel package
- modify summary and description

* Mon Apr 05 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.76-0vl1
- upstream release
- updated jp patch

* Wed Dec 03 2003 KAZUKI SHIMURA <rito@pos.to> 0.74-0vl1
- upstream release
- updated jp patch

* Tue Nov 11 2003 KAZUKI SHIMURA <rito@pos.to> 0.72-0vl2
- updated jp patch

* Tue Nov 04 2003 KAZUKI SHIMURA <rito@pos.to> 0.72-0vl1
- upstream release
- modified jp patch

* Tue Oct 14 2003 KAZUKI SHIMURA <rito@pos.to> 0.71-0vl1
- upstream release
- updated jp patch
- added (Build)Requires: mozilla-nss(-devel), mozilla-nspr(-devel)
- added (Build)Requires: audio-file(-devel), libao(-devel)

* Tue Sep 30 2003 KAZUKI SHIMURA <rito@pos.to> 0.70-0vl1
- upstream release
- updated jp patch

* Sun Sep 28 2003 KAZUKI SHIMURA <rito@pos.to> 0.69-0vl2
- updated jp patch

* Fri Sep 26 2003 KAZUKI SHIMURA <rito@pos.to> 0.69-0vl1
- upstream release
- updated Japanese patch

* Thu Sep 04 2003 KAZUKI SHIMURA <rito@pos.to> 0.68-0vl1
- upstream release
- updated Japanese patch

* Sun Jul 27 2003 KAZUKI SHIMURA <rito@pos.to> 0.66-0vl1
- upstream release
- updated Japanese patch

* Wed Jul 16 2003 KAZUKI SHIMURA <rito@pos.to> 0.64-0vl2
- added Japanese patch
- fixed
  - Spec was in Shift_JIS.
  - Summary in Japanese was not on Summary(ja) but on Summary.

* Tue Jun 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.64-0vl1
- new upstream release
- gtk2 version.

* Fri May 30 2003 KAZUKI SHIMURA <rito@pos.to> 0.59.9-0vl1
- updated to 0.59.9 
- modified Japanese patch (Patch 0)

* Sun Feb 16 2003 KAZUKI SHIMURA <rito@pos.to> 0.59.8-0vl2
- updated Japanese patch

* Mon Jan 20 2003 KAZUKI SHIMURA <rito@pos.to> 0.59.8-0vl1
- updated Japanese patch

* Sat Jan 18 2003 KAZUKI SHIMURA <rito@pos.to>
- upstream release
- modified Japanese patch

* Sat Dec 07 2002 KAZUKI SHIMURA <rito@pos.to> 0.59.6-0vl1
- upstream release
- eliminate old Japanese patch, add new Japanese patch

* Sat Sep 21 2002 KAZUKI SHIMURA <rito@pos.to> 0.59.3-0vl1
- upstream release

* Sat Sep 21 2002 KAZUKI SHIMURA <rito@pos.to> 0.59.2-1vl2
- added japanese patch

* Wed Sep 11 2002 IWAI Masaharu <iwai@alib.jp> 0.59.2-1vl1
- upstream release
- dropped japanese patch 
- dropped STATUS in %%doc

* Wed Feb 27 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.52-1vl1
- upstream release
- updated japanese patch
- obsoleted automake patch

* Mon Feb  4 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.51-1vl1
- upstream release
- updated japanese patch
- added automake patch (exec automake --gnu, patched japanese patch)

* Mon Jan 14 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.49-1vl1
- first build for Vine Linux ( based Rawhide 0.43-1 )
- added japanese patch ( Patch0 )
- added HACKING and STATUS in %%doc
- added --disable-gnome option in configure options
- added gtk+-devel >= 1.2.3 and glib-devel >= 1.2.3 in BuildRequires
- eliminated gnome-core-devel and gnome-libs-devel from BuildRequires tag
- eliminated aspell from Requires tag
- eliminated gnome-core from Prereq tag
- eliminated Epoch tag
- used %%makeinstall macro in %%install stage

* Fri Sep 14 2001 Matt Wilson <msw@redhat.com>
- update to 0.43

* Fri Aug 03 2001 Christopher Blizzard <blizzard@redhat.com>
- Add BuildRequires for gnome-libs-devel (bug #44739)

* Mon Jul 02 2001 Christopher Blizzard <blizzard@redhat.com>
- Add BuildRequires for gnome-core-devel (bug #44739)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Feb 15 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- make it compile

* Sun Feb 11 2001 Tim Powers <timp@redhat.com>
- updated to 0.11.0pre4 (bug fixes)
- applied Bero's konqueror patch to fix kfm->konq

* Tue Dec  5 2000 Tim Powers <timp@redhat.com>
- updated to 0.11.0pre2
- enable gnome support
- updated ispell to aspell patch
- cleaned up file list

* Thu Nov 16 2000 Tim Powers <timp@redhat.com>
- updated to 0.10.3

* Fri Nov 10 2000 Tim Powers <timp@redhat.com> 
- update to 0.10.2

* Mon Sep 11 2000 Tim Powers <timp@redhat.com>
- some ideas taken from the package available at the gaim website, mainly to install the applet stuff too.

* Wed Aug 9 2000 Tim Powers <timp@redhat.com>
- added Serial so that we can upgrade from Helix packages from 6.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 18 2000 Tim Powers <timp@redhat.com>
- changed default spell checker to aspell from ispell, patched.
- requires aspell

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 22 2000 Tim Powers <timp@redhat.com>
- fixed problems with ldconfig PreReq, shouls have been /sbin/ldconfig

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 0.9.19
- fix ldconfig stuff

* Thu Jun 1 2000 Tim Powers <timp@redhat.com>
- cleaned up spec for use with RPM 4.0 (al la _sysconfdir _datadir etc)
- update to 0.9.17
- yay! a man page!

* Thu May 25 2000 Tim Powers <timp@redhat.com>
- we left a bunch of stuff out, pixmaps, plugins. Fixed
- added applnk entry

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- updated to 0.9.15

* Mon Apr 24 2000 Matt Wilson <msw@redhat.com>
- updated to 0.9.14

* Mon Apr 24 2000 Matt Wilson <msw@redhat.com>
- updated to 0.9.13

* Thu Feb 10 2000 Matt Wilson <msw@redhat.com>
- added patch to prevent floating point errors in lag-o-meter update
  code

* Wed Nov 10 1999 Tim Powers <timp@redhat.com>
- updated to 0.9.10

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- rebuilt and put into Powertools 6.1

* Mon Jul 12 1999 Dale Lovelace <dale@redhat.com>
- First RPM Build
