Summary: PolicyKit integration for the GNOME desktop
Summary(ja): PolicyKit の GNOME デスクトップ統合
Name: polkit-gnome
Version: 0.105
Release: 3%{?_dist_release}
License: LGPLv2+
URL: http://www.freedesktop.org/wiki/Software/PolicyKit
Group: Applications/System
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk3-devel
BuildRequires: polkit-devel >= 0.102
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: dbus-glib-devel

Provides: PolicyKit-authentication-agent

Requires: polkit

Vendor: Project Vine
Distribution: Vine Linux

Obsoletes: %{name}-devel < 0.103
Obsoletes: %{name}-docs < 0.103

Obsoletes: PolicyKit-gnome <= 0.10
Provides: PolicyKit-gnome = 0.11

Obsoletes: PolicyKit-gnome-libs <= 0.10
Provides: PolicyKit-gnome-libs = 0.11

Obsoletes: PolicyKit-gnome-demo <= 0.10
Obsoletes: PolicyKit-gnome-devel <= 0.10


%description
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

%prep
%setup -q

%build
%configure \
	--enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang polkit-gnome-1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f polkit-gnome-1.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_libexecdir}/*


%changelog
* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.105-3
- rebuild with VineSeed environment

* Sat Oct 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.105-2
- add Obsoletes PolicyKit-gnome, PolicyKit-gnome-libs, PolicyKit-gnome-demo, PolicyKit-gnome-devel <= 0.10
- add Provides: PolicyKit-gnome, PolicyKit-gnome-libs = 0.11

* Thu Nov 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.105-1
- new upstream release

* Thu Oct 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.104-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.103-1
- new upstream release
- remove %{name}-devel and %{name}-docs sub package

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.102-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.101-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.99-1
- new upstream release
- remove BuildRequires: gir-repository-devel

* Fri Oct 01 2010 Shu KONNO <owa@bg.wakwak.com> 0.96-2
- rebuilt with rpm-4.8.1 for pkg-config

* Mon Feb 22 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.96-1
- update to 0.96

* Mon Oct 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.95-0.1.git20090913.6
- initial build for Vine Linux

* Wed Oct  7 2009 Matthias Clasen <mclasen@redhat.com> - 0.95.0.git20090913.6
- Prevent the statusicon from eating whitespace

* Mon Sep 14 2009 David Zeuthen <davidz@redhat.com> - 0.95-0.git20090913.5
- add Provides: PolicyKit-authentication-agent to satify what PolicyKit-gnome
  also provided

* Mon Sep 14 2009 David Zeuthen <davidz@redhat.com> - 0.95-0.git20090913.4
- Refine how Obsolete: is used and also add Provides: (thanks Jesse
  Keating and nim-nim)

* Mon Sep 14 2009 David Zeuthen <davidz@redhat.com> - 0.95-0.git20090913.3
- Obsolete old PolicyKit-gnome packages

* Sun Sep 13 2009 David Zeuthen <davidz@redhat.com> - 0.95-0.git20090913.2
- Update BR

* Sun Sep 13 2009 David Zeuthen <davidz@redhat.com> - 0.95-0.git20090913.1
- Update BR

* Sun Sep 13 2009 David Zeuthen <davidz@redhat.com> - 0.95-0.git20090913
- Update to git snapshot
- Turn on GObject introspection

* Wed Sep  2 2009 Matthias Clasen <mclasen@redhat.com> - 0.94-4
- Just remove the OnlyShowIn, it turns out everybody wants this

* Sat Aug 29 2009 Matthias Clasen <mclasen@redhat.com> - 0.94-3
- Require a new enough polkit (#517479)

* Sat Aug 29 2009 Matthias Clasen <mclasen@redhat.com> - 0.94-2
- Show in KDE, too (#519674)

* Wed Aug 12 2009 David Zeuthen <davidz@redhat.com> - 0.94-1
- Update to upstream release 0.94

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 David Zeuthen <davidz@redhat.com> - 0.93-2
- Rebuild

* Mon Jul 20 2009 David Zeuthen <davidz@redhat.com> - 0.93-1
- Update to 0.93

* Tue Jun  9 2009 Matthias Clasen <mclasen@redhat.com> - 0.9.2-3
- Fix BuildRequires

* Tue Jun 09 2009 David Zeuthen <davidz@redhat.com> - 0.92-2
- Change license to LGPLv2+
- Remove Requires: gnome-session

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-1
- Update to 0.92 release

* Wed May 27 2009 David Zeuthen <davidz@redhat.com> - 0.92-0.git20090527
- Update to 0.92 snapshot

* Mon Feb  9 2009 David Zeuthen <davidz@redhat.com> - 0.91-1
- Initial spec file.
