%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-ecdsa
Version:        0.10
Release:        1%{?_dist_release}
Summary:        ECDSA cryptographic signature library

Group:          Development/Libraries
# No version specified.
License:        MIT
URL:            http://github.com/warner/python-ecdsa
Source0:        https://pypi.python.org/pypi/ecdsa/ecdsa-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires: python-setuptools
BuildRequires: python-devel

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

%prep
%setup -q -n ecdsa-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python_sitelib}/*

%changelog
* Mon Jan 13 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.10-1
- initial build for Vine Linux
