%define type x11
%define qtdir %{_libdir}/qt-%{version}
%define rel 16
%define buildstatic 1
%define buildnonthread 0
%define styleplugins 0
# Set this to "1" if you want to build Xt
%define buildXt 0
# Set this to "0" if you do not want to build immodule
%define immodule 1

%if %{styleplugins}
%define plugins	-plugin-sql-mysql -plugin-sql-psql -plugin-sql-odbc -plugin-style-cde -plugin-style-motifplus -plugin-style-platinum -plugin-style-sgi -plugin-style-windows -plugin-style-compact -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng
%else
%define plugins	-plugin-sql-mysql -plugin-sql-psql -plugin-sql-odbc -qt-style-cde -qt-style-motifplus -qt-style-platinum -qt-style-sgi -qt-style-windows -qt-style-compact -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng
%endif

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: The shared library for the Qt GUI toolkit.
Summary(ja): Qt ツールキット
Name: qt
Version: 3.3.8
Release: %{rel}%{?_dist_release}

License: GPL/QPL
Group: System Environment/Libraries
URL: http://www.qtsoftware.com/

Source: ftp://ftp.qtsoftware.com/qt/source/qt-%{type}-free-%{version}.tar.bz2
# Patches -99 are from kde.org
Patch0: uic-patch.diff

# Patches 100-199 are for Qt-x11 only
Patch100: Qt-3.3.8-UTF-8-fix.diff
Patch101: qt3-CVE-2007-3388.diff
Patch102: qt3-CVE-2007-4137.diff
# Patches 200-299 are from fedora core
Patch200: qt-uic-nostdlib.patch
Patch201: qt-x11-free-3.3.5-gcc4-buildkey.patch
Patch238: qt-x11-free-3.3.8-odbc.patch
# Patches 300-399 are from kde.gr.jp
# Patches for immodule for Qt
Patch500: qt-x11-free-3.3.8-qt-x11-immodule-unified-qt3.3.7-20061229-pre.patch
Patch501: qt-x11-immodule-unified-qt3.3.7-20061229.diff.bz2
Patch502: qt-x11-free-3.3.8-qt-x11-immodule-unified-qt3.3.7-20061229-post.patch
Patch503: qt-x11-immodule-unified-qt3.3.5-20051012-quiet.patch
Patch504: qt-x11-free-3.3.6-fix-key-release-event-with-imm.diff
Patch505: qt-x11-free-3.3.6-qt-x11-immodule-unified-qt3.3.5-20060318-resetinputcontext.patch

# Patches 800-899 are for VineLinux
Patch800: qt-x11-free-3.3.8-gcc43.patch
Patch801: qt-x11-free-3.3.8-gcc46.patch
Patch802: qt-x11-free-3.3.8-freetype-2.5.x.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{qtdir}
#BuildRequires: openMotif-devel >= 2.2.2
BuildRequires: libmng-devel
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel >= 1.2.5
BuildRequires: zlib-devel
BuildRequires: giflib-devel
BuildRequires: perl
BuildRequires: sed
BuildRequires: findutils
BuildRequires: cups-devel
BuildRequires: tar
BuildRequires: freetype2-devel
BuildRequires: fontconfig-devel
BuildRequires: libXrender-devel
BuildRequires: libXrandr-devel
BuildRequires: libXcursor-devel
BuildRequires: libXinerama-devel
BuildRequires: libXft-devel
BuildRequires: libXext-devel
BuildRequires: libX11-devel
BuildRequires: libSM-devel
BuildRequires: libICE-devel
BuildRequires: libXt-devel
BuildRequires: libXmu-devel
BuildRequires: libXi-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: desktop-file-utils
BuildRequires: MySQL-devel
BuildRequires: postgresql-devel
BuildRequires: unixODBC-devel

#BuildPrereq: libstdc++34-devel
#Requires: libexpat libstdc++34
#Requires: libpng >= 1.2.5
#Requires: freetype2 libjpeg libmng zlib

Vendor: Project Vine
Distribution: Vine Linux

%package devel
Summary: Development files and documentation for the Qt GUI toolkit.
Summary(ja): Qt ツールキットの開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: freetype2-devel
Requires: fontconfig-devel
Requires: libXrender-devel
Requires: libXrandr-devel
Requires: libXcursor-devel
Requires: libXinerama-devel
Requires: libXft-devel
Requires: libXext-devel
Requires: libX11-devel
Requires: libSM-devel
Requires: libICE-devel
Requires: libXt-devel
Requires: xorg-x11-proto-devel
Requires: libpng-devel
Requires: libjpeg-devel
Requires: libmng-devel
Requires: mesa-libGL-devel
Requires: mesa-libGLU-devel
Requires: zlib-devel
Requires(post):   alternatives
Requires(postun): alternatives

%package Xt
Summary: An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%package styles
Summary: Extra styles for the Qt GUI toolkit.
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%package ODBC
Summary: ODBC drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%package MySQL
Summary: MySQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%package PostgreSQL
Summary: PostgreSQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%if %{buildstatic}
%package static
Summary: Version of the Qt GUI toolkit for static linking
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
%endif

%package designer
Summary: Interface designer (IDE) for the Qt toolkit
Summary(ja): Qt ツールキットのインターフェースデザイナ
Group: Applications/Development
Requires: %{name}-devel = %{version}-%{release}
Requires(post):   alternatives
Requires(postun): alternatives

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications
for the X Window System.

Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run qt
applications, as well as the README files for qt.

%description devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
/usr/share/doc/qt-devel-%{version}/html/index.html, which provides Qt
documentation in HTML format.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.

%description Xt
An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.

%if %{buildstatic}
%description static
%endif

%description styles
Extra styles (themes) for the Qt GUI toolkit.

%description ODBC
ODBC driver for Qt's SQL classes (QSQL)

%description MySQL
MySQL driver for Qt's SQL classes (QSQL)

%description PostgreSQL
PostgreSQL driver for Qt's SQL classes (QSQL)

%description designer
The qt-designer package contains an User Interface designer tool
for the Qt toolkit.

# compat32
%package -n compat32-%{name}
Summary: The shared library for the Qt GUI toolkit.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications
for the X Window System.

Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run qt
applications, as well as the README files for qt.

%package -n compat32-%{name}-devel
Summary: Development files and documentation for the Qt GUI toolkit.
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-libmng-devel compat32-libjpeg-devel
Requires: compat32-libpng-devel compat32-zlib-devel

%description -n compat32-%{name}-devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
/usr/share/doc/qt-devel-%{version}/html/index.html, which provides Qt
documentation in HTML format.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.

%prep
%setup -q -n qt-%{type}-free-%{version}
%patch0 -p1 -b .uic
%patch100 -p0 -b .utf8
%patch101 -p3 -b .CVE-2007-3388
%patch102 -p0 -b .CVE-2007-4137
%patch200 -p1 -b .nostdlib
%patch201 -p1 -b .gcc4-buildkey
%patch238 -p1 -b .odbc

%if %{immodule}
%patch500 -p1 -b .pre
%patch501 -p1
%patch502 -p1 -b .post
%patch503 -p1 -b .quiet
%patch504 -p1 -b .fix-key-release-event-with-imm
%patch505 -p1 -b .resetinputcontext
%endif

%patch800 -p1 -b .gcc43
%patch801 -p1 -b .gcc46
%patch802 -p1 -b .ft2

%build
find . -type d -name CVS | xargs rm -rf
export QTDIR=`/bin/pwd`
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"
export LANG=C
OPTFLAGS=`echo $RPM_OPT_FLAGS |sed -e s/-fno-rtti/-frtti/`

%if %{immodule}
sh ./make-symlinks.sh
%endif

perl -pi -e "s,-O2,-I/usr/include/freetype2 $OPTFLAGS,g" mkspecs/*/qmake.conf

## don't use rpath
perl -pi -e "s|-Wl,-rpath,| |" mkspecs/*/qmake.conf

%if %{buildstatic}
# don't build examples, tools and tutorials with static libraries here
echo yes |./configure \
  %if %{_lib} == lib64
  -prefix /usr/lib64/qt3 \
  -platform linux-g++-64 -L/usr/lib64 \
  %else
  -prefix /usr/lib/qt3 \
  -platform linux-g++ \
  %endif
  -release -static -qt-gif \
  -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -thread -cups \
  -enable-opengl -sm -xinerama -xrender -xft -xkb -v

make %{?_smp_mflags} src-qmake
make %{?_smp_mflags} src-moc
make %{?_smp_mflags} sub-src

cp -aR lib lib-bld
cp -aR bin bin-bld
make clean
rm -rf lib bin
mv lib-bld lib
mv bin-bld bin
%endif

%if %{buildnonthread}
# build shared, nonthreaded libraries
echo yes |./configure \
  %if %{_lib} == lib64
  -prefix /usr/lib64/qt3 \
  -platform linux-g++-64 -L/usr/lib64 \
  %else
  -prefix /usr/lib/qt3 \
  -platform linux-g++ \
  %endif
  -release -shared -qt-gif \
  -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -no-thread -cups \
  -enable-opengl -sm -xinerama -xrender -xft -xkb -v

make %{?_smp_mflags} src-qmake
make %{?_smp_mflags} src-moc
make %{?_smp_mflags} sub-src

cp -aR lib lib-bld
cp -aR bin bin-bld
make clean
rm -rf lib bin
mv lib-bld lib
mv bin-bld bin
%endif

# build shared, threaded (default) libraries
echo yes |./configure \
  %if %{_lib} == lib64
  -prefix /usr/lib64/qt3 \
  -platform linux-g++-64 -L/usr/lib64 \
  %else
  -prefix /usr/lib/qt3 \
  -platform linux-g++ \
  %endif
  -release -shared -qt-gif \
  -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -thread -cups \
  -enable-opengl -sm -xinerama -xrender -xft -xkb -v

make %{?_smp_mflags} src-qmake

cd plugins/src/sqldrivers/psql
qmake -o Makefile "INCLUDEPATH+=/usr/include/pgsql /usr/include/pgsql/server /usr/include/pgsql/internal" "LIBS+=-lpq" psql.pro
cd ../mysql
qmake -o Makefile "INCLUDEPATH+=/usr/include/mysql" "LIBS+=-L%{_libdir}/mysql -lmysqlclient" mysql.pro
cd ../odbc
qmake -o Makefile "LIBS+=-lodbc" odbc.pro
cd ../../../..

make %{?_smp_mflags} src-moc
make %{?_smp_mflags} sub-src
make %{?_smp_mflags} sub-tools UIC="$QTDIR/bin/uic -nostdlib -L $QTDIR/plugins"

%if %{buildXt}
# build Xt/Motif Extention
make -C extensions/nsplugin/src -j $CPUS
%endif

%install
rm -rf $RPM_BUILD_ROOT
export QTDIR=`/bin/pwd`
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"

mkdir -p $RPM_BUILD_ROOT%{qtdir}/{bin,include,lib}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man3}

# strip binaries
rm -f bin/*.bat
for i in bin/*; do
  strip -R .comment $i || :
done

# install tools and libraries
rm bin/qmake
cp -fL qmake/qmake bin
for i in bin/*; do
	cp -fL $i $RPM_BUILD_ROOT/%{qtdir}/bin
	chmod 0755 $RPM_BUILD_ROOT/%{qtdir}/$i
done
cp -aR lib/* $RPM_BUILD_ROOT/%{qtdir}/lib
cp -aR plugins $RPM_BUILD_ROOT/%{qtdir}

# install man pages
cp -fR doc/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
cp -fR doc/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3
rm -rf doc/man

# clean up
make -C tutorial clean
make -C examples clean
find examples -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
find examples -type f -perm 755 | xargs strip -R .comment || :
find tutorial -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
find tutorial -type f -perm 755 | xargs strip -R .comment || :

for a in */*/Makefile ; do
  sed 's|^SYSCONF_MOC.*|SYSCONF_MOC		= %{qtdir}/bin/moc|' < $a > ${a}.2
  mv -v ${a}.2 $a
done

# Get rid of windows or mac specific links
for i in include/* include/*/*; do [ -e $i ] || rm $i; done

cp -frL include/* $RPM_BUILD_ROOT%{qtdir}/include
#chmod a+r $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so*

ln -s qt-%{version} $RPM_BUILD_ROOT%{_libdir}/qt3

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat > $RPM_BUILD_ROOT/etc/profile.d/qt.sh <<EOF
# Qt initialization script (sh)
if [ -z "\$QTDIR" ] ; then
	QTDIR="%{_libdir}/qt3"
fi
export QTDIR
EOF

chmod 755 $RPM_BUILD_ROOT/etc/profile.d/qt.sh

cat > $RPM_BUILD_ROOT/etc/profile.d/qt.csh <<EOF
# Qt initialization script (csh)
if ( \$?QTDIR ) then
         exit
endif
setenv QTDIR %{_libdir}/qt3
EOF

chmod 755 $RPM_BUILD_ROOT/etc/profile.d/qt.csh

mkdir -p $RPM_BUILD_ROOT/usr/bin
for i in bin/*; do
	ln -s ../%{_lib}/qt3/bin/`basename $i` $RPM_BUILD_ROOT/%{_bindir}
	ln -s `basename $i` $RPM_BUILD_ROOT/usr/bin/`basename $i`3
done

# make symbolic link to qt docdir
if echo %{_docdir} | grep  share >& /dev/null ; then
  ln -s  ../../share/doc/%{name}-devel-%{version} $RPM_BUILD_ROOT%{qtdir}/doc
else
  ln -s  ../../doc/%{name}-devel-%{version} $RPM_BUILD_ROOT%{qtdir}/doc
fi

# Add desktop file
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Development
cat >$RPM_BUILD_ROOT/etc/X11/applnk/Development/designer.desktop <<EOF
[Desktop Entry]
BinaryPattern=designer;
Comment=Qt 3.3 Interface Designer
Exec=designer
Icon=designer
InitialPreference=5
MapNotify=true
MimeType=application/x-designer
Name=Qt 3.3 Designer
Terminal=false
Type=Application
EOF

# Sane default settings
mkdir -p $RPM_BUILD_ROOT%{qtdir}/etc/settings
cat >$RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc <<EOF
[General]
libraryPath=/usr/lib/kde3/plugins
style=HighColor
EOF

# Ship qmake stuff
cp -aR mkspecs $RPM_BUILD_ROOT%{qtdir}

# pkg-config files
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
cp $RPM_BUILD_ROOT%{qtdir}/lib/*.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig
rm -f $RPM_BUILD_ROOT%{qtdir}/lib/*.pc

# add ld.so.conf.d and qt3.conf
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
echo "%{qtdir}/lib" > $RPM_BUILD_ROOT/etc/ld.so.conf.d/qt3.conf
%if %{build_compat32}
echo "%{qtdir}/lib" > $RPM_BUILD_ROOT/etc/ld.so.conf.d/qt3-i386.conf
%endif

# delete files do not need
rm -f $RPM_BUILD_ROOT%{qtdir}/lib/README
rm -f $RPM_BUILD_ROOT%{qtdir}/lib/*.prl
rm -f $RPM_BUILD_ROOT%{qtdir}/lib/*.la
rm -rf $RPM_BUILD_ROOT%{qtdir}/plugins/src

# delete files to use alternatives
rm -f $RPM_BUILD_ROOT%{_bindir}/assistant
rm -f $RPM_BUILD_ROOT%{_bindir}/moc
rm -f $RPM_BUILD_ROOT%{_bindir}/qmake
rm -f $RPM_BUILD_ROOT%{_bindir}/qtconfig
rm -f $RPM_BUILD_ROOT%{_bindir}/uic
rm -f $RPM_BUILD_ROOT%{_bindir}/uic3
rm -f $RPM_BUILD_ROOT%{_bindir}/designer
rm -f $RPM_BUILD_ROOT%{_bindir}/linguist
rm -f $RPM_BUILD_ROOT%{_bindir}/lrelease
rm -f $RPM_BUILD_ROOT%{_bindir}/lupdate

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/update-alternatives --install \
    %{_bindir}/assistant assistant %{qtdir}/bin/assistant 10 
/sbin/update-alternatives --install \
    %{_bindir}/qtconfig qtconfig %{qtdir}/bin/qtconfig 10 
/sbin/update-alternatives --install \
    %{_bindir}/qmake qmake %{qtdir}/bin/qmake 10 \
    --slave %{_bindir}/moc \
        moc \
        %{qtdir}/bin/moc \
    --slave %{_bindir}/uic \
        uic \
        %{qtdir}/bin/uic \
    --slave %{_bindir}/lrelease \
        lrelease \
        %{qtdir}/bin/lrelease \
    --slave %{_bindir}/lupdate \
        lupdate \
        %{qtdir}/bin/lupdate

%posttrans devel
# fix broken symlink if it's there
if [ ! -f %{_bindir}/assistant ] ; then
    /sbin/update-alternatives --auto assistant
fi
if [ ! -f %{_bindir}/qtconfig ] ; then
    /sbin/update-alternatives --auto qtconfig
fi
if [ ! -f %{_bindir}/qmake ] ; then
    /sbin/update-alternatives --auto qmake
fi

%postun devel
if [ $1 -eq 0 ] ; then
    /sbin/update-alternatives --remove assistant %{qtdir}/bin/assistant
    /sbin/update-alternatives --remove qtconfig %{_qtdir}/bin/qtconfig
    /sbin/update-alternatives --remove qmake %{_qtdir}/bin/qmake
    /sbin/update-alternatives --auto assistant
    /sbin/update-alternatives --auto qtconfig
    /sbin/update-alternatives --auto qmake
fi

%post designer
/sbin/update-alternatives --install \
    %{_bindir}/designer designer %{qtdir}/bin/designer 10 
/sbin/update-alternatives --install \
    %{_bindir}/linguist linguist %{qtdir}/bin/linguist 10 

%posttrans designer
# fix broken symlink if it's there
if [ ! -f %{_bindir}/designer ] ; then
    /sbin/update-alternatives --auto designer
fi
if [ ! -f %{_bindir}/linguist ] ; then
    /sbin/update-alternatives --auto linguist
fi

%postun designer
if [ $1 -eq 0 ] ; then
    /sbin/update-alternatives --remove designer %{qtdir}/bin/designer
    /sbin/update-alternatives --remove linguist %{_qtdir}/bin/linguist
    /sbin/update-alternatives --auto designer
    /sbin/update-alternatives --auto linguist
fi

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc FAQ LICENSE.* PLATFORMS README* changes*
%config /etc/ld.so.conf.d/qt3.conf
%{_libdir}/qt3
%dir %{qtdir}
%dir %{qtdir}/lib
%if %{buildnonthread}
%{qtdir}/lib/libqt.so.*
%endif
%{qtdir}/lib/libqt-mt.so.*
%{qtdir}/etc/settings/qtrc
%dir %{qtdir}/plugins
%if %{immodule}
%{qtdir}/plugins/inputmethods
%endif
%{qtdir}/lib/libqui.so.*
%{qtdir}/lib/libeditor.a
%{qtdir}/lib/libdesignercore.a
%{qtdir}/lib/libqassistantclient.a

%files devel
%defattr(-,root,root,-)
%attr(0755,root,root) %config /etc/profile.d/*
%{qtdir}/bin/assistant
%{qtdir}/bin/findtr
%{qtdir}/bin/lrelease
%{qtdir}/bin/lupdate
%{qtdir}/bin/moc
%{qtdir}/bin/qm2ts
%{qtdir}/bin/qmake
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtconfig
%{qtdir}/bin/qtrename140
%{qtdir}/bin/uic
%{qtdir}/include
%{qtdir}/doc
%{qtdir}/mkspecs
%if %{buildnonthread}
%{qtdir}/lib/libqt.so
%endif
%{qtdir}/lib/libqt-mt.so
%{qtdir}/lib/libqui.so
%{_mandir}/*/*
%{_bindir}/assistant*
%{_bindir}/findtr*
%{_bindir}/lrelease*
%{_bindir}/lupdate*
%{_bindir}/moc*
%{_bindir}/qm2ts*
%{_bindir}/qmake*
%{_bindir}/qt20fix*
%{_bindir}/qtconfig*
%{_bindir}/qtrename140*
%doc doc/*
%doc examples
%doc tutorial
%{_libdir}/pkgconfig/*.pc

%if %{buildXt}
%post Xt -p /sbin/ldconfig
%postun Xt -p /sbin/ldconfig

%files Xt
%defattr(-,root,root,-)
%{qtdir}/lib/libqmotif.so*
%endif

%if %{styleplugins}
%files styles
%defattr(-,root,root,-)
%dir %{qtdir}/plugins/styles
%{qtdir}/plugins/styles/*
%endif

%files ODBC
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlodbc*

%files PostgreSQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlpsql*

%files MySQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlmysql*

%if %{buildstatic}
%files static
%defattr(-,root,root,-)
%{qtdir}/lib/*.a
%exclude %{qtdir}/lib/libeditor.a
%exclude %{qtdir}/lib/libdesignercore.a
%exclude %{qtdir}/lib/libqassistantclient.a
%endif

%files designer
%defattr(-,root,root,-)
%{_bindir}/designer*
%{_bindir}/linguist*
%dir %{qtdir}/plugins/designer
%{qtdir}/plugins/designer/*
%{qtdir}/bin/designer
%{qtdir}/bin/linguist
%config /etc/X11/applnk/Development/designer.desktop

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%config /etc/ld.so.conf.d/qt3-i386.conf
%{_libdir}/qt3
%dir %{qtdir}
%dir %{qtdir}/lib
%if %{buildnonthread}
%{qtdir}/lib/libqt.so.*
%endif
%{qtdir}/lib/libqt-mt.so.*
%{qtdir}/etc/settings/qtrc
%dir %{qtdir}/plugins
%if %{immodule}
%{qtdir}/plugins/inputmethods
%endif
%{qtdir}/lib/libqui.so.*
%{qtdir}/lib/libeditor.a
%{qtdir}/lib/libdesignercore.a
%{qtdir}/lib/libqassistantclient.a

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{qtdir}/bin/assistant
%{qtdir}/bin/findtr
%{qtdir}/bin/moc
%{qtdir}/bin/qm2ts
%{qtdir}/bin/qmake
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtconfig
%{qtdir}/bin/qtrename140
%{qtdir}/bin/uic
%{qtdir}/include
%{qtdir}/doc
%{qtdir}/mkspecs
%if %{buildnonthread}
%{qtdir}/lib/libqt.so
%endif
%{qtdir}/lib/libqt-mt.so
%{qtdir}/lib/libqui.so
%{_libdir}/pkgconfig/*.pc
%endif

%changelog
* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.8-16
- rebuild with VineSeed environment
- add Patch802 (qt-x11-free-3.3.8-freetype-2.5.x.patch)

* Mon Jan 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.8-15
- add Patch801 (qt-x11-free-3.3.8-gcc46.patch)

* Sat Aug 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.8-14
- rebuilt with MySQL-5.5.15

* Tue May 24 2011 IWAI, Masaharu <iwai@alib.jp> 3.3.8-13
- rebuild with unixODBC-2.2.14: broken by 3.3.8-12
- add Vendor and Distribution tags

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 3.3.8-12
- rebuilt with postgresql-9.0.3

* Tue Apr 12 2011 IWAI, Masaharu <iwai@alib.jp> 3.3.8-11
- add new unixODBC patch (Patch238) from Fedora qt3-3.3.8b-35

* Sat Apr  9 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.8-10
- rebuilt with unixODBC-2.2.14 and cups-1.4.6

* Tue Mar  8 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.8-9
- updated %%post. %%posttrans and %%postun section

* Mon Sep 27 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.8-8
- rebuilt with rpm-4.8.1 for pkg-config

* Fri May 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.8-7
- updated Requires of devel package

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.3.8-6
- rebuilt with new toolchain
- s/BuildPrereq/BuildRequires/
- add Patch800 to build w/ gcc >= 4.3

* Sat Jul 25 2009 NAKAMURA Kenta <kenta@vinelinux.org> 3.3.8-5
- added compat32 package for x86_64 arch support

* Fri May 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.8-4
- rebuilt with MySQL-5.1.34.

* Sat Apr 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.8-3
- changed qt-designer Group to Applications/Development
- updated URL

* Wed May 28 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.8-2
- build with xorg-x11-7.3
- update BuildPrereq and Requires

* Mon Mar 24 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.8-1
- fix release ([VineSeed:1527])
- add Requires(post,postun): alternatives to -devel and -designer package

* Sun Jan 20 2008 NAKAMURA Kenta <kenta@vinelinux.org> 3.3.8-0vl6
- replaced "LIBS+=-L/usr/lib/mysql" with "LIBS+=-L%%{_libdir}/mysql"

* Thu Jan 17 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.8-0vl5
- add Requires to devel package

* Tue Dec  4 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.8-0vl4
- drop Patch300 (OverTheSpot)

* Thu Sep 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.8-0vl3
- add Patch102 (CVE-2007-4137)

* Thu Aug  2 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.8-0vl2
- add Patch101 (CVE-2007-3388)

* Tue Jun  5 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.8-0vl1
- new upstream release
- add Patch100 (CVE-2007-0242)
- add Patch201
- update Patch300, 500, 501 and 502
- drop Patch1 (CVE-2006-4811), 301 (ATOK X) and 400 (AA)

* Thu May 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.5-0vl10
- rebuild with libstdc++34

* Sat Feb 10 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.3.5-0vl9
- import patches from FC
  - patch504: fix-key-release-event-with-imm.diff
  - patch505: immodule-unified-qt3.3.5-20060318-resetinputcontext.patch

  * Thu Jun 29 2006 Than Ngo <than@redhat.com> 1:3.3.6-0.3.fc5
  - fix #183302, IM preedit issue in kbabel

  * Mon Jun 26 2006 Than Ngo <than@redhat.com> 1:3.3.6-0.2.fc5
  - fix #156572, keyReleaseEvent issue

* Tue Dec 19 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.3.5-0vl8
- use %%{_lib} instead of lib not to create broken symlinks on x86_64

* Mon Nov 13 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl7
- add Patch200 from fedora core
- build with MySQL-5.0.27-0vl3

* Tue Oct 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl6
- add ld.so.conf.d and qt3.conf
- update Patch1 (https://bugs.gentoo.org/attachment.cgi?id=100045)

* Thu Oct 19 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl5
- add Patch1 (CVE-2006-4811)

* Tue Sep 19 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl4
- move %%{_libdir}/qt3 from develop to main
- fix typo
- add patch503
 -- Thu Sep 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.3.5-0vl2.0imm.1
  - import qt-x11-immodule-unified-quiet.patch (patch503) from FC
- add patch500-502
 -- Thu Sep 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.3.5-0vl2.0imm
  - add immodule for Qt support (patch500-502)
    - patch500: revert some part of patch300,301 (conflict with patch501)
    - patch501: immodule for Qt patch
    - patch502: apply some part of patch300,301 again
    cf. http://immodule-qt.freedesktop.org/
        http://people.freedesktop.org/~daisuke/

* Sun Sep 10 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.3.5-0vl3
- added configure options for builing on 64-bit archs

* Tue Sep 13 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl2
- rebuild for VineSeed

* Tue Sep 13 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.5-0vl1
- new upstream release
- stop building nonthreaded libs
- delete Obsoletes
- add Patch0

* Tue Jul  5 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl6
- rebuild for VineSeed

* Tue Jul  5 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl5
- build for Vine3.1
- add -v to configure option
- move three static libs to main package

* Wed Mar 16 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl4
- rebuild for VineSeed

* Sat Mar 12 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl3
- (security) stop using rpath
- cleanup this file

* Thu Feb 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl2
- rebuild for VineSeed

* Thu Feb 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.4-0vl1
- new upstream release
- update Patch400

* Sat Dec 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.3-0vl3
- rebuld

* Wed Nov 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.3-0vl2
- add Obsoletes: qt32-*

* Sun Sep  5 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.3-0vl1
- source upgrade
- remove patch100
- update patch300 and remove patch302-303
- update patch400
- update BuildPrereq and Requires

* Wed Jul 28 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl3
- add patch302-303 from KuserML
- delete lines about vine26

* Sun Jun  6 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- add patch100 from webcvs.kde.org/cgi-bin/cvsweb.cgi/qt-copy/patches/

* Fri Apr 30 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade
- remove patch100 (it is needed only for 3.3.1)

* Sun Apr 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl3
- rebuild with XOrg

* Mon Mar 29 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl2
- rebuild

* Mon Mar  8 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade
- remove patch800
- add patch100 (only for qt-x11-free-3.3.1)

* Sun Feb  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl3
- enable cups support

* Sun Dec 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- build for VineSeed with new toolchain
- disable cup support

* Wed Dec  3 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- revised Patch402 and 403
- remove Patch100
- add patch800 to build against freetype2-2.1.7
- (VinePlus/2.6) BuildPrereq: autoconf258

* Sun Nov  9 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade
- revised Patch400
- remove Patch15

* Sun Nov  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl4
- enable cups support

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0.26vl3
- rebuild for Vine2.6

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl3
- revised Patch400 and Patch402
- clean up spec

* Sun Sep 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0.26vl2
- rebuild for Vine2.6

* Sun Sep 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl2
- revised Patch400-
- clean up spec

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0.26vl1
- rebuild for Vine2.6

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade
- add Patch100
- remove Patch302 (it is included in this source)
- stop using Patch400-
- build with gcc-3.2.3
- add export LANG=C
- add *.pc (pkg-config files) to qt-devel package

* Fri Aug 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0.26vl5
- rebuild for Vine2.6

* Wed Aug 13 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl5
- add Patch302 to fix performance of jmode
- change make option for SMP and add script

* Thu Jun 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl4
- update Patch400 and 401

* Wed Jun 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl3
- change spec to build with g++-2.95.3

* Mon Apr 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0.26vl2
- rebuild for Vine2.6

* Wed Apr 16 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.1.2-0vl2
- rebuilt with libpng >= 1.2.5 when %%{vine26} is set to 0 (ie VineSeedPlus)

* Fri Mar 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- remove all patches except patch15
- revised patch 300-
- stop building Xt package

* Mon Feb 24 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl3
- revised patch 301 and 302
- enable patch 301 and 302 to Vine2.5/2.6

* Sun Feb  9 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl2
- change spec to build both VineSeed and Vine2.5/2.6
- re-number patch300-
- delete patch4 (qt-3.1.1 does not need it)
- add patch13 and 14
 -- Thu Dec 19 2002 Than Ngo <than@redhat.com> 3.1.1-3
  - add monospace patch file from Leon Ho (bug #79949)
  - add small patch file from Sysoltsev Slawa (bug #79731)
- add patch15
 -- Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
  - Change qmlined.h to not include an attic header that is also not shipped
    with Red Hat Linux. This also fixes building unixODBC, that includes this
    header (apparently also without needing it).


* Sat Jan  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade
- cleanup spec
- revised Patch7, 301
- add Patch306, 307, 308 from kde.gr.jp

* Sun Dec 15 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.0-0vl1
- source upgrade
- stop using objprelink2, it does not work with gcc3
- add Patch304 and Patch305 from www.kde.gr.jp/~akito/xft/patch_xft.html
- add Patch1 - Patch12 from rawhide 3.1.0-1.3
- add BuildPrereq: openMotif-devel >= 2.2.2 for build qt-Xt
- cleanup spec for build x11 package only

* Mon Nov 11 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5-0vl3
- add export PATH=`pwd`:$PATH to %%build section

* Tue Oct 15 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5-0vl2
- objprelink2 support only i386 (add %%ifarch i386 ... again)
- delete BuildPrereq: libmng-static (it merged to libmng-devel)
- delete %%doc ANNOUNCE
- Requires: XFree86-gl instead of Mesa

* Fri Oct  4 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5-0vl1
- add BuildPrereq: objprelink2 instead of BuildPrereq: objprelink
- add BuildPrereq: autoconf253 automake15
- delete Patch199 (objprelink2 do not need this patch)
- source upgrade
- revised all patches [Kdeveloper:02404]
- add man files to qt-devel sub-package

* Tue Jul 16 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl5
- add patch304 from kde.gr.jp [Kdeveloper:02368]

* Thu Jul  4 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl4
- add patch303 from kde.gr.jp [Kdeveloper:02378]

* Wed Apr 17 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl3
- add patch302 from kde.gr.jp

* Thu Apr  4 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl2
- revised patch300 from kde.gr.jp and XIMInputStyle=Over The Spot in qtrc
- add patch301 from kde.gr.jp
- make unixODBC plugin (delete define odbcplugins 0 and if %%{odbcplugins})

* Sat Mar 30 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-1vl1
- merged with rawhide 3.0.3-0.cvs20020314.1
- source update to 3.0.3
- add patch199 (objprelink)
- add patch300 and add defaultInputStyle=OverTheSpot in qtrc
- define cups 0 (Vine does not have cups)
- define odbcplugins 0 (unixODBC requires libqt-mt.so.2 of qt-2)
- cleanup spec
- There is Vine's previous changes, hacked for Vine 
 -- Sat Jan  5 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-6vl4
  - rebuild with -xft support (XFree86-4.1.99.4)
 -- Mon Dec 31 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.3.1-6vl3
  - rebuild with glibc-2.2.4
 -- Sun Nov 25 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.3.1-6vl2
  - add Source2 and Patch4 (use objprelink, i386 only)
 -- Sat Oct 13 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.3.1-6vl1
  - Build for VineSeed
  - Add qt.using_new_library.patch from Kondara
 -- Mon Jun 11 2001 net_hal <net_hal@cwa.bai.ne.jp>
  - First build for Vine2.1.5
 -- Thu Apr 12 2001 Rex Dieter <rdieter@unl.edu> 2.3.0-0.6x.3
  - redhat 6.x backport based on rawhide's qt-2.3.0-3
  - remove -xft support (because we're using XFree-3)    

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-0.cvs20020314.1
- Update to 3.0.3-pre, required for KDE3
- force -fPIC usage
- Remove conflict with qt2 < 2.3.2-1, the new qt2 2.3.1 is fixed and qt 2.3.2
  is broken
- Ship the qmake config files (so qmake works for building any 3rd party stuff,
  e.g. aethera)

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-2
- Add some fixes from KDE's qt-copy CVS
- Pluginize image formats

* Mon Feb 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-1
- 3.0.2 final

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.3
- Add GB18030 codec patch, #60034
- Force-build jpeg support, fixing #59775 and #59795

* Sat Jan 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.2
- Build with CUPS support

* Fri Jan 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.1
- Fix up /usr/bin/moc links, they should point to qt3

* Mon Jan 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020114.1
- Build styles directly into the main library for now, there's too much broken
  code out there depending on this ATM.

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020109.1
- Stop excluding alpha, gcc has been fixed

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020108.1
- Add fixes from CVS; this fixes the "Alt + F1, arrow up, arrow up doesn't work
  in KDE" bug

* Mon Dec 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-2
- Fix up settings search path
- Add default qtrc allowing to use KDE 3.x Qt plugins
- Make sure QLibrary uses RTLD_GLOBAL when dlopen()ing libraries

* Thu Dec 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.1.0-1
- Work around gcc bug #57467

* Wed Dec 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.1 final

* Mon Dec 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-0.cvs20011210.1
- Update to current (needed by KDE 3.x)
- Rebuild with current libstdc++
- Temporarily disable building on alpha
- Fix build with PostgreSQL 7.2

* Mon Nov 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Fix up glweak

* Mon Nov  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Give designer, uic, moc, etc. their real names - the qt2 versions
  have been renamed in qt2-2.3.2-1.
  Conflict with qt2 < 2.3.2-1.

* Thu Oct 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Add symlink /usr/lib/qt-3.0.0 -> /usr/lib/qt3 and set QTDIR to the
  symlink, allowing to update to 3.0.1 without breaking rpath'ed binaries

* Tue Oct 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final
- fix some minor specfile bugs
- Modularize some more (image format plugins)
- Build codecs

* Tue Sep 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta5.1
- beta5
- Share more code between qt-x11 and qt-embedded builds

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta4.1
- beta4
- build the Motif style directly into Qt rather than as a plugin - Qt should
  always have at least one style...
- replace the designer3 symlink with a shell script that sets QTDIR correctly
  before launching designer
- Add desktop file for designer

* Mon Aug  6 2001 Tim Powers <timp@redhat.com> 3.0.0-0.beta3.4
- explicitly include qm2ts, qmake, qtconfig in the devel package file list to avoid dangling symlinks

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.3
- Try yet another workaround for buildsystem breakages

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add another ugly workaround for build system problems, this should finally
  get rid of the dangling symlinks

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.2
- Rephrase parts of the spec file, hopefully pleasing the build system

* Sun Jul 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.1
- beta3
- Fix dangling symlinks

* Sun Jun 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta1.2
- Fix up QSQL Postgres classes for Postgres 7.1.x
- Fix various bugs:
  - QtMultilineEdit and QtTableView should actually compile
  - Link libqsqlpsql with libpq
  - Don't link the base library with libmysqlclient, linking the MySQL
    module with it is sufficient
- Add missing const qualifier
- move the SQL drivers to separate packages to avoid dependencies
- build and install designer plugins - converting glade files to Qt is fun. ;)
- handle RPM_OPT_FLAGS

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta1.1
- 3.0 beta 1

* Wed May 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20010516.1
- Update, remove conflicts with Qt 2.x

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20010514.1
- Initial build of 3.0 branch

* Fri Apr 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.3.0-6
- Fix crashes on ia64, Patch from Bill Nottingham <notting@redhat.com>
- Allow building qt-nox

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.3.0-5
- Make sure uic and designer use the libqui from the source tree, not
  a previously installed one.
  Linking uic-x11 against libqui-embedded is definitely not a feature. ;)
- The qclipboard fix is needed for qt-x11 only, don't apply it if we're
  building qt-embedded

* Sat Apr 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle LPRng specific constructs in printcap, Bug #35937

* Sun Mar 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add qfont patch from Trolltech

* Tue Mar 13 2001 Harald Hoyer <harald@redhat.de>
- added patch for '@euro' language settings

* Tue Mar  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.0 final
- BuildRequires XFree86-devel >= 4.0.2 (#30486)

* Mon Feb 26 2001 Than Ngo <than@redhat.com>
- fix check_env function, so that qt does not crash if QT_XFT is not set
- fix symlinks

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.0b1
- Add a patch to qpsprinter that handles TrueType fonts even if they come from xfs

* Tue Feb 13 2001 Preston Brown <pbrown@redhat.com>
- japanese input and clipboard fixes applied.  Changes have been sent upstream by patch authors.

* Fri Feb  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new Mesa to get rid of pthreads linkage
- Add Xft fix from KDE CVS

* Wed Feb  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add printing bugfix patch from Trolltech

* Sat Feb  3 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.4
- Qt Embedded: Add QVfb and VNC support

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't segfault when running Qt/Embedded applications as root
- Improve the Qt/Embedded sparc patch so we don't need the specfile hacks
  anymore
- Fix a bug in QPrintDialog (causing KDE Bug #18608)

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- bzip2 source to save space
- Qt/Embedded 2.2.3
- Fix qte build on sparc

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %%post and %%postun for qt-Xt

* Sun Dec 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build with the Xrender extension
  (Patch from Keith Packard <keithp@keithp.com>)

* Wed Dec 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.3

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to fix permissions on doc dir
- Don't exclude ia64 anymore

* Fri Nov 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up uic (Patch from trolltech) 

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build qt-embedded
  changes to base: fix build, fix ISO C99 compliance, fix 64bit support

* Mon Nov 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.2

* Tue Oct 24 2000 Than Ngo <than@redhat.com>
- call ldconfig for updating (Bug #19687)
- added patch from Trolltech, thanks to Rainer <rms@trolltech.com>

* Wed Oct 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing msg2qm, msgmerge, qconfig tools (Bug #18997), introduced
  by broken Makefiles in base
- fix up %%install so it works both with old-style and new-style fileutils
  (fileutils <= 4.0z don't know about -L)

* Fri Oct 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Disable exception handling; this speeds up KDE 2.x and reduces its
  memory footprint by 20 MB.

* Tue Oct 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- dereference symlinks in include

* Sun Oct  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix -devel
- update to the new version of 2.2.1 on trolltech.com; the initial tarball
  contained broken docs

* Thu Oct  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.1

* Mon Sep 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing uic

* Thu Sep 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move Qt designer to a different source RPM to get rid of a
  circular dependency (kdelibs2->qt, qt->kdelibs2)
- Enable MNG support
- Don't compile (just include) examples and tutorials
- move the static libraries to a separate package (qt-static).
  They're HUGE, and most people won't ever need them.
- clean up spec file
- fix up dependencies (-devel requires base, -static requires devel,
  Xt requires base)
- add BuildRequires line

* Tue Sep 12 2000 Than Ngo <than@redhat.com>
- update release 2.2.0
- changed copyright to GPL
- added missing static libraries
- made symbolic link for designer to load the help files correct
- made designer and designer-kde2 as sub packages
- added missing templates for designer
- remove jakub patch, since the release 2.2.0 already 
  contains this patch.
- fixed qt again to compile with gcc-2.96
- use make -j for building

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around compiler bugs (Patch from Jakub)
- Use relative symlinks (Bug #16750)

* Mon Aug 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta2

* Mon Aug 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new qt-copy from KDE2 CVS

* Wed Aug 9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- official beta 1

* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- rebuilt against the libpng-1.0.8

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild (so we have it on all arches)

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move man pages to a more reasonable place (this fixes Bug #14126)
- exclude ia64 for now (compiler problems!!!)

* Mon Jul 24 2000 Harald Hoyer <harald@redhat.de>
- modified connect patch to fit qt 2.2.0 beta.

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current qt-copy; this is now a qt 2.2.0 beta.

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current qt-copy in kde CVS, required

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Harald Hoyer <harald@redhat.de>
- made patch smaller and binary compatible when recompiled with 6.2
- modified connect and moc to cope with the new g++ class layout

* Sun Jul 09 2000 Than Ngo <than@redhat.de>
- rebuilt qt with gcc-2.96-34

* Fri Jul 07 2000 Than Ngo <than@redhat.de>
- rebuilt qt with c++ 2.96

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix dependancies

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++ for now ** FIXME

* Wed Jun 28 2000 Preston Brown <pbrown@redhat.com>
- fix up qt.sh

* Sun Jun 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build in jpeg and threading support
- Fix a bug in clipboard pasting code

* Wed Jun 07 2000 Preston Brown <pbrown@redhat.com>
- fix qt.{sh,csh}
- use new rpm macro paths
- package man pages

* Fri Jun  2 2000 Bill Nottingham <notting@redhat.com>
- build without optimization on ia64

* Mon May 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.1

* Thu May 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- recompile with correct libstdc++

* Thu Apr 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.0 final

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta4
- depend on libGL.so.1 rather than Mesa - XFree86 4.0 provides that
  lib, too

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta3

* Tue Mar  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta2
- fix compilation of the NSPlugin add-on

* Fri Mar  3 2000 Bill Nottingham <notting@redhat.com>
- fix %postun script

* Fri Feb 18 2000 Bernhard Rosenkr?nzer <bero@redhat.com>
- beta1
- get rid of qt-ImageIO, the functionality is now in the main Qt library
- remove qt-Network, the functionality is now in the main Qt library
- add changes-2.1.0 to %doc

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- no refcount check on postun script, we want it to happen even on upgrades

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, should fix QWhatsThisButton
- remove executable permissions from *.pro files

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- strip binaries in examples, tutorial

* Mon Jan 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot - should fix the hotkey bug
- Fix up the Makefiles so it compiles

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot - we need those QVariant fixes

* Thu Jan 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- switch from glxMesa to Mesa for the GL addon

* Wed Jan 5 2000 Bernhard Rosenkr?nzer <bero@redhat.com>
- Fix up dependencies
- new snapshot

* Mon Jan 3 2000 Ngo Than <than@redhat.de>
- new snapshot for Red Hat Linux 6.2
- increase version number

* Mon Dec 20 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- handle RPM_OPT_FLAGS

* Mon Dec 13 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- -GL requires libGL.so.1 instead of Mesa (might as well be glxMesa
  or some commercial OpenGL)
- -GL BuildPrereqs /usr/X11R6/include/GL/gl.h instead of Mesa-devel
  (might as well be glxMesa or some commercial OpenGL)

* Sun Dec 05 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current RSYNC version
- remove compilation patch - it finally works out of the box

* Wed Oct 27 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current CVS snapshot
- build extensions
- add patch to fix QNetwork compilation

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- current CVS snapshot
- fix compilation with gcc 2.95.x
- use install -c rather than just install to make BSD install happy

* Mon Oct 11 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.1.0 snapshot (for KDE2)
- Fix typo in spec

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- don't ship tutorial or example binaries

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- substitution in tutorial and examples so that dependencies are correct and
  they can be successfully rebuilt.
- switched to completely using QTDIR.  trying to coexist with links into
  /usr/{include,lib} and still compile with qt 1.x is very hard for
  configure scripts to cope with.

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- implemented QTDIR compatibility.

* Tue Jul 20 1999 Preston Brown <pbrown@redhat.com>
- qt 2.0.1 packaged.

* Wed Jul 14 1999 Preston Brown <pbrown@redhat.com>
- Qt 2.00 packaged.
- examples, html documentation, tutorial moved to /usr/doc

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- static library supplied in dev package.

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- turn on internal GIF reading support

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- upgrade to qt 1.44.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- moved includes to /usr/include/qt

* Mon Jan 04 1999 Preston Brown <pbrown@redhat.com>
- made setup phase silent.

* Fri Dec 04 1998 Preston Brown <pbrown@redhat.com>
- upgraded to qt 1.42, released today.

* Tue Dec 01 1998 Preston Brown <pbrown@redhat.com>
- took Arnts RPM and made some minor changes for Red Hat.
