%global gitdate 20140410

Summary: Simple Ruby version management
Summary(ja): シンプルなRubyバージョン管理システム
Name: rbenv
Version: 0.4.0.%{gitdate}
Release: 1%{?_dist_release}
License: MIT
Group: Development/Tools
URL: https://github.com/sstephenson/rbenv
Source0: %{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Distribution: Vine Linux
Vendor: Project Vine
Packager: daisuke

%description
rbenv lets you easily switch between multiple versions of Ruby. It's
simple, unobtrusive, and follows the UNIX tradition of single-purpose
tools that do one thing well.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/rbenv
cp -a libexec completions %{buildroot}%{_datadir}/rbenv/

mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/rbenv/libexec/rbenv %{buildroot}%{_bindir}/rbenv
install -p bin/ruby-local-exec %{buildroot}%{_bindir}/ruby-local-exec

%post
echo You probably want to execute the following line to add rbenv to your shell
echo echo "'eval \"\$(rbenv init -)\"'" \>\> ~/.bash_profile

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}/rbenv
%{_bindir}/ruby-local-exec
%{_datadir}/rbenv

%changelog
* Thu Apr 10 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0.20140410-1
- update to upstream git master

* Tue Dec 03 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0.20131203-1
- update to upstream git master

* Mon Feb 25 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0.20130225-1
- update to upstream git master

* Mon Jan 21 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0.20130121-1
- update to upstream git master

* Sat Dec 15 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.0.20121215-1
- update to upstream git master

* Thu Dec 13 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.0.20121213-1
- update to upstream git master

* Fri Jun 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.0.20120423-1
- initial build for Vine Linux
