%define name rox-clib
%define oname ROX-CLib
%define dvlname %{name}-devel
%define libdir %{_prefix}/lib

Summary: Shared code for ROX applications
Name: %{name}
Version: 2.1.10
Release: 3%{?_dist_release}
Source0: http://www.kerofin.demon.co.uk/rox/%{oname}-%{version}.tar.gz
URL: http://www.kerofin.demon.co.uk/rox/libs.html#rox-clib2
Vendor:  Project Vine
Distribution:	Vine Linux

License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: gtk2-devel
BuildRequires: libxml2-devel
Requires: rox-filer

%description
ROX-CLib contains shared code which can be used by other ROX applications.
(it's written in C).

%description -l ja
ROX-CLib は ROX 用アプリケーションから使用可能な共有コードを含んだライブラ
リです。(それらは C で書かれています)

%package -n %{name}-%{version}
Group: System/Libraries
Summary: Shared library of ROX-Clib
Requires: %name >= %version-%release

%description -n %{name}-%{version}
ROX-CLib contains shared code which can be used by other ROX applications.
(it's written in C).

%description -n %{name}-%{version} -l ja
ROX-CLib は ROX 用アプリケーションから使用可能な共有コードを含んだライブラ
リです。(それらは C で書かれています)


%package -n %{dvlname}
Group: Development/C
Summary: Headers for the rox C library
Requires: %{dvlname} = %version-%release
Requires: rox-filer
Provides: librox-c-devel = %version-%release

%description -n %{dvlname}
ROX-CLib-devel is Headers for C library which can be used by other ROX applications.

%description -n %{dvlname} -l ja
ROX-CLib-devel は ROX 用アプリケーションから使用可能なライブラリ用ヘッダ集です。

%prep
%setup -q -n %oname
rm -rf .xvpics

%build
export CFLAGS="%optflags"
./AppRun --compile

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{libdir}
cd ..
cp -r %oname %{buildroot}%{libdir}
rm -rf %{buildroot}/%{libdir}/%oname/src
perl -pi -e "s/lib/%_lib/g" %{buildroot}%{libdir}/%oname/Linux-*/bin/rox_run
perl -pi -e "s!%{_builddir}/%oname/src/../!%{libdir}/%oname/!"  \
  %{buildroot}/%{libdir}/%oname/Linux-*/lib/librox-clib.la 

%clean
rm -rf %{buildroot}

%post -n %name -p /sbin/ldconfig
%postun -n %name -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{libdir}/%oname/Help
%dir %{libdir}/%oname
%{libdir}/%oname/App*
%{libdir}/%oname/.DirIcon
%dir %{libdir}/%oname/Linux*/
%{libdir}/%oname/Linux*/bin
%dir %{libdir}/%oname/Linux*/lib

%{libdir}/%oname/Linux*/lib/librox-clib.so.*

%files -n %{dvlname}
%defattr(-,root,root)
%{libdir}/%oname/Linux*/lib/librox-clib.a
%{libdir}/%oname/Linux*/lib/librox-clib.so
%{libdir}/%oname/Linux*/lib/librox-clib.la
%{libdir}/%oname/Linux*/lib/ROX-CLib.pc
%{libdir}/%oname/Linux*/include

%changelog
* Thu Dec 26 2013 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 2.1.10-3
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- rebuild with gcc-4.8

* Sun Jan 22 2012 TANAKA hiroaki <mosaicist@par.odn.ne.jp> 2.1.10-2
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- rebuild by rpm-4.8

* Sat Sep 12 2009 KATO Masashi <mkato@par.odn.ne.jp> 2.1.10-1
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- upstream update
- changed system directory to /usr/share/rox-filer

* Sun Aug  6 2006 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 2.1.8-0vl1, 2
- rebuild for new Requires rox-filer

* Sat Oct 15 2005 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 2.1.5-0vl1,2
- initial vine package
