Name: sagasu
Summary: GNOME tool to find strings in a set of files
Summary(ja): ファイル内の語句を検索するための GNOME ツール
Version: 2.0.12
Release: 2%{?_dist_release}
License: GPLv2+
Group: Applications/Text
Source: %{name}-%{version}.tar.gz
Patch0: fix_misc.patch
Patch1: fix_build.patch

URL: http://perso.b2b2c.ca/sarrazip/dev/sagasu.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: bison
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libgnomeui-devel >= 2.8.0
BuildRequires: libSM-devel
BuildRequires: perl
Requires: libgnomeui >= 2.8.0

%description
GNOME tool to find words in a set of files.
The user specifies the search directory and the set of files
to be searched.  Double-clicking on a search result launches a
user command that can for example load the file in an editor
at the appropriate line.  The search can optionally ignore
CVS directories.

%description -l ja
ファイル内の語句を検索するための GNOME ツールです。
ユーザーは検索するディレクトリとファイルの集合を指定します。
検索結果をダブルクリックするとユーザコマンドを起動し、
例えば、エディタを起動してエディタの適切な行にファイルを読み込むことが可能です。
検索はオプションで CVS ディレクトリを除外することができます。

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#./autogen.sh

%build
%configure --disable-dependency-tracking --prefix=/usr
make %{?_smp_mflags}

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install --vendor=""                          \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications   \
        --add-category="Utility"                         \
	--delete-original                                \
        $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
update-desktop-database > /dev/null 2>&1 || :

%postun
update-desktop-database > /dev/null 2>&1 || :

%clean
rm -fR $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
#%{_datadir}/sounds/%{name}
%{_datadir}/gnome/help/*/*/*
%{_mandir}/man?/*

%changelog
* Fri Mar 21 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.12-2
- rebuilt with new toolchain

* Fri Dec 14 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.12-1
- new upstream release
- fixed Patch0 a bit
- added Patch1 to fix build error

* Tue Feb 07 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.10-2
- added BuildRequires: libSM-devel

* Sat Jul 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.10-1
- initial build for VineSeed
