%define pkg_version 3.1.3
%define pkg_release 1%{?_dist_release}

Summary: A terminal emulator based on libvte.
Summary(ja): libvteベースの端末エミュレータ
Name: sakura
Version: %{pkg_version}
Release: %{pkg_release}

Source0: http://pleyades.net/david/projects/sakura/%{name}-%{version}.tar.bz2

Patch0: sakura-2.3.7-pod2man.patch

License: GPLv2
Group: User Interface/X
URL: http://pleyades.net/david/sakura.php

Requires: glib2 >= 2.14.0
Requires: gtk3 >= 3.0.0
Requires: vte3 >= 0.28
BuildRequires: glib2-devel >= 2.14.0
BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: vte3-devel >= 0.28
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Sakura is a terminal emulator based on GTK+ and VTE. It's a terminal emulator with few dependencies, so you don't need a full GNOME desktop installed to have a decent terminal emulator.

%description -l ja
Sakura は GTK+ 及び VTEベースの端末エミュレータです。依存性がわずかな端末エミュレータなので、きちんとした端末エミュレータを持つために完全なGNOMEデスクトップをインストールする必要はありません。

%prep
%setup -q
%patch0 -p1 -b .pod2man

%build
%cmake CMAKE_C_FLAGS=%{optflags} .
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

desktop-file-install --vendor ''			\
    --dir $RPM_BUILD_ROOT%{_datadir}/applications	\
    --remove-category=System				\
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS GPL
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/doc/*
%{_mandir}/man1/*


%changelog
* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.3-1
- new upstream release

* Wed Jul 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.0-1
- new upstream release

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.4-1
- new upstream release

* Sun Mar 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.3-1
- new upstream release

* Fri Mar 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.2-1
- new upstream release
- remove Patch1

* Sun Mar 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- change BuildRequires: vte3-devel instead of vte-devel
- add Patch1: sakura-3.0.0-CMakeLists.patch

* Tue Aug 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.2-1
- new upstream release
- delete Patch1

* Sun Jul 31 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.1-2
- add Patch1 (sakura-2.4.1-sakura_init.patch)
- add BuildRequires: desktop-file-utils

* Sun Jul 24 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.1-1
- new upstream release

* Fri Feb 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.0-1
- new upstream release

* Sat Apr 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.8-1
- new upstream release

* Sat Mar 13 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.7-1
- new upstream release
- change Patch0 for sakura-2.3.7

* Sat Jan 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.6-1
- initial build for Vine Linux

