Summary: Library for tracking application startup
Summary(ja): アプリケーションの起動を追跡するためのライブラリ
Name: startup-notification
Version: 0.12
Release: 3%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2
URL: http://www.freedesktop.org/software/startup-notification/

Source0: http://www.freedesktop.org/software/startup-notification/releases/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: xcb-util-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
This package contains libstartup-notification which implements a
startup notification protocol. Using this protocol a desktop
environment can track the launch of an application and provide
feedback such as a busy cursor, among other features.

%package devel
Summary: Development portions of startup-notification
Summary(ja): startup-notification の開発用ファイル
Group: Development/Libraries
Requires: startup-notification = %{version}
Requires: libX11-devel
Requires: pkgconfig

%description devel
Development files for libstartup-notification.

%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog 
%doc doc/startup-notification.txt
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-3
- rebuild with VineSeed environment

* Wed Jun 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-2
- rebuild with xcb-util-0.3.9

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-1
- new upstream release

* Wed Sep 22 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10-2
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10-1
- new upstream release
- add BuildRequires: xcb-util-devel

* Fri Feb 26 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9-3
- rebuilt with new toolchain

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9-2
- spec in utf-8
- remove static library
- add BuildRequires: libX11-devel, libXt-devel instead of XOrg-devel

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9-1
- applied new versioning policy
- moved %%configure from %%setup to %%build

* Mon Apr 30 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9-0vl1
- new upstream release

* Tue Aug 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8-0vl2
- add BuildRequires: XOrg-devel

* Fri Feb 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8-0vl1
- new upstream release

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7-0vl1
- new upstream release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4-0vl1
- build for Vine Linux

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


