%define ver 0.8
%define rel 1

Summary: a generic spam filter tool
Summary(ja): 汎用 spam フィルタツール
Name: sylfilter
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: BSD-like
Group: Applications/Internet
URL: http://sylpheed.sraoss.jp/sylfilter/
Source0: http://sylpheed.sraoss.jp/sylfilter/src/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel >= 2.0.0
BuildRequires: sqlite3-devel
BuildRequires: libsylph-devel

%description
This is SylFilter, a generic message filter library and command-line tools.
SylFilter provides a bayesian filter which is very popular as a spam filtering
algorithm. SylFilter is also internationalized and can be applied to any
languages.

SylFilter library provides simple but powerful C APIs and can be used from C
programs.

SylFilter command-line tool can be used as a junk filter program like major
tools such as bogofilter and bsfilter etc.

%description -l ja
SylFilter は汎用のメッセージフィルタライブラリとコマンドラインツールです。
SylFilter は spam フィルタのアルゴリズムとして広く使われているベイジアン
フィルタを提供します。 SylFilter は多言語に対応しており、任意の言語に適用できます。
C言語ネイティブで実装されているため、リソースの消費が少なく高速に動作します。

SylFilter ライブラリはシンプルかつ強力な C API を提供し、
C のプログラムから使用できます。ライブラリのユーザは提供されるフィルタと
オリジナルの自作フィルタを任意に組み合わせて使用できます。

SylFilter コマンドラインツールは、 bogofilter, bsfilter などの
よく知られるツールと同様に、迷惑メールフィルタプログラムとして使用できます。

%package devel
Summary: Development files for SylFilter library
Summary(ja): SylFilter ライブラリの開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libsylph-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use SylFilter library.

%description devel -l ja
%{name}-devel パッケージは、SylFilter ライブラリを使ったアプリケーションを
開発するためのライブラリとヘッダーファイルを含んでいます。

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%prep
%setup -q

%build
%configure --enable-shared --enable-sqlite --disable-rpath \
           --with-libsylph=standalone

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__rm} -f %{buildroot}%{_libdir}/libsylfilter.{a,la}

%check
make check

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/sylfilter
%{_libdir}/libsylfilter.so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libsylfilter.so
%{_includedir}/sylfilter

%changelog
* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.8-1
- update to 0.8

* Wed Dec 12 2012 IWAI, Masaharu <iwai@alib.jp> 0.7-1
- Initial build.

