%define pkg_version 0.64.1
%define pkg_release 1%{?_dist_release}

Summary:	Vector animation studio
Name:		synfigstudio
Version:	%{pkg_version}
Release:	%{pkg_release}

Source0:	%{name}-%{version}.tar.gz

License:	GPLv2
Group:		Applications/Graphics
URL:		http://www.synfig.org/cms/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	synfig-devel
BuildRequires:	gtkmm2-devel

Requires:	synfig

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
synfig is a vector based 2D animation package. It is designed to be
capable of producing feature-film quality animation. It eliminates the
need for tweening, preventing the need to hand-draw each frame. synfig
features spatial and temporal resolution independence (sharp and smooth
at any resolution or framerate), high dynamic range images, and a
flexible plugin system.

synfigstudio is the animation studio for synfig and provides the GUI
interface to create synfig animations which are saved in synfig .sif
or .sifz format.


%package devel
Summary:        Development files for synfigstudio
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the libraries and header files that are needed
for writing applications that are using synfigstudio.


%prep
%setup -q

%build
%configure \
	--disable-static

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%{__rm} -f $RPM_BUILD_ROOT%{_datadir}/mime/{XMLnamespaces,aliases,generic-icons,globs,globs2,icons,magic,mime.cache,subclasses,treemagic,types,version}

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database %{_datadir}/applications >& /dev/null || :

%postun 
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    update-mime-database %{_datadir}/mime &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database %{_datadir}/applications >& /dev/null ||:
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/synfigstudio
%{_libdir}/libsynfigapp.so.*
%{_datadir}/applications/synfigstudio.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/application/x-sif.xml
%{_datadir}/mime/packages/synfigstudio.xml
%{_datadir}/mime-info/synfigstudio.*
%{_datadir}/pixmaps/synfigstudio
%{_datadir}/pixmaps/sif_icon.png
%{_datadir}/pixmaps/synfig_icon.png
%{_datadir}/synfig/plugins/add-skeleton-simple
%{_datadir}/synfig/plugins/view-unhide-all-layers

%files devel
%defattr(-,root,root,-)
%{_includedir}/synfigapp-0.0
%{_libdir}/libsynfigapp.so


%changelog
* Sun Dec 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.64.1-1
- new upstream release

* Wed Aug 14 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.64.0-1
- new upstream release

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.63.05-1
- new upstream release

* Sat Mar 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.63.04-1
- new upstream release

* Sun Dec 25 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.63.03-1
- new upstream release

* Sat Oct 08 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.63.02-1
- initial build for Vine Linux

