## -*- coding: utf-8-unix -*-
%define jlisting_ver	0.2
%define bkmk2uni	convert-bkmk2uni

%define list_macros \
	jlisting-%{jlisting_ver}

Summary:	A collection of useful macro packages for TeX Live
Summary(ja):	TeX Live の便利なマクロパッケージ集
Name:		texlive-macros
Version:	2014
Release:	1%{?_dist_release}
License:	distributable
Group:		Applications/Publishing

## Vine Linux

## jlisting
Source20:	http://prdownloads.sourceforge.jp/mytexpert/26068/jlisting.sty.bz2

## misc
Source101: http://auemath.aichi-edu.ac.jp/~khotta/ghost/disk1/jtygm.sty
Source102: http://mirrors.ctan.org/obsolete/support/pdftexenc/cmex.enc

#Requires:	perl
Requires:	texlive-common = %{version}
BuildRequires:	texlive-vtlpkg = %{version}

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Obsoletes:	tetex-macros
Obsoletes:	pLaTeX2e_Macros

Distribution:	Vine Linux
Vendor:		Project Vine
Packager:	munepi


%description
A collection of useful macro packages for texlive package, including 
  jlisting 
  jtygm.sty
  cmex.enc 

# This package contained a perl script 
#   http://www.rmatsumoto.org/tex-ps-pdf/convert-euc.txt

%description -l ja
TeX Live の便利なマクロパッケージ集です。
以下のマクロを収録しています。
  jlisting 
  jtygm.sty
  cmex.enc 

# このパッケージには prosper, powerdot 用に 
# PDF ブックマークの文字化けを修正するための perl スクリプト
#   http://www.rmatsumoto.org/tex-ps-pdf/convert-euc.txt
# を同梱しています．

%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %__rm -rf $RPM_BUILD_ROOT

%build

%install
%__rm -rf %{buildroot}

# nkf --utf8 %{SOURCE25} | \
#     sed -e "s@^#!/usr/local/bin/perl5 -w@#!/usr/bin/perl -w@" > \
#     %{buildroot}%{_bindir}/%{bkmk2uni}
# chmod 755 %{buildroot}%{_bindir}/%{bkmk2uni}

## install jlisting
%__mkdir_p %{buildroot}%{_tl_texmfvine}/tex/latex/jlisting
%__install -m 644 %{SOURCE20} %{buildroot}%{_tl_texmfvine}/tex/latex/jlisting/
bunzip2 %{buildroot}%{_tl_texmfvine}/tex/latex/jlisting/jlisting.sty.bz2

## install jtygm.sty
%__mkdir_p %{buildroot}%{_tl_texmfvine}/tex/platex/base
%__install -m0644 %{SOURCE101} %{buildroot}%{_tl_texmfvine}/tex/platex/base/ || exit 1
## install cmex.enc
%__mkdir_p %{buildroot}%{_tl_texmfvine}/fonts/enc/pdftex/cmex
%__install -m0644 %{SOURCE102} %{buildroot}%{_tl_texmfvine}/fonts/enc/pdftex/cmex/ || exit 1

%post
%_tl_touch_run texhash
exit 0

%postun
if [ "$1" = 0 ]; then
   %_tl_touch_run texhash
fi
exit 0

%posttrans
%{_tl_exec_texhash}
exit 0

%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
#%{_bindir}/%{bkmk2uni}
%{_tl_texmfvine}/tex/latex/jlisting
%{_tl_texmfvine}/tex/platex/base/jtygm.sty
%{_tl_texmfvine}/fonts/enc/pdftex/cmex/cmex.enc

%changelog
* Sun May 25 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-1
- TeX Live 2014

* Mon Jan 13 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2013-3
- rebuilt

* Sun Nov  3 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-2
- s/%%{_tl_texmfmain}/%%{_tl_texmfvine}/g

* Fri Aug 23 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-1
- TeX Live 2013
- dropped jsclasses: texlive-collection-langcjk provides jsclasses
- dropped kanjifonts-3.1: obsolete

* Sat Nov 24 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2012-1
- TeX Live 2012

* Thu Feb  9 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2011-3
- move jlisting package to %%{texmf}/tex/latex/jlisting

* Thu Dec  1 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-2
- updated jsclasses to 110510
  - mistook to change %%jsclasses_ver at 2011-1

* Sun Nov 27 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-1
- TeX Live 2011
- updated jsclasses to 110510

* Fri Dec 31 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- dropped BuildRequires: jvf
- for vl5, added Conflicts: tetex-macros

* Tue Aug 10 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- removed %%{exec_updmap} in %%post and %%postun

* Mon May 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- ported from tetex-macros-3.0-7
- TeX Live 2009

* Mon Oct 12 2009 Munehiro Yamamoto <munepi@vinelinux.org> 3.0-7
- added BuildRequires: unzip
- updated jsclasses to 090826
- updated pict2e to 0.2x

* Sun May 17 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-6
- dropped epsbox.sty, eclepsf.sty 
  (bacause there style files for platex209 are obsolete)

* Fri May 15 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-5
- added jlisting v0.2
- defined list_macros
  - used %%{list_macros} in %%description and %%description -l ja

* Thu May 14 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-4
- dropped convert-euc.txt

* Sat May 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-3
- updated prosper
  - added some contrib themes from CTAN
  - added prosper.cls v1.6 from CVS HEAD
  - added a perl script: convert-euc.txt
- added powerdot v1.3
  - added xkeyval v2.5d
- added beamer v3.07
  - added pgf v2.00
- added pict2e v0.2w

* Sat May 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-2
- updated jsclasses to 20090222
- updated jsclasses/index.html to 2009-02-22
- removed /usr/share/texmf/dvips/config/extmap/morisawa.map (See [BTS:524])

* Wed Sep 03 2008 Shu KONNO <owa@bg.wakwak.com> 3.0-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 08 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl3
- update jsclasses/index.html to 2006-11-06.

* Fri May 19 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl2
- update jsclasses/index.html to 2006-02-12.

* Sun Nov 06 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl1
- update jsclasses/index.html to 2005-10-26.

* Sat Jun 18 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl0.1
- update jsclasses/index.html to 2005-4-30.
- added breqn

* Tue Jan 18 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 2.0-0vl7
- update jsclasses/index.html to 2004-12-29.

* Mon Jan 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl6
- add missing files in kanjifonts-3.0

* Sun Jan 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl6
- update to kanjifonts.sty-3.0.

* Mon Nov 29 2004 KOBAYASHI Taizo <tkoba@vinelinux.org> 2.0-0vl4
- update jsclasses/index.html to 2004-11-03.

* Sat Oct 16 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0vl3
- update jsclasses/index.html to 2004-09-27.

* Sat Apr 17 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0vl2
- update jsclasses/index.html to 2004-02-25.
- added eclepsf.sty.
- removed epsf.sty (symlink to epsbox.sty).
- removed geometry, which is in tetex-2.0.

* Fri Apr 18 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0vl1
- update jsclasses/index.html to 2003-04-18.
- added morisawa.dvi.

* Fri Mar 14 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0t2
- update jsclasses/index.html to 2003-03-06

* Mon Feb  3 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0t1
- remove natbib, which is in tetex-2.0
- let version number same as tetex
- added Requires: tetex

* Sat Jan 18 2003 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl9
- update jsclasses/index.html to 2003-01-16

* Mon Jan 13 2003 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl8
- update jsclasses to 2003-01-05
- update index.html to 2003-01-12

* Thu Nov 28 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl7
- update jsclasses and index.html to 2002-11-27

* Sun Nov 03 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl6
- update jsclasses and index.html to 2002-11-01

* Thu Oct 17 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl5
- oops, packager was incorrect

* Mon Jul 15 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl4
- update jsclasses to 2002-06-29
- update index.html to 2002-07-03

* Sun Apr 28 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl3
- update jsclasses to 2002-04-21
- update index.html to 2002-04-09

* Tue Apr 16 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.1-0vl2
- added MORISAWA basic 5 fonts

* Mon Mar 25 2002 Jun Nishii <jun@vinelinux.org> 1.1-0vl1
- update to kanjifonts-1.1

* Thu Feb 07 2002 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl11
- update jsclasses and index.html to 2002-02-07

* Thu Jan 31 2002 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl10
- update jsclasses and index.html to 2002-01-27
- fix typo in changelog

* Fri Jan 25 2002 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl9
- update jsclasses and index.html to 2002-01-18

* Tue Dec 18 2001 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl8
- update index.html (jsclasses)

* Sat Dec 15 2001 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl7
- update jsclasses to 2001-11-29

* Sun Sep 16 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.0-0vl6
- fixed spec file for Prosper and jsclasses
- use RPM macro in %files
- added BuildPrereq: jvf

* Mon Sep 10 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0-0vl5
- move revtex4 to texmacro-aps package

* Sun Sep  9 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0-0vl4
- added prosper jsclasses

* Thu Sep  6 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0-0vl3
- added revtex4 natbib

* Mon Sep  3 2001 Jun Nishii <jun@vinelinux.org> 1.0-0vl2
- remove prereq tetex to avoid dependency-loop

* Wed Aug  1 2001 Jun Nishii <jun@vinelinux.org>
- tetex-macros-1.0-0vl1

* Fri Jan 21 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-2
- added kanjifonts-1.0 and removed jisfontsmetric

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-1
- install ldf in babel

* Sat Jan  8 2000 Jun Nishii <jun@vinelinux.org>
- added jisfontmetric.tex

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- change group.

* Sun Oct 17 1999 Jun Nishii <jun@flatout.org>
- added babel

* Fri Aug 27 1999 Jun Nishii <jun@flatout.org>
- added hoekwater

* Tue Aug 3 1999 Jun Nishii <jun@flatout.org>
- added psfrag

* Mon Jun 21 1999 Jun Nishii <jun@flatout.org>
- added psnfss
- Change directory tree according to the suggestion by Dr.Okumura.
- remove many files from packages directory except documentations
- disable mktexlsr and erase ls-R

* Tue Feb 16 1999 Jun Nishii <jun@flatout.org>
- added url.sty

* Thu Dec 3 1998 Jun Nishii <jun@flatout.org>
- pLaTeX2e_Macros-1-2
- added fancyhdr.sty, boxedminipage.sty
- added graphics.cfg, color.cfg (use dvips as default)
- symlink from epsbox to epsf

* Mon Nov 9 1998 Jun Nishii <jun@flatout.org>
- pLaTeX2e_Macros-1-1
  (rename as pLaTeX2e_Macros from pLaTeX-Classes)
- added def files of graphics
- added tools and hyperref
- check the existence of mktexlsr

* Mon Oct 5 1998 Jun Nishii <jun@flatout.org>
- buildarch: noarch
- added requires

* Tue Sep 29 1998 Jun Nishii <jun@flatout.org>
- tiny bug fix and add %defattr

* Wed Sep 23 1998 Jun Nishii <jun@flatout.org>
- first version fo platex-19980901
