# Review at https://bugzilla.redhat.com/show_bug.cgi?id=660159

%global minorversion 1.2

Name:           thunar-vfs
Summary:        Virtual filesystem shipped with Thunar 1.0 and earlier releases
Version:        1.2.0
Release:        6%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://thunar.xfce.org

Source0:        http://archive.xfce.org/src/xfce/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  dbus-glib-devel >= 0.34
BuildRequires:  desktop-file-utils
BuildRequires:  freetype2-devel
BuildRequires:  gamin-devel 
BuildRequires:  GConf2-devel >= 2.4.0
BuildRequires:  gettext
BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  intltool
BuildRequires:  libexo-devel >= 0.6.0
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  pkgconfig
BuildRequires:  startup-notification-devel >= 0.4
Conflicts:      Thunar < 1.1.0

Vendor: Project Vine
Distribution: Vine Linux

%description
This package contains the virtual filesystem shipped with Thunar 1.0 and earlier
releases. It provides compatibility for applications that still use thunar-vfs 
while Thunar was ported to GVFS.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel >= 2.12.0
Requires:       libexo-devel >= 0.6.0

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static --enable-gtk-doc --with-volume-manager=none
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

# remove duplicate docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%check
make tests


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README 
%doc docs/ThumbnailersCacheFormat.txt docs/README.volumes
%{_libdir}/*.so.*
%{_libdir}/thunar-vfs-*/
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/thunar-vfs-font-thumbnailer-1.desktop

%files devel
%defattr(-,root,root,-)
%doc HACKING TODO
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/thunar-vfs-*.pc

%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.2.0-6
- rebuild with VineSeed environment

* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.2.0-5
- rebuild with Xfce-4.10.0

* Sat Jan 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.2.0-4
- remove BuildRequires: hal-devel

* Tue Mar 29 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.2.0-3
- Initial build for Vine Linux

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 16 2011 Kevin Fenzi <kevin@tummy.com> - 1.2.0-1
- Update to 1.2.0

* Mon Nov 08 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.1-1
- Initial package
