# do not include minor version number in MOZILLA_FIVE_HOME
%define tbmajor 24.5.0
#%define tbversion %{tbmajor}.10
%define tbversion %{tbmajor}
%define tbrelease 1%{?_dist_release}

# The tarball is pretty inconsistent with directory structure.
# Sometimes there is a top level directory.  That goes here.
#
# IMPORTANT: If there is no top level directory, this should be 
# set to the cwd, ie: '.'
#%define tarballdir .
%define tarballdir comm-esr24

%define mozappdir %{_libdir}/%{name}-%{version_internal}
%define moz_objdir objdir-tb
%define version_internal %{tbmajor}
%define thunderbird_app_id \{3550f703-e582-4d05-9a08-453d09bdfdc6\} 

%define desktop_file_utils_version 0.6
%define nspr_version 4.9
%define nss_version 3.13.2
%define cairo_version 1.6.0
%define freetype_version 2.1.9
%define sqlite_version 3.6.14
%define libnotify_version 0.4

%define build_vine7 0
%define build_vine6 0

%if "%{?_dist_release}" >= "vl7"
%define build_vine7 1
%endif
%if "%{?_dist_release}" == "vl6"
%define build_vine6 1
%endif

Summary:	Thunderbird Community Edition, Mail/newsgroup client
Summary(ja):	Thunderbirdコミュニティエディション, メール・ニュースクライアント
Name:		thunderbird
Version:	%{tbversion}
Release:	%{tbrelease}
URL:		http://www.mozilla.org/projects/thunderbird/
License:	MPL
Group:		Applications/Internet

Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{tbversion}/source/thunderbird-%{version}.source.tar.bz2
Source1:	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{tbversion}/linux-x86_64/xpi/ja.xpi
Source1010:	mozconfig-thunderbird-vine6
Source1020:	mozconfig-thunderbird-vine7
Source12:	thunderbird-vine-default-prefs.js
Source20:	thunderbird.desktop
Source21:	thunderbird.vine.sh.in
Source30:	thunderbird-open-browser.sh
Source40:	thunderbird-unofficial-brandig-tb-brand.properties
Source41:	thunderbird-unofficial-brandig-tb-brand.dtd
Source42:	thunderbird-unofficial-brandig-tb-ja-brand.properties
Source43:	thunderbird-unofficial-brandig-tb-ja-brand.dtd
Source100:	find-external-requires

# locale sources
#%define MOZ_BUILD_LOCALES "ja"
# get from mercurial repository with command, 
# mkdir l10n
# hg clone http://hg.mozilla.org/releases/l10n-mozilla-1.9.2/ja l10n/ja
#Source1000:     thunderbird-%{tbversion}-ja.tar.bz2


# upstream patch

# Fix for version issues
Patch0:         thunderbird-version.patch

# customization patches
Patch1:		firefox-1.5-default-a4-paper.patch


# Linux specific
Patch100:	thunderbird-9.0-enable-addons.patch

# Vine Patch
Patch2000:	thunderbird-24.0-vine6.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	pango-devel
BuildRequires:	cairo-devel >= %{cairo_version}
%if %{build_vine7}
#BuildRequires:	nspr-devel >= %{nspr_version}
#BuildRequires:	nss-devel >= %{nss_version}
BuildRequires:	python-devel
%endif
%if %{build_vine6}
BuildRequires:	python27-devel
%endif
BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	pixman-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	gtk2-devel
BuildRequires:	zlib-devel, gzip, zip, unzip
BuildRequires:	libIDL-devel
BuildRequires:	freetype2-devel >= %{freetype_version}
## disabled libnotify support
## see related bug: https://bugzilla.mozilla.org/show_bug.cgi?id=478463
BuildRequires:  libnotify-devel >= %{libnotify_version}
BuildRequires:	bzip2-devel
#BuildRequires:	gnome-vfs2-devel
BuildRequires:  libgnome-devel
#BuildRequires:  libgnomeui-devel
BuildRequires:	krb5-devel
BuildRequires:	pango-devel
BuildRequires:	libXt-devel
BuildRequires:	libXrender-devel
BuildRequires:	curl-devel
# hunspell is in plus category for vine
#BuildRequires:	hunspell-devel
%if %{build_vine7}
BuildRequires:	sqlite3-devel >= %{sqlite_version}
%endif
BuildRequires:	startup-notification-devel
BuildRequires:	desktop-file-utils
BuildRequires:	alsa-lib-devel
BuildRequires:	yasm
BuildRequires:	autoconf213
%if %{build_vine7}
Requires:	sqlite3 >= %{sqlite_version}
%endif
Requires(post):		desktop-file-utils >= %{desktop_file_utils_version}
Requires(postun):	desktop-file-utils >= %{desktop_file_utils_version}

Obsoletes:	MozillaThunderbird
Provides:	MozillaThunderbird = %{version}

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	daisuke, ryoichi, kazutaka, Takemikaduchi

AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

%description
Thunderbird is a standalone mail and newsgroup client.

%description -l ja
Thunderbird はスタンドアローンのメールおよびニュースクライアントです。

#===============================================================================

%prep
%setup -q %{name}-%{version} -c
cd %{tarballdir}

# Fix for version issue
sed -e 's/__RPM_VERSION_INTERNAL__/%{version_internal}/' %{P:%%PATCH0} \
    > version.patch
%{__patch} -p1 -b --suffix .version --fuzz=0 < version.patch

cd mozilla
%patch1 -p1 -b .default-a4

cd -
%{__rm} -f .mozconfig
%if %{build_vine6}
%{__cp} %{SOURCE1010} .mozconfig
%endif
%if %{build_vine7}
%{__cp} %{SOURCE1020} .mozconfig
%endif

# setup unofficial branding name
%{__cp} %{SOURCE40} mail/branding/aurora/locales/en-US/brand.properties
%{__cp} %{SOURCE41} mail/branding/aurora/locales/en-US/brand.dtd

%patch100 -p1 -b .addons
%if %{build_vine6}
%patch2000 -p1 -b .vine
%endif

#===============================================================================

%build
cd %{tarballdir}
autoconf-2.13

INTERNAL_GECKO=%{version_internal}
MOZ_APP_DIR=%{mozappdir}


#%if %{build_vine7}
#MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %__sed -e 's/-Wall//')
#%else
#%ifarch x86_64
##MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %__sed -e 's/-O2/-Os/' -e 's/-Wall//')
#MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %__sed -e 's/-O2//' -e 's/-Wall//')
#%else
#MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %__sed -e 's/-Wall//')
#%endif
#%endif

MOZ_OPT_FLAGS=$(echo "$RPM_OPT_FLAGS" | \
				%{__sed} -e 's/-Wall//')
export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS
export CFLAGS="$RPM_OPT_FLAGS"
#export CFLAGS=""
export CXXFLAGS="$CFLAGS"
export MOZ_APP_DISPLAYNAME="Tb for Vine Linux"

export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

MOZ_SMP_FLAGS=-j1
# On x86 architectures, Mozilla can build up to 4 jobs at once in parallel,
# however builds tend to fail on other arches when building in parallel.
%ifarch %{ix86} x86_64
[ -z "$RPM_BUILD_NCPUS" ] && \
     RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
[ "$RPM_BUILD_NCPUS" -ge 2 ] && MOZ_SMP_FLAGS=-j2
[ "$RPM_BUILD_NCPUS" -ge 4 ] && MOZ_SMP_FLAGS=-j4
[ "$RPM_BUILD_NCPUS" -ge 8 ] && MOZ_SMP_FLAGS=-j8
 %endif

export LDFLAGS="-Wl,-rpath,%{ffdir}"
%__make -f client.mk build STRIP="/bin/true" \
                           MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS"

## build locales
#LOCALEDIRS=`find . -print | grep 'locales/Makefile$' | \
#            sed -e 's|\./\(.*\)/locales/.*|\1|g'`
#for dir in $LOCALEDIRS
#do
#  for lang in %{MOZ_BUILD_LOCALES} ; do
#    make -C $dir/locales AB_CD=$lang
#  done
#done

#===============================================================================

%install
%{__rm} -rf $RPM_BUILD_ROOT
cd %{tarballdir}

INTERNAL_GECKO=%{version_internal}

INTERNAL_APP_NAME=%{name}-${INTERNAL_GECKO}
MOZ_APP_DIR=%{_libdir}/${INTERNAL_APP_NAME}

cd %{moz_objdir}
DESTDIR=$RPM_BUILD_ROOT make install

# install unofficial icons
cd -

%{__mkdir_p} $RPM_BUILD_ROOT%{mozappdir}/icons
%{__cp} mail/branding/aurora/mailicon16.png \
        $RPM_BUILD_ROOT/%{mozappdir}/icons/
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
%{__cp} mail/branding/aurora/mailicon16.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps
%{__cp} mail/branding/aurora/mailicon22.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
%{__cp} mail/branding/aurora/mailicon24.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
%{__cp} mail/branding/aurora/mailicon32.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
%{__cp} mail/branding/aurora/mailicon48.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/thunderbird.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/256x256/apps
%{__cp} mail/branding/aurora/mailicon256.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/256x256/apps/thunderbird.png

desktop-file-install --vendor vine \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE20}

# set up the thunderbird start script
rm -f $RPM_BUILD_ROOT/%{_bindir}/thunderbird
%{__cat} %{SOURCE21} | %{__sed} -e 's,TBDIR,%{mozappdir},g' > \
  $RPM_BUILD_ROOT%{_bindir}/thunderbird
%{__chmod} 755 $RPM_BUILD_ROOT/%{_bindir}/thunderbird

install -Dm755 %{SOURCE30} $RPM_BUILD_ROOT/%{mozappdir}/open-browser.sh
%{__sed} -i -e 's|LIBDIR|%{_libdir}|g' $RPM_BUILD_ROOT/%{mozappdir}/open-browser.sh

%{__cat} %{SOURCE12} | %{__sed} -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g' \
                                -e 's,COMMAND,%{mozappdir}/open-browser.sh,g' > \
        $RPM_BUILD_ROOT/vine-default-prefs
%{__install} -D $RPM_BUILD_ROOT/vine-default-prefs $RPM_BUILD_ROOT/%{mozappdir}/greprefs/all-vine.js
%{__install} -D $RPM_BUILD_ROOT/vine-default-prefs $RPM_BUILD_ROOT/%{mozappdir}/defaults/pref/all-vine.js
%{__rm} $RPM_BUILD_ROOT/vine-default-prefs

%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/thunderbird-config

# own mozilla plugin dir (#135050)
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# own extension directories
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/%{thunderbird_app_id}
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{thunderbird_app_id}

# install locales
#for lang in %{MOZ_BUILD_LOCALES} ; do
#  %{__install} -p -D -m 664 %{moz_objdir}/objdir-tb/mozilla/dist/bin/chrome/$lang.{jar,manifest} $RPM_BUILD_ROOT%{mozappdir}/chrome/
#done

# install ja.xpi to langpacks directory
#%{__mkdir_p} $RPM_BUILD_ROOT/%{mozappdir}/langpacks/langpack-ja@thunderbird.mozilla.org
#unzip %{SOURCE1} -d $RPM_BUILD_ROOT/%{mozappdir}/langpacks/langpack-ja@thunderbird.mozilla.org
# also setup unofficial branding name
#%{__cp} %{SOURCE42} $RPM_BUILD_ROOT/%{mozappdir}/langpacks/langpack-ja@thunderbird.mozilla.org/chrome/ja/locale/ja/branding/brand.properties
#%{__cp} %{SOURCE43} $RPM_BUILD_ROOT/%{mozappdir}/langpacks/langpack-ja@thunderbird.mozilla.org/chrome/ja/locale/ja/branding/brand.dtd

# install ja.xpi to langpack file
%{__mkdir_p} lang_tmp
unzip %{SOURCE1} -d lang_tmp
# also setup unofficial branding name
%{__cp} %{SOURCE42} lang_tmp/chrome/ja/locale/ja/branding/brand.properties
%{__cp} %{SOURCE43} lang_tmp/chrome/ja/locale/ja/branding/brand.dtd

%{__mkdir_p} $RPM_BUILD_ROOT/%{mozappdir}/langpacks
cd lang_tmp; \
zip -r $RPM_BUILD_ROOT%{mozappdir}/langpacks/langpack-ja@thunderbird.mozilla.org.xpi chrome chrome.manifest install.rdf


%clean
%{__rm} -rf $RPM_BUILD_ROOT

#===============================================================================

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/thunderbird
%attr(644,root,root) %{_datadir}/applications/vine-thunderbird.desktop
%{_datadir}/icons/hicolor/16x16/apps/thunderbird.png
%{_datadir}/icons/hicolor/22x22/apps/thunderbird.png
%{_datadir}/icons/hicolor/24x24/apps/thunderbird.png
%{_datadir}/icons/hicolor/256x256/apps/thunderbird.png
%{_datadir}/icons/hicolor/32x32/apps/thunderbird.png
%{_datadir}/icons/hicolor/48x48/apps/thunderbird.png
%{mozappdir}
#%{_libdir}/mozilla
%exclude %{_libdir}/%{name}-%{version_internal}/removed-files
%exclude %{_datadir}/idl/%{name}-%{version_internal}
%exclude %{_includedir}/%{name}-%{version_internal}
%exclude %{_libdir}/%{name}-devel-%{version_internal}

#===============================================================================

%changelog
* Sat May 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 24.5.0-1
- new upstream release

* Sun Mar 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 24.4.0-1
- new upstream release

* Fri Feb 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 24.3.0-1
- new upstream release

* Sat Jan 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 24.2.0-1
- new upstream release

* Sun Dec 01 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 24.1.1-1
- new upstream release

* Tue Nov 12 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 24.1.0-1
- new upstream release

* Sat Sep 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 24.0-1
- new upstream release
- remove BuildRequires: nspr-devel, nss-devel
- add BuildRequires: gstreamer-devel, gstreamer-plugins-base-devel
- add Patch2000 (thunderbird-24.0-vine6.patch)

* Tue Aug 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0.8-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0.7-1
- new upstream release

* Sun May 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0.6-1
- new upstream release

* Wed Mar 20 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0.4-1
- new upstream release

* Sat Mar 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0.3-1
- new upstream release

* Wed Jan 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0.2-1
- new upstream release
- update Source1010,1020
- fix %% build

* Wed Nov 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 17.0-1
- new upstream release

* Sun Nov 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 16.0.2-2
- use --disable-install-strip instead of --enable-install-strip
- add --disable-debug-symbols

* Tue Oct 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 16.0.2-1
- new upstream release

* Fri Oct 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 16.0.1-1
- new upstream release

* Thu Oct 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 16.0-1
- new upstream release

* Tue Oct 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 15.0.1-2
- use --enable-optimize instead of --enable-optimize="\$RPM_OPT_FLAGS"

* Sun Sep 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 15.0.1-1
- new upstream release

* Wed Aug 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 15.0-1
- new upstream release
- add BuildRequires: python-devel (Vine6 only)
- remove build rule of Vine5

* Wed Jul 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 14.0-1
- new upstream release
- remove Patch2	(thunderbird-13.0-buildfix-nspr.patch)

* Sat Jun 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 13.0.1-1
- new upstream release

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 13.0-1
- new upstream release
- add Patch2 (thunderbird-13.0-buildfix-nspr.patch)

* Tue May 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.0.1-1
- new upstream release

* Sat Apr 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.0-1
- new upstream release
- update Source1030 (mozconfig-thunderbird-vine7)

* Sun Mar 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 11.0-1
- new upstream release
- update Source1020 (mozconfig-thunderbird-vine6)

* Fri Feb 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 10.0.2-1
- new upstream release

* Mon Feb 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 10.0.1-1
- new upstream release

* Wed Feb 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 10.0-1
- new upstream release

* Sat Dec 24 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 9.0.1-1
- new upstream release
- update Source1

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 9.0-1
- new upstream release
- update Source1
- add Source1030 (mozconfig-thunderbird-vine7)
- add Patch100 (thunderbird-9.0-enable-addons.patch)

* Thu Nov 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 8.0-2
- fix %%version_internal

* Wed Nov 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 8.0-1
- new upstream release
- update Source1

* Sat Oct 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.0.1-1
- new upstream release
- update Source1,21,1010,1020

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.0-3
- rebuild with libnotify-0.7

* Wed Jul 20 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 5.0-2
- enable-install-strip 

* Wed Jul 06 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 5.0-1
- new upstream release
- drop obsolete patch and renumber patch26 to patch1 
- add BuildRequires: yasm
- enable libnotify support
- add --disable-updater and --disable-installer to mozconfig
- use ja.xpi instead of l10n source
- update Source21: add step to setup langpack plugin
- update Source20: add japanese translation
- add Source42 & Source43 for localized branding
- add --disable-system-cairo and ac_add_options --disable-libjpeg-turbo
  for mozconfig-thunderbird-vine5

* Mon May 16 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.10-1
- new upstream release with security fix

* Wed Dec 22 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.7-1
- new upstream release with security fix

* Fri Oct 29 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.6-1
- new upstream release with security fix

* Thu Oct 21 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.5-1
- new upstream release with security fix
- add patch5 to fix build failure

* Sun Sep 19 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.4-1
- new upstream release

* Thu Sep 09 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.3-1
- new upstream release with security fix
- add Patch1030 to fix compilation error 

* Sat Aug 07 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.2-2
- change mozconfig (Source1030 & 1040): add --enable-jsd

* Fri Aug 06 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.2-1
- new upstream release

* Wed Jul 21 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1.1-1
- new upstream release with security fix
- add Patch0 from fedora development: fix version issue
- remove BuildRequires: hunspell-devel
- update mozconfig (Source1030 & Source1040): set --disable-system-hunspell

* Sat Jul 03 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1-2
- add BuildRequires: alsa-lib-devel
- remove BuildRequires: libnotify-devel
  (workaround for known bug)
- update mozconfig to add --disable-libnotify option

* Tue Jun 29 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.1-1
- new upstream release
- update spec entirely
- import patches from fedora (Patch1, 2 & 4)
- drop outdated patches (Patch22, 24)
- update Sources:
  - mozconfig (Source1030 & Source1040)
  - default prefs.js (Source12)
  - unofficial branding (Source40 & Source41)
  - japanese translation (Source1000)
- update Patch1000 (sjis-alias)

* Mon Aug 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.23-1
- new upstream release

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.22-1
- new upstream release

* Wed May 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.21-3
- don't install official branding logos

* Mon May 04 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.0.21-2
- add necessary icons in %%{tbdir}/chrome/icons/default
- add Packager tag

* Fri Mar 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.0.21-1
- new upstream release

* Sun Jan 25 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.0.19-1
- new upstream release

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0.18-1
- new upstream release

* Wed Apr 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.14-1
- new upstream release

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0.6-0vl2
- rebuilt for VineSeed

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0.6-0vl1
- new upstream release

* Sat Jul 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0.5-0vl1
- new upstream release
- built for Vine Linux 4.x
- dropped Patch1020 (merged into upstream)

* Sun May 20 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.0.0-0vl4
- added Patch1020 for workaround gcc visibility hidden bugs

* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.0-0vl3
- build with new environment/toolchain
- add build options to build with external nss/nspr libraries
    ac_add_options --with-system-nspr
    ac_add_options --with-system-nss

* Mon Apr 23 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.0-0vl2
- new upstream release

* Mon Oct 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.7-0vl2
- new upstream release

* Fri Jul 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.5-0vl2
- new upstream release

* Fri Jun 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.4-0vl1
- new upstream release

* Fri Apr 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.2-0vl1
- new upstream release
- merge changes from firefox
  - use thunderbird-1.5 for MOZILLA_FIVE_HOME instead of thunderbird-1.5.0.2

* Tue Mar 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl2
- new upstream release
- build en-US locale
- merge changes from firefox
  - add upstream patches
  - disable pango rendering by default
    (workaround fix slow rendering in some page)

* Thu Dec 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl0.rc2
- initial build for Vine Linux based on FC package
- update to 1.5RC2

* Mon Nov 28 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.1.rc1
- Fix issue with popup dialogs and other actions causing lockups

* Sat Nov  5 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.rc1
- Update to 1.5 rc1

* Sat Oct  8 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.beta2
- Update to 1.5 beta2

* Wed Sep 28 2005 Christopher Aillon <caillon@redhat.com> 1.5-0.5.0.beta1
- Update to 1.5 beta1
- Bring the install phase of the spec file up to speed

* Sun Aug 14 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-4
- Rebuild

* Sat Aug  6 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-3
- Add patch to make file chooser dialog modal

* Fri Jul 22 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-2
- Update to 1.0.6

* Mon Jul 18 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-0.1.fc5
- 1.0.6 Release Candidate

* Fri Jul 15 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-8
- Use system NSPR
- Fix crash on 64bit platforms (#160330)

* Thu Jun 23 2005 Kristian H淡gsberg <krh@redhat.com>  1.0.2-7
- Add firefox-1.0-pango-cairo.patch to get rid of the last few Xft
  references, fixing the "no fonts" problem.

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-6
- Change the Exec line in the desktop file to `thunderbird`

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-5
- Update pango patche, MOZ_DISABLE_PANGO now works as advertised.

* Mon May  9 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-4
- Add temporary workaround to not create files in the user's $HOME (#149664)

* Wed May  4 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-3
- Don't have downloads "disappear" when downloading to desktop (#139015)
- Fix for some more cursor issues in textareas (149991, 150002, 152089)
- Add upstream patch to fix bidi justification of pango
- Add patch to fix launching of helper applications
- Add patch to properly link against libgfxshared_s.a
- Fix multilib conflicts

* Wed Apr 27 2005 Warren Togami <wtogami@redhat.com>
- correct confusing PANGO vars in startup script

* Wed Mar 23 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-1
- Thunderbird 1.0.2

* Tue Mar  8 2005 Christopher Aillon <caillon@redhat.com> 1.0-5
- Add patch to compile against new fortified glibc macros

* Sat Mar  5 2005 Christopher Aillon <caillon@redhat.com> 1.0-4
- Rebuild against GCC 4.0
- Add execshield patches
- Minor specfile cleanup

* Mon Dec 20 2004 Christopher Aillon <caillon@redhat.com> 1.0-3
- Rebuild

* Thu Dec 16 2004 Christopher Aillon <caillon@redhat.com> 1.0-2
- Add RPM version to useragent

* Thu Dec 16 2004 Christopher Blizzard <blizzard@redhat.com>
- Port over pango patches from firefox

* Wed Dec  8 2004 Christopher Aillon <caillon@redhat.com> 1.0-1
- Thunderbird 1.0

* Mon Dec  6 2004 Christopher Aillon <caillon@redhat.com> 1.0-0.rc1.1
- Fix advanced prefs

* Fri Dec  3 2004 Christopher Aillon <caillon@redhat.com>
- Make this run on s390(x) now for real

* Wed Dec  1 2004 Christopher Aillon <caillon@redhat.com> 1.0-0.rc1.0
- Update to 1.0 rc1

* Fri Nov 19 2004 Christopher Aillon <caillon@redhat.com>
- Add patches to build and run on s390(x)

* Thu Nov 11 2004 Christopher Aillon <caillon@redhat.com> 0.9.0-2
- Rebuild to fix file chooser

* Fri Nov  5 2004 Christopher Aillon <caillon@redhat.com> 0.9.0-1
- Update to 0.9

* Fri Oct 22 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-10
- Prevent inlining of stack direction detection (#135255)

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-9
- More file chooser fixes (same as in firefox)
- Fix for upstream 28327.

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-8
- Update the pango patch

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-8
- Pull over patches from firefox build:
  - disable default application dialog
  - don't include software update since it doesn't work
  - make external app support work

* Thu Oct 14 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-7
- Use pango for rendering

* Tue Oct 12 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-6
- Fix for 64 bit crash at startup (b.m.o #256603)

* Sat Oct  9 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-5
- Add patches to fix xremote (#135036)

* Fri Oct  8 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-4
- Add patch to fix button focus issues (#133507)
- Add patch for fix IMAP race issues (bmo #246439)

* Fri Oct  1 2004 Bill Nottingham <notting@redhat.com> 0.8.0-3
- filter out library Provides: and internal Requires:

* Tue Sep 28 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-2
- Backport the GTK+ File Chooser.
- Add fix for JS math on x86_64 systems
- Add pkgconfig patch

* Thu Sep 16 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-1
- Update to 0.8.0
- Remove enigmail
- Update BuildRequires
- Remove gcc34 and extension manager patches -- they are upstreamed.
- Fix for gnome-vfs2 error at component registration

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0.7.3-5
- Build with --disable-xprint

* Wed Sep 01 2004 David Hill <djh[at]ii.net> 0.7.3-4
- remove all Xvfb-related hacks

* Wed Sep 01 2004 Warren Togami <wtogami@redhat.com> 
- actually apply psfonts
- add mozilla gnome-uriloader patch to prevent build failure

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0.7.3-3
- rawhide import
- apply NetBSD's freetype 2.1.8 patch
- apply psfonts patch
- remove BR on /usr/bin/ex, breaks beehive

* Tue Aug 31 2004 David Hill <djh[at]ii.net> 0.7.3-0.fdr.2
- oops, fix %%install

* Thu Aug 26 2004 David Hill <djh[at]ii.net> 0.7.3-0.fdr.1
- update to Thunderbird 0.7.3 and Enigmail 0.85.0
- remove XUL.mfasl on startup, add Debian enigmail patches
- add Xvfb hack for -install-global-extension

* Wed Jul 14 2004 David Hill <djh[at]ii.net> 0.7.2-0.fdr.0
- update to 0.7.2, just because it's there
- update gcc-3.4 patch (Kaj Niemi)
- add EM registration patch and remove instdir hack

* Sun Jul 04 2004 David Hill <djh[at]ii.net> 0.7.1-0.fdr.1
- re-add Enigmime 1.0.7, omit Enigmail until the Mozilla EM problems are fixed

* Wed Jun 30 2004 David Hill <djh[at]ii.net> 0.7.1-0.fdr.0
- update to 0.7.1
- remove Enigmail

* Mon Jun 28 2004 David Hill <djh[at]ii.net> 0.7-0.fdr.1
- re-enable Enigmail 0.84.1
- add gcc-3.4 patch (Kaj Niemi)
- use official branding (with permission)

* Fri Jun 18 2004 David Hill <djh[at]ii.net> 0.7-0.fdr.0
- update to 0.7
- temporarily disable Enigmail 0.84.1, make ftp links work (#1634)
- specify libdir, change BR for apt (V. Skytt辰, #1617)

* Tue May 18 2004 Warren Togami <wtogami@redhat.com> 0.6-0.fdr.5
- temporary workaround for enigmail skin "modern" bug

* Mon May 10 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.4
- update to Enigmail 0.84.0 
- update launch script

* Mon May 10 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.3
- installation directory now versioned
- allow root to run the program (for installing extensions)
- remove unnecessary %%pre and %%post
- remove separators, update mozconfig and launch script (M. Schwendt, #1460)

* Wed May 05 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.2
- include Enigmail, re-add release notes
- delete %{_libdir}/thunderbird in %%pre

* Mon May 03 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.1
- update to Thunderbird 0.6

* Fri Apr 30 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.0.rc1
- update to Thunderbird 0.6 RC1
- add new icon, remove release notes

* Thu Apr 15 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.0.20040415
- update to latest CVS, update mozconfig and %%build accordingly
- update to Enigmail 0.83.6
- remove x-remote and x86_64 patches
- build with -Os

* Thu Apr 15 2004 David Hill <djh[at]ii.net> 0.5-0.fdr.12
- update x-remote patch
- more startup script fixes

* Tue Apr 06 2004 David Hill <djh[at]ii.net> 0:0.5-0.fdr.11
- startup script fixes, and a minor cleanup

* Sun Apr 04 2004 Warren Togami <wtogami@redhat.com> 0:0.5-0.fdr.10
- Minor cleanups

* Sun Apr 04 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.8
- minor improvements to open-browser.sh and startup script
- update to latest version of Blizzard's x-remote patch

* Thu Mar 25 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.7
- update open-browser.sh, startup script, and BuildRequires

* Sun Mar 14 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.6
- update open-browser script, modify BuildRequires (Warren)
- add Blizzard's x-remote patch
- initial attempt at x-remote-enabled startup script

* Sun Mar 07 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.5
- refuse to run with excessive privileges

* Fri Feb 27 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.4
- add Mozilla x86_64 patch (Oliver Sontag)
- Enigmail source filenames now include the version
- modify BuildRoot

* Thu Feb 26 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.3
- use the updated official tarball

* Wed Feb 18 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.2
- fix %%prep script

* Mon Feb 16 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.1
- update Enigmail to 0.83.3
- use official source tarball (after removing the CRLFs)
- package renamed to thunderbird

* Mon Feb 09 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.0
- update to 0.5
- check for lockfile before launching

* Fri Feb 06 2004 David Hill <djh[at]ii.net>
- update to latest cvs
- update to Enigmail 0.83.2

* Thu Jan 29 2004 David Hill <djh[at]ii.net>	0:0.4-0.fdr.5
- update to Enigmail 0.83.1
- removed Mozilla/Firebird script patching

* Sat Jan 03 2004 David Hill <djh[at]ii.net>	0:0.4-0.fdr.4
- add startup notification to .desktop file

* Thu Dec 25 2003 Warren Togami <warren@togami.com> 0:0.4-0.fdr.3
- open-browser.sh release 3
- patch broken /usr/bin/mozilla script during install
- dir ownership
- XXX: Source fails build on x86_64... fix later

* Tue Dec 23 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.2
- update to Enigmail 0.82.5
- add Warren's open-browser.sh (#1113)

* Tue Dec 09 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.1
- use Thunderbird's mozilla-xremote-client to launch browser

* Sun Dec 07 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.0
- update to 0.4
- make hyperlinks work (with recent versions of Firebird/Mozilla)

* Thu Dec 04 2003 David Hill <djh[at]ii.net>
- update to 0.4rc2

* Wed Dec 03 2003 David Hill <djh[at]ii.net>
- update to 0.4rc1 and Enigmail 0.82.4

* Thu Nov 27 2003 David Hill <djh[at]ii.net>
- update to latest CVS and Enigmail 0.82.3

* Sun Nov 16 2003 David Hill <djh[at]ii.net>
- update to latest CVS (0.4a)
- update Enigmail to 0.82.2
- alter mozconfig for new build requirements
- add missing BuildReq (#987)

* Thu Oct 16 2003 David Hill <djh[at]ii.net>	0:0.3-0.fdr.0
- update to 0.3

* Sun Oct 12 2003 David Hill <djh[at]ii.net>	0:0.3rc3-0.fdr.0
- update to 0.3rc3
- update Enigmail to 0.81.7

* Thu Oct 02 2003 David Hill <djh[at]ii.net>	0:0.3rc2-0.fdr.0
- update to 0.3rc2

* Wed Sep 17 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.2
- simplify startup script

* Wed Sep 10 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.1
- add GPG support (Enigmail 0.81.6)
- specfile fixes (#679)

* Thu Sep 04 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.0
- update to 0.2

* Mon Sep 01 2003 David Hill <djh[at]ii.net>
- initial RPM
  (based on the fedora MozillaFirebird-0.6.1 specfile)

