Summary: Displays where a particular program in your path is located.
Summary(ja): プログラムがパスのどこにあるかを表示する
Name: which
Version: 2.20
Release: 3%{?_dist_release}
License: GPLv3
Group: Applications/System
Source0: ftp://ftp.gnu.org/gnu/which/%{name}-%{version}.tar.gz
Source1: which-2.sh
Source2: which-2.csh
Patch0: which-2.19-afs.patch
Patch1: which-2.19-broken.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires: dev

Vendor: Project Vine
Distribution: Vine Linux

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%description -l ja
which コマンドを使うと，プログラムのフルパスを表示出来ます
(ただしプログラムが PATH に存在する場合)．


%prep
%setup -q
%patch0 -p1 -b .afs
%patch1 -p1 -b .broken

%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m 755 %{SOURCE1} %{SOURCE2} \
	$RPM_BUILD_ROOT/etc/profile.d

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/install-info --quiet --info-dir=%{_infodir} %{_infodir}/which.info.gz > /dev/null 2>&1

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --quiet --info-dir=%{_infodir} --delete %{_infodir}/which.info.gz > /dev/null 2>&1
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING EXAMPLES NEWS README README.alias
%{_bindir}/*
%config /etc/profile.d/which-2.*
%{_infodir}/which.info.gz
%{_mandir}/*/*

%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20-3
- rebuild with VineSeed environment

* Tue Mar 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20-2
- rebuilt with new toolchains

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20-1
- new upstream release
- spec in UTF-8

* Fri Mar 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.19-1vl5
- new upstream release
- updated Patch0 and 1

* Tue Oct 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.17-0vl1
- new upstream release

* Mon Jul 10 2006 Shu KONNO <owa@bg.wakwak.com> 2.16-0vl5
- rebuild

* Tue Jun 22 2004 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 2.16-0vl4
- /etc/profile.d/which-2.sh: define "which" as function instead of alias

* Thu Dec 25 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16-0vl3 
- rebuild with new toolchains

* Sat Nov 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16-0vl2 
- added patches from Fedora

* Mon Oct 20 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16-0vl1 
- updated to 2.16

* Sun Dec  1 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14-0vl2
- source updated to 2.14
- rebuild with newer toolchains

* Tue Dec 26 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.12-1vl1
- based on 2.12-1 from Rawhide
- added Japanese summary and description

* Sun Sep 10 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- 2.12 (only man-page fix)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- FHS packaging.

* Sun May 21 2000 Ngo Than <than@redhat.de>
- put man pages in /usr/share/man/*

* Thu Apr 20 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.11
- change from root:bin -> root:root

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- newer stuff rom Carlo (2.10).  Author's email: carlo@gnu.org

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- adopted Carlo's specfile.

* Fri Sep 24 1999 Carlo Wood <carlo@gnu.org>
- There should not be a reason anymore to include README.alias in the rpm docs.
- Don't install as root.root in RPM_BUILD_ROOT, in order to allow to build
  rpm as non-root.
- Bug fix
- Added /etc/profile.d for automatic alias inclusion.

* Wed Aug 25 1999 Carlo Wood <carlo@gnu.org>
- Added README.alias.

* Wed Aug 11 1999 Carlo Wood <carlo@gnu.org>
- Typo in comment.

* Thu May 27 1999 Carlo Wood <carlo@gnu.org>
- Typo fix
- Moved maintainer targets from makefile to Makefile.am.

* Tue May 18 1999 Carlo Wood <carlo@gnu.org>
- Typo in appended changelog.
- Appended the old change log of `which-2.0.spec' to (this) %changelog,
  which is generated from the CVS log of `which-2.0.spec.in'.
- Generate which-2.spec from which-2.spec.in with automatic VERSION
  and CHANGELOG substitution.

* Fri May 14 1999 Carlo Wood <carlo@gnu.org>
- Moved assignment of CFLAGS to the configure line, using RPM_OPT_FLAGS now.
- Corrected Source: line to point to ftp.gnu.org.

* Sat Apr 17 1999 Carlo Wood <carlo@gnu.org>
- Started to use automake and autoconf

* Fri Apr 09 1999 Carlo Wood <carlo@gnu.org>
- Renamed which-2.0.spec to which-2.spec
