Name: 		xfce4-clipman-plugin
Summary:        Clipboard manager plugin for the Xfce panel
Summary(ja):    Xfce パネル用クリップボード管理プラグイン
Version:        1.2.3
Release: 	2%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.2/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  gtk2-devel >= 2.14
BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0
BuildRequires:  libexo-devel >= 0.6.0 
BuildRequires:  xfconf-devel >= 4.8.0
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  libXtst-devel
BuildRequires:  unique-devel
BuildRequires:  gettext, intltool, desktop-file-utils
Requires:       xfce4-panel >= 4.4.0

Vendor: Project Vine
Distribution: Vine Linux

%description
xfce4-clipman is a clipboard history plugin for the Xfce4 panel.

%description -l ja
xfce4-clipman は Xfce パネル用のクリップボード履歴管理プラグインです．

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install-strip

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

desktop-file-install                                      \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
  --add-category=X-Xfce                                   \
  --delete-original                                       \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce4-clipman.desktop

desktop-file-install                                      \
  --dir ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart     \
  --add-category=X-Xfce                                   \
  --delete-original                                       \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config %{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%{_bindir}/xfce4-clipman
%{_bindir}/xfce4-clipman-settings
%{_bindir}/xfce4-popup-clipman
%{_libdir}/xfce4/panel/plugins/libclipman.so
%{_datadir}/applications/xfce4-clipman.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/xfce4/panel/plugins/%{name}.desktop
%{_docdir}/%{name}/html

%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.3-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.3-1
- new upstream release
- remove BuildRequires: libxfcegui4-devel, libglade2-devel
- add BuildRequires: gtk2-devel, libxfce4util-devel, libxfce4ui-devel, xorg-x11-proto-devel, libXtst-devel
- remove old patches

* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.3-2
- do not apply Patch1 on Vine Linux 5

* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.3-1
- updated to 1.1.3
- added Patch1 from Fedora for building with new libexo
- added BR: unique-devel

* Mon Oct 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.8.0-2vl5
- applied new versioning policy, spec in utf-8

* Sun Oct 14 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.8.0-1vl2
- upstream release
- remove unnecessary Requires and Packager macro
- whole rewrite %%files section

* Sun Jan 23 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl3
- rebuild with XFce 4.2.0 packages
- changed required version number of xfce4-panel

* Fri Oct 22 2004 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl2
- rebuild for VineSeed

* Thu Oct 21 2004 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl1
- initial build for Vine Linux
- spec file from http://download.berlios.de/xfce-goodies/xfce4-clipman-plugin-0.4.0-1suse82.src.rpm
- change Packager
- change spec file name
- fix URL, License
- add BuildRequires: libxfcegui4-devel, gtk2-devel, libxfce4util-devel,
  zlib-devel, libxml2-devel, XOrg-devel, atk-devel, glibs-devel, pango-devel
- add Requires: XOrg-libs, atk, gtk2, glib2, pango, libxfcegui4, libxfce4util,
  libxml2, zlib
