%global minor_version 1.9

Name:           xfce4-quicklauncher-plugin
Summary:        Quicklauncher plugin for the Xfce panel
Summary(ja):    Xfce パネル用クイックランチャープラグイン
Version:        1.9.4
Release:        12%{?_dist_release}

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2
# http://bugzilla.xfce.org/show_bug.cgi?id=7015
Patch1:         %{name}-1.9.4-xfce4-panel-4.7.patch
# make new apps appear on the correct X screen
# http://bugzilla.xfce.org/show_bug.cgi?id=4323
Patch2:         %{name}-1.9.4-fix-multiscreen.patch
# apply settings without restart
# http://bugzilla.xfce.org/show_bug.cgi?id=3782
Patch3:         %{name}-1.9.4-save-settings.patch
# plugin speaks french if no translations are found
# http://bugzilla.xfce.org/show_bug.cgi?id=3783
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-quicklauncher-plugin/c/master/ 
# as of 2010-12-19
Patch4:         %{name}-1.9.4-update-translations.patch
# Xfce 4.6: xfce-setting-show instead of xfce4-settings-manager
# http://bugzilla.xfce.org/show_bug.cgi?id=5752
Patch5:         %{name}-1.9.4-xfce4-settings-manager.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  libxfcegui4-devel >= 4.3.20
BuildRequires:  libxml2-devel
BuildRequires:  xfce4-panel-devel >= 4.3.20
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
Requires:       xfce4-panel >= 4.4.0

Vendor: Project Vine
Distribution: Vine Linux

%description
This plugin allows you to have lots of launchers in the Xfce panel, displaying 
them on several lines.

%prep
%setup -q
%patch1 -p1 -b .xfce4-panel-4.7
%patch2 -p0 -b .multiscreen
%patch3 -p1 -b .save-settings
%patch4 -p1 -b .update-translations
%patch5 -p0 -b .xfce46

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel-plugins/*.desktop

%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.9.4-12
- rebuild with VineSeed environment

* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.9.4-11
- rebuild with Xfce-4.10.0

* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.9.4-10
- initial build for Vine Linux

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.4-8
- Patch for xfce4-panel 4.7
- Update translations from Xfce Transifex

* Wed Sep 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.4-7
- Make new apps appear on the correct screen (bugzilla.xfce.org 4323)
- Apply settings without restarting the plugin (bugzilla.xfce.org #3782)
- Add missing english translation (bugzilla.xfce.org #3783)
- Update default config for Xfce 4.6 (bugzilla.xfce.org #5752)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.4-5
- Fix path in desktop file (#509294)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.4-3
- Rebuild for Xfce 4.6 (Beta 3)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.4-2
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.4-1
- Update to 1.9.4
- Update license tag

* Sat Jun 09 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.2-4
- Multilib fix for desktop file (#228168)

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.2-3
- Rebuild for Xfce 4.4.1

* Sun Jan 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.2-2
- Rebuild for Xfce 4.4.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.2-1
- Update to 1.9.2.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.1-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.1-1
- Update to 1.9.1 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.81-5
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.81-4
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.81-3
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.81-2
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Fri Nov 18 2005 Christoph Wickert <fedora wickert at arcor de> - 0.81-1
- Initial Fedora Extras release.
