%define libname libxine1
%define plugindir %{_libdir}/xine/plugins
%define pluginver 1.30

%define build_alsa	 1
%define build_arts	 0
%define build_pulseaudio 1
%define build_jack       1
%if %{?_dist_release} == "vl4"
%define build_pulseaudio 0
%endif
%define build_dxr3	 0
%define build_mpc	 0

Summary:	A Free Multimedia Player (Libraries)
Summary(ja):	フリーのメディアプレイヤー (ライブラリ)
Name:		xine-lib
Version:	1.1.21
Release:	2%{?_dist_release}
License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://xinehq.de/

Source:		http://prdownloads.sourceforge.net/xine/%{name}-%{version}.tar.xz

# from fodora
#  http://bugzilla.redhat.com/470568
Patch8:         xine-lib-1.1.17-avsync_hack.patch
#  http://bugzilla.redhat.com/477226
Patch9:         xine-lib-1.1.16.2-multilib.patch

Patch10:        xine-lib-1.1.21-samba4.patch

## upstreamable patches

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%if %{?_dist_release} == "vl4"
BuildRequires:  XOrg-devel XOrg-gl-devel
%else
BuildRequires:	libX11-devel
BuildRequires:  libXv-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXvMC-devel
BuildRequires:  libGLU-devel
BuildRequires:  libv4l-devel
BuildRequires:  libxcb-devel
%endif
# Video 
BuildRequires:	SDL-devel >= 1.2.11
BuildRequires:  libtheora-devel
BuildRequires:  libmng-devel
BuildRequires:	aalib-devel >= 1.4
BuildRequires:	ImageMagick-devel
%if %{?_dist_release} != "vl4"
BuildRequires:	fontconfig-devel
%endif
BuildRequires:  freetype2-devel
# Audio
BuildRequires:	alsa-lib-devel >= 0.9.0
%if %{build_arts}
BuildRequires:	arts-devel >= 0.9.5
%endif
BuildRequires:	esound-devel >= 0.2.8
BuildRequires:	flac-devel
%if %{build_jack}
BuildRequires:  jack-audio-connection-kit-devel
%endif
BuildRequires:  libvorbis-devel
%if %{build_mpc}
BuildRequires:  libmpcdec-devel
%endif
%if %{build_pulseaudio}
BuildRequires:	pulseaudio-lib-devel
%endif
BuildRequires:  speex-devel
# CDs
BuildRequires:  libcdio-devel
# Other
BuildRequires:	pkgconfig libtool-ltdl-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtk2-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	samba-devel
BuildRequires:  vine-release >= 4.2-1vl4

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	inagaki, daisuke


%description
xine-lib is a free multimedia player library.

This package contains a library and essential plguins for xine.

%description -l ja
xine-lib はフリーのメディアプレイヤーライブラリです。

このパッケージには、xine のライブラリと基本的なプラグインが
含まれています。

%package devel
Summary:	Development files for xine-lib
Summary(ja):	xine-lib の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
This package contains header files and documentation required
to develope programs with xine-lib.

%description -l ja devel
このパッケージには、xine-lib を用いたプログラムの開発に必要なヘッダ
ファイルやドキュメントが含まれています。

##### audio output plugins #################################

%package esd
Summary:	EsounD audio output plugin for xine
Summary(ja):	xine - EsounD オーディオ出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description esd
This package contains EsounD audio output plugin.

%description -l ja esd
このパッケージには EsounD オーディオ出力プラグインが含まれています。

%if %{build_arts}
%package arts
Summary:	aRts audio output plugin for xine
Summary(ja):	xine - aRts オーディオ出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description arts
This package contains aRts audio output plugin.

%description -l ja arts
このパッケージには aRts オーディオ出力プラグインが含まれています。
%endif

%if %{build_alsa}
%package alsa
Summary:	ALSA audio output plugin for xine
Summary(ja):	xine - ALSA オーディオ出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description alsa
This package contains ALSA audio output plugin.

%description -l ja alsa
このパッケージには ALSA オーディオ出力プラグインが含まれています。
%endif

%if %{build_pulseaudio}
%package pulseaudio
Summary:	Pulseaudio output plugin for xine
Summary(ja):	xine - Pulseaudio 出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description pulseaudio
This package contains Pulseaudio output plugin.

%description -l ja pulseaudio
このパッケージには Pulseaudio 出力プラグインが含まれています。
%endif

%if %{build_jack}
%package jack
Summary:	jack output plugin for xine
Summary(ja):	xine - jack 出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description jack
This package contains jack output plugin.

%description -l ja jack
このパッケージには jack 出力プラグインが含まれています。
%endif

##### video output plugins #################################

%package sdl
Summary:	SDL video output plugin for xine
Summary(ja):	xine - SDL ビデオ出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description sdl
This package contains SDL video output plugin.

%description -l ja sdl
このパッケージには SDL ビデオ出力プラグインが含まれています。

%package opengl
Summary:	OpenGL video output plugin for xine
Summary(ja):	xine - OpenGL ビデオ出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description opengl
This package contains OpenGL video output plugin.

%description -l ja opengl
このパッケージには OpenGL ビデオ出力プラグインが含まれています。

%package aa
Summary:	Ascii ART video output plugin for xine
Summary(ja):	xine - アスキーアートビデオ出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description aa
This package contains Ascii ART video output plugin.

%description -l ja aa
このパッケージにはアスキーアートビデオ出力プラグインが含まれています。

%if %{build_dxr3}
%package dxr3
Summary:	DXR3 video output plugin for xine
Summary(ja):	xine - DXR3 ビデオ出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description dxr3
This package contains DXR3, a MPEG2 hardware decoder, video output
plugin.

%description -l ja dxr3
このパッケージには DXR3 (MPEG2 ハードウェアデコーダ) ビデオ出力
プラグインが含まれています。
%endif

##### input plugins ########################################

%package gnomevfs
Summary:	GNOME vfs input plugin for xine
Summary(ja):	xine - GNOME vfs 入力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description gnomevfs
This package contains GNOME vfs input plugin.

%description -l ja gnomevfs
このパッケージには GNOME vfs 入力プラグインが含まれています。

%package smb
Summary:	Samba input plugin for xine
Summary(ja):	xine - Samba 入力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description smb
This package contains Samba input plugin.

%description -l ja smb
このパッケージには Samba 入力プラグインが含まれています。

##### ogg files demux & decode plugins #####################

%package ogg
Summary:	Ogg/Ogm audio/video input plugin for xine
Summary(ja):	xine - Ogg/Ogm オーディオ/ビデオ入力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-oggvorbis
Provides:	%{name}-oggspeex
Provides:	%{name}-oggtheora

%description ogg
This package contains Ogg/Ogm audio/video input plugin.

%description -l ja ogg
このパッケージには Ogg/Ogm オーディオ/ビデオ入力プラグインが
含まれています。

##### decode plugins #######################################

%package flac
Summary:	FLAC audio decode plugin for xine
Summary(ja):	xine - FLAC オーディオデコードプラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description flac
This package contains FLAC audio decode plugin.

%description -l ja flac
このパッケージには FLAC オーディオデコードプラグインが含まれています。

%if %{build_mpc}
%package musepack
Summary:	Musepack audio decode plugin for xine
Summary(ja):	xine - Musepack オーディオデコードプラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description musepack
This package contains Musepack audio decode plugin.

%description -l ja musepack
このパッケージには Musepack オーディオデコードプラグインが
含まれています。
%endif

%ifarch %{ix86}
%package w32dll
Summary:	Decode plugin using Win32 DLLs for xine
Summary(ja):	xine - Win32 DLL を利用するデコードプラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description w32dll
This package contains decode plugin using Win32 DLLs.

%description -l ja w32dll
このパッケージには Win32 DLL を利用してデコードするプラグインが
含まれています。
%endif

%prep
%setup -q
%patch8 -p1 -b .avsync_hack
%patch9 -p1 -b .multilib
%patch10 -p1 -b .samba4

# Avoid standard rpaths on lib64 archs:
sed -i -e 's|"/lib /usr/lib\b|"/%{_lib} %{_libdir}|' configure
sed -i -e 's|planar ||g' src/post/Makefile.am
sed -i -e 's|planar ||g' src/post/Makefile.in
sed -i -e 's|ffmpeg||g' src/combined/Makefile.am
sed -i -e 's|ffmpeg||g' src/combined/Makefile.in


%build
export FFMPEG_CFLAGS=" " FFMPEG_LIBS=" "
export FFMPEG_POSTPROC_CFLAGS=" " FFMPEG_POSTPROC_LIBS=" "
export FFMPEG_UTIL_CFLAGS=" " FFMPEG_UTIL_LIBS=" "
export SDL_CFLAGS="$(sdl-config --cflags)" SDL_LIBS="$(sdl-config --libs)"
%configure \
%if %{?_dist_release} == "vl4"
	--with-xv-path=%{_prefix}/X11R6/%{_lib} \
%else
	--with-xv-path=%{_libdir} \
%endif
	--disable-a52dec \
        --disable-mad \
        --disable-vcd \
        --disable-asf \
        --disable-nosefart \
 	--disable-faad \
 	--disable-dts \
	--with-libflac \
	--with-external-ffmpeg \
%if !%{build_alsa}
	--without-alsa \
%endif
%if %{build_arts}
	--with-arts \
%endif
%if !%{build_pulseaudio}
	--without-pulseaudio \
%endif
%if !%{build_jack}
	--without-jack \
%endif
%if %{build_dxr3}
	--enable-dxr3 \
%else
	--disable-dxr3 \
%endif
        --with-freetype \
        --with-fontconfig \
%ifarch %{ix86}
	--with-w32-path=%{_libdir}/codecs
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} LIBRARY_PATH=%{buildroot}%{_libdir} install

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# IMPORTANT: remove all stuffs which may cause patent violation
pushd $RPM_BUILD_ROOT%{plugindir}/%{pluginver}
PLUGINS_TO_REMOVE="xineplug_inp_dvd.so xineplug_inp_mms.so \
                   xineplug_inp_vcdo.so xineplug_decode_dts.so \
                   xineplug_decode_dvaudio.so xineplug_decode_ff.so \
                   xineplug_decode_mpeg2.so post/xineplug_post_planar.so "
for i in $PLUGINS_TO_REMOVE 
do
  rm -f $i
done
popd

cp -pr %{buildroot}%{_docdir}/xine-lib installed-doc
rm -rf %{buildroot}%{_docdir}/xine-lib

# Removing useless files
rm -Rf installed-doc/README \
       installed-doc/README.{freebsd,irix,solaris,MINGWCROSS,WIN32} \
       installed-doc/README.{dxr3,network_dvd}


%if ! %{build_mpc}
%__rm -f %{buildroot}%{plugindir}/%{pluginver}/xineplug_decode_mpc.so
%endif

%ifarch %{ix86}
%__mkdir_p %{buildroot}%{_libdir}/codecs
%endif

%find_lang %{libname}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{libname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README TODO
%{_bindir}/xine-list-1.1
%{_libdir}/*.so.*
%{_datadir}/xine
%dir %{_libdir}/xine
%{_mandir}/man1/xine-list-1.1.*
%{_mandir}/man5/*

%dir %{plugindir}
%dir %{plugindir}/%{pluginver}
%{plugindir}/%{pluginver}/post
%{plugindir}/%{pluginver}/mime.types
# audio output
%{plugindir}/%{pluginver}/xineplug_ao_out_none.so
%{plugindir}/%{pluginver}/xineplug_ao_out_file.so
%{plugindir}/%{pluginver}/xineplug_ao_out_oss.so
# video output
%{plugindir}/%{pluginver}/vidix
%{plugindir}/%{pluginver}/xineplug_vo_out_none.so
%{plugindir}/%{pluginver}/xineplug_vo_out_fb.so
%if %{?_dist_release} == "vl5"
%{plugindir}/%{pluginver}/xineplug_vo_out_xcbshm.so
%{plugindir}/%{pluginver}/xineplug_vo_out_xcbxv.so
%endif
%{plugindir}/%{pluginver}/xineplug_vo_out_xv.so
%{plugindir}/%{pluginver}/xineplug_vo_out_xshm.so
%{plugindir}/%{pluginver}/xineplug_vo_out_xvmc.so
%{plugindir}/%{pluginver}/xineplug_vo_out_xxmc.so
%{plugindir}/%{pluginver}/xineplug_vo_out_syncfb.so
%{plugindir}/%{pluginver}/xineplug_vo_out_raw.so
%ifarch %{ix86}
%{plugindir}/%{pluginver}/xineplug_vo_out_vidix.so
%endif
%{plugindir}/%{pluginver}/xineplug_vo_out_xcbshm.so
%{plugindir}/%{pluginver}/xineplug_vo_out_xcbxv.so
# demux
##{plugindir}/%{pluginver}/xineplug_dmx_asf.so
%{plugindir}/%{pluginver}/xineplug_dmx_audio.so
%{plugindir}/%{pluginver}/xineplug_dmx_avi.so
%{plugindir}/%{pluginver}/xineplug_dmx_fli.so
%{plugindir}/%{pluginver}/xineplug_dmx_flv.so
%{plugindir}/%{pluginver}/xineplug_dmx_games.so
%{plugindir}/%{pluginver}/xineplug_dmx_iff.so
%{plugindir}/%{pluginver}/xineplug_dmx_image.so
%{plugindir}/%{pluginver}/xineplug_dmx_matroska.so
%{plugindir}/%{pluginver}/xineplug_dmx_mng.so
%{plugindir}/%{pluginver}/xineplug_dmx_mpeg.so
%{plugindir}/%{pluginver}/xineplug_dmx_mpeg_block.so
%{plugindir}/%{pluginver}/xineplug_dmx_mpeg_elem.so
%{plugindir}/%{pluginver}/xineplug_dmx_mpeg_pes.so
%{plugindir}/%{pluginver}/xineplug_dmx_mpeg_ts.so
%{plugindir}/%{pluginver}/xineplug_dmx_nsv.so
%{plugindir}/%{pluginver}/xineplug_dmx_pva.so
%{plugindir}/%{pluginver}/xineplug_dmx_qt.so
%{plugindir}/%{pluginver}/xineplug_dmx_rawdv.so
%{plugindir}/%{pluginver}/xineplug_dmx_real.so
%{plugindir}/%{pluginver}/xineplug_dmx_slave.so
%{plugindir}/%{pluginver}/xineplug_dmx_sputext.so
%{plugindir}/%{pluginver}/xineplug_dmx_yuv4mpeg2.so
%{plugindir}/%{pluginver}/xineplug_dmx_yuv_frames.so
# input
%{plugindir}/%{pluginver}/xineplug_inp_cdda.so
%{plugindir}/%{pluginver}/xineplug_inp_dvb.so
##{plugindir}/%{pluginver}/xineplug_inp_dvd.so
%{plugindir}/%{pluginver}/xineplug_inp_file.so
%{plugindir}/%{pluginver}/xineplug_inp_http.so
##{plugindir}/%{pluginver}/xineplug_inp_mms.so
%{plugindir}/%{pluginver}/xineplug_inp_net.so
%{plugindir}/%{pluginver}/xineplug_inp_pnm.so
%{plugindir}/%{pluginver}/xineplug_inp_pvr.so
%{plugindir}/%{pluginver}/xineplug_inp_rtp.so
%{plugindir}/%{pluginver}/xineplug_inp_rtsp.so
%{plugindir}/%{pluginver}/xineplug_inp_stdin_fifo.so
#%{plugindir}/%{pluginver}/xineplug_inp_v4l.so
%{plugindir}/%{pluginver}/xineplug_inp_v4l2.so
##{plugindir}/%{pluginver}/xineplug_inp_vcd.so
##{plugindir}/%{pluginver}/xineplug_inp_vcdo.so
# decode
##{plugindir}/%{pluginver}/xineplug_decode_a52.so
%{plugindir}/%{pluginver}/xineplug_decode_bitplane.so
##{plugindir}/%{pluginver}/xineplug_decode_dts.so
##{plugindir}/%{pluginver}/xineplug_decode_dvaudio.so
##{plugindir}/%{pluginver}/xineplug_decode_ff.so
%{plugindir}/%{pluginver}/xineplug_decode_gdk_pixbuf.so
%{plugindir}/%{pluginver}/xineplug_decode_gsm610.so
%{plugindir}/%{pluginver}/xineplug_decode_image.so
%{plugindir}/%{pluginver}/xineplug_decode_lpcm.so
##{plugindir}/%{pluginver}/xineplug_decode_mad.so
##{plugindir}/%{pluginver}/xineplug_decode_mpeg2.so
##{plugindir}/%{pluginver}/xineplug_decode_nsf.so
%ifarch %{ix86}
%{plugindir}/%{pluginver}/xineplug_decode_qt.so
%endif
%{plugindir}/%{pluginver}/xineplug_decode_real.so
%{plugindir}/%{pluginver}/xineplug_decode_rgb.so
%{plugindir}/%{pluginver}/xineplug_decode_spu.so
%{plugindir}/%{pluginver}/xineplug_decode_spucc.so
%{plugindir}/%{pluginver}/xineplug_decode_spucmml.so
%{plugindir}/%{pluginver}/xineplug_decode_spudvb.so
%{plugindir}/%{pluginver}/xineplug_decode_spuhdmv.so
%{plugindir}/%{pluginver}/xineplug_decode_sputext.so
%{plugindir}/%{pluginver}/xineplug_decode_yuv.so

%files devel
%defattr(-,root,root)
%doc installed-doc/*
%{_bindir}/xine-config
#%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_includedir}/xine
%{_datadir}/aclocal/*.m4
%{_mandir}/man1/xine-config.*

##### audio output plugins #################################

%files esd
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_ao_out_esd.so

%if %{build_arts}
%files arts
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_ao_out_arts.so
%endif

%if %{build_alsa}
%files alsa
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_ao_out_alsa.so
%endif

%if %{build_pulseaudio}
%files pulseaudio
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_ao_out_pulseaudio.so
%endif

%if %{build_jack}
%files jack
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_ao_out_jack.so
%endif

##### video output plugins #################################

%files sdl
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_vo_out_sdl.so

%files opengl
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_vo_out_opengl.so

%files aa
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_vo_out_aa.so

%if %{build_dxr3}
%files dxr3
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_*dxr3*.so
%endif

##### input plugins ########################################

%files gnomevfs
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_inp_gnome_vfs.so

%files smb
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_inp_smb.so

##### ogg files demux & decode plugins #####################

%files ogg
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_dmx_ogg.so
%{plugindir}/%{pluginver}/xineplug_decode_vorbis.so
%{plugindir}/%{pluginver}/xineplug_decode_speex.so
%{plugindir}/%{pluginver}/xineplug_decode_theora.so

##### decode plugins #######################################

%files flac
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_flac.so

%if %{build_mpc}
%files musepack
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_decode_mpc.so
%endif

%ifarch %{ix86}
%files w32dll
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_decode_w32dll.so
%dir %{_libdir}/codecs
%endif

%changelog
* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.21-2
- rebuild with VineSeed environment

* Wed Aug 14 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.21-1
- update to 1.1.21
- remove Patch50 (xine-lib-1.1.19-xvmclib_header.patch)
- add Patch10 (xine-lib-1.1.21-samba4.patch)
- add BuildRequires: samba-devel

* Sat Mar 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.19-3
- rebuild with ImageMagick-6.7.5.10

* Sat Mar 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.19-2
- added Patch8, 9 and 50
- rebuilt with libsmbclient-3.5.8

* Sat Oct  2 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.19-1
- new upstream release
- built with ImageMagick-6.6.4.8

* Thu Sep 30 2010 Shu KONNO <owa@bg.wakwak.com> 1.1.18.1-3
- rebuilt with rpm-4.8.1 for pkg-config

* Thu Apr 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.18.1-2
- rebuilt with ImageMagick-6.6.1.5

* Fri Mar 19 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.18.1-1
- new upstream release
- built with new toolchain

* Fri May 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.16.3-3
- add --without-external-ffmpeg to configure option
- add post/xineplug_post_planar.so (ffmpeg postprocess) to remove list.

* Wed May 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.16.3-2
- build without gpm

* Sat Apr  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.3-1
- new upstream release with security fix
  - Fix another possible int overflow in the 4XM demuxer.
    (ref. TKADV2009-004, CVE-2009-0385)
  - Fix an integer overflow in the Quicktime demuxer.

* Sat Feb 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.2-1
- new upstream release with security fix
  - Heap overflow in Quicktime atom parsing.                 (CVE-2008-5234)
  - Multiple buffer overflows.                               (CVE-2008-5236)
  - Multiple integer overflows.                              (CVE-2008-5237)
  - Unchecked or incompletely-checked read function results. (CVE-2008-5239)
  - Unchecked malloc using untrusted values.  (CVE-2008-5240, CVE-2008-5242)
  - Integer underflow in qt compressed atom handling.        (CVE-2008-5241)
  - Buffer indexing using untrusted or unchecked values.     (CVE-2008-5243)
  - Fix broken size checks in various input plugins     (ref. CVE-2008-5239)
- IMPORTANT: removed all plugins which may cause patent violation
  - these plugins will be provided self-build-xine-lib-extras package
- added jack plugin subpackage

* Sun Feb  8 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.15-4
- updated --with-xv-path
- used more dist_release macros
- rebuilt with ImageMagick 6.4.9-2 (only VineSeed)

* Tue Oct 14 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1.15-3
- update Patch101 (changeset b3822572afa5)

* Mon Oct 13 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1.15-2
- add Patch101 (changeset b3822572afa5)

* Sun Aug 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.15-1vl5
- new upstream release with a security fix (CVE-2008-3231)
- dropped Patch100 (was included into upstream)
- Requires: libX11 instead of XOrg-libs
- added pulseaudio subpackage

* Sun May 25 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.1.12-2
- now BuildRequires xorg-x11-devel and libGLU-devel, not XOrg*-devel
- spec in UTF-8

* Mon Apr 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.12-1
- new upstream release with a security fix (CVE-2008-1686)
- added Patch100 for CVE-2008-1878
- added --disable-a52dec

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.11.1-1vl5
- new upstream release with a security fix (CVE-2008-1482)

* Mon Mar 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.11-1vl5
- rebuilt for VineSeed
  - new upstream release with a security fix (CVE-2008-0073)
- rebuilt with ImageMagick 6.3.9-10

* Mon Mar 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.11-1vl4
- new upstream release with a security fix (CVE-2008-0073)

* Tue Mar 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.10.1-0vl1
- new upstream release
- using %%ver instead of %%version at %%files section

* Tue Sep 04 2007 KAZUKI SHIMURA <ksh753@y5.don.ne.jp> 1.1.7-0vl5
- use %%{_prefix}/X11R6/%%{_lib} for --with-xv-path to support x86_64

* Tue Sep 04 2007 KAZUKI SHIMURA <ksh753@y5.don.ne.jp> 1.1.7-0vl4
- update build dependencies
  - SDL-devel >= 1.2.11 (sdl.pc is required by xine-lib >= 1.1.3)
  - alsa-lib >= 0.9.0
  - flac-devel >= 1.2.0

* Sat Aug 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.7-0vl3
- rebuilt with flac 1.2.0

* Mon Aug 13 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.7-0vl2
- pass exclusively --with-xv-path=/usr/X11R6/lib to configure
  (libXv.* detection on configure seems somewhat corrupted at least on ppc)

* Sat Aug 11 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 1.1.7-0vl1
- new upstream release
- disable arts plugin
- add new file: mime.types

* Fri May 11 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.6-0vl2
- rebuilt with new toolchain
- execute autoconf before doin' %%configure

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.6-0vl1
- new upstream release
- drop Patch100,101,102 and 500 which are now merged in upstream

* Sat Dec 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl4
- [SECURITY FIX]
  - add patch101 to fix buffer overflow in Real Media plugin (CVE-2006-6172)
  - add patch102 to fix heap overflow in mms plugin (related to CVE-2006-2200)
- add %%{_libdir}/codecs to -w32dll package

* Sat Oct 07 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl3
- [SECURITY FIX]
  - import patch100 to fix multiple buffer overflows (CVE-2006-4800)

  * Wed Sep 27 2006 Stew Benedict <sbenedict@mandriva.com> 1.1.2-3.1mdv2007.0
  - P2: security fix for CVE-2006-4800

* Sun Aug  6 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.2-0vl2
- added patch500 for ppc

* Sun Jul 16 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl1
- [SECURITY] new upstream release
  - possible buffer overflow in libavcodec; crafted PNGs (CVE-2005-4048)
  - possible buffer overflow in the HTTP plugin (CVE-2006-2802)
  - possible buffer overflow via bad indexes in specially-crafted AVI files
- drop unneeded patch100
- add BuildRequires: samba-libsmbclient-devel instead of samba-libsmbclient
- add %%{plugindir}/%%{version}/xineplug_decode_gdk_pixbuf.so
  - add BuildRequires: gtk2-devel
  - add Requires: gtk2

* Mon Mar  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1.1-0vl4
- rebuild with ImageMagick-6.2.6.3-0vl1

* Sat Jan 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl3
- add sub-package: xine-lib-aa
- remove mpc decode plugin at %%install if builc-mpc disabled
- [SECURITY FIX]
  - import patch100 to fix heap-based buffer overflow (CVE-2005-4048)

  * Wed Dec 14 2005 Glbz Waschk <waschk@mandriva.org> 1.1.1-2mdk
  - security update for CVE-2005-4048 (P2, embedded ffmpeg)

* Sun Dec 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.1-0vl2
- rebuilt with new ImageMagick
- changed Group
- added %%{plugindir}/%%{version}/xineplug_vo_out_{xvmc,xxmc}.so

* Thu Nov 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- upstream release
- drop patch100

* Mon Oct 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl3
- [SECURITY]
  - add patch100 to fix format string vulnerability (CAN-2005-2967)
  - cf. http://xinehq.de/index.php/security/XSA-2005-1

* Fri Oct 14 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.0-0vl2
- two plugins (xineplug_decode_qt.so and xineplug_vo_out_vidix.so)
  are only built on ix86 archtecture.

* Sat Oct 01 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl1
- upstream release
- add BuildRequires:
    ImageMagick-devel, bzip2-devel, libjpeg-devel, libtiff-devel,
    libtool-ltdl-devel
- addRequires:
    ImageMagick, bzip2, libjpeg, libtiff

* Sat Jul 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.2-0vl1
- upstream release

* Thu Jun 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl2
- rebuild with alsa-lib-devel
- add build_{gvfs,smb} macros

* Sun May 08 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl1
- initial build for Vine Linux

* Thu Jan 06 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- enabled defining build or not to build subpackages at runtime
  using '--define "BUILD_XYZ 1"', you can find possible BUILD_
  defines at the top of the spec-file
* Tue Dec 07 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included xxmc video out plugin into xvmc sub-rpm
* Sat Sep 11 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added missing Requires-Statements in the subpackages
* Fri Sep 03 2004 Franti邸ek Dvořák <valtri@users.sourceforge.net>
- Czech translation update
* Thu Sep 02 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- konverted to UTF8
- some fixes for non IA32 systems (especialy Athlon64/Opteron)
* Sat May 01 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- activated opengl plugin
* Tue Apr 06 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed xvid modules from -devel package and put it back
  to main package.
* Fri Feb 13 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added new sub-rpm for stk videoout plugin
* Fri Nov 21 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- use internal vcdlibs to keep dependencies low
* Sun Oct 19 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added separate directfb-package to solve dependendies
* Tue Oct 07 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- activated separte xvmc package, when this is wanted.
* Sun Jul 20 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- made ogg-package out of oggvorbis, oggtheora and the new
  oggspeex xine-plugins
* Sat May 24 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- complete rework of the specfile
* Wed May 14 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for > 1-beta13
* Sat Mar 08 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added missing doc-files
* Wed Jan 15 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed man3 manpages in devel-filelist
* Tue Dec 24 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for libxine 1.0beta1 added pkgconfig-directory
* Wed Dec 11 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for libxine 1.0beta0, fonts-directory has been changed
* Sat Dec 07 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added translation for finnish by Tuukka Pasanen <illuusio@mailcity.com>
- some updates to german and english descriptions
- added post-directory to file-list
* Sat Nov 09 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Final changes for libxine 1.0alpha1
* Mon Nov 04 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another change to make it run with next version
* Sat Nov 02 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Changes for next xine version
* Sun Oct 27 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update of the german descriptions.
* Thu Jun 06 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- ability to pass args to configure. Fix vidix/dhahelper inclusion.
* Mon May 27 2002 Matthias Dahl <matthew2k@web.de>
- added passing of build parameter to configure
* Sun May 26 2002 Matthias Dahl <matthew2k@web.de>
- added german translations by Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added fixes (missing -l cs) by Manfred Tremmel <Manfred.Tremmel@iiv.de>
* Sat May 18 2002 Matthias Dahl <matthew2k@web.de>
- added czech translations by valtri@atlas.cz
* Thu May 16 2002 Matthias Dahl <matthew2k@web.de>
- replaced %configure because it was causing trouble on certain configurations
* Sat May 11 2002 Matthias Dahl <matthew2k@web.de>
- reworked/revamped spec file, still needs some tuning (BuildPreReq, ...)
* Thu May 2 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- sync with new logo stuff.
* Wed May 1 2002 Matthias Dahl <matthew2k@web.de>
- added cinepak, cyuv and msvc decode plugins
- commented out sdl related parts because this is currently broken in xine-lib
- added 'cs,pl_PL' translation catalogs
* Sun Mar 31 2002 Matthias Dahl <matthew2k@web.de>
- added mms input plugin, spucc decoder and missing xine_logo.zyuy2.
- commented out video fill decoder for now as it seems to be no longer built
* Wed Feb 6 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- added 'de,fr,pt_BR' translation catalogs.
* Wed Dec 26 2001 Matthias Dahl <matthew2k@web.de>
- added sputext decode plugin and fonts.
* Sat Dec 8 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- ASF plugin is optional.
* Thu Dec 6 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add cda plugins.
* Wed Nov 14 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- fixed dxr3 header files inclusion, aalib deps: thanks to Andrew Meredith <andrew@anvil.org>.
* Mon Oct 29 2001 Matthias Dahl <matthew2k@web.de>
- added http input plugin
* Thu Oct 18 2001 Matthias Dahl <matthew2k@web.de>
- added asf demuxer plugin
* Sun Oct 14 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- move vorbis in separate package. Add DivX4 decoder plugin.
* Wed Oct 10 2001 Matthias Dahl <matthew2k@web.de>
- added vorbis files and missing man pages to filelist.
* Thu Sep 27 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add desktop stuff from patches by Miguel Freitas <miguel@cetuc.puc-rio.br>
- Fixed xine.m4 installation from Andrew Meredith <andrew@anvil.org>
* Fri Sep 21 2001 Matthias Dahl <matthew2k@web.de>
- added two missing files (xine-config man page and xine.m4)
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Merge patch from JosスCarlos Monteiro <jcm@netcabo.pt>:
  - Filelist and other minor updates,
  - Fixed some SuSE compatibility issues,
  - Added Portuguese summary.
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add missing files.
* Sun Aug 19 2001 Matthias Dahl <matthew2k@web.de>
- The usual update to the filelist :)
- temporarily removed mpg123 decoder plugin from filelist cause it is not
  built with the recent CVS tree
* Thu Jul 26 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Made oss, aa, xv, esd, w32dll, documentation as separate packages.
* Thu Jul 26 2001 Matthias Dahl <matthew2k@web.de>
- added seperate arts package and one missing demuxer plugin to filelist
* Wed Jul 18 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- list all plugins to avoid *strange* inclusion ;-).
* Sun Jun 10 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist
- re-activated execution of /sbin/ldconfig as post install script
* Wed Mar 28 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add korean summary, patch from Louis JANG <louis@ns.mizi.com>
* Thu Jan 11 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Tue Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
