%define tarball xf86-video-mach64
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 mach64 video driver
Summary(ja):   Xorg X11 mach64 ビデオドライバ
Name:      xorg-x11-drv-mach64
Version:   6.9.4
Release:   2%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   mach64.xinf

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExcludeArch: s390 s390x
BuildRequires: xorg-x11-server-sdk >= 1.6
BuildRequires: mesa-libGL-devel
BuildRequires: libdrm-devel
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: xorg-x11-util-macros
Requires:  hwdata
Requires:  xorg-x11-server-Xorg
Obsoletes: xorg-x11-drv-ati < 6.9.0

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 mach64 video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
autoreconf -i -f
%configure --disable-static --enable-xaa=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.mach64
%{driverdir}/mach64_drv.so
%{_datadir}/hwdata/videoaliases/mach64.xinf


%changelog
* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.9.4-2
- rebuild with VineSeed environment

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.9.4-1
- new upstream release

* Fri Jul 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.9.3-1
- new upstream release

* Wed Jul 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.9.2-1
- new upstream release

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.9.1-1
- new upstream release

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.9.0-2
- rebuild with xserver-1.11.1.902

* Sat May 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.9.0-1
- new upstream release
- delete Patch0

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.8.2-4
- rebuild with xserver-1.10.0
- add Patch0 (xf86-video-mach64_git20101202.patch)

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.8.2-3
- rebuild with xserver-1.9.2

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.8.2-2
- rebuild with xserver-1.8rc

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 6.8.2-1
- new upstream release

* Mon May 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 6.8.1-1
- new upstream release

* Sun May 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 6.8.0-2
- rebuild with xorg-xserver 1.6

* Fri Jul 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 6.8.0-1
- initial build

