%define tarball xf86-input-synaptics
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/input

Name:           xorg-x11-drv-synaptics
Summary:        Xorg X11 synaptics input driver
Summary(ja):    Xorg X11 synaptics 入力ドライバ
Version:        1.7.4
Release:        1%{?_dist_release}
URL:            http://www.x.org
License:        MIT
Group:          User Interface/X Hardware Support

Source0:        ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

Source1:	50-synaptics.conf

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
ExcludeArch:    s390 s390x
BuildRequires:  libtool, pkgconfig
BuildRequires:  xorg-x11-server-sdk >= 1.6.0
BuildRequires:  libX11-devel, libXi-devel, libXext-devel
BuildRequires:  libXtst-devel
BuildRequires:  mtdev-devel
BuildRequires:  xorg-x11-util-macros >= 1.3.0
Requires:       xorg-x11-server-Xorg

Provides:       synaptics = %{version}-%{release}
Obsoletes:      synaptics < 0.15.0

Vendor: Project Vine
Distribution: Vine Linux

%description
This is a driver for the Synaptics TouchPad for X.Org. A Synaptics touchpad by
default operates in compatibility mode by emulating a standard mouse. However,
by using a dedicated driver, more advanced features of the touchpad becomes
available.

Features:

    * Movement with adjustable, non-linear acceleration and speed.
    * Button events through short touching of the touchpad.
    * Double-Button events through double short touching of the touchpad.
    * Dragging through short touching and holding down the finger on the
      touchpad.
    * Middle and right button events on the upper and lower corner of the
      touchpad.
    * Vertical scrolling (button four and five events) through moving the
      finger on the right side of the touchpad.
    * The up/down button sends button four/five events.
    * Horizontal scrolling (button six and seven events) through moving the
      finger on the lower side of the touchpad.
    * The multi-buttons send button four/five events, and six/seven events for
      horizontal scrolling.
    * Adjustable finger detection.
      Multifinger taps: two finger for middle button and three finger for
      right button events. (Needs hardware support. Not all models implement
      this feature.)
    * Run-time configuration using shared memory. This means you can change
      parameter settings without restarting the X server.

%description -l ja
Synaptics は XOrg 用の Synaptics タッチパッドドライバです。Synaptics タッチ
パッドはデフォルトでは標準マウスをエミュレートし互換モードで動作します。
しかしこの専用ドライバを使用することで、より多くの機能が使用できるようになり
ます。

機能:
    * スピードと加速の調整が可能。
    * タッチパッドに短く触れたらクリック。
    * タッチパッドに2度短く触れたらダブルクリック。
    * タッチパッドに短く触れた後、指を下ろしたまま移動させたらドラッグ。
    * タッチパッドの上下のコーナーに中ボタンと右ボタンを割り当て。
    * タッチパッドの右端を上下になぞる事で縦スクロール。
      (ボタン4及びボタン5として動作)
    * 上下ボタンをボタン4及びボタン5として動作。
    * タッチパッドの下端を左右になぞることで横スクロール。
      (ボタン6及びボタン7として動作)
    * 複数ボタンがある場合は横スクロール用にボタン4/5とボタン6/7として動作。
    * 感度の調整が可能。
    * 複数の指によるタップ: 二本指を中ボタン、三本指を右ボタンに割り当て。
      (ハードウェアのサポートが必要。全てのタッチパッドで動作する訳では無い)
    * 共有メモリによる実行中の設定変更が可能。これにより X の再起動無しに
      設定を変更することができる。

%prep
%setup -q -n %{tarball}-%{version}

%build
autoreconf -v --install --force || exit 1
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

# install xorg.conf snippet
install -d $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_datadir}/X11/xorg.conf.d/*.conf
%{driverdir}/synaptics_drv.so
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_mandir}/man4/synaptics.4*
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%{_includedir}/xorg/synaptics-properties.h
%{_libdir}/pkgconfig/xorg-synaptics.pc

%changelog
* Wed Apr 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.4-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.2-1
- new upstream release

* Sun Jun 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.1-1
- new upstream release

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.0-1
- new upstream release

* Mon Jun 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release
- add BuildRequires: libXtst-devel

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.99.902-1
- new upstream release
- add BuildRequires: mtdev-devel

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.99.901-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.0-2
- rebuild with xserver-1.9.2

* Sun Oct 17 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.0-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.2-3
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Apr 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-2
- move xorg.conf snippet to /usr/share/X11/xorg.conf.d

* Mon Mar 29 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-1
- update to 1.2.2
- drop hal support
  - drop hal fdi policy
  - remove R: hal
- add xorg.conf snippet

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-3
- rebuild with xserver-1.8rc (x86_64)

* Wed Mar 24 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-2
- rebuild with xserver-1.8rc

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-1
- new upstream release
- add BR: xorg-x11-util-macros >= 1.3.0

* Sat Jun 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.2-1
- new upstream release
- remove Patch10: SHMconfig is not needed

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.0-1
- new upstream release

* Sun Dec 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.3-1
- new upstream release

* Mon Nov 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.1-1
- new upstream release

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15.2-2
- use bundled fdi
- add patch10 to enable SHMConfig on all synaptics devices.

* Sat Sep 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15.2-1
- new upstream release

* Tue Sep 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15.1-1
- new upstream version released from x.org
- rename to xorg-x11-drv-synaptics
- add Obsoletes/Provides synaptics
- add patch1,2 from fedora
  - patch1: reserve 5% on each side for edge detection.
  - patch2: force a click if middle button emulation times out during ReadInput cycle.

* Tue Jul  8 2008 Shu KONNO <owa@bg.wakwak.com> 0.14.6.20070706-3
- fixed synaptics_drv.so path by using %%{_libdir}

* Sun Jul  6 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.14.6.20070706-2
- add Patch0; add BuildRequires: libpciaccess-devel
- built with xorg-x11-server-1.4.99.905

* Fri May 23 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.14.6.20070706-1
- updated to newest git upstream (cd6a1225ec319cad9788e8fba158d9792b55de23)
- built with xorg-x11
- spec encoding converted to UTF-8

* Wed Jul 19 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.14.6-0vl1
- source update.
- build for VineSeed (4.0) Plus.

* Sun Jun 18 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.14.5-0vl0
- build for Vine Plus/3.0.

* Sun Jun 18 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.14.5-0vl1
- source update.
- build for VineSeed Plus.

* Mon Jan 23 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.14.4-0vl3
- add man page synaptics.5.
- build for VineSeed Plus.

* Sat Jan 21 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.14.4-0vl0
- build for Vine Plus/3.0.

* Sat Jan 21 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.14.4-0vl1
- source update.
- build for VineSeed Plus.

* Sun Apr 03 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.14.1-0vl0
- build for Vine Plus/3.0.

* Thu Mar 31 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.14.1-0vl1
- initial build for VineSeed Plus.
